// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
           //
           // THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

           pub use self::imp::*;

           #[allow(dead_code)]
           #[allow(non_snake_case)]
           #[allow(non_camel_case_types)]
           #[allow(clippy::absolute_paths)]
           #[allow(clippy::transmute_ptr_to_ref)]
           #[allow(clippy::upper_case_acronyms)]
           #[warn(single_use_lifetimes)]
           mod imp {
           #[allow(unused_imports)]
           use super::*;
           use libbpf_rs::libbpf_sys;
           use libbpf_rs::skel::OpenSkel;
           use libbpf_rs::skel::Skel;
           use libbpf_rs::skel::SkelBuilder;
        
        fn build_skel_config() -> libbpf_rs::Result<libbpf_rs::__internal_skel::ObjectSkeletonConfig<'static>>
        {
            let mut builder = libbpf_rs::__internal_skel::ObjectSkeletonConfigBuilder::new(DATA);
            builder
                .name("bpf_bpf")
        
            .map("node_data", false)
            
            .map("dom_data", false)
            
            .map("dom_vtime_locks", false)
            
            .map("dom_dcycle_locks", false)
            
            .map("task_data", false)
            
            .map("stats", false)
            
            .map("lb_data", false)
            
            .map("bpf_bpf.rodata", true)
            
            .map("bpf_bpf.data", true)
            
            .map(".data.uei_dump", true)
            
            .map("bpf_bpf.bss", true)
            
            .map(".data.A", false)
            
            .map("rusty", false)
            
            .prog("rusty_select_cpu")
            
            .prog("rusty_enqueue")
            
            .prog("rusty_dispatch")
            
            .prog("rusty_runnable")
            
            .prog("rusty_running")
            
            .prog("rusty_stopping")
            
            .prog("rusty_quiescent")
            
            .prog("rusty_set_weight")
            
            .prog("rusty_set_cpumask")
            
            .prog("rusty_init_task")
            
            .prog("rusty_exit_task")
            
            .prog("rusty_init")
            
            .prog("rusty_exit")
            ;

            builder.build()
        }
        
        #[derive(Default)]
        pub struct BpfSkelBuilder {
            pub obj_builder: libbpf_rs::ObjectBuilder,
        }

        impl<'a> SkelBuilder<'a> for BpfSkelBuilder {
            type Output = OpenBpfSkel<'a>;
            fn open(self) -> libbpf_rs::Result<OpenBpfSkel<'a>> {
                let opts = *self.obj_builder.opts();
                self.open_opts(opts)
            }

            fn open_opts(self, open_opts: libbpf_sys::bpf_object_open_opts) -> libbpf_rs::Result<OpenBpfSkel<'a>> {
                let mut skel_config = build_skel_config()?;

                let ret = unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

                #[allow(unused_mut)]
                let mut skel = OpenBpfSkel {
                    obj,
                    // SAFETY: Our `struct_ops` type contains only pointers,
                    //         which are allowed to be NULL.
                    // TODO: Generate and use a `Default` representation
                    //       instead, to cut down on unsafe code.
                    struct_ops: unsafe { std::mem::zeroed() },
                    skel_config
                };
                
            skel.struct_ops.rusty = skel.maps_mut().rusty().initial_value_mut().unwrap().as_mut_ptr().cast();
            
                Ok(skel)
            }

            fn object_builder(&self) -> &libbpf_rs::ObjectBuilder {
                &self.obj_builder
            }
            fn object_builder_mut(&mut self) -> &mut libbpf_rs::ObjectBuilder {
                &mut self.obj_builder
            }
        }
        
            pub struct OpenBpfMapsMut<'a> {
                inner: &'a mut libbpf_rs::OpenObject,
            }

            impl OpenBpfMapsMut<'_> {
            
                pub fn node_data(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("node_data").unwrap()
                }
                
                pub fn dom_data(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("dom_data").unwrap()
                }
                
                pub fn dom_vtime_locks(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("dom_vtime_locks").unwrap()
                }
                
                pub fn dom_dcycle_locks(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("dom_dcycle_locks").unwrap()
                }
                
                pub fn task_data(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("task_data").unwrap()
                }
                
                pub fn stats(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("stats").unwrap()
                }
                
                pub fn lb_data(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("lb_data").unwrap()
                }
                
                pub fn rodata(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("bpf_bpf.rodata").unwrap()
                }
                
                pub fn data(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("bpf_bpf.data").unwrap()
                }
                
                pub fn data_uei_dump(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut(".data.uei_dump").unwrap()
                }
                
                pub fn bss(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("bpf_bpf.bss").unwrap()
                }
                
                pub fn data_A(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut(".data.A").unwrap()
                }
                
                pub fn rusty(&mut self) -> &mut libbpf_rs::OpenMap {
                    self.inner.map_mut("rusty").unwrap()
                }
                }

            pub struct OpenBpfMaps<'a> {
                inner: &'a libbpf_rs::OpenObject,
            }

            impl OpenBpfMaps<'_> {
            
                pub fn node_data(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("node_data").unwrap()
                }
                
                pub fn dom_data(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("dom_data").unwrap()
                }
                
                pub fn dom_vtime_locks(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("dom_vtime_locks").unwrap()
                }
                
                pub fn dom_dcycle_locks(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("dom_dcycle_locks").unwrap()
                }
                
                pub fn task_data(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("task_data").unwrap()
                }
                
                pub fn stats(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("stats").unwrap()
                }
                
                pub fn lb_data(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("lb_data").unwrap()
                }
                
                pub fn rodata(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("bpf_bpf.rodata").unwrap()
                }
                
                pub fn data(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("bpf_bpf.data").unwrap()
                }
                
                pub fn data_uei_dump(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map(".data.uei_dump").unwrap()
                }
                
                pub fn bss(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("bpf_bpf.bss").unwrap()
                }
                
                pub fn data_A(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map(".data.A").unwrap()
                }
                
                pub fn rusty(&self) -> &libbpf_rs::OpenMap {
                    self.inner.map("rusty").unwrap()
                }
                }

        pub struct OpenBpfProgs<'a> {
            inner: &'a libbpf_rs::OpenObject,
        }

        impl OpenBpfProgs<'_> {
        
            pub fn rusty_select_cpu(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_select_cpu").unwrap()
            }
            
            pub fn rusty_enqueue(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_enqueue").unwrap()
            }
            
            pub fn rusty_dispatch(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_dispatch").unwrap()
            }
            
            pub fn rusty_runnable(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_runnable").unwrap()
            }
            
            pub fn rusty_running(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_running").unwrap()
            }
            
            pub fn rusty_stopping(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_stopping").unwrap()
            }
            
            pub fn rusty_quiescent(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_quiescent").unwrap()
            }
            
            pub fn rusty_set_weight(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_set_weight").unwrap()
            }
            
            pub fn rusty_set_cpumask(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_set_cpumask").unwrap()
            }
            
            pub fn rusty_init_task(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_init_task").unwrap()
            }
            
            pub fn rusty_exit_task(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_exit_task").unwrap()
            }
            
            pub fn rusty_init(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_init").unwrap()
            }
            
            pub fn rusty_exit(&self) -> &libbpf_rs::OpenProgram {
                self.inner.prog("rusty_exit").unwrap()
            }
            }

        pub struct OpenBpfProgsMut<'a> {
            inner: &'a mut libbpf_rs::OpenObject,
        }

        impl OpenBpfProgsMut<'_> {
        
            pub fn rusty_select_cpu(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_select_cpu").unwrap()
            }
            
            pub fn rusty_enqueue(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_enqueue").unwrap()
            }
            
            pub fn rusty_dispatch(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_dispatch").unwrap()
            }
            
            pub fn rusty_runnable(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_runnable").unwrap()
            }
            
            pub fn rusty_running(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_running").unwrap()
            }
            
            pub fn rusty_stopping(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_stopping").unwrap()
            }
            
            pub fn rusty_quiescent(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_quiescent").unwrap()
            }
            
            pub fn rusty_set_weight(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_set_weight").unwrap()
            }
            
            pub fn rusty_set_cpumask(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_set_cpumask").unwrap()
            }
            
            pub fn rusty_init_task(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_init_task").unwrap()
            }
            
            pub fn rusty_exit_task(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_exit_task").unwrap()
            }
            
            pub fn rusty_init(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_init").unwrap()
            }
            
            pub fn rusty_exit(&mut self) -> &mut libbpf_rs::OpenProgram {
                self.inner.prog_mut("rusty_exit").unwrap()
            }
            }

            pub mod bpf_types {
                #[allow(unused_imports)]
                use super::*;
            #[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct rodata {
    pub nr_doms: u32,
    pub nr_nodes: u32,
    pub nr_cpus_possible: u32,
    pub load_half_life: u32,
    pub ravg_1: u64,
    pub sched_prio_to_weight: [i32; 40],
    pub dom_numa_id_map: [u32; 64],
    pub uei_dump_len: u32,
    pub cpu_dom_id_map: [u32; 512],
    __pad_2492: [u8; 4],
    pub dom_cpumasks: [[u64; 8]; 64],
    pub numa_cpumasks: [[u64; 8]; 64],
    pub kthreads_local: bool,
    pub fifo_sched: bool,
    pub switch_partial: bool,
    pub direct_greedy_numa: bool,
    pub greedy_threshold: u32,
    pub greedy_threshold_x_numa: u32,
    pub debug: u32,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct data {
    __pad_0: [u8; 32],
    pub uei: user_exit_info,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct user_exit_info {
    pub kind: i32,
    pub __pad_4: [u8; 4],
    pub exit_code: i64,
    pub reason: [i8; 128],
    pub msg: [i8; 1024],
}
impl Default for user_exit_info {
    fn default() -> Self {
        user_exit_info {
            kind: i32::default(),
            __pad_4: [u8::default(); 4],
            exit_code: i64::default(),
            reason: [i8::default(); 128],
            msg: [i8::default(); 1024],
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct data_uei_dump {
    pub uei_dump: [i8; 1],
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct bss {
    pub pcpu_ctx: [pcpu_ctx; 512],
    pub dom_active_pids: [dom_active_pids; 64],
    pub tune_input: tune_input,
    pub tune_params_gen: u64,
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct pcpu_ctx {
    pub dom_rr_cur: u32,
    pub dom_id: u32,
    pub nr_node_doms: u32,
    pub node_doms: [u32; 64],
    pub __pad_268: [u8; 52],
}
impl Default for pcpu_ctx {
    fn default() -> Self {
        pcpu_ctx {
            dom_rr_cur: u32::default(),
            dom_id: u32::default(),
            nr_node_doms: u32::default(),
            node_doms: [u32::default(); 64],
            __pad_268: [u8::default(); 52],
        }
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct dom_active_pids {
    pub gen: u64,
    pub read_idx: u64,
    pub write_idx: u64,
    pub pids: [i32; 1024],
}
impl Default for dom_active_pids {
    fn default() -> Self {
        dom_active_pids {
            gen: u64::default(),
            read_idx: u64::default(),
            write_idx: u64::default(),
            pids: [i32::default(); 1024],
        }
    }
}
#[derive(Debug, Default, Copy, Clone)]
#[repr(C)]
pub struct tune_input {
    pub gen: u64,
    pub slice_ns: u64,
    pub direct_greedy_cpumask: [u64; 8],
    pub kick_greedy_cpumask: [u64; 8],
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct data_A {
}

#[derive(Debug, Clone)]
#[repr(C)]
pub struct struct_ops {
    pub rusty: *mut sched_ext_ops,
}

impl struct_ops {

    pub fn rusty(&self) -> &sched_ext_ops {
        // SAFETY: The library ensures that the member is pointing to
        //         valid data.
        unsafe { self.rusty.as_ref() }.unwrap()
    }

    pub fn rusty_mut(&mut self) -> &mut sched_ext_ops {
        // SAFETY: The library ensures that the member is pointing to
        //         valid data.
        unsafe { self.rusty.as_mut() }.unwrap()
    }
}
#[derive(Debug, Copy, Clone)]
#[repr(C)]
pub struct sched_ext_ops {
    pub select_cpu: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub enqueue: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dequeue: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dispatch: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub tick: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub runnable: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub running: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub stopping: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub quiescent: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub r#yield: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub core_sched_before: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub set_weight: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub set_cpumask: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub update_idle: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cpu_acquire: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cpu_release: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub init_task: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub exit_task: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub enable: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub disable: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dump: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dump_cpu: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dump_task: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_init: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_exit: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_prep_move: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_move: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_cancel_move: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cgroup_set_weight: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cpu_online: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub cpu_offline: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub init: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub exit: *mut libbpf_rs::libbpf_sys::bpf_program,
    pub dispatch_max_batch: u32,
    pub __pad_268: [u8; 4],
    pub flags: u64,
    pub timeout_ms: u32,
    pub exit_dump_len: u32,
    pub hotplug_seq: u64,
    pub name: [i8; 128],
}
impl Default for sched_ext_ops {
    fn default() -> Self {
        sched_ext_ops {
            select_cpu: std::ptr::null_mut(),
            enqueue: std::ptr::null_mut(),
            dequeue: std::ptr::null_mut(),
            dispatch: std::ptr::null_mut(),
            tick: std::ptr::null_mut(),
            runnable: std::ptr::null_mut(),
            running: std::ptr::null_mut(),
            stopping: std::ptr::null_mut(),
            quiescent: std::ptr::null_mut(),
            r#yield: std::ptr::null_mut(),
            core_sched_before: std::ptr::null_mut(),
            set_weight: std::ptr::null_mut(),
            set_cpumask: std::ptr::null_mut(),
            update_idle: std::ptr::null_mut(),
            cpu_acquire: std::ptr::null_mut(),
            cpu_release: std::ptr::null_mut(),
            init_task: std::ptr::null_mut(),
            exit_task: std::ptr::null_mut(),
            enable: std::ptr::null_mut(),
            disable: std::ptr::null_mut(),
            dump: std::ptr::null_mut(),
            dump_cpu: std::ptr::null_mut(),
            dump_task: std::ptr::null_mut(),
            cgroup_init: std::ptr::null_mut(),
            cgroup_exit: std::ptr::null_mut(),
            cgroup_prep_move: std::ptr::null_mut(),
            cgroup_move: std::ptr::null_mut(),
            cgroup_cancel_move: std::ptr::null_mut(),
            cgroup_set_weight: std::ptr::null_mut(),
            cpu_online: std::ptr::null_mut(),
            cpu_offline: std::ptr::null_mut(),
            init: std::ptr::null_mut(),
            exit: std::ptr::null_mut(),
            dispatch_max_batch: u32::default(),
            __pad_268: [u8::default(); 4],
            flags: u64::default(),
            timeout_ms: u32::default(),
            exit_dump_len: u32::default(),
            hotplug_seq: u64::default(),
            name: [i8::default(); 128],
        }
    }
}
}

        pub struct OpenBpfSkel<'a> {
            pub obj: libbpf_rs::OpenObject,
            pub struct_ops: bpf_types::struct_ops,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        }

        impl<'a> OpenSkel for OpenBpfSkel<'a> {
            type Output = BpfSkel<'a>;
            fn load(mut self) -> libbpf_rs::Result<BpfSkel<'a>> {
                let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(self.skel_config.get()) };
                if ret != 0 {
                    return Err(libbpf_rs::Error::from_raw_os_error(-ret));
                }

                let obj = unsafe { libbpf_rs::Object::from_ptr(self.obj.take_ptr())? };

                Ok(BpfSkel {
                    obj,
                    struct_ops: self.struct_ops,
                    skel_config: self.skel_config,
                    links: BpfLinks::default()
                })
            }

            fn open_object(&self) -> &libbpf_rs::OpenObject {
                &self.obj
            }

            fn open_object_mut(&mut self) -> &mut libbpf_rs::OpenObject {
                &mut self.obj
            }
        }
impl OpenBpfSkel<'_> {

            pub fn progs_mut(&mut self) -> OpenBpfProgsMut<'_> {
                OpenBpfProgsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn progs(&self) -> OpenBpfProgs<'_> {
                OpenBpfProgs {
                    inner: &self.obj,
                }
            }
            
            pub fn maps_mut(&mut self) -> OpenBpfMapsMut<'_> {
                OpenBpfMapsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn maps(&self) -> OpenBpfMaps<'_> {
                OpenBpfMaps {
                    inner: &self.obj,
                }
            }
            
                pub fn rodata_raw(& self) -> *const bpf_types::rodata {
                    self.skel_config.map_mmap_ptr(7).unwrap().cast::<bpf_types::rodata>()
                }

                pub fn rodata(& self) -> & bpf_types::rodata {
                    unsafe {&*self.rodata_raw()}
                }
                
                pub fn rodata_mut_raw(&mut self) -> *mut bpf_types::rodata {
                    self.skel_config.map_mmap_ptr_mut(7).unwrap().cast::<bpf_types::rodata>()
                }

                pub fn rodata_mut(&mut self) -> &mut bpf_types::rodata {
                    unsafe {&mut*self.rodata_mut_raw()}
                }
                
                pub fn data_raw(& self) -> *const bpf_types::data {
                    self.skel_config.map_mmap_ptr(8).unwrap().cast::<bpf_types::data>()
                }

                pub fn data(& self) -> & bpf_types::data {
                    unsafe {&*self.data_raw()}
                }
                
                pub fn data_mut_raw(&mut self) -> *mut bpf_types::data {
                    self.skel_config.map_mmap_ptr_mut(8).unwrap().cast::<bpf_types::data>()
                }

                pub fn data_mut(&mut self) -> &mut bpf_types::data {
                    unsafe {&mut*self.data_mut_raw()}
                }
                
                pub fn data_uei_dump_raw(& self) -> *const bpf_types::data_uei_dump {
                    self.skel_config.map_mmap_ptr(9).unwrap().cast::<bpf_types::data_uei_dump>()
                }

                pub fn data_uei_dump(& self) -> & bpf_types::data_uei_dump {
                    unsafe {&*self.data_uei_dump_raw()}
                }
                
                pub fn data_uei_dump_mut_raw(&mut self) -> *mut bpf_types::data_uei_dump {
                    self.skel_config.map_mmap_ptr_mut(9).unwrap().cast::<bpf_types::data_uei_dump>()
                }

                pub fn data_uei_dump_mut(&mut self) -> &mut bpf_types::data_uei_dump {
                    unsafe {&mut*self.data_uei_dump_mut_raw()}
                }
                
                pub fn bss_raw(& self) -> *const bpf_types::bss {
                    self.skel_config.map_mmap_ptr(10).unwrap().cast::<bpf_types::bss>()
                }

                pub fn bss(& self) -> & bpf_types::bss {
                    unsafe {&*self.bss_raw()}
                }
                
                pub fn bss_mut_raw(&mut self) -> *mut bpf_types::bss {
                    self.skel_config.map_mmap_ptr_mut(10).unwrap().cast::<bpf_types::bss>()
                }

                pub fn bss_mut(&mut self) -> &mut bpf_types::bss {
                    unsafe {&mut*self.bss_mut_raw()}
                }
                }

            pub struct BpfMapsMut<'a> {
                inner: &'a mut libbpf_rs::Object,
            }

            impl BpfMapsMut<'_> {
            
                pub fn node_data(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("node_data").unwrap()
                }
                
                pub fn dom_data(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("dom_data").unwrap()
                }
                
                pub fn dom_vtime_locks(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("dom_vtime_locks").unwrap()
                }
                
                pub fn dom_dcycle_locks(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("dom_dcycle_locks").unwrap()
                }
                
                pub fn task_data(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("task_data").unwrap()
                }
                
                pub fn stats(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("stats").unwrap()
                }
                
                pub fn lb_data(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("lb_data").unwrap()
                }
                
                pub fn rodata(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("bpf_bpf.rodata").unwrap()
                }
                
                pub fn data(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("bpf_bpf.data").unwrap()
                }
                
                pub fn data_uei_dump(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut(".data.uei_dump").unwrap()
                }
                
                pub fn bss(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("bpf_bpf.bss").unwrap()
                }
                
                pub fn data_A(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut(".data.A").unwrap()
                }
                
                pub fn rusty(&mut self) -> &mut libbpf_rs::Map {
                    self.inner.map_mut("rusty").unwrap()
                }
                }

            pub struct BpfMaps<'a> {
                inner: &'a libbpf_rs::Object,
            }

            impl BpfMaps<'_> {
            
                pub fn node_data(&self) -> &libbpf_rs::Map {
                    self.inner.map("node_data").unwrap()
                }
                
                pub fn dom_data(&self) -> &libbpf_rs::Map {
                    self.inner.map("dom_data").unwrap()
                }
                
                pub fn dom_vtime_locks(&self) -> &libbpf_rs::Map {
                    self.inner.map("dom_vtime_locks").unwrap()
                }
                
                pub fn dom_dcycle_locks(&self) -> &libbpf_rs::Map {
                    self.inner.map("dom_dcycle_locks").unwrap()
                }
                
                pub fn task_data(&self) -> &libbpf_rs::Map {
                    self.inner.map("task_data").unwrap()
                }
                
                pub fn stats(&self) -> &libbpf_rs::Map {
                    self.inner.map("stats").unwrap()
                }
                
                pub fn lb_data(&self) -> &libbpf_rs::Map {
                    self.inner.map("lb_data").unwrap()
                }
                
                pub fn rodata(&self) -> &libbpf_rs::Map {
                    self.inner.map("bpf_bpf.rodata").unwrap()
                }
                
                pub fn data(&self) -> &libbpf_rs::Map {
                    self.inner.map("bpf_bpf.data").unwrap()
                }
                
                pub fn data_uei_dump(&self) -> &libbpf_rs::Map {
                    self.inner.map(".data.uei_dump").unwrap()
                }
                
                pub fn bss(&self) -> &libbpf_rs::Map {
                    self.inner.map("bpf_bpf.bss").unwrap()
                }
                
                pub fn data_A(&self) -> &libbpf_rs::Map {
                    self.inner.map(".data.A").unwrap()
                }
                
                pub fn rusty(&self) -> &libbpf_rs::Map {
                    self.inner.map("rusty").unwrap()
                }
                }

        pub struct BpfProgs<'a> {
            inner: &'a libbpf_rs::Object,
        }

        impl BpfProgs<'_> {
        
            pub fn rusty_select_cpu(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_select_cpu").unwrap()
            }
            
            pub fn rusty_enqueue(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_enqueue").unwrap()
            }
            
            pub fn rusty_dispatch(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_dispatch").unwrap()
            }
            
            pub fn rusty_runnable(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_runnable").unwrap()
            }
            
            pub fn rusty_running(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_running").unwrap()
            }
            
            pub fn rusty_stopping(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_stopping").unwrap()
            }
            
            pub fn rusty_quiescent(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_quiescent").unwrap()
            }
            
            pub fn rusty_set_weight(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_set_weight").unwrap()
            }
            
            pub fn rusty_set_cpumask(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_set_cpumask").unwrap()
            }
            
            pub fn rusty_init_task(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_init_task").unwrap()
            }
            
            pub fn rusty_exit_task(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_exit_task").unwrap()
            }
            
            pub fn rusty_init(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_init").unwrap()
            }
            
            pub fn rusty_exit(&self) -> &libbpf_rs::Program {
                self.inner.prog("rusty_exit").unwrap()
            }
            }

        pub struct BpfProgsMut<'a> {
            inner: &'a mut libbpf_rs::Object,
        }

        impl BpfProgsMut<'_> {
        
            pub fn rusty_select_cpu(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_select_cpu").unwrap()
            }
            
            pub fn rusty_enqueue(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_enqueue").unwrap()
            }
            
            pub fn rusty_dispatch(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_dispatch").unwrap()
            }
            
            pub fn rusty_runnable(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_runnable").unwrap()
            }
            
            pub fn rusty_running(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_running").unwrap()
            }
            
            pub fn rusty_stopping(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_stopping").unwrap()
            }
            
            pub fn rusty_quiescent(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_quiescent").unwrap()
            }
            
            pub fn rusty_set_weight(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_set_weight").unwrap()
            }
            
            pub fn rusty_set_cpumask(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_set_cpumask").unwrap()
            }
            
            pub fn rusty_init_task(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_init_task").unwrap()
            }
            
            pub fn rusty_exit_task(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_exit_task").unwrap()
            }
            
            pub fn rusty_init(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_init").unwrap()
            }
            
            pub fn rusty_exit(&mut self) -> &mut libbpf_rs::Program {
                self.inner.prog_mut("rusty_exit").unwrap()
            }
            }

        #[derive(Default)]
        pub struct BpfLinks {
        pub rusty_select_cpu: Option<libbpf_rs::Link>,
            pub rusty_enqueue: Option<libbpf_rs::Link>,
            pub rusty_dispatch: Option<libbpf_rs::Link>,
            pub rusty_runnable: Option<libbpf_rs::Link>,
            pub rusty_running: Option<libbpf_rs::Link>,
            pub rusty_stopping: Option<libbpf_rs::Link>,
            pub rusty_quiescent: Option<libbpf_rs::Link>,
            pub rusty_set_weight: Option<libbpf_rs::Link>,
            pub rusty_set_cpumask: Option<libbpf_rs::Link>,
            pub rusty_init_task: Option<libbpf_rs::Link>,
            pub rusty_exit_task: Option<libbpf_rs::Link>,
            pub rusty_init: Option<libbpf_rs::Link>,
            pub rusty_exit: Option<libbpf_rs::Link>,
            }

        pub struct BpfSkel<'a> {
            pub obj: libbpf_rs::Object,
            struct_ops: bpf_types::struct_ops,
            skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        pub links: BpfLinks,
        
        }

        unsafe impl Send for BpfSkel<'_> {}
        unsafe impl Sync for BpfSkel<'_> {}

        impl Skel for BpfSkel<'_> {
            fn object(&self) -> &libbpf_rs::Object {
                &self.obj
            }

            fn object_mut(&mut self) -> &mut libbpf_rs::Object {
                &mut self.obj
            }
        
        fn attach(&mut self) -> libbpf_rs::Result<()> {
            let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            self.links = BpfLinks {
        rusty_select_cpu: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(0)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_enqueue: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(1)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_dispatch: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(2)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_runnable: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(3)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_running: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(4)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_stopping: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(5)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_quiescent: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(6)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_set_weight: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(7)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_set_cpumask: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(8)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_init_task: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(9)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_exit_task: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(10)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_init: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(11)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            rusty_exit: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(12)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            
            };

            Ok(())
        }
        }
impl BpfSkel<'_> {
            pub fn progs_mut(&mut self) -> BpfProgsMut<'_> {
                BpfProgsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn progs(&self) -> BpfProgs<'_> {
                BpfProgs {
                    inner: &self.obj,
                }
            }
            
            pub fn maps_mut(&mut self) -> BpfMapsMut<'_> {
                BpfMapsMut {
                    inner: &mut self.obj,
                }
            }
            
            pub fn maps(&self) -> BpfMaps<'_> {
                BpfMaps {
                    inner: &self.obj,
                }
            }
            
        pub fn struct_ops_raw(&self) -> *const bpf_types::struct_ops {
            &self.struct_ops
        }

        pub fn struct_ops(&self) -> &bpf_types::struct_ops {
            &self.struct_ops
        }
        
                pub fn rodata_raw(& self) -> *const bpf_types::rodata {
                    self.skel_config.map_mmap_ptr(7).unwrap().cast::<bpf_types::rodata>()
                }

                pub fn rodata(& self) -> & bpf_types::rodata {
                    unsafe {&*self.rodata_raw()}
                }
                
                pub fn data_raw(& self) -> *const bpf_types::data {
                    self.skel_config.map_mmap_ptr(8).unwrap().cast::<bpf_types::data>()
                }

                pub fn data(& self) -> & bpf_types::data {
                    unsafe {&*self.data_raw()}
                }
                
                pub fn data_mut_raw(&mut self) -> *mut bpf_types::data {
                    self.skel_config.map_mmap_ptr_mut(8).unwrap().cast::<bpf_types::data>()
                }

                pub fn data_mut(&mut self) -> &mut bpf_types::data {
                    unsafe {&mut*self.data_mut_raw()}
                }
                
                pub fn data_uei_dump_raw(& self) -> *const bpf_types::data_uei_dump {
                    self.skel_config.map_mmap_ptr(9).unwrap().cast::<bpf_types::data_uei_dump>()
                }

                pub fn data_uei_dump(& self) -> & bpf_types::data_uei_dump {
                    unsafe {&*self.data_uei_dump_raw()}
                }
                
                pub fn data_uei_dump_mut_raw(&mut self) -> *mut bpf_types::data_uei_dump {
                    self.skel_config.map_mmap_ptr_mut(9).unwrap().cast::<bpf_types::data_uei_dump>()
                }

                pub fn data_uei_dump_mut(&mut self) -> &mut bpf_types::data_uei_dump {
                    unsafe {&mut*self.data_uei_dump_mut_raw()}
                }
                
                pub fn bss_raw(& self) -> *const bpf_types::bss {
                    self.skel_config.map_mmap_ptr(10).unwrap().cast::<bpf_types::bss>()
                }

                pub fn bss(& self) -> & bpf_types::bss {
                    unsafe {&*self.bss_raw()}
                }
                
                pub fn bss_mut_raw(&mut self) -> *mut bpf_types::bss {
                    self.skel_config.map_mmap_ptr_mut(10).unwrap().cast::<bpf_types::bss>()
                }

                pub fn bss_mut(&mut self) -> &mut bpf_types::bss {
                    unsafe {&mut*self.bss_mut_raw()}
                }
                }

        const DATA: &[u8] = &[127, 69, 76, 70, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 182, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 64, 0, 42, 0, 1, 0, 0, 46, 115, 116, 114, 116, 97, 98, 0, 46, 115, 121, 109, 116, 97, 98, 0, 46, 116, 101, 120, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 0, 108, 105, 99, 101, 110, 115, 101, 0, 46, 114, 111, 100, 97, 116, 97, 0, 46, 100, 97, 116, 97, 0, 46, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 108, 105, 110, 107, 0, 46, 100, 97, 116, 97, 46, 117, 101, 105, 95, 100, 117, 109, 112, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 46, 100, 97, 116, 97, 46, 65, 0, 109, 97, 105, 110, 46, 98, 112, 102, 46, 99, 0, 76, 66, 66, 48, 95, 50, 57, 0, 115, 108, 105, 99, 101, 95, 110, 115, 0, 76, 66, 66, 48, 95, 50, 56, 0, 76, 66, 66, 48, 95, 51, 0, 76, 66, 66, 48, 95, 50, 55, 0, 76, 66, 66, 48, 95, 56, 0, 76, 66, 66, 48, 95, 49, 49, 0, 76, 66, 66, 48, 95, 49, 51, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 48, 95, 49, 56, 0, 76, 66, 66, 48, 95, 49, 54, 0, 76, 66, 66, 48, 95, 50, 50, 0, 76, 66, 66, 48, 95, 50, 48, 0, 76, 66, 66, 48, 95, 50, 53, 0, 76, 66, 66, 48, 95, 51, 49, 0, 108, 111, 111, 107, 117, 112, 95, 116, 97, 115, 107, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 48, 95, 49, 50, 50, 0, 76, 66, 66, 48, 95, 52, 48, 0, 76, 66, 66, 48, 95, 51, 56, 0, 76, 66, 66, 48, 95, 51, 55, 0, 76, 66, 66, 48, 95, 51, 54, 0, 76, 66, 66, 48, 95, 49, 50, 48, 0, 76, 66, 66, 48, 95, 53, 50, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 0, 76, 66, 66, 48, 95, 52, 55, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 48, 95, 56, 53, 0, 76, 66, 66, 48, 95, 53, 49, 0, 76, 66, 66, 48, 95, 53, 55, 0, 76, 66, 66, 48, 95, 54, 51, 0, 76, 66, 66, 48, 95, 54, 56, 0, 76, 66, 66, 48, 95, 54, 55, 0, 76, 66, 66, 48, 95, 54, 54, 0, 76, 66, 66, 48, 95, 55, 51, 0, 76, 66, 66, 48, 95, 55, 50, 0, 76, 66, 66, 48, 95, 49, 50, 49, 0, 76, 66, 66, 48, 95, 55, 54, 0, 76, 66, 66, 48, 95, 49, 49, 51, 0, 76, 66, 66, 48, 95, 56, 50, 0, 76, 66, 66, 48, 95, 56, 54, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 50, 0, 76, 66, 66, 48, 95, 57, 50, 0, 76, 66, 66, 48, 95, 56, 57, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 0, 76, 66, 66, 48, 95, 57, 49, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 54, 0, 76, 66, 66, 48, 95, 49, 48, 51, 0, 76, 66, 66, 48, 95, 57, 56, 0, 76, 66, 66, 48, 95, 57, 55, 0, 76, 66, 66, 48, 95, 49, 49, 56, 0, 76, 66, 66, 48, 95, 49, 48, 50, 0, 76, 66, 66, 48, 95, 49, 48, 56, 0, 76, 66, 66, 48, 95, 49, 48, 55, 0, 76, 66, 66, 48, 95, 49, 49, 50, 0, 76, 66, 66, 48, 95, 49, 49, 53, 0, 76, 66, 66, 49, 95, 50, 0, 76, 66, 66, 49, 95, 52, 0, 76, 66, 66, 49, 95, 53, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 95, 51, 51, 0, 76, 66, 66, 49, 95, 49, 50, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 0, 76, 66, 66, 49, 95, 49, 48, 0, 76, 66, 66, 49, 95, 49, 55, 0, 76, 66, 66, 49, 95, 49, 52, 0, 76, 66, 66, 49, 95, 49, 57, 0, 76, 66, 66, 49, 95, 50, 55, 0, 76, 66, 66, 49, 95, 50, 49, 0, 76, 66, 66, 49, 95, 50, 54, 0, 76, 66, 66, 49, 95, 50, 52, 0, 116, 97, 115, 107, 95, 99, 111, 109, 112, 117, 116, 101, 95, 100, 108, 0, 76, 66, 66, 49, 95, 50, 53, 0, 76, 66, 66, 49, 95, 51, 50, 0, 76, 66, 66, 50, 95, 50, 0, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 50, 95, 51, 0, 76, 66, 66, 51, 95, 51, 0, 76, 66, 66, 51, 95, 54, 0, 76, 66, 66, 51, 95, 51, 54, 0, 76, 66, 66, 51, 95, 57, 0, 76, 66, 66, 51, 95, 49, 50, 0, 108, 111, 111, 107, 117, 112, 95, 112, 99, 112, 117, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 51, 95, 49, 51, 0, 76, 66, 66, 51, 95, 49, 57, 0, 76, 66, 66, 51, 95, 49, 56, 0, 76, 66, 66, 51, 95, 51, 53, 0, 76, 66, 66, 51, 95, 50, 51, 0, 76, 66, 66, 51, 95, 50, 52, 0, 76, 66, 66, 51, 95, 51, 52, 0, 76, 66, 66, 51, 95, 50, 54, 0, 76, 66, 66, 51, 95, 51, 51, 0, 76, 66, 66, 51, 95, 50, 56, 0, 76, 66, 66, 51, 95, 50, 57, 0, 76, 66, 66, 52, 95, 50, 0, 76, 66, 66, 52, 95, 53, 0, 116, 97, 115, 107, 95, 108, 111, 97, 100, 95, 97, 100, 106, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 0, 76, 66, 66, 53, 95, 50, 0, 76, 66, 66, 53, 95, 52, 0, 76, 66, 66, 53, 95, 55, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 53, 95, 53, 0, 76, 66, 66, 53, 95, 54, 0, 76, 66, 66, 53, 95, 49, 49, 0, 76, 66, 66, 53, 95, 49, 48, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 46, 95, 95, 95, 102, 109, 116, 46, 50, 52, 0, 76, 66, 66, 53, 95, 49, 52, 0, 76, 66, 66, 53, 95, 49, 54, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 53, 95, 49, 57, 0, 76, 66, 66, 53, 95, 49, 56, 0, 76, 66, 66, 54, 95, 57, 0, 76, 66, 66, 54, 95, 51, 0, 76, 66, 66, 54, 95, 53, 0, 76, 66, 66, 54, 95, 54, 0, 76, 66, 66, 54, 95, 56, 0, 76, 66, 66, 55, 95, 50, 0, 76, 66, 66, 55, 95, 53, 0, 76, 66, 66, 55, 95, 55, 0, 76, 66, 66, 55, 95, 54, 0, 76, 66, 66, 56, 95, 50, 0, 76, 66, 66, 56, 95, 53, 0, 76, 66, 66, 56, 95, 52, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 57, 95, 50, 0, 76, 66, 66, 57, 95, 52, 0, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 0, 76, 66, 66, 49, 48, 95, 51, 0, 76, 66, 66, 49, 48, 95, 49, 51, 0, 76, 66, 66, 49, 48, 95, 53, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 46, 95, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 48, 95, 49, 52, 0, 76, 66, 66, 49, 48, 95, 57, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 46, 50, 56, 0, 76, 66, 66, 49, 48, 95, 49, 50, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 49, 95, 51, 0, 76, 66, 66, 49, 50, 95, 49, 48, 54, 0, 76, 66, 66, 49, 50, 95, 51, 0, 76, 66, 66, 49, 50, 95, 54, 0, 76, 66, 66, 49, 50, 95, 57, 0, 76, 66, 66, 49, 50, 95, 49, 50, 0, 76, 66, 66, 49, 50, 95, 49, 51, 0, 76, 66, 66, 49, 50, 95, 50, 52, 0, 76, 66, 66, 49, 50, 95, 50, 56, 0, 76, 66, 66, 49, 50, 95, 50, 53, 0, 76, 66, 66, 49, 50, 95, 50, 57, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 46, 51, 51, 0, 76, 66, 66, 49, 50, 95, 51, 49, 0, 76, 66, 66, 49, 50, 95, 51, 50, 0, 76, 66, 66, 49, 50, 95, 51, 51, 0, 76, 66, 66, 49, 50, 95, 49, 57, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 50, 95, 49, 56, 0, 76, 66, 66, 49, 50, 95, 55, 48, 0, 76, 66, 66, 49, 50, 95, 50, 50, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 46, 51, 49, 0, 76, 66, 66, 49, 50, 95, 57, 56, 0, 76, 66, 66, 49, 50, 95, 49, 48, 53, 0, 76, 66, 66, 49, 50, 95, 51, 52, 0, 76, 66, 66, 49, 50, 95, 54, 54, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 76, 66, 66, 49, 50, 95, 54, 53, 0, 76, 66, 66, 49, 50, 95, 54, 57, 0, 76, 66, 66, 49, 50, 95, 55, 49, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 50, 0, 76, 66, 66, 49, 50, 95, 54, 52, 0, 76, 66, 66, 49, 50, 95, 55, 50, 0, 76, 66, 66, 49, 50, 95, 49, 48, 55, 0, 76, 66, 66, 49, 50, 95, 55, 51, 0, 76, 66, 66, 49, 50, 95, 51, 57, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 50, 95, 52, 49, 0, 76, 66, 66, 49, 50, 95, 52, 50, 0, 76, 66, 66, 49, 50, 95, 52, 52, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 51, 54, 0, 76, 66, 66, 49, 50, 95, 52, 54, 0, 76, 66, 66, 49, 50, 95, 52, 57, 0, 76, 66, 66, 49, 50, 95, 53, 49, 0, 76, 66, 66, 49, 50, 95, 53, 50, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 51, 56, 0, 76, 66, 66, 49, 50, 95, 54, 48, 0, 76, 66, 66, 49, 50, 95, 53, 52, 0, 76, 66, 66, 49, 50, 95, 53, 57, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 49, 0, 76, 66, 66, 49, 50, 95, 53, 55, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 48, 0, 76, 66, 66, 49, 50, 95, 49, 48, 52, 0, 76, 66, 66, 49, 50, 95, 55, 52, 0, 76, 66, 66, 49, 50, 95, 56, 48, 0, 76, 66, 66, 49, 50, 95, 55, 57, 0, 76, 66, 66, 49, 50, 95, 56, 50, 0, 76, 66, 66, 49, 50, 95, 49, 48, 51, 0, 76, 66, 66, 49, 50, 95, 56, 52, 0, 76, 66, 66, 49, 50, 95, 49, 48, 49, 0, 76, 66, 66, 49, 50, 95, 49, 48, 50, 0, 76, 66, 66, 49, 50, 95, 56, 57, 0, 76, 66, 66, 49, 50, 95, 56, 56, 0, 76, 66, 66, 49, 50, 95, 57, 49, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 50, 95, 57, 52, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 53, 0, 76, 66, 66, 49, 50, 95, 49, 48, 48, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 55, 0, 76, 66, 66, 49, 50, 95, 57, 55, 0, 76, 66, 66, 49, 50, 95, 57, 57, 0, 76, 66, 66, 49, 51, 95, 50, 0, 76, 66, 66, 49, 52, 95, 50, 0, 76, 66, 66, 49, 53, 95, 50, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 53, 95, 52, 0, 76, 66, 66, 49, 53, 95, 53, 0, 76, 66, 66, 49, 53, 95, 49, 48, 0, 76, 66, 66, 49, 53, 95, 57, 0, 76, 66, 66, 49, 53, 95, 52, 49, 50, 0, 76, 66, 66, 49, 53, 95, 52, 49, 49, 0, 76, 66, 66, 49, 53, 95, 49, 50, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 52, 0, 76, 66, 66, 49, 53, 95, 49, 52, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 54, 0, 76, 66, 66, 49, 53, 95, 52, 49, 48, 0, 76, 66, 66, 49, 53, 95, 52, 48, 57, 0, 76, 66, 66, 49, 53, 95, 49, 56, 0, 76, 66, 66, 49, 53, 95, 49, 57, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 50, 0, 76, 66, 66, 49, 53, 95, 50, 49, 0, 76, 66, 66, 49, 53, 95, 50, 48, 0, 76, 66, 66, 49, 53, 95, 50, 51, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 107, 116, 95, 108, 111, 99, 107, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 53, 95, 50, 53, 0, 76, 66, 66, 49, 53, 95, 50, 56, 0, 76, 66, 66, 49, 53, 95, 50, 57, 0, 76, 66, 66, 49, 53, 95, 51, 50, 0, 76, 66, 66, 49, 53, 95, 51, 53, 0, 76, 66, 66, 49, 53, 95, 54, 51, 0, 76, 66, 66, 49, 53, 95, 54, 54, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 117, 99, 107, 101, 116, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 53, 95, 51, 55, 0, 76, 66, 66, 49, 53, 95, 51, 57, 0, 76, 66, 66, 49, 53, 95, 52, 49, 0, 76, 66, 66, 49, 53, 95, 52, 51, 0, 76, 66, 66, 49, 53, 95, 52, 54, 0, 76, 66, 66, 49, 53, 95, 52, 56, 0, 76, 66, 66, 49, 53, 95, 53, 48, 0, 76, 66, 66, 49, 53, 95, 53, 50, 0, 76, 66, 66, 49, 53, 95, 54, 48, 0, 76, 66, 66, 49, 53, 95, 53, 53, 0, 114, 97, 118, 103, 95, 102, 117, 108, 108, 95, 115, 117, 109, 0, 76, 66, 66, 49, 53, 95, 53, 55, 0, 76, 66, 66, 49, 53, 95, 53, 57, 0, 76, 66, 66, 49, 53, 95, 54, 50, 0, 76, 66, 66, 49, 53, 95, 54, 53, 0, 76, 66, 66, 49, 53, 95, 55, 54, 0, 76, 66, 66, 49, 53, 95, 55, 49, 0, 76, 66, 66, 49, 53, 95, 55, 48, 0, 76, 66, 66, 49, 53, 95, 55, 53, 0, 76, 66, 66, 49, 53, 95, 55, 52, 0, 76, 66, 66, 49, 53, 95, 55, 56, 0, 76, 66, 66, 49, 53, 95, 56, 48, 0, 76, 66, 66, 49, 53, 95, 49, 50, 48, 0, 76, 66, 66, 49, 53, 95, 56, 50, 0, 76, 66, 66, 49, 53, 95, 56, 52, 0, 76, 66, 66, 49, 53, 95, 49, 49, 53, 0, 76, 66, 66, 49, 53, 95, 49, 49, 52, 0, 76, 66, 66, 49, 53, 95, 56, 54, 0, 76, 66, 66, 49, 53, 95, 56, 56, 0, 76, 66, 66, 49, 53, 95, 57, 48, 0, 76, 66, 66, 49, 53, 95, 57, 50, 0, 76, 66, 66, 49, 53, 95, 57, 53, 0, 76, 66, 66, 49, 53, 95, 57, 55, 0, 76, 66, 66, 49, 53, 95, 57, 57, 0, 76, 66, 66, 49, 53, 95, 49, 48, 49, 0, 76, 66, 66, 49, 53, 95, 49, 48, 57, 0, 76, 66, 66, 49, 53, 95, 49, 48, 52, 0, 76, 66, 66, 49, 53, 95, 49, 48, 54, 0, 76, 66, 66, 49, 53, 95, 49, 48, 56, 0, 76, 66, 66, 49, 53, 95, 49, 49, 49, 0, 76, 66, 66, 49, 53, 95, 49, 49, 57, 0, 76, 66, 66, 49, 53, 95, 49, 49, 56, 0, 76, 66, 66, 49, 53, 95, 49, 53, 57, 0, 76, 66, 66, 49, 53, 95, 49, 50, 51, 0, 76, 66, 66, 49, 53, 95, 49, 50, 53, 0, 76, 66, 66, 49, 53, 95, 49, 53, 54, 0, 76, 66, 66, 49, 53, 95, 49, 53, 53, 0, 76, 66, 66, 49, 53, 95, 49, 57, 55, 0, 76, 66, 66, 49, 53, 95, 49, 54, 50, 0, 76, 66, 66, 49, 53, 95, 49, 54, 52, 0, 76, 66, 66, 49, 53, 95, 49, 57, 52, 0, 76, 66, 66, 49, 53, 95, 49, 57, 53, 0, 76, 66, 66, 49, 53, 95, 49, 54, 54, 0, 76, 66, 66, 49, 53, 95, 49, 54, 56, 0, 76, 66, 66, 49, 53, 95, 49, 55, 48, 0, 76, 66, 66, 49, 53, 95, 49, 55, 50, 0, 76, 66, 66, 49, 53, 95, 49, 55, 53, 0, 76, 66, 66, 49, 53, 95, 49, 55, 55, 0, 76, 66, 66, 49, 53, 95, 49, 55, 57, 0, 76, 66, 66, 49, 53, 95, 49, 56, 49, 0, 76, 66, 66, 49, 53, 95, 49, 56, 57, 0, 76, 66, 66, 49, 53, 95, 49, 56, 52, 0, 76, 66, 66, 49, 53, 95, 49, 56, 54, 0, 76, 66, 66, 49, 53, 95, 49, 56, 56, 0, 76, 66, 66, 49, 53, 95, 49, 57, 49, 0, 76, 66, 66, 49, 53, 95, 49, 57, 54, 0, 76, 66, 66, 49, 53, 95, 49, 50, 55, 0, 76, 66, 66, 49, 53, 95, 49, 50, 57, 0, 76, 66, 66, 49, 53, 95, 49, 51, 49, 0, 76, 66, 66, 49, 53, 95, 49, 51, 51, 0, 76, 66, 66, 49, 53, 95, 49, 51, 54, 0, 76, 66, 66, 49, 53, 95, 49, 51, 56, 0, 76, 66, 66, 49, 53, 95, 49, 52, 48, 0, 76, 66, 66, 49, 53, 95, 49, 52, 50, 0, 76, 66, 66, 49, 53, 95, 49, 53, 48, 0, 76, 66, 66, 49, 53, 95, 49, 52, 53, 0, 76, 66, 66, 49, 53, 95, 49, 52, 55, 0, 76, 66, 66, 49, 53, 95, 49, 52, 57, 0, 76, 66, 66, 49, 53, 95, 49, 53, 50, 0, 76, 66, 66, 49, 53, 95, 49, 53, 56, 0, 76, 66, 66, 49, 53, 95, 49, 57, 57, 0, 76, 66, 66, 49, 53, 95, 50, 48, 49, 0, 76, 66, 66, 49, 53, 95, 50, 48, 51, 0, 76, 66, 66, 49, 53, 95, 50, 48, 53, 0, 76, 66, 66, 49, 53, 95, 50, 52, 54, 0, 76, 66, 66, 49, 53, 95, 50, 48, 56, 0, 76, 66, 66, 49, 53, 95, 50, 49, 48, 0, 76, 66, 66, 49, 53, 95, 50, 52, 49, 0, 76, 66, 66, 49, 53, 95, 50, 52, 48, 0, 76, 66, 66, 49, 53, 95, 50, 49, 50, 0, 76, 66, 66, 49, 53, 95, 50, 49, 52, 0, 76, 66, 66, 49, 53, 95, 50, 49, 54, 0, 76, 66, 66, 49, 53, 95, 50, 49, 56, 0, 76, 66, 66, 49, 53, 95, 50, 50, 49, 0, 76, 66, 66, 49, 53, 95, 50, 50, 51, 0, 76, 66, 66, 49, 53, 95, 50, 50, 53, 0, 76, 66, 66, 49, 53, 95, 50, 50, 55, 0, 76, 66, 66, 49, 53, 95, 50, 51, 53, 0, 76, 66, 66, 49, 53, 95, 50, 51, 48, 0, 76, 66, 66, 49, 53, 95, 50, 51, 50, 0, 76, 66, 66, 49, 53, 95, 50, 51, 52, 0, 76, 66, 66, 49, 53, 95, 50, 51, 55, 0, 76, 66, 66, 49, 53, 95, 50, 52, 53, 0, 76, 66, 66, 49, 53, 95, 50, 52, 52, 0, 76, 66, 66, 49, 53, 95, 50, 52, 56, 0, 76, 66, 66, 49, 53, 95, 50, 53, 48, 0, 76, 66, 66, 49, 53, 95, 50, 57, 48, 0, 76, 66, 66, 49, 53, 95, 50, 53, 50, 0, 76, 66, 66, 49, 53, 95, 50, 53, 52, 0, 76, 66, 66, 49, 53, 95, 50, 56, 53, 0, 76, 66, 66, 49, 53, 95, 50, 56, 52, 0, 76, 66, 66, 49, 53, 95, 50, 53, 54, 0, 76, 66, 66, 49, 53, 95, 50, 53, 56, 0, 76, 66, 66, 49, 53, 95, 50, 54, 48, 0, 76, 66, 66, 49, 53, 95, 50, 54, 50, 0, 76, 66, 66, 49, 53, 95, 50, 54, 53, 0, 76, 66, 66, 49, 53, 95, 50, 54, 55, 0, 76, 66, 66, 49, 53, 95, 50, 54, 57, 0, 76, 66, 66, 49, 53, 95, 50, 55, 49, 0, 76, 66, 66, 49, 53, 95, 50, 55, 57, 0, 76, 66, 66, 49, 53, 95, 50, 55, 52, 0, 76, 66, 66, 49, 53, 95, 50, 55, 54, 0, 76, 66, 66, 49, 53, 95, 50, 55, 56, 0, 76, 66, 66, 49, 53, 95, 50, 56, 49, 0, 76, 66, 66, 49, 53, 95, 50, 56, 57, 0, 76, 66, 66, 49, 53, 95, 50, 56, 56, 0, 76, 66, 66, 49, 53, 95, 51, 51, 48, 0, 76, 66, 66, 49, 53, 95, 50, 57, 51, 0, 76, 66, 66, 49, 53, 95, 50, 57, 53, 0, 76, 66, 66, 49, 53, 95, 51, 50, 55, 0, 76, 66, 66, 49, 53, 95, 51, 50, 53, 0, 76, 66, 66, 49, 53, 95, 51, 50, 54, 0, 76, 66, 66, 49, 53, 95, 51, 54, 54, 0, 76, 66, 66, 49, 53, 95, 51, 51, 51, 0, 76, 66, 66, 49, 53, 95, 51, 51, 53, 0, 76, 66, 66, 49, 53, 95, 51, 54, 53, 0, 76, 66, 66, 49, 53, 95, 51, 51, 55, 0, 76, 66, 66, 49, 53, 95, 51, 51, 57, 0, 76, 66, 66, 49, 53, 95, 51, 52, 49, 0, 76, 66, 66, 49, 53, 95, 51, 52, 51, 0, 76, 66, 66, 49, 53, 95, 51, 52, 54, 0, 76, 66, 66, 49, 53, 95, 51, 52, 56, 0, 76, 66, 66, 49, 53, 95, 51, 53, 48, 0, 76, 66, 66, 49, 53, 95, 51, 53, 50, 0, 76, 66, 66, 49, 53, 95, 51, 54, 48, 0, 76, 66, 66, 49, 53, 95, 51, 53, 53, 0, 76, 66, 66, 49, 53, 95, 51, 53, 55, 0, 76, 66, 66, 49, 53, 95, 51, 53, 57, 0, 76, 66, 66, 49, 53, 95, 51, 54, 50, 0, 76, 66, 66, 49, 53, 95, 50, 57, 55, 0, 76, 66, 66, 49, 53, 95, 50, 57, 57, 0, 76, 66, 66, 49, 53, 95, 51, 48, 49, 0, 76, 66, 66, 49, 53, 95, 51, 48, 51, 0, 76, 66, 66, 49, 53, 95, 51, 48, 54, 0, 76, 66, 66, 49, 53, 95, 51, 48, 56, 0, 76, 66, 66, 49, 53, 95, 51, 49, 48, 0, 76, 66, 66, 49, 53, 95, 51, 49, 50, 0, 76, 66, 66, 49, 53, 95, 51, 50, 48, 0, 76, 66, 66, 49, 53, 95, 51, 49, 53, 0, 76, 66, 66, 49, 53, 95, 51, 49, 55, 0, 76, 66, 66, 49, 53, 95, 51, 49, 57, 0, 76, 66, 66, 49, 53, 95, 51, 50, 50, 0, 76, 66, 66, 49, 53, 95, 51, 50, 57, 0, 76, 66, 66, 49, 53, 95, 52, 48, 55, 0, 76, 66, 66, 49, 53, 95, 51, 54, 57, 0, 76, 66, 66, 49, 53, 95, 51, 55, 49, 0, 76, 66, 66, 49, 53, 95, 52, 48, 50, 0, 76, 66, 66, 49, 53, 95, 52, 48, 49, 0, 76, 66, 66, 49, 53, 95, 51, 55, 51, 0, 76, 66, 66, 49, 53, 95, 51, 55, 53, 0, 76, 66, 66, 49, 53, 95, 51, 55, 55, 0, 76, 66, 66, 49, 53, 95, 51, 55, 57, 0, 76, 66, 66, 49, 53, 95, 51, 56, 50, 0, 76, 66, 66, 49, 53, 95, 51, 56, 52, 0, 76, 66, 66, 49, 53, 95, 51, 56, 54, 0, 76, 66, 66, 49, 53, 95, 51, 56, 56, 0, 76, 66, 66, 49, 53, 95, 51, 57, 54, 0, 76, 66, 66, 49, 53, 95, 51, 57, 49, 0, 76, 66, 66, 49, 53, 95, 51, 57, 51, 0, 76, 66, 66, 49, 53, 95, 51, 57, 53, 0, 76, 66, 66, 49, 53, 95, 51, 57, 56, 0, 76, 66, 66, 49, 53, 95, 52, 48, 54, 0, 76, 66, 66, 49, 53, 95, 52, 48, 53, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 120, 102, 101, 114, 95, 116, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 54, 95, 50, 0, 76, 66, 66, 49, 54, 95, 52, 0, 76, 66, 66, 49, 54, 95, 49, 52, 0, 76, 66, 66, 49, 54, 95, 55, 0, 76, 66, 66, 49, 54, 95, 57, 0, 76, 66, 66, 49, 54, 95, 49, 49, 0, 76, 66, 66, 49, 54, 95, 49, 51, 0, 76, 66, 66, 49, 54, 95, 50, 51, 0, 76, 66, 66, 49, 54, 95, 49, 54, 0, 76, 66, 66, 49, 54, 95, 49, 56, 0, 76, 66, 66, 49, 54, 95, 50, 48, 0, 76, 66, 66, 49, 54, 95, 50, 50, 0, 76, 66, 66, 49, 54, 95, 50, 53, 0, 76, 66, 66, 49, 54, 95, 50, 55, 0, 76, 66, 66, 49, 54, 95, 51, 55, 0, 76, 66, 66, 49, 54, 95, 51, 48, 0, 76, 66, 66, 49, 54, 95, 51, 50, 0, 76, 66, 66, 49, 54, 95, 51, 52, 0, 76, 66, 66, 49, 54, 95, 51, 54, 0, 76, 66, 66, 49, 54, 95, 51, 57, 0, 76, 66, 66, 49, 54, 95, 52, 49, 0, 115, 99, 104, 101, 100, 95, 112, 114, 105, 111, 95, 116, 111, 95, 108, 97, 116, 101, 110, 99, 121, 95, 119, 101, 105, 103, 104, 116, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 54, 95, 52, 50, 0, 76, 66, 66, 49, 54, 95, 52, 52, 0, 76, 66, 66, 49, 55, 95, 50, 0, 76, 66, 66, 49, 55, 95, 52, 0, 76, 66, 66, 49, 55, 95, 51, 53, 0, 76, 66, 66, 49, 55, 95, 51, 52, 0, 76, 66, 66, 49, 55, 95, 54, 0, 76, 66, 66, 49, 55, 95, 56, 0, 76, 66, 66, 49, 55, 95, 49, 48, 0, 76, 66, 66, 49, 55, 95, 49, 50, 0, 76, 66, 66, 49, 55, 95, 49, 53, 0, 76, 66, 66, 49, 55, 95, 49, 55, 0, 76, 66, 66, 49, 55, 95, 49, 57, 0, 76, 66, 66, 49, 55, 95, 50, 49, 0, 76, 66, 66, 49, 55, 95, 50, 57, 0, 76, 66, 66, 49, 55, 95, 50, 52, 0, 76, 66, 66, 49, 55, 95, 50, 54, 0, 76, 66, 66, 49, 55, 95, 50, 56, 0, 76, 66, 66, 49, 55, 95, 51, 49, 0, 76, 66, 66, 49, 56, 95, 50, 0, 76, 66, 66, 49, 56, 95, 53, 0, 76, 66, 66, 49, 56, 95, 52, 0, 76, 66, 66, 49, 56, 95, 55, 0, 76, 66, 66, 49, 56, 95, 56, 0, 76, 66, 66, 49, 56, 95, 49, 48, 0, 76, 66, 66, 49, 56, 95, 57, 51, 0, 76, 66, 66, 49, 56, 95, 49, 51, 0, 76, 66, 66, 49, 56, 95, 49, 53, 0, 76, 66, 66, 49, 56, 95, 52, 54, 0, 76, 66, 66, 49, 56, 95, 52, 53, 0, 76, 66, 66, 49, 56, 95, 49, 55, 0, 76, 66, 66, 49, 56, 95, 49, 57, 0, 76, 66, 66, 49, 56, 95, 50, 49, 0, 76, 66, 66, 49, 56, 95, 50, 51, 0, 76, 66, 66, 49, 56, 95, 50, 54, 0, 76, 66, 66, 49, 56, 95, 50, 56, 0, 76, 66, 66, 49, 56, 95, 51, 48, 0, 76, 66, 66, 49, 56, 95, 51, 50, 0, 76, 66, 66, 49, 56, 95, 52, 48, 0, 76, 66, 66, 49, 56, 95, 51, 53, 0, 76, 66, 66, 49, 56, 95, 51, 55, 0, 76, 66, 66, 49, 56, 95, 51, 57, 0, 76, 66, 66, 49, 56, 95, 52, 50, 0, 76, 66, 66, 49, 56, 95, 52, 56, 0, 76, 66, 66, 49, 56, 95, 53, 49, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 49, 56, 95, 53, 52, 0, 76, 66, 66, 49, 56, 95, 53, 54, 0, 76, 66, 66, 49, 56, 95, 53, 56, 0, 76, 66, 66, 49, 56, 95, 56, 56, 0, 76, 66, 66, 49, 56, 95, 56, 55, 0, 76, 66, 66, 49, 56, 95, 54, 48, 0, 76, 66, 66, 49, 56, 95, 54, 50, 0, 76, 66, 66, 49, 56, 95, 54, 52, 0, 76, 66, 66, 49, 56, 95, 54, 54, 0, 76, 66, 66, 49, 56, 95, 54, 57, 0, 76, 66, 66, 49, 56, 95, 55, 49, 0, 76, 66, 66, 49, 56, 95, 55, 51, 0, 76, 66, 66, 49, 56, 95, 55, 53, 0, 76, 66, 66, 49, 56, 95, 56, 50, 0, 76, 66, 66, 49, 56, 95, 55, 56, 0, 76, 66, 66, 49, 56, 95, 56, 48, 0, 76, 66, 66, 49, 56, 95, 56, 52, 0, 76, 66, 66, 49, 56, 95, 57, 50, 0, 76, 66, 66, 49, 56, 95, 57, 49, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 46, 95, 95, 95, 102, 109, 116, 46, 50, 50, 0, 76, 66, 66, 49, 57, 95, 49, 55, 0, 76, 66, 66, 49, 57, 95, 49, 54, 0, 76, 66, 66, 49, 57, 95, 53, 0, 76, 66, 66, 49, 57, 95, 49, 53, 0, 76, 66, 66, 49, 57, 95, 49, 50, 0, 76, 66, 66, 49, 57, 95, 55, 0, 76, 66, 66, 49, 57, 95, 49, 49, 0, 76, 66, 66, 49, 57, 95, 49, 51, 0, 76, 66, 66, 49, 57, 95, 49, 57, 0, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 0, 76, 66, 66, 50, 48, 95, 50, 0, 76, 66, 66, 50, 48, 95, 52, 0, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 0, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 0, 116, 117, 110, 101, 95, 112, 97, 114, 97, 109, 115, 95, 103, 101, 110, 0, 110, 114, 95, 99, 112, 117, 115, 95, 112, 111, 115, 115, 105, 98, 108, 101, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 110, 101, 119, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 110, 101, 120, 116, 0, 110, 114, 95, 100, 111, 109, 115, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 100, 101, 115, 116, 114, 111, 121, 0, 99, 112, 117, 95, 100, 111, 109, 95, 105, 100, 95, 109, 97, 112, 0, 100, 111, 109, 95, 100, 97, 116, 97, 0, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 95, 98, 115, 116, 114, 0, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 0, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 0, 116, 97, 115, 107, 95, 100, 97, 116, 97, 0, 107, 116, 104, 114, 101, 97, 100, 115, 95, 108, 111, 99, 97, 108, 0, 115, 116, 97, 116, 115, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 115, 113, 95, 110, 114, 95, 113, 117, 101, 117, 101, 100, 0, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 105, 110, 116, 101, 114, 115, 101, 99, 116, 115, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 117, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 101, 109, 112, 116, 121, 0, 115, 99, 120, 95, 98, 112, 102, 95, 116, 101, 115, 116, 95, 97, 110, 100, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 95, 105, 100, 108, 101, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 0, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 110, 117, 109, 97, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 97, 110, 100, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 114, 101, 108, 101, 97, 115, 101, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 97, 110, 121, 95, 99, 112, 117, 0, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 0, 108, 98, 95, 100, 97, 116, 97, 0, 115, 99, 120, 95, 98, 112, 102, 95, 107, 105, 99, 107, 95, 99, 112, 117, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 99, 120, 95, 98, 112, 102, 95, 116, 97, 115, 107, 95, 99, 112, 117, 0, 102, 105, 102, 111, 95, 115, 99, 104, 101, 100, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 95, 118, 116, 105, 109, 101, 0, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 0, 100, 111, 109, 95, 110, 117, 109, 97, 95, 105, 100, 95, 109, 97, 112, 0, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 99, 120, 95, 98, 112, 102, 95, 99, 111, 110, 115, 117, 109, 101, 0, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 112, 99, 112, 117, 95, 99, 116, 120, 0, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 120, 95, 110, 117, 109, 97, 0, 110, 114, 95, 110, 111, 100, 101, 115, 0, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 0, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 0, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 0, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 115, 0, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 0, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 100, 101, 98, 117, 103, 0, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 97, 108, 108, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 117, 98, 115, 101, 116, 0, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 114, 101, 97, 116, 101, 0, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 0, 115, 119, 105, 116, 99, 104, 95, 112, 97, 114, 116, 105, 97, 108, 0, 115, 99, 120, 95, 98, 112, 102, 95, 115, 119, 105, 116, 99, 104, 95, 97, 108, 108, 0, 110, 117, 109, 97, 95, 99, 112, 117, 109, 97, 115, 107, 115, 0, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 0, 110, 111, 100, 101, 95, 100, 97, 116, 97, 0, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 111, 112, 121, 0, 115, 99, 120, 95, 98, 112, 102, 95, 99, 114, 101, 97, 116, 101, 95, 100, 115, 113, 0, 100, 111, 109, 95, 99, 112, 117, 109, 97, 115, 107, 115, 0, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 0, 117, 101, 105, 0, 117, 101, 105, 95, 100, 117, 109, 112, 95, 108, 101, 110, 0, 117, 101, 105, 95, 100, 117, 109, 112, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 108, 111, 99, 107, 115, 0, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 0, 115, 99, 104, 101, 100, 95, 112, 114, 105, 111, 95, 116, 111, 95, 119, 101, 105, 103, 104, 116, 0, 95, 108, 105, 99, 101, 110, 115, 101, 0, 114, 97, 118, 103, 95, 49, 0, 114, 117, 115, 116, 121, 0, 46, 114, 101, 108, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 0, 46, 114, 101, 108, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 0, 46, 114, 101, 108, 46, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 108, 105, 110, 107, 0, 46, 66, 84, 70, 0, 46, 66, 84, 70, 46, 101, 120, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 4, 0, 241, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 4, 0, 160, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 199, 1, 0, 0, 1, 0, 19, 0, 56, 5, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 208, 1, 0, 0, 0, 0, 4, 0, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 1, 0, 0, 0, 0, 4, 0, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 223, 1, 0, 0, 0, 0, 4, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 231, 1, 0, 0, 0, 0, 4, 0, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 1, 0, 0, 0, 0, 4, 0, 112, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 1, 0, 0, 0, 0, 4, 0, 240, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 254, 1, 0, 0, 1, 0, 19, 0, 98, 5, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 20, 2, 0, 0, 0, 0, 4, 0, 184, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 2, 0, 0, 0, 0, 4, 0, 144, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 2, 0, 0, 0, 0, 4, 0, 240, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 2, 0, 0, 0, 0, 4, 0, 208, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 2, 0, 0, 0, 0, 4, 0, 112, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 2, 0, 0, 0, 0, 4, 0, 72, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 2, 0, 0, 1, 0, 19, 0, 64, 5, 0, 0, 0, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 91, 2, 0, 0, 0, 0, 4, 0, 160, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 100, 2, 0, 0, 0, 0, 4, 0, 40, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 2, 0, 0, 0, 0, 4, 0, 80, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 2, 0, 0, 0, 0, 4, 0, 24, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 124, 2, 0, 0, 0, 0, 4, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 2, 0, 0, 0, 0, 4, 0, 136, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 141, 2, 0, 0, 0, 0, 4, 0, 136, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 149, 2, 0, 0, 2, 0, 3, 0, 168, 0, 0, 0, 0, 0, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 164, 2, 0, 0, 0, 0, 4, 0, 152, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 2, 0, 0, 1, 0, 19, 0, 176, 4, 0, 0, 0, 0, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 200, 2, 0, 0, 0, 0, 4, 0, 136, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 2, 0, 0, 0, 0, 4, 0, 120, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 2, 0, 0, 0, 0, 4, 0, 112, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 2, 0, 0, 0, 0, 4, 0, 64, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 2, 0, 0, 0, 0, 4, 0, 232, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 2, 0, 0, 0, 0, 4, 0, 216, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 2, 0, 0, 0, 0, 4, 0, 192, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 4, 0, 192, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 3, 0, 0, 0, 0, 4, 0, 120, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 3, 0, 0, 0, 0, 4, 0, 144, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 3, 0, 0, 0, 0, 4, 0, 48, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 3, 0, 0, 0, 0, 4, 0, 24, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 3, 0, 0, 0, 0, 4, 0, 32, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 3, 0, 0, 0, 0, 4, 0, 160, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 3, 0, 0, 1, 0, 19, 0, 213, 4, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 88, 3, 0, 0, 0, 0, 4, 0, 192, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 3, 0, 0, 0, 0, 4, 0, 24, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 3, 0, 0, 1, 0, 19, 0, 249, 4, 0, 0, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 134, 3, 0, 0, 0, 0, 4, 0, 120, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 142, 3, 0, 0, 1, 0, 19, 0, 20, 5, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 172, 3, 0, 0, 0, 0, 4, 0, 112, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 3, 0, 0, 0, 0, 4, 0, 160, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 3, 0, 0, 0, 0, 4, 0, 120, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 197, 3, 0, 0, 0, 0, 4, 0, 224, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 3, 0, 0, 0, 0, 4, 0, 72, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 215, 3, 0, 0, 0, 0, 4, 0, 32, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 3, 0, 0, 0, 0, 4, 0, 248, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 3, 0, 0, 0, 0, 4, 0, 192, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 3, 0, 0, 0, 0, 4, 0, 80, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 3, 0, 0, 0, 0, 5, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 0, 0, 0, 0, 5, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 4, 0, 0, 0, 0, 5, 0, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 4, 0, 0, 1, 0, 19, 0, 123, 5, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 41, 4, 0, 0, 0, 0, 5, 0, 72, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 4, 0, 0, 0, 0, 5, 0, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 4, 0, 0, 2, 0, 3, 0, 64, 1, 0, 0, 0, 0, 0, 0, 248, 52, 0, 0, 0, 0, 0, 0, 73, 4, 0, 0, 0, 0, 5, 0, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 4, 0, 0, 0, 0, 5, 0, 80, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 89, 4, 0, 0, 0, 0, 5, 0, 144, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 4, 0, 0, 0, 0, 5, 0, 184, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 105, 4, 0, 0, 0, 0, 5, 0, 136, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 4, 0, 0, 0, 0, 5, 0, 48, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 4, 0, 0, 0, 0, 5, 0, 72, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 129, 4, 0, 0, 0, 0, 5, 0, 240, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 137, 4, 0, 0, 2, 0, 3, 0, 56, 54, 0, 0, 0, 0, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 153, 4, 0, 0, 0, 0, 5, 0, 48, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 4, 0, 0, 0, 0, 5, 0, 48, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 169, 4, 0, 0, 0, 0, 3, 0, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 4, 0, 0, 1, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 195, 4, 0, 0, 0, 0, 3, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 202, 4, 0, 0, 0, 0, 6, 0, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 209, 4, 0, 0, 0, 0, 6, 0, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 4, 0, 0, 0, 0, 6, 0, 64, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 4, 0, 0, 0, 0, 6, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 231, 4, 0, 0, 0, 0, 6, 0, 56, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 239, 4, 0, 0, 1, 0, 19, 0, 74, 6, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 0, 0, 6, 0, 104, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 5, 0, 0, 0, 0, 6, 0, 72, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 5, 0, 0, 0, 0, 6, 0, 40, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 5, 0, 0, 0, 0, 6, 0, 56, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 5, 0, 0, 0, 0, 6, 0, 56, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 5, 0, 0, 0, 0, 6, 0, 64, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 5, 0, 0, 0, 0, 6, 0, 216, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 5, 0, 0, 0, 0, 6, 0, 240, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 5, 0, 0, 0, 0, 6, 0, 184, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 5, 0, 0, 0, 0, 6, 0, 176, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 5, 0, 0, 0, 0, 6, 0, 192, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 94, 5, 0, 0, 0, 0, 7, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 101, 5, 0, 0, 0, 0, 7, 0, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 5, 0, 0, 2, 0, 3, 0, 120, 58, 0, 0, 0, 0, 0, 0, 24, 4, 0, 0, 0, 0, 0, 0, 122, 5, 0, 0, 2, 0, 3, 0, 144, 62, 0, 0, 0, 0, 0, 0, 200, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 137, 5, 0, 0, 0, 0, 8, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 5, 0, 0, 0, 0, 8, 0, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 151, 5, 0, 0, 0, 0, 8, 0, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 158, 5, 0, 0, 1, 0, 19, 0, 166, 6, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 8, 0, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 5, 0, 0, 0, 0, 8, 0, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 197, 5, 0, 0, 0, 0, 8, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 205, 5, 0, 0, 0, 0, 8, 0, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 213, 5, 0, 0, 1, 0, 19, 0, 181, 6, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0, 0, 0, 241, 5, 0, 0, 0, 0, 8, 0, 152, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 249, 5, 0, 0, 0, 0, 8, 0, 40, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 6, 0, 0, 1, 0, 19, 0, 223, 6, 0, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 30, 6, 0, 0, 0, 0, 8, 0, 120, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 6, 0, 0, 0, 0, 8, 0, 104, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 6, 0, 0, 0, 0, 9, 0, 112, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 53, 6, 0, 0, 0, 0, 9, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 6, 0, 0, 0, 0, 9, 0, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 67, 6, 0, 0, 0, 0, 9, 0, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 6, 0, 0, 0, 0, 9, 0, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 6, 0, 0, 0, 0, 10, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 6, 0, 0, 0, 0, 10, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 6, 0, 0, 0, 0, 10, 0, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 102, 6, 0, 0, 0, 0, 10, 0, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 109, 6, 0, 0, 0, 0, 11, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 6, 0, 0, 0, 0, 11, 0, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 6, 0, 0, 0, 0, 11, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 130, 6, 0, 0, 1, 0, 18, 0, 239, 42, 0, 0, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 158, 6, 0, 0, 0, 0, 12, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 165, 6, 0, 0, 0, 0, 12, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 6, 0, 0, 2, 0, 3, 0, 88, 75, 0, 0, 0, 0, 0, 0, 88, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 197, 6, 0, 0, 0, 0, 13, 0, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 205, 6, 0, 0, 0, 0, 13, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 214, 6, 0, 0, 0, 0, 13, 0, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 222, 6, 0, 0, 1, 0, 18, 0, 11, 43, 0, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 250, 6, 0, 0, 0, 0, 13, 0, 144, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 7, 0, 0, 0, 0, 13, 0, 200, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 7, 0, 0, 1, 0, 19, 0, 49, 7, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 41, 7, 0, 0, 0, 0, 13, 0, 88, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 7, 0, 0, 1, 0, 19, 0, 24, 7, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 77, 7, 0, 0, 0, 0, 14, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 7, 0, 0, 0, 0, 15, 0, 176, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 7, 0, 0, 0, 0, 15, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 103, 7, 0, 0, 0, 0, 15, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 111, 7, 0, 0, 0, 0, 15, 0, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 7, 0, 0, 0, 0, 15, 0, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 7, 0, 0, 0, 0, 15, 0, 240, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 137, 7, 0, 0, 0, 0, 15, 0, 64, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 7, 0, 0, 0, 0, 15, 0, 192, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 155, 7, 0, 0, 0, 0, 15, 0, 152, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 7, 0, 0, 0, 0, 15, 0, 88, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 173, 7, 0, 0, 1, 0, 19, 0, 114, 7, 0, 0, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 0, 195, 7, 0, 0, 0, 0, 15, 0, 152, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 7, 0, 0, 0, 0, 15, 0, 152, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 213, 7, 0, 0, 0, 0, 15, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 222, 7, 0, 0, 0, 0, 15, 0, 184, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 231, 7, 0, 0, 1, 0, 19, 0, 74, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 250, 7, 0, 0, 0, 0, 15, 0, 144, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 8, 0, 0, 0, 0, 15, 0, 8, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 8, 0, 0, 0, 0, 15, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 8, 0, 0, 1, 0, 19, 0, 84, 7, 0, 0, 0, 0, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 43, 8, 0, 0, 0, 0, 15, 0, 24, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 8, 0, 0, 0, 0, 15, 0, 56, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 8, 0, 0, 0, 0, 15, 0, 8, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 8, 0, 0, 0, 0, 15, 0, 88, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 8, 0, 0, 2, 0, 3, 0, 176, 79, 0, 0, 0, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 100, 8, 0, 0, 0, 0, 15, 0, 120, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 109, 8, 0, 0, 0, 0, 15, 0, 160, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 8, 0, 0, 0, 0, 15, 0, 224, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 8, 0, 0, 1, 0, 19, 0, 240, 7, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 148, 8, 0, 0, 0, 0, 15, 0, 96, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 157, 8, 0, 0, 0, 0, 15, 0, 248, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 8, 0, 0, 0, 0, 15, 0, 64, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 8, 0, 0, 0, 0, 15, 0, 88, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 185, 8, 0, 0, 0, 0, 15, 0, 184, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 194, 8, 0, 0, 1, 0, 19, 0, 132, 7, 0, 0, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 212, 8, 0, 0, 0, 0, 15, 0, 72, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 221, 8, 0, 0, 0, 0, 15, 0, 80, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230, 8, 0, 0, 0, 0, 15, 0, 216, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 239, 8, 0, 0, 1, 0, 19, 0, 160, 7, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 4, 9, 0, 0, 0, 0, 15, 0, 72, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 9, 0, 0, 0, 0, 15, 0, 232, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 9, 0, 0, 0, 0, 15, 0, 32, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 9, 0, 0, 0, 0, 15, 0, 96, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 9, 0, 0, 1, 0, 19, 0, 189, 7, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 61, 9, 0, 0, 0, 0, 15, 0, 248, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 9, 0, 0, 0, 0, 15, 0, 200, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 79, 9, 0, 0, 0, 0, 15, 0, 216, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 9, 0, 0, 1, 0, 19, 0, 230, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 109, 9, 0, 0, 0, 0, 15, 0, 160, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 9, 0, 0, 1, 0, 19, 0, 212, 7, 0, 0, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 0, 139, 9, 0, 0, 0, 0, 15, 0, 192, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 149, 9, 0, 0, 0, 0, 15, 0, 200, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 158, 9, 0, 0, 0, 0, 15, 0, 136, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 167, 9, 0, 0, 0, 0, 15, 0, 96, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 9, 0, 0, 0, 0, 15, 0, 48, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 185, 9, 0, 0, 0, 0, 15, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 195, 9, 0, 0, 0, 0, 15, 0, 64, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 9, 0, 0, 0, 0, 15, 0, 208, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 214, 9, 0, 0, 0, 0, 15, 0, 216, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 9, 0, 0, 0, 0, 15, 0, 224, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 9, 0, 0, 0, 0, 15, 0, 232, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 9, 0, 0, 0, 0, 15, 0, 56, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 9, 0, 0, 1, 0, 19, 0, 6, 8, 0, 0, 0, 0, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 17, 10, 0, 0, 0, 0, 15, 0, 168, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 10, 0, 0, 1, 0, 19, 0, 40, 8, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 51, 10, 0, 0, 0, 0, 15, 0, 120, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 10, 0, 0, 1, 0, 19, 0, 69, 8, 0, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 86, 10, 0, 0, 0, 0, 15, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 10, 0, 0, 0, 0, 15, 0, 40, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 10, 0, 0, 0, 0, 16, 0, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 10, 0, 0, 0, 0, 3, 0, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 10, 0, 0, 0, 0, 3, 0, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 10, 0, 0, 1, 0, 19, 0, 135, 5, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 151, 10, 0, 0, 0, 0, 3, 0, 128, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 159, 10, 0, 0, 0, 0, 3, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 167, 10, 0, 0, 0, 0, 3, 0, 160, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 10, 0, 0, 0, 0, 3, 0, 80, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 10, 0, 0, 0, 0, 3, 0, 16, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 194, 10, 0, 0, 0, 0, 3, 0, 8, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 10, 0, 0, 0, 0, 3, 0, 232, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 213, 10, 0, 0, 1, 0, 19, 0, 193, 5, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 239, 10, 0, 0, 0, 0, 3, 0, 48, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 10, 0, 0, 1, 0, 19, 0, 226, 5, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 18, 11, 0, 0, 0, 0, 3, 0, 240, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 11, 0, 0, 0, 0, 3, 0, 112, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 11, 0, 0, 0, 0, 3, 0, 152, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 47, 11, 0, 0, 0, 0, 3, 0, 224, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 11, 0, 0, 1, 0, 19, 0, 166, 5, 0, 0, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 82, 11, 0, 0, 0, 0, 3, 0, 24, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 91, 11, 0, 0, 0, 0, 3, 0, 96, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 100, 11, 0, 0, 0, 0, 3, 0, 216, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 109, 11, 0, 0, 1, 0, 19, 0, 1, 6, 0, 0, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 136, 11, 0, 0, 0, 0, 3, 0, 104, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 145, 11, 0, 0, 0, 0, 3, 0, 184, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 11, 0, 0, 0, 0, 3, 0, 48, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 163, 11, 0, 0, 0, 0, 3, 0, 88, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 11, 0, 0, 0, 0, 3, 0, 24, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 11, 0, 0, 0, 0, 3, 0, 216, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 11, 0, 0, 0, 0, 3, 0, 104, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 199, 11, 0, 0, 1, 0, 19, 0, 27, 6, 0, 0, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 224, 11, 0, 0, 0, 0, 3, 0, 80, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 11, 0, 0, 0, 0, 3, 0, 112, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 11, 0, 0, 0, 0, 3, 0, 152, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 11, 0, 0, 0, 0, 3, 0, 176, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 12, 0, 0, 0, 0, 3, 0, 56, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 12, 0, 0, 0, 0, 3, 0, 104, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 12, 0, 0, 0, 0, 3, 0, 152, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31, 12, 0, 0, 0, 0, 3, 0, 176, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 12, 0, 0, 0, 0, 3, 0, 88, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 12, 0, 0, 0, 0, 3, 0, 224, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 12, 0, 0, 1, 0, 18, 0, 16, 42, 0, 0, 0, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 72, 12, 0, 0, 0, 0, 3, 0, 56, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 81, 12, 0, 0, 0, 0, 3, 0, 80, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 90, 12, 0, 0, 0, 0, 3, 0, 168, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 99, 12, 0, 0, 0, 0, 3, 0, 48, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 12, 0, 0, 0, 0, 3, 0, 8, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 117, 12, 0, 0, 0, 0, 3, 0, 48, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 12, 0, 0, 0, 0, 3, 0, 16, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 135, 12, 0, 0, 0, 0, 3, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 12, 0, 0, 0, 0, 3, 0, 128, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 153, 12, 0, 0, 0, 0, 3, 0, 88, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 12, 0, 0, 0, 0, 3, 0, 184, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 171, 12, 0, 0, 0, 0, 3, 0, 144, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 12, 0, 0, 0, 0, 3, 0, 8, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 12, 0, 0, 0, 0, 3, 0, 16, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 199, 12, 0, 0, 0, 0, 3, 0, 152, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 209, 12, 0, 0, 0, 0, 3, 0, 232, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 219, 12, 0, 0, 0, 0, 3, 0, 72, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 228, 12, 0, 0, 0, 0, 3, 0, 104, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 237, 12, 0, 0, 0, 0, 3, 0, 144, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 12, 0, 0, 0, 0, 3, 0, 168, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 12, 0, 0, 0, 0, 3, 0, 32, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 13, 0, 0, 0, 0, 3, 0, 88, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 13, 0, 0, 0, 0, 3, 0, 136, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 13, 0, 0, 0, 0, 3, 0, 160, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 13, 0, 0, 0, 0, 3, 0, 64, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 13, 0, 0, 0, 0, 3, 0, 192, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 13, 0, 0, 0, 0, 3, 0, 24, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 66, 13, 0, 0, 0, 0, 3, 0, 48, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 13, 0, 0, 0, 0, 3, 0, 128, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 13, 0, 0, 0, 0, 3, 0, 112, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 13, 0, 0, 0, 0, 3, 0, 240, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 13, 0, 0, 0, 0, 3, 0, 240, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 13, 0, 0, 0, 0, 3, 0, 8, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 13, 0, 0, 0, 0, 3, 0, 56, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 13, 0, 0, 0, 0, 3, 0, 64, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 13, 0, 0, 0, 0, 3, 0, 176, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 156, 13, 0, 0, 0, 0, 3, 0, 192, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 13, 0, 0, 0, 0, 3, 0, 80, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 13, 0, 0, 0, 0, 3, 0, 64, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 186, 13, 0, 0, 0, 0, 3, 0, 16, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 196, 13, 0, 0, 0, 0, 3, 0, 40, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 13, 0, 0, 0, 0, 3, 0, 112, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 13, 0, 0, 0, 0, 3, 0, 144, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 226, 13, 0, 0, 0, 0, 3, 0, 184, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 236, 13, 0, 0, 0, 0, 3, 0, 216, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 13, 0, 0, 0, 0, 3, 0, 104, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 0, 3, 0, 152, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 14, 0, 0, 0, 0, 3, 0, 216, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 14, 0, 0, 0, 0, 3, 0, 248, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 30, 14, 0, 0, 0, 0, 3, 0, 184, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 14, 0, 0, 0, 0, 3, 0, 24, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 14, 0, 0, 0, 0, 3, 0, 128, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 14, 0, 0, 0, 0, 3, 0, 160, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 14, 0, 0, 0, 0, 3, 0, 8, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 14, 0, 0, 0, 0, 3, 0, 184, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 90, 14, 0, 0, 0, 0, 3, 0, 112, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 100, 14, 0, 0, 0, 0, 3, 0, 152, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 110, 14, 0, 0, 0, 0, 3, 0, 192, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 14, 0, 0, 0, 0, 3, 0, 216, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 3, 0, 112, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 140, 14, 0, 0, 0, 0, 3, 0, 168, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 150, 14, 0, 0, 0, 0, 3, 0, 224, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 14, 0, 0, 0, 0, 3, 0, 248, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 170, 14, 0, 0, 0, 0, 3, 0, 184, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 14, 0, 0, 0, 0, 3, 0, 40, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 190, 14, 0, 0, 0, 0, 3, 0, 136, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 14, 0, 0, 0, 0, 3, 0, 160, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 210, 14, 0, 0, 0, 0, 3, 0, 16, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 14, 0, 0, 0, 0, 3, 0, 136, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230, 14, 0, 0, 0, 0, 3, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 14, 0, 0, 0, 0, 3, 0, 48, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250, 14, 0, 0, 0, 0, 3, 0, 80, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 15, 0, 0, 0, 0, 3, 0, 112, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 15, 0, 0, 0, 0, 3, 0, 88, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 15, 0, 0, 0, 0, 3, 0, 208, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 15, 0, 0, 0, 0, 3, 0, 248, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 44, 15, 0, 0, 0, 0, 3, 0, 120, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 54, 15, 0, 0, 0, 0, 3, 0, 200, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 15, 0, 0, 0, 0, 3, 0, 40, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 74, 15, 0, 0, 0, 0, 3, 0, 72, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 84, 15, 0, 0, 0, 0, 3, 0, 112, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 94, 15, 0, 0, 0, 0, 3, 0, 136, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 15, 0, 0, 0, 0, 3, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 15, 0, 0, 0, 0, 3, 0, 56, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 124, 15, 0, 0, 0, 0, 3, 0, 104, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 134, 15, 0, 0, 0, 0, 3, 0, 128, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 15, 0, 0, 0, 0, 3, 0, 32, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 15, 0, 0, 0, 0, 3, 0, 160, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 15, 0, 0, 0, 0, 3, 0, 248, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 15, 0, 0, 0, 0, 3, 0, 16, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 15, 0, 0, 0, 0, 3, 0, 96, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 194, 15, 0, 0, 0, 0, 3, 0, 72, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 15, 0, 0, 0, 0, 3, 0, 200, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 214, 15, 0, 0, 0, 0, 3, 0, 176, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 15, 0, 0, 0, 0, 3, 0, 240, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 15, 0, 0, 0, 0, 3, 0, 208, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 244, 15, 0, 0, 0, 0, 3, 0, 56, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 254, 15, 0, 0, 0, 0, 3, 0, 72, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 16, 0, 0, 0, 0, 3, 0, 216, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18, 16, 0, 0, 0, 0, 3, 0, 32, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 16, 0, 0, 0, 0, 3, 0, 128, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 38, 16, 0, 0, 0, 0, 3, 0, 160, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 16, 0, 0, 0, 0, 3, 0, 200, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 16, 0, 0, 0, 0, 3, 0, 224, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 16, 0, 0, 0, 0, 3, 0, 88, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 16, 0, 0, 0, 0, 3, 0, 144, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 16, 0, 0, 0, 0, 3, 0, 192, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 98, 16, 0, 0, 0, 0, 3, 0, 224, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 16, 0, 0, 0, 0, 3, 0, 128, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 16, 0, 0, 0, 0, 3, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 16, 0, 0, 0, 0, 3, 0, 88, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 138, 16, 0, 0, 0, 0, 3, 0, 112, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 148, 16, 0, 0, 0, 0, 3, 0, 192, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 158, 16, 0, 0, 0, 0, 3, 0, 184, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 16, 0, 0, 0, 0, 3, 0, 56, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 178, 16, 0, 0, 0, 0, 3, 0, 24, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 16, 0, 0, 0, 0, 3, 0, 64, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 198, 16, 0, 0, 0, 0, 3, 0, 240, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 16, 0, 0, 0, 0, 3, 0, 224, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 218, 16, 0, 0, 0, 0, 3, 0, 240, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 228, 16, 0, 0, 0, 0, 3, 0, 216, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 16, 0, 0, 0, 0, 3, 0, 56, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 16, 0, 0, 0, 0, 3, 0, 72, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 17, 0, 0, 0, 0, 3, 0, 24, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 17, 0, 0, 0, 0, 3, 0, 240, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22, 17, 0, 0, 0, 0, 3, 0, 80, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 17, 0, 0, 0, 0, 3, 0, 112, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 17, 0, 0, 0, 0, 3, 0, 152, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 17, 0, 0, 0, 0, 3, 0, 176, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 17, 0, 0, 0, 0, 3, 0, 72, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 17, 0, 0, 0, 0, 3, 0, 104, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 82, 17, 0, 0, 0, 0, 3, 0, 168, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 92, 17, 0, 0, 0, 0, 3, 0, 200, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 102, 17, 0, 0, 0, 0, 3, 0, 128, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 17, 0, 0, 0, 0, 3, 0, 232, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 17, 0, 0, 0, 0, 3, 0, 80, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 17, 0, 0, 0, 0, 3, 0, 112, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 142, 17, 0, 0, 0, 0, 3, 0, 216, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 17, 0, 0, 0, 0, 3, 0, 40, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 17, 0, 0, 0, 0, 3, 0, 80, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 17, 0, 0, 0, 0, 3, 0, 120, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 182, 17, 0, 0, 0, 0, 3, 0, 144, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 17, 0, 0, 0, 0, 3, 0, 64, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 202, 17, 0, 0, 0, 0, 3, 0, 96, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 212, 17, 0, 0, 0, 0, 3, 0, 152, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 222, 17, 0, 0, 0, 0, 3, 0, 176, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 17, 0, 0, 0, 0, 3, 0, 104, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 242, 17, 0, 0, 0, 0, 3, 0, 224, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 252, 17, 0, 0, 0, 0, 3, 0, 56, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 18, 0, 0, 0, 0, 3, 0, 80, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 18, 0, 0, 0, 0, 3, 0, 208, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 18, 0, 0, 0, 0, 3, 0, 32, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 36, 18, 0, 0, 0, 0, 3, 0, 72, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 46, 18, 0, 0, 0, 0, 3, 0, 192, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 18, 0, 0, 0, 0, 3, 0, 216, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 66, 18, 0, 0, 0, 0, 3, 0, 96, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 18, 0, 0, 0, 0, 3, 0, 192, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 18, 0, 0, 0, 0, 3, 0, 16, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 18, 0, 0, 0, 0, 3, 0, 48, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 18, 0, 0, 0, 0, 3, 0, 88, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 116, 18, 0, 0, 0, 0, 3, 0, 112, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 126, 18, 0, 0, 0, 0, 3, 0, 248, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 18, 0, 0, 0, 0, 3, 0, 32, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 18, 0, 0, 0, 0, 3, 0, 80, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 156, 18, 0, 0, 0, 0, 3, 0, 104, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 18, 0, 0, 0, 0, 3, 0, 8, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 18, 0, 0, 0, 0, 3, 0, 136, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 186, 18, 0, 0, 0, 0, 3, 0, 224, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 196, 18, 0, 0, 0, 0, 3, 0, 248, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 18, 0, 0, 0, 0, 3, 0, 88, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 18, 0, 0, 0, 0, 3, 0, 56, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 226, 18, 0, 0, 0, 0, 3, 0, 192, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 236, 18, 0, 0, 1, 0, 18, 0, 208, 41, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 3, 0, 88, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 3, 0, 112, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 3, 0, 104, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 19, 0, 0, 0, 0, 3, 0, 216, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 19, 0, 0, 0, 0, 3, 0, 0, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 19, 0, 0, 0, 0, 3, 0, 40, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 19, 0, 0, 0, 0, 3, 0, 72, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 67, 19, 0, 0, 0, 0, 3, 0, 24, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 19, 0, 0, 0, 0, 3, 0, 136, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 19, 0, 0, 0, 0, 3, 0, 176, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 94, 19, 0, 0, 0, 0, 3, 0, 216, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 103, 19, 0, 0, 0, 0, 3, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 19, 0, 0, 0, 0, 3, 0, 104, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 3, 0, 152, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 130, 19, 0, 0, 0, 0, 3, 0, 144, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 139, 19, 0, 0, 0, 0, 3, 0, 224, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 148, 19, 0, 0, 0, 0, 3, 0, 8, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 157, 19, 0, 0, 0, 0, 3, 0, 48, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 19, 0, 0, 0, 0, 3, 0, 80, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 175, 19, 0, 0, 0, 0, 3, 0, 176, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 19, 0, 0, 0, 0, 3, 0, 8, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 193, 19, 0, 0, 1, 0, 19, 0, 55, 6, 0, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 229, 19, 0, 0, 0, 0, 3, 0, 80, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 19, 0, 0, 0, 0, 3, 0, 96, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 247, 19, 0, 0, 0, 0, 3, 0, 184, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 19, 0, 0, 0, 0, 3, 0, 152, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 20, 0, 0, 0, 0, 3, 0, 112, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 20, 0, 0, 0, 0, 3, 0, 112, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 20, 0, 0, 0, 0, 3, 0, 224, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 20, 0, 0, 0, 0, 3, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 20, 0, 0, 0, 0, 3, 0, 40, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 0, 0, 0, 0, 3, 0, 64, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 20, 0, 0, 0, 0, 3, 0, 224, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 20, 0, 0, 0, 0, 3, 0, 8, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 77, 20, 0, 0, 0, 0, 3, 0, 56, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 20, 0, 0, 0, 0, 3, 0, 80, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 20, 0, 0, 0, 0, 3, 0, 240, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 20, 0, 0, 0, 0, 3, 0, 120, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 20, 0, 0, 0, 0, 3, 0, 208, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 122, 20, 0, 0, 0, 0, 3, 0, 232, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 131, 20, 0, 0, 0, 0, 3, 0, 88, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 140, 20, 0, 0, 0, 0, 3, 0, 208, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 148, 20, 0, 0, 0, 0, 3, 0, 56, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 156, 20, 0, 0, 0, 0, 3, 0, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 20, 0, 0, 0, 0, 3, 0, 168, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 20, 0, 0, 0, 0, 3, 0, 232, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 20, 0, 0, 0, 0, 3, 0, 136, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 20, 0, 0, 0, 0, 3, 0, 128, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 198, 20, 0, 0, 0, 0, 3, 0, 0, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 20, 0, 0, 0, 0, 3, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 20, 0, 0, 0, 0, 3, 0, 8, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 225, 20, 0, 0, 0, 0, 3, 0, 208, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 20, 0, 0, 0, 0, 3, 0, 64, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 243, 20, 0, 0, 0, 0, 3, 0, 96, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 252, 20, 0, 0, 0, 0, 3, 0, 136, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 21, 0, 0, 0, 0, 3, 0, 160, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 21, 0, 0, 0, 0, 3, 0, 104, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 21, 0, 0, 0, 0, 3, 0, 136, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 21, 0, 0, 0, 0, 3, 0, 200, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 21, 0, 0, 0, 0, 3, 0, 224, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 21, 0, 0, 0, 0, 3, 0, 128, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 59, 21, 0, 0, 0, 0, 3, 0, 8, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 21, 0, 0, 0, 0, 3, 0, 96, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 77, 21, 0, 0, 0, 0, 3, 0, 120, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 86, 21, 0, 0, 0, 0, 3, 0, 232, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 95, 21, 0, 0, 0, 0, 3, 0, 56, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 21, 0, 0, 0, 0, 3, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 21, 0, 0, 1, 0, 19, 0, 107, 6, 0, 0, 0, 0, 0, 0, 59, 0, 0, 0, 0, 0, 0, 0, 135, 21, 0, 0, 0, 0, 3, 0, 80, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 21, 0, 0, 0, 0, 3, 0, 200, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 153, 21, 0, 0, 0, 0, 3, 0, 184, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 162, 21, 0, 0, 0, 0, 3, 0, 40, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 171, 21, 0, 0, 0, 0, 3, 0, 160, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 21, 0, 0, 0, 0, 3, 0, 248, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 189, 21, 0, 0, 0, 0, 3, 0, 24, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 198, 21, 0, 0, 0, 0, 3, 0, 64, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 21, 0, 0, 0, 0, 3, 0, 88, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 21, 0, 0, 0, 0, 3, 0, 216, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 225, 21, 0, 0, 0, 0, 3, 0, 248, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 21, 0, 0, 0, 0, 3, 0, 40, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 243, 21, 0, 0, 0, 0, 3, 0, 64, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 252, 21, 0, 0, 0, 0, 3, 0, 208, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 22, 0, 0, 0, 0, 3, 0, 96, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 22, 0, 0, 0, 0, 3, 0, 184, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 22, 0, 0, 0, 0, 3, 0, 32, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 22, 0, 0, 0, 0, 3, 0, 248, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 22, 0, 0, 0, 0, 3, 0, 136, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 22, 0, 0, 1, 0, 18, 0, 176, 42, 0, 0, 0, 0, 0, 0, 63, 0, 0, 0, 0, 0, 0, 0, 75, 22, 0, 0, 0, 0, 3, 0, 248, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 84, 22, 0, 0, 0, 0, 3, 0, 192, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 93, 22, 0, 0, 0, 0, 3, 0, 192, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 101, 22, 0, 0, 0, 0, 3, 0, 40, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 110, 22, 0, 0, 0, 0, 3, 0, 16, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 22, 0, 0, 0, 0, 3, 0, 56, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 22, 0, 0, 0, 0, 3, 0, 240, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 22, 0, 0, 0, 0, 3, 0, 80, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 145, 22, 0, 0, 0, 0, 3, 0, 168, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 22, 0, 0, 1, 0, 19, 0, 249, 6, 0, 0, 0, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 186, 22, 0, 0, 0, 0, 3, 0, 24, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 194, 22, 0, 0, 0, 0, 3, 0, 152, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 202, 22, 0, 0, 18, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 18, 0, 0, 0, 0, 0, 0, 219, 22, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 244, 22, 0, 0, 17, 0, 22, 0, 0, 134, 6, 0, 0, 0, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 255, 22, 0, 0, 17, 0, 22, 0, 144, 134, 6, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 15, 23, 0, 0, 17, 0, 18, 0, 8, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 32, 23, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 49, 23, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 67, 23, 0, 0, 17, 0, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 75, 23, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 23, 0, 0, 17, 0, 18, 0, 188, 1, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 111, 23, 0, 0, 17, 0, 23, 0, 40, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 120, 23, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 139, 23, 0, 0, 17, 2, 24, 0, 8, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 161, 23, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 23, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 203, 23, 0, 0, 17, 2, 24, 0, 16, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 223, 23, 0, 0, 17, 0, 23, 0, 160, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 233, 23, 0, 0, 17, 0, 18, 0, 192, 41, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 248, 23, 0, 0, 17, 0, 23, 0, 200, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 254, 23, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 93, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 164, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 186, 24, 0, 0, 17, 0, 18, 0, 195, 41, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 205, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 221, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 241, 24, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 25, 0, 0, 18, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 20, 25, 0, 0, 17, 0, 23, 0, 232, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 28, 25, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 25, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 25, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 79, 25, 0, 0, 17, 0, 18, 0, 193, 41, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 90, 25, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 25, 0, 0, 18, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 125, 25, 0, 0, 17, 0, 18, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 141, 25, 0, 0, 18, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 6, 0, 0, 0, 0, 0, 0, 156, 25, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 25, 0, 0, 17, 0, 18, 0, 196, 41, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 189, 25, 0, 0, 17, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 2, 0, 0, 0, 0, 0, 198, 25, 0, 0, 17, 0, 18, 0, 200, 41, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 222, 25, 0, 0, 17, 0, 18, 0, 4, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 231, 25, 0, 0, 18, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 246, 25, 0, 0, 18, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 3, 0, 0, 0, 0, 0, 0, 4, 26, 0, 0, 17, 0, 22, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 6, 4, 0, 0, 0, 0, 0, 20, 26, 0, 0, 17, 0, 23, 0, 80, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 36, 26, 0, 0, 18, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 51, 26, 0, 0, 18, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 67, 26, 0, 0, 18, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 84, 26, 0, 0, 17, 0, 18, 0, 204, 41, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 90, 26, 0, 0, 18, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 108, 26, 0, 0, 17, 2, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 120, 26, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 139, 26, 0, 0, 18, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 155, 26, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 26, 0, 0, 18, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 190, 26, 0, 0, 18, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 19, 0, 0, 0, 0, 0, 0, 201, 26, 0, 0, 17, 0, 18, 0, 194, 41, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 216, 26, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 235, 26, 0, 0, 17, 0, 18, 0, 192, 25, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 249, 26, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 27, 0, 0, 17, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 23, 27, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 41, 27, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 58, 27, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 77, 27, 0, 0, 17, 0, 18, 0, 192, 9, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 90, 27, 0, 0, 18, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 101, 27, 0, 0, 17, 0, 19, 0, 32, 0, 0, 0, 0, 0, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 105, 27, 0, 0, 17, 0, 18, 0, 184, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 118, 27, 0, 0, 17, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 127, 27, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 145, 27, 0, 0, 17, 0, 23, 0, 120, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 162, 27, 0, 0, 17, 0, 18, 0, 12, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 177, 27, 0, 0, 17, 0, 18, 0, 24, 0, 0, 0, 0, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 198, 27, 0, 0, 17, 0, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 207, 27, 0, 0, 17, 0, 18, 0, 16, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 214, 27, 0, 0, 17, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 188, 17, 0, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 2, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 252, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 50, 0, 0, 0, 0, 0, 0, 85, 2, 9, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 0, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 97, 32, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 188, 22, 0, 0, 0, 0, 0, 0, 99, 106, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 10, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 96, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 188, 73, 0, 0, 0, 0, 0, 0, 191, 24, 0, 0, 0, 0, 0, 0, 121, 135, 8, 0, 0, 0, 0, 0, 85, 7, 7, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 135, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 93, 0, 0, 0, 0, 0, 123, 42, 176, 255, 0, 0, 0, 0, 99, 58, 184, 255, 0, 0, 0, 0, 97, 134, 24, 0, 0, 0, 0, 0, 99, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 6, 0, 0, 0, 0, 0, 123, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 77, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 99, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 9, 0, 0, 0, 0, 0, 86, 6, 62, 0, 65, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 161, 176, 255, 0, 0, 0, 0, 97, 17, 240, 2, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 22, 1, 207, 0, 0, 0, 0, 0, 5, 0, 205, 0, 0, 0, 0, 0, 121, 7, 8, 0, 0, 0, 0, 0, 85, 7, 7, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 193, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 51, 0, 0, 0, 0, 0, 121, 129, 8, 0, 0, 0, 0, 0, 85, 1, 7, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 226, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 42, 0, 0, 0, 0, 0, 123, 10, 160, 255, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 121, 161, 176, 255, 0, 0, 0, 0, 121, 18, 208, 3, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 176, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 123, 10, 152, 255, 0, 0, 0, 0, 86, 9, 157, 0, 0, 0, 0, 0, 97, 134, 24, 0, 0, 0, 0, 0, 99, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 123, 10, 144, 255, 0, 0, 0, 0, 85, 0, 25, 0, 0, 0, 0, 0, 123, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 97, 166, 184, 255, 0, 0, 0, 0, 99, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 19, 0, 0, 0, 0, 0, 5, 0, 132, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 166, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 142, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 99, 106, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 123, 10, 136, 255, 0, 0, 0, 0, 85, 0, 7, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 105, 0, 0, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 36, 1, 0, 0, 100, 0, 0, 0, 97, 137, 28, 0, 0, 0, 0, 0, 36, 9, 0, 0, 100, 0, 0, 0, 52, 9, 0, 0, 16, 39, 0, 0, 188, 146, 0, 0, 0, 0, 0, 0, 12, 18, 0, 0, 0, 0, 0, 0, 99, 42, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 123, 10, 128, 255, 0, 0, 0, 0, 85, 0, 8, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 1, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 161, 136, 255, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 36, 1, 0, 0, 100, 0, 0, 0, 12, 145, 0, 0, 0, 0, 0, 0, 99, 26, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 7, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 1, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 63, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 21, 1, 63, 0, 0, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 7, 1, 0, 0, 48, 0, 0, 0, 36, 9, 0, 0, 40, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 120, 15, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 123, 42, 112, 255, 0, 0, 0, 0, 21, 2, 30, 0, 0, 0, 0, 0, 121, 161, 136, 255, 0, 0, 0, 0, 7, 1, 0, 0, 48, 0, 0, 0, 181, 9, 2, 0, 120, 15, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 25, 0, 0, 0, 0, 0, 0, 123, 154, 104, 255, 0, 0, 0, 0, 21, 9, 37, 0, 0, 0, 0, 0, 123, 10, 64, 255, 0, 0, 0, 0, 113, 137, 32, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 121, 133, 128, 0, 0, 0, 0, 0, 191, 83, 0, 0, 0, 0, 0, 0, 121, 162, 152, 255, 0, 0, 0, 0, 45, 37, 1, 0, 0, 0, 0, 0, 121, 163, 152, 255, 0, 0, 0, 0, 191, 80, 0, 0, 0, 0, 0, 0, 63, 16, 0, 0, 0, 0, 0, 0, 191, 50, 0, 0, 0, 0, 0, 0, 63, 18, 0, 0, 0, 0, 0, 0, 123, 58, 88, 255, 0, 0, 0, 0, 123, 122, 32, 255, 0, 0, 0, 0, 94, 2, 49, 0, 0, 0, 0, 0, 121, 130, 120, 0, 0, 0, 0, 0, 85, 2, 135, 0, 0, 0, 0, 0, 121, 129, 144, 0, 0, 0, 0, 0, 123, 26, 80, 255, 0, 0, 0, 0, 5, 0, 150, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 27, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 161, 136, 255, 0, 0, 0, 0, 7, 1, 0, 0, 48, 0, 0, 0, 181, 9, 2, 0, 120, 15, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 25, 0, 0, 0, 0, 0, 0, 85, 9, 8, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 27, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 99, 104, 24, 0, 0, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 121, 17, 32, 0, 0, 0, 0, 0, 121, 163, 176, 255, 0, 0, 0, 0, 123, 19, 80, 3, 0, 0, 0, 0, 97, 129, 28, 0, 0, 0, 0, 0, 121, 130, 64, 0, 0, 0, 0, 0, 39, 2, 0, 0, 100, 0, 0, 0, 63, 18, 0, 0, 0, 0, 0, 0, 121, 49, 80, 3, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 123, 40, 48, 0, 0, 0, 0, 0, 121, 51, 208, 3, 0, 0, 0, 0, 121, 161, 168, 255, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 97, 129, 24, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 30, 97, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 188, 36, 0, 0, 0, 0, 0, 0, 28, 4, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 123, 58, 80, 255, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 121, 131, 144, 0, 0, 0, 0, 0, 127, 67, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 121, 135, 136, 0, 0, 0, 0, 0, 127, 71, 0, 0, 0, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 15, 54, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 118, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 103, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 123, 56, 144, 0, 0, 0, 0, 0, 123, 120, 136, 0, 0, 0, 0, 0, 121, 131, 120, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 21, 3, 81, 0, 0, 0, 0, 0, 44, 16, 0, 0, 0, 0, 0, 0, 28, 80, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 16, 0, 188, 22, 0, 0, 0, 0, 0, 0, 12, 6, 0, 0, 0, 0, 0, 0, 62, 22, 5, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 191, 21, 0, 0, 0, 0, 0, 0, 15, 101, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 21, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 4, 4, 0, 63, 0, 0, 0, 103, 5, 0, 0, 32, 0, 0, 0, 119, 5, 0, 0, 32, 0, 0, 0, 127, 69, 0, 0, 0, 0, 0, 0, 191, 86, 0, 0, 0, 0, 0, 0, 47, 54, 0, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 15, 96, 0, 0, 0, 0, 0, 0, 180, 6, 0, 0, 1, 0, 0, 0, 173, 112, 1, 0, 0, 0, 0, 0, 180, 6, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 255, 255, 255, 255, 86, 6, 1, 0, 0, 0, 0, 0, 191, 5, 0, 0, 0, 0, 0, 0, 123, 88, 136, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 166, 4, 18, 0, 2, 0, 0, 0, 4, 4, 0, 0, 254, 255, 255, 255, 166, 4, 1, 0, 19, 0, 0, 0, 180, 4, 0, 0, 19, 0, 0, 0, 103, 4, 0, 0, 3, 0, 0, 0, 24, 0, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 64, 0, 0, 0, 0, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 47, 48, 0, 0, 0, 0, 0, 0, 191, 84, 0, 0, 0, 0, 0, 0, 15, 4, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 84, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 255, 255, 255, 255, 86, 0, 1, 0, 0, 0, 0, 0, 191, 69, 0, 0, 0, 0, 0, 0, 123, 88, 136, 0, 0, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 121, 164, 88, 255, 0, 0, 0, 0, 31, 36, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 16, 0, 190, 65, 5, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 15, 66, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 63, 18, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 50, 0, 0, 0, 0, 0, 0, 123, 42, 80, 255, 0, 0, 0, 0, 123, 40, 144, 0, 0, 0, 0, 0, 5, 0, 18, 0, 0, 0, 0, 0, 31, 83, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 16, 0, 190, 49, 8, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 24, 4, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 67, 0, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 15, 52, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 255, 255, 255, 255, 63, 20, 0, 0, 0, 0, 0, 0, 103, 4, 0, 0, 32, 0, 0, 0, 119, 4, 0, 0, 32, 0, 0, 0, 47, 36, 0, 0, 0, 0, 0, 0, 121, 129, 144, 0, 0, 0, 0, 0, 15, 20, 0, 0, 0, 0, 0, 0, 123, 74, 80, 255, 0, 0, 0, 0, 123, 72, 144, 0, 0, 0, 0, 0, 121, 163, 88, 255, 0, 0, 0, 0, 123, 56, 128, 0, 0, 0, 0, 0, 123, 152, 120, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 121, 135, 136, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 43, 0, 2, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 159, 35, 0, 0, 0, 0, 0, 0, 121, 164, 80, 255, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 22, 9, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 22, 2, 3, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 33, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 47, 145, 0, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 22, 3, 24, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 16, 0, 180, 5, 0, 0, 0, 0, 16, 0, 190, 50, 5, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 37, 0, 0, 0, 0, 0, 0, 15, 53, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 37, 0, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 20, 0, 0, 0, 24, 2, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 32, 0, 0, 0, 0, 0, 0, 116, 5, 0, 0, 1, 0, 0, 0, 28, 84, 0, 0, 0, 0, 0, 0, 47, 64, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 1, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 47, 65, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 20, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 20, 0, 0, 0, 123, 10, 16, 255, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 133, 0, 0, 0, 93, 0, 0, 0, 113, 129, 32, 0, 0, 0, 0, 0, 123, 26, 24, 255, 0, 0, 0, 0, 21, 1, 4, 0, 0, 0, 0, 0, 121, 162, 112, 255, 0, 0, 0, 0, 121, 33, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 123, 18, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 123, 122, 120, 255, 0, 0, 0, 0, 123, 154, 56, 255, 0, 0, 0, 0, 38, 1, 6, 0, 1, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 121, 117, 16, 0, 0, 0, 0, 0, 121, 164, 88, 255, 0, 0, 0, 0, 121, 160, 80, 255, 0, 0, 0, 0, 5, 0, 155, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 121, 116, 16, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 121, 163, 152, 255, 0, 0, 0, 0, 123, 74, 96, 255, 0, 0, 0, 0, 45, 52, 1, 0, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 63, 36, 0, 0, 0, 0, 0, 0, 191, 67, 0, 0, 0, 0, 0, 0, 47, 35, 0, 0, 0, 0, 0, 0, 191, 21, 0, 0, 0, 0, 0, 0, 31, 53, 0, 0, 0, 0, 0, 0, 123, 90, 72, 255, 0, 0, 0, 0, 121, 117, 32, 0, 0, 0, 0, 0, 121, 121, 24, 0, 0, 0, 0, 0, 121, 112, 8, 0, 0, 0, 0, 0, 121, 167, 96, 255, 0, 0, 0, 0, 63, 39, 0, 0, 0, 0, 0, 0, 94, 116, 20, 0, 0, 0, 0, 0, 191, 83, 0, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 21, 0, 98, 0, 0, 0, 0, 0, 121, 163, 96, 255, 0, 0, 0, 0, 31, 49, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 16, 0, 190, 18, 8, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 24, 3, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 49, 0, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 255, 255, 255, 255, 63, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 47, 67, 0, 0, 0, 0, 0, 0, 15, 83, 0, 0, 0, 0, 0, 0, 5, 0, 81, 0, 0, 0, 0, 0, 123, 10, 48, 255, 0, 0, 0, 0, 28, 116, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 127, 69, 0, 0, 0, 0, 0, 0, 191, 86, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 127, 73, 0, 0, 0, 0, 0, 0, 191, 149, 0, 0, 0, 0, 0, 0, 191, 81, 0, 0, 0, 0, 0, 0, 15, 97, 0, 0, 0, 0, 0, 0, 180, 6, 0, 0, 1, 0, 0, 0, 173, 81, 1, 0, 0, 0, 0, 0, 180, 6, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 6, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 21, 1, 59, 0, 0, 0, 0, 0, 44, 39, 0, 0, 0, 0, 0, 0, 121, 161, 96, 255, 0, 0, 0, 0, 28, 23, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 188, 35, 0, 0, 0, 0, 0, 0, 12, 115, 0, 0, 0, 0, 0, 0, 62, 35, 5, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 33, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 121, 165, 48, 255, 0, 0, 0, 0, 38, 4, 4, 0, 63, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 127, 65, 0, 0, 0, 0, 0, 0, 191, 19, 0, 0, 0, 0, 0, 0, 47, 83, 0, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 145, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 166, 4, 19, 0, 2, 0, 0, 0, 4, 4, 0, 0, 254, 255, 255, 255, 166, 4, 1, 0, 19, 0, 0, 0, 180, 4, 0, 0, 19, 0, 0, 0, 103, 4, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 47, 83, 0, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 145, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 165, 48, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 16, 0, 121, 161, 72, 255, 0, 0, 0, 0, 190, 18, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 255, 255, 255, 255, 63, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 47, 83, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 121, 164, 72, 255, 0, 0, 0, 0, 22, 4, 24, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 16, 0, 180, 5, 0, 0, 0, 0, 16, 0, 190, 66, 5, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 37, 0, 0, 0, 0, 0, 0, 15, 69, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 37, 0, 0, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 24, 4, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 66, 0, 0, 0, 0, 0, 0, 116, 5, 0, 0, 1, 0, 0, 0, 28, 81, 0, 0, 0, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 1, 0, 0, 0, 15, 50, 0, 0, 0, 0, 0, 0, 103, 9, 0, 0, 32, 0, 0, 0, 119, 9, 0, 0, 32, 0, 0, 0, 47, 25, 0, 0, 0, 0, 0, 0, 119, 9, 0, 0, 20, 0, 0, 0, 15, 146, 0, 0, 0, 0, 0, 0, 191, 41, 0, 0, 0, 0, 0, 0, 119, 9, 0, 0, 20, 0, 0, 0, 121, 164, 88, 255, 0, 0, 0, 0, 121, 160, 80, 255, 0, 0, 0, 0, 121, 165, 96, 255, 0, 0, 0, 0, 123, 154, 8, 255, 0, 0, 0, 0, 191, 81, 0, 0, 0, 0, 0, 0, 31, 65, 0, 0, 0, 0, 0, 0, 121, 115, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 123, 42, 40, 255, 0, 0, 0, 0, 191, 89, 0, 0, 0, 0, 0, 0, 101, 1, 34, 0, 255, 255, 255, 255, 123, 58, 72, 255, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 121, 161, 120, 255, 0, 0, 0, 0, 45, 73, 1, 0, 0, 0, 0, 0, 191, 66, 0, 0, 0, 0, 0, 0, 191, 151, 0, 0, 0, 0, 0, 0, 121, 163, 40, 255, 0, 0, 0, 0, 63, 55, 0, 0, 0, 0, 0, 0, 123, 42, 96, 255, 0, 0, 0, 0, 63, 50, 0, 0, 0, 0, 0, 0, 94, 114, 160, 0, 0, 0, 0, 0, 121, 164, 112, 255, 0, 0, 0, 0, 121, 65, 8, 0, 0, 0, 0, 0, 21, 1, 254, 0, 0, 0, 0, 0, 121, 164, 96, 255, 0, 0, 0, 0, 31, 148, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 16, 0, 190, 67, 8, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 24, 2, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 36, 0, 0, 0, 0, 0, 0, 191, 50, 0, 0, 0, 0, 0, 0, 15, 66, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 63, 50, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 121, 164, 112, 255, 0, 0, 0, 0, 121, 65, 32, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 123, 36, 32, 0, 0, 0, 0, 0, 5, 0, 234, 0, 0, 0, 0, 0, 123, 154, 96, 255, 0, 0, 0, 0, 123, 74, 72, 255, 0, 0, 0, 0, 121, 162, 56, 255, 0, 0, 0, 0, 123, 42, 48, 255, 0, 0, 0, 0, 121, 162, 120, 255, 0, 0, 0, 0, 121, 163, 40, 255, 0, 0, 0, 0, 197, 1, 243, 0, 1, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 191, 69, 0, 0, 0, 0, 0, 0, 121, 162, 96, 255, 0, 0, 0, 0, 45, 37, 1, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 63, 53, 0, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 63, 52, 0, 0, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 94, 84, 25, 0, 0, 0, 0, 0, 121, 164, 80, 255, 0, 0, 0, 0, 191, 64, 0, 0, 0, 0, 0, 0, 121, 161, 24, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 121, 162, 88, 255, 0, 0, 0, 0, 22, 1, 226, 0, 0, 0, 0, 0, 121, 161, 72, 255, 0, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 19, 8, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 24, 2, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 33, 0, 0, 0, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 48, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 47, 16, 0, 0, 0, 0, 0, 0, 15, 64, 0, 0, 0, 0, 0, 0, 5, 0, 93, 0, 0, 0, 0, 0, 188, 66, 0, 0, 0, 0, 0, 0, 28, 82, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 38, 2, 2, 0, 63, 0, 0, 0, 121, 160, 80, 255, 0, 0, 0, 0, 127, 32, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 2, 2, 0, 63, 0, 0, 0, 121, 166, 120, 255, 0, 0, 0, 0, 127, 38, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 97, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 255, 255, 255, 255, 123, 106, 120, 255, 0, 0, 0, 0, 86, 0, 1, 0, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 121, 161, 24, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 121, 169, 88, 255, 0, 0, 0, 0, 22, 1, 182, 0, 0, 0, 0, 0, 44, 53, 0, 0, 0, 0, 0, 0, 28, 149, 0, 0, 0, 0, 0, 0, 188, 48, 0, 0, 0, 0, 0, 0, 12, 80, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 62, 48, 5, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 49, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 38, 2, 4, 0, 63, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 127, 33, 0, 0, 0, 0, 0, 0, 191, 21, 0, 0, 0, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 47, 21, 0, 0, 0, 0, 0, 0, 121, 160, 120, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 173, 1, 1, 0, 0, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255, 123, 10, 120, 255, 0, 0, 0, 0, 86, 5, 1, 0, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 166, 2, 23, 0, 2, 0, 0, 0, 4, 2, 0, 0, 254, 255, 255, 255, 166, 2, 1, 0, 19, 0, 0, 0, 180, 2, 0, 0, 19, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 121, 165, 120, 255, 0, 0, 0, 0, 191, 81, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 1, 0, 0, 0, 173, 81, 1, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 255, 255, 255, 255, 123, 90, 120, 255, 0, 0, 0, 0, 86, 2, 1, 0, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 121, 163, 40, 255, 0, 0, 0, 0, 47, 52, 0, 0, 0, 0, 0, 0, 121, 161, 72, 255, 0, 0, 0, 0, 31, 65, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 19, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 48, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 47, 16, 0, 0, 0, 0, 0, 0, 121, 161, 24, 255, 0, 0, 0, 0, 5, 0, 112, 0, 0, 0, 0, 0, 188, 37, 0, 0, 0, 0, 0, 0, 28, 117, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 38, 5, 3, 0, 63, 0, 0, 0, 121, 161, 112, 255, 0, 0, 0, 0, 121, 16, 32, 0, 0, 0, 0, 0, 127, 80, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 5, 3, 0, 63, 0, 0, 0, 121, 161, 112, 255, 0, 0, 0, 0, 121, 22, 24, 0, 0, 0, 0, 0, 127, 86, 0, 0, 0, 0, 0, 0, 191, 100, 0, 0, 0, 0, 0, 0, 15, 4, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 1, 0, 0, 0, 173, 100, 1, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255, 86, 1, 1, 0, 0, 0, 0, 0, 191, 64, 0, 0, 0, 0, 0, 0, 121, 164, 112, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 20, 32, 0, 0, 0, 0, 0, 123, 4, 24, 0, 0, 0, 0, 0, 121, 65, 8, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 21, 1, 69, 0, 0, 0, 0, 0, 44, 55, 0, 0, 0, 0, 0, 0, 28, 151, 0, 0, 0, 0, 0, 0, 188, 54, 0, 0, 0, 0, 0, 0, 12, 118, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 62, 54, 5, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 15, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 49, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 38, 5, 4, 0, 63, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 127, 81, 0, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 47, 20, 0, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 15, 70, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 173, 6, 1, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 86, 4, 1, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 123, 23, 24, 0, 0, 0, 0, 0, 166, 5, 22, 0, 2, 0, 0, 0, 121, 169, 120, 255, 0, 0, 0, 0, 4, 5, 0, 0, 254, 255, 255, 255, 166, 5, 1, 0, 19, 0, 0, 0, 180, 5, 0, 0, 19, 0, 0, 0, 103, 5, 0, 0, 3, 0, 0, 0, 24, 4, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 84, 0, 0, 0, 0, 0, 0, 121, 69, 0, 0, 0, 0, 0, 0, 121, 163, 48, 255, 0, 0, 0, 0, 47, 53, 0, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 15, 84, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 173, 20, 1, 0, 0, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 86, 5, 1, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 123, 23, 24, 0, 0, 0, 0, 0, 121, 163, 40, 255, 0, 0, 0, 0, 47, 50, 0, 0, 0, 0, 0, 0, 121, 164, 96, 255, 0, 0, 0, 0, 31, 36, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 97, 166, 184, 255, 0, 0, 0, 0, 190, 67, 5, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 49, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 121, 162, 48, 255, 0, 0, 0, 0, 47, 33, 0, 0, 0, 0, 0, 0, 123, 23, 32, 0, 0, 0, 0, 0, 191, 116, 0, 0, 0, 0, 0, 0, 121, 163, 96, 255, 0, 0, 0, 0, 123, 52, 16, 0, 0, 0, 0, 0, 24, 1, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 121, 162, 72, 255, 0, 0, 0, 0, 173, 18, 2, 0, 0, 0, 0, 0, 24, 2, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 123, 39, 8, 0, 0, 0, 0, 0, 123, 58, 96, 255, 0, 0, 0, 0, 121, 160, 80, 255, 0, 0, 0, 0, 121, 161, 88, 255, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 121, 161, 56, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 121, 116, 24, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 121, 162, 120, 255, 0, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 1, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 45, 65, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 121, 117, 32, 0, 0, 0, 0, 0, 191, 84, 0, 0, 0, 0, 0, 0, 123, 10, 88, 255, 0, 0, 0, 0, 31, 4, 0, 0, 0, 0, 0, 0, 45, 84, 1, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 86, 2, 1, 0, 0, 0, 0, 0, 191, 69, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 121, 169, 96, 255, 0, 0, 0, 0, 86, 3, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 121, 161, 120, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 123, 39, 24, 0, 0, 0, 0, 0, 123, 87, 32, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 149, 0, 2, 0, 0, 0, 191, 144, 0, 0, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 45, 25, 1, 0, 0, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 63, 49, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 47, 54, 0, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 31, 100, 0, 0, 0, 0, 0, 0, 123, 74, 80, 255, 0, 0, 0, 0, 191, 148, 0, 0, 0, 0, 0, 0, 63, 52, 0, 0, 0, 0, 0, 0, 121, 166, 112, 255, 0, 0, 0, 0, 121, 103, 8, 0, 0, 0, 0, 0, 123, 122, 112, 255, 0, 0, 0, 0, 94, 65, 21, 0, 0, 0, 0, 0, 191, 89, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 21, 7, 98, 0, 0, 0, 0, 0, 121, 161, 96, 255, 0, 0, 0, 0, 31, 16, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 16, 0, 190, 3, 8, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 24, 1, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 16, 0, 0, 0, 0, 0, 0, 15, 48, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 48, 0, 0, 0, 0, 0, 0, 191, 9, 0, 0, 0, 0, 0, 0, 103, 9, 0, 0, 32, 0, 0, 0, 119, 9, 0, 0, 32, 0, 0, 0, 121, 161, 112, 255, 0, 0, 0, 0, 47, 25, 0, 0, 0, 0, 0, 0, 15, 89, 0, 0, 0, 0, 0, 0, 5, 0, 80, 0, 0, 0, 0, 0, 28, 65, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 38, 1, 2, 0, 63, 0, 0, 0, 127, 21, 0, 0, 0, 0, 0, 0, 191, 80, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 1, 2, 0, 63, 0, 0, 0, 127, 18, 0, 0, 0, 0, 0, 0, 191, 38, 0, 0, 0, 0, 0, 0, 191, 101, 0, 0, 0, 0, 0, 0, 15, 5, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 101, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 0, 1, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 165, 112, 255, 0, 0, 0, 0, 21, 5, 59, 0, 0, 0, 0, 0, 44, 52, 0, 0, 0, 0, 0, 0, 121, 165, 96, 255, 0, 0, 0, 0, 28, 84, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 16, 0, 188, 48, 0, 0, 0, 0, 0, 0, 12, 64, 0, 0, 0, 0, 0, 0, 62, 48, 5, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 191, 53, 0, 0, 0, 0, 0, 0, 15, 5, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 53, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 38, 1, 4, 0, 63, 0, 0, 0, 103, 5, 0, 0, 32, 0, 0, 0, 119, 5, 0, 0, 32, 0, 0, 0, 127, 21, 0, 0, 0, 0, 0, 0, 191, 80, 0, 0, 0, 0, 0, 0, 47, 112, 0, 0, 0, 0, 0, 0, 191, 37, 0, 0, 0, 0, 0, 0, 15, 5, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 37, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 0, 1, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 166, 1, 19, 0, 2, 0, 0, 0, 4, 1, 0, 0, 254, 255, 255, 255, 166, 1, 1, 0, 19, 0, 0, 0, 180, 1, 0, 0, 19, 0, 0, 0, 103, 1, 0, 0, 3, 0, 0, 0, 24, 5, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 21, 0, 0, 0, 0, 0, 0, 121, 85, 0, 0, 0, 0, 0, 0, 47, 117, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 173, 33, 1, 0, 0, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 5, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 167, 112, 255, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 16, 0, 121, 161, 80, 255, 0, 0, 0, 0, 190, 19, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 57, 0, 0, 0, 0, 0, 0, 15, 25, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 255, 255, 255, 255, 63, 57, 0, 0, 0, 0, 0, 0, 103, 9, 0, 0, 32, 0, 0, 0, 119, 9, 0, 0, 32, 0, 0, 0, 47, 121, 0, 0, 0, 0, 0, 0, 121, 164, 80, 255, 0, 0, 0, 0, 22, 4, 24, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 16, 0, 180, 5, 0, 0, 0, 0, 16, 0, 190, 67, 5, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 53, 0, 0, 0, 0, 0, 0, 15, 69, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 53, 0, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 20, 0, 0, 0, 24, 4, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 67, 0, 0, 0, 0, 0, 0, 116, 5, 0, 0, 1, 0, 0, 0, 28, 81, 0, 0, 0, 0, 0, 0, 47, 19, 0, 0, 0, 0, 0, 0, 119, 9, 0, 0, 1, 0, 0, 0, 15, 147, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 191, 50, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 123, 10, 112, 255, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 133, 0, 0, 0, 94, 0, 0, 0, 121, 161, 64, 255, 0, 0, 0, 0, 133, 0, 0, 0, 93, 0, 0, 0, 113, 129, 32, 0, 0, 0, 0, 0, 121, 169, 104, 255, 0, 0, 0, 0, 22, 1, 3, 0, 0, 0, 0, 0, 121, 145, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 25, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 121, 160, 88, 255, 0, 0, 0, 0, 38, 1, 3, 0, 1, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 121, 151, 16, 0, 0, 0, 0, 0, 5, 0, 156, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 121, 147, 16, 0, 0, 0, 0, 0, 191, 57, 0, 0, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 123, 58, 128, 255, 0, 0, 0, 0, 45, 19, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 63, 35, 0, 0, 0, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 47, 33, 0, 0, 0, 0, 0, 0, 191, 148, 0, 0, 0, 0, 0, 0, 31, 20, 0, 0, 0, 0, 0, 0, 123, 74, 96, 255, 0, 0, 0, 0, 121, 161, 104, 255, 0, 0, 0, 0, 121, 23, 32, 0, 0, 0, 0, 0, 121, 20, 24, 0, 0, 0, 0, 0, 121, 21, 8, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 63, 33, 0, 0, 0, 0, 0, 0, 94, 19, 20, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 191, 83, 0, 0, 0, 0, 0, 0, 21, 5, 99, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 31, 25, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 146, 8, 0, 0, 0, 0, 0, 103, 9, 0, 0, 20, 0, 0, 0, 24, 1, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 25, 0, 0, 0, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 15, 144, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 32, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 47, 48, 0, 0, 0, 0, 0, 0, 15, 112, 0, 0, 0, 0, 0, 0, 5, 0, 82, 0, 0, 0, 0, 0, 123, 90, 80, 255, 0, 0, 0, 0, 28, 19, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 38, 3, 2, 0, 63, 0, 0, 0, 127, 55, 0, 0, 0, 0, 0, 0, 191, 121, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 38, 3, 2, 0, 63, 0, 0, 0, 127, 52, 0, 0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 15, 150, 0, 0, 0, 0, 0, 0, 180, 9, 0, 0, 1, 0, 0, 0, 173, 118, 1, 0, 0, 0, 0, 0, 180, 9, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 255, 255, 255, 255, 86, 9, 1, 0, 0, 0, 0, 0, 191, 100, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 165, 80, 255, 0, 0, 0, 0, 21, 5, 60, 0, 0, 0, 0, 0, 44, 33, 0, 0, 0, 0, 0, 0, 121, 160, 128, 255, 0, 0, 0, 0, 28, 1, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 188, 38, 0, 0, 0, 0, 0, 0, 12, 22, 0, 0, 0, 0, 0, 0, 62, 38, 5, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 15, 96, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 32, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 121, 169, 80, 255, 0, 0, 0, 0, 38, 3, 4, 0, 63, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 127, 48, 0, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 47, 150, 0, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 15, 97, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 65, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 255, 255, 255, 255, 97, 166, 184, 255, 0, 0, 0, 0, 86, 0, 1, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 166, 3, 19, 0, 2, 0, 0, 0, 4, 3, 0, 0, 254, 255, 255, 255, 166, 3, 1, 0, 19, 0, 0, 0, 180, 3, 0, 0, 19, 0, 0, 0, 103, 3, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 121, 21, 0, 0, 0, 0, 0, 0, 47, 149, 0, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 173, 65, 1, 0, 0, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 255, 255, 255, 255, 86, 5, 1, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 169, 80, 255, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 121, 161, 96, 255, 0, 0, 0, 0, 190, 18, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 32, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 47, 144, 0, 0, 0, 0, 0, 0, 121, 169, 104, 255, 0, 0, 0, 0, 191, 69, 0, 0, 0, 0, 0, 0, 121, 163, 96, 255, 0, 0, 0, 0, 22, 3, 24, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 16, 0, 180, 4, 0, 0, 0, 0, 16, 0, 190, 50, 5, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 15, 52, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 255, 255, 255, 255, 63, 36, 0, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 24, 3, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 50, 0, 0, 0, 0, 0, 0, 116, 4, 0, 0, 1, 0, 0, 0, 28, 65, 0, 0, 0, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 1, 0, 0, 0, 15, 2, 0, 0, 0, 0, 0, 0, 103, 5, 0, 0, 32, 0, 0, 0, 119, 5, 0, 0, 32, 0, 0, 0, 47, 21, 0, 0, 0, 0, 0, 0, 119, 5, 0, 0, 20, 0, 0, 0, 15, 82, 0, 0, 0, 0, 0, 0, 191, 37, 0, 0, 0, 0, 0, 0, 119, 5, 0, 0, 20, 0, 0, 0, 121, 160, 88, 255, 0, 0, 0, 0, 121, 167, 128, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 121, 163, 72, 255, 0, 0, 0, 0, 31, 49, 0, 0, 0, 0, 0, 0, 121, 148, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 123, 122, 128, 255, 0, 0, 0, 0, 123, 90, 96, 255, 0, 0, 0, 0, 101, 1, 31, 0, 255, 255, 255, 255, 123, 74, 80, 255, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 45, 55, 1, 0, 0, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 63, 39, 0, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 63, 36, 0, 0, 0, 0, 0, 0, 94, 116, 146, 0, 0, 0, 0, 0, 121, 145, 8, 0, 0, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 21, 1, 237, 0, 0, 0, 0, 0, 191, 5, 0, 0, 0, 0, 0, 0, 121, 163, 128, 255, 0, 0, 0, 0, 31, 53, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 16, 0, 190, 82, 10, 0, 0, 0, 0, 0, 103, 5, 0, 0, 20, 0, 0, 0, 24, 3, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 53, 0, 0, 0, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 15, 84, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 255, 255, 255, 255, 63, 36, 0, 0, 0, 0, 0, 0, 103, 4, 0, 0, 32, 0, 0, 0, 119, 4, 0, 0, 32, 0, 0, 0, 47, 20, 0, 0, 0, 0, 0, 0, 121, 163, 104, 255, 0, 0, 0, 0, 121, 49, 32, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 5, 0, 216, 0, 0, 0, 0, 0, 197, 1, 227, 0, 1, 0, 0, 0, 121, 167, 72, 255, 0, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 45, 23, 1, 0, 0, 0, 0, 0, 191, 19, 0, 0, 0, 0, 0, 0, 63, 39, 0, 0, 0, 0, 0, 0, 191, 52, 0, 0, 0, 0, 0, 0, 63, 36, 0, 0, 0, 0, 0, 0, 94, 116, 22, 0, 0, 0, 0, 0, 121, 160, 88, 255, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 21, 1, 215, 0, 0, 0, 0, 0, 121, 161, 72, 255, 0, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 50, 10, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 24, 1, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 19, 0, 0, 0, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 15, 48, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 32, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 47, 16, 0, 0, 0, 0, 0, 0, 121, 161, 88, 255, 0, 0, 0, 0, 15, 16, 0, 0, 0, 0, 0, 0, 5, 0, 196, 0, 0, 0, 0, 0, 188, 69, 0, 0, 0, 0, 0, 0, 28, 117, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 121, 166, 88, 255, 0, 0, 0, 0, 127, 86, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 121, 169, 120, 255, 0, 0, 0, 0, 127, 89, 0, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 97, 0, 0, 0, 0, 0, 0, 180, 6, 0, 0, 1, 0, 0, 0, 173, 145, 1, 0, 0, 0, 0, 0, 180, 6, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 6, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 123, 154, 120, 255, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 169, 104, 255, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 21, 1, 172, 0, 0, 0, 0, 0, 44, 39, 0, 0, 0, 0, 0, 0, 121, 161, 72, 255, 0, 0, 0, 0, 28, 23, 0, 0, 0, 0, 0, 0, 188, 32, 0, 0, 0, 0, 0, 0, 12, 112, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 62, 32, 7, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 33, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 127, 81, 0, 0, 0, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 47, 16, 0, 0, 0, 0, 0, 0, 121, 167, 120, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 1, 0, 0, 0, 173, 113, 1, 0, 0, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 255, 255, 255, 255, 123, 122, 120, 255, 0, 0, 0, 0, 86, 0, 1, 0, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 166, 5, 22, 0, 2, 0, 0, 0, 4, 5, 0, 0, 254, 255, 255, 255, 166, 5, 1, 0, 19, 0, 0, 0, 180, 5, 0, 0, 19, 0, 0, 0, 103, 5, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 121, 21, 0, 0, 0, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 47, 21, 0, 0, 0, 0, 0, 0, 121, 160, 120, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 173, 1, 1, 0, 0, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255, 123, 10, 120, 255, 0, 0, 0, 0, 86, 5, 1, 0, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 169, 104, 255, 0, 0, 0, 0, 47, 36, 0, 0, 0, 0, 0, 0, 31, 67, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 50, 7, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 32, 0, 0, 0, 0, 0, 0, 15, 48, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 32, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 121, 161, 48, 255, 0, 0, 0, 0, 47, 16, 0, 0, 0, 0, 0, 0, 5, 0, 105, 0, 0, 0, 0, 0, 188, 69, 0, 0, 0, 0, 0, 0, 28, 117, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 38, 5, 3, 0, 63, 0, 0, 0, 121, 161, 104, 255, 0, 0, 0, 0, 121, 25, 32, 0, 0, 0, 0, 0, 127, 89, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 5, 3, 0, 63, 0, 0, 0, 121, 161, 104, 255, 0, 0, 0, 0, 121, 22, 24, 0, 0, 0, 0, 0, 127, 86, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 15, 145, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 97, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 121, 163, 104, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 19, 32, 0, 0, 0, 0, 0, 123, 147, 24, 0, 0, 0, 0, 0, 121, 49, 8, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 21, 1, 66, 0, 0, 0, 0, 0, 44, 39, 0, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 28, 23, 0, 0, 0, 0, 0, 0, 188, 38, 0, 0, 0, 0, 0, 0, 12, 118, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 16, 0, 62, 38, 7, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 15, 103, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 255, 255, 255, 255, 63, 39, 0, 0, 0, 0, 0, 0, 103, 7, 0, 0, 32, 0, 0, 0, 119, 7, 0, 0, 32, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 127, 87, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 121, 167, 72, 255, 0, 0, 0, 0, 47, 113, 0, 0, 0, 0, 0, 0, 191, 150, 0, 0, 0, 0, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 150, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 121, 163, 104, 255, 0, 0, 0, 0, 123, 19, 24, 0, 0, 0, 0, 0, 166, 5, 20, 0, 2, 0, 0, 0, 4, 5, 0, 0, 254, 255, 255, 255, 166, 5, 1, 0, 19, 0, 0, 0, 180, 5, 0, 0, 19, 0, 0, 0, 103, 5, 0, 0, 3, 0, 0, 0, 24, 3, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 83, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 47, 115, 0, 0, 0, 0, 0, 0, 191, 21, 0, 0, 0, 0, 0, 0, 15, 53, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 21, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 81, 0, 0, 0, 0, 0, 0, 121, 163, 104, 255, 0, 0, 0, 0, 123, 19, 24, 0, 0, 0, 0, 0, 121, 167, 72, 255, 0, 0, 0, 0, 47, 36, 0, 0, 0, 0, 0, 0, 191, 5, 0, 0, 0, 0, 0, 0, 31, 69, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 16, 0, 97, 166, 184, 255, 0, 0, 0, 0, 190, 82, 7, 0, 0, 0, 0, 0, 103, 5, 0, 0, 20, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 255, 255, 255, 255, 63, 33, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 47, 113, 0, 0, 0, 0, 0, 0, 123, 19, 32, 0, 0, 0, 0, 0, 123, 3, 16, 0, 0, 0, 0, 0, 24, 1, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 191, 57, 0, 0, 0, 0, 0, 0, 121, 162, 80, 255, 0, 0, 0, 0, 173, 18, 2, 0, 0, 0, 0, 0, 24, 2, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 123, 41, 8, 0, 0, 0, 0, 0, 123, 10, 128, 255, 0, 0, 0, 0, 121, 160, 88, 255, 0, 0, 0, 0, 121, 151, 32, 0, 0, 0, 0, 0, 15, 7, 0, 0, 0, 0, 0, 0, 121, 146, 24, 0, 0, 0, 0, 0, 121, 161, 120, 255, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 123, 41, 24, 0, 0, 0, 0, 0, 123, 121, 32, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 150, 0, 2, 0, 0, 0, 121, 163, 128, 255, 0, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 45, 19, 1, 0, 0, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 21, 0, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 63, 84, 0, 0, 0, 0, 0, 0, 191, 65, 0, 0, 0, 0, 0, 0, 47, 81, 0, 0, 0, 0, 0, 0, 191, 3, 0, 0, 0, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 123, 58, 152, 255, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 63, 81, 0, 0, 0, 0, 0, 0, 121, 163, 104, 255, 0, 0, 0, 0, 121, 57, 8, 0, 0, 0, 0, 0, 94, 20, 20, 0, 0, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 191, 148, 0, 0, 0, 0, 0, 0, 21, 9, 98, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 31, 16, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 16, 0, 190, 5, 10, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 24, 1, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 16, 0, 0, 0, 0, 0, 0, 15, 80, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 80, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 191, 3, 0, 0, 0, 0, 0, 0, 47, 67, 0, 0, 0, 0, 0, 0, 15, 115, 0, 0, 0, 0, 0, 0, 5, 0, 81, 0, 0, 0, 0, 0, 123, 154, 120, 255, 0, 0, 0, 0, 28, 20, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 127, 71, 0, 0, 0, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 127, 66, 0, 0, 0, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 15, 96, 0, 0, 0, 0, 0, 0, 180, 6, 0, 0, 1, 0, 0, 0, 173, 112, 1, 0, 0, 0, 0, 0, 180, 6, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 6, 1, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 160, 120, 255, 0, 0, 0, 0, 21, 0, 59, 0, 0, 0, 0, 0, 44, 81, 0, 0, 0, 0, 0, 0, 121, 163, 128, 255, 0, 0, 0, 0, 28, 49, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 16, 0, 188, 80, 0, 0, 0, 0, 0, 0, 12, 16, 0, 0, 0, 0, 0, 0, 62, 80, 7, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 191, 83, 0, 0, 0, 0, 0, 0, 15, 3, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 255, 255, 255, 255, 63, 83, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 121, 167, 120, 255, 0, 0, 0, 0, 38, 4, 2, 0, 63, 0, 0, 0, 127, 67, 0, 0, 0, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 47, 112, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 33, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 166, 4, 19, 0, 2, 0, 0, 0, 4, 4, 0, 0, 254, 255, 255, 255, 166, 4, 1, 0, 19, 0, 0, 0, 180, 4, 0, 0, 19, 0, 0, 0, 103, 4, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 47, 115, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 33, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 97, 166, 184, 255, 0, 0, 0, 0, 121, 167, 120, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 16, 0, 121, 161, 152, 255, 0, 0, 0, 0, 190, 21, 7, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 83, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 255, 255, 255, 255, 63, 83, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 47, 115, 0, 0, 0, 0, 0, 0, 121, 164, 152, 255, 0, 0, 0, 0, 22, 4, 25, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 8, 0, 190, 69, 8, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 80, 0, 0, 0, 0, 0, 0, 15, 64, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 80, 0, 0, 0, 0, 0, 0, 116, 0, 0, 0, 1, 0, 0, 0, 180, 1, 0, 0, 0, 0, 16, 0, 28, 1, 0, 0, 0, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 119, 4, 0, 0, 20, 0, 0, 0, 24, 5, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 84, 0, 0, 0, 0, 0, 0, 191, 21, 0, 0, 0, 0, 0, 0, 47, 69, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 1, 0, 0, 0, 15, 53, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 33, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 20, 0, 0, 0, 15, 21, 0, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 191, 41, 0, 0, 0, 0, 0, 0, 121, 161, 64, 255, 0, 0, 0, 0, 133, 0, 0, 0, 94, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 121, 167, 32, 255, 0, 0, 0, 0, 166, 1, 94, 250, 2, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 121, 161, 136, 255, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 123, 154, 240, 255, 0, 0, 0, 0, 121, 162, 96, 255, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 121, 162, 112, 255, 0, 0, 0, 0, 123, 42, 224, 255, 0, 0, 0, 0, 121, 162, 8, 255, 0, 0, 0, 0, 123, 42, 216, 255, 0, 0, 0, 0, 121, 162, 16, 255, 0, 0, 0, 0, 123, 42, 208, 255, 0, 0, 0, 0, 123, 26, 200, 255, 0, 0, 0, 0, 191, 163, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 192, 255, 255, 255, 24, 1, 0, 0, 208, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 57, 0, 0, 0, 180, 4, 0, 0, 56, 0, 0, 0, 133, 0, 0, 0, 177, 0, 0, 0, 5, 0, 71, 250, 0, 0, 0, 0, 191, 38, 0, 0, 0, 0, 0, 0, 121, 98, 80, 0, 0, 0, 0, 0, 165, 2, 1, 0, 160, 134, 1, 0, 183, 2, 0, 0, 160, 134, 1, 0, 121, 103, 96, 0, 0, 0, 0, 0, 165, 7, 1, 0, 160, 134, 1, 0, 183, 7, 0, 0, 160, 134, 1, 0, 47, 119, 0, 0, 0, 0, 0, 0, 47, 39, 0, 0, 0, 0, 0, 0, 97, 18, 244, 2, 0, 0, 0, 0, 47, 39, 0, 0, 0, 0, 0, 0, 55, 7, 0, 0, 100, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 22, 0, 22, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 180, 2, 0, 0, 1, 0, 0, 0, 38, 0, 1, 0, 255, 255, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 100, 2, 0, 0, 4, 0, 0, 0, 124, 32, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 38, 0, 1, 0, 255, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 100, 4, 0, 0, 3, 0, 0, 0, 124, 64, 0, 0, 0, 0, 0, 0, 180, 8, 0, 0, 1, 0, 0, 0, 38, 0, 1, 0, 15, 0, 0, 0, 180, 8, 0, 0, 0, 0, 0, 0, 100, 8, 0, 0, 2, 0, 0, 0, 124, 128, 0, 0, 0, 0, 0, 0, 38, 0, 1, 0, 3, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 33, 0, 0, 0, 100, 5, 0, 0, 1, 0, 0, 0, 124, 80, 0, 0, 0, 0, 0, 0, 5, 0, 22, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 180, 2, 0, 0, 1, 0, 0, 0, 38, 7, 1, 0, 255, 255, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 100, 2, 0, 0, 4, 0, 0, 0, 124, 39, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 38, 7, 1, 0, 255, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 100, 4, 0, 0, 3, 0, 0, 0, 124, 71, 0, 0, 0, 0, 0, 0, 180, 8, 0, 0, 1, 0, 0, 0, 38, 7, 1, 0, 15, 0, 0, 0, 180, 8, 0, 0, 0, 0, 0, 0, 100, 8, 0, 0, 2, 0, 0, 0, 124, 135, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 38, 7, 1, 0, 3, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 100, 5, 0, 0, 1, 0, 0, 0, 124, 87, 0, 0, 0, 0, 0, 0, 188, 112, 0, 0, 0, 0, 0, 0, 116, 0, 0, 0, 1, 0, 0, 0, 76, 2, 0, 0, 0, 0, 0, 0, 76, 66, 0, 0, 0, 0, 0, 0, 76, 130, 0, 0, 0, 0, 0, 0, 76, 82, 0, 0, 0, 0, 0, 0, 121, 96, 64, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 119, 4, 0, 0, 1, 0, 0, 0, 165, 4, 1, 0, 128, 240, 250, 2, 183, 4, 0, 0, 128, 240, 250, 2, 39, 4, 0, 0, 100, 0, 0, 0, 97, 17, 244, 2, 0, 0, 0, 0, 63, 20, 0, 0, 0, 0, 0, 0, 12, 50, 0, 0, 0, 0, 0, 0, 166, 2, 1, 0, 39, 0, 0, 0, 180, 2, 0, 0, 39, 0, 0, 0, 180, 1, 0, 0, 33, 0, 0, 0, 24, 3, 0, 0, 254, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 45, 52, 27, 0, 0, 0, 0, 0, 4, 4, 0, 0, 1, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 180, 1, 0, 0, 1, 0, 0, 0, 38, 4, 1, 0, 255, 255, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 100, 1, 0, 0, 4, 0, 0, 0, 124, 20, 0, 0, 0, 0, 0, 0, 180, 5, 0, 0, 1, 0, 0, 0, 38, 4, 1, 0, 255, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 100, 5, 0, 0, 3, 0, 0, 0, 124, 84, 0, 0, 0, 0, 0, 0, 180, 7, 0, 0, 1, 0, 0, 0, 38, 4, 1, 0, 15, 0, 0, 0, 180, 7, 0, 0, 0, 0, 0, 0, 100, 7, 0, 0, 2, 0, 0, 0, 124, 116, 0, 0, 0, 0, 0, 0, 38, 4, 1, 0, 3, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 100, 3, 0, 0, 1, 0, 0, 0, 124, 52, 0, 0, 0, 0, 0, 0, 116, 4, 0, 0, 1, 0, 0, 0, 76, 65, 0, 0, 0, 0, 0, 0, 76, 81, 0, 0, 0, 0, 0, 0, 76, 113, 0, 0, 0, 0, 0, 0, 76, 49, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 1, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 46, 18, 1, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 165, 3, 10, 0, 39, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 123, 122, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 55, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 96, 64, 0, 0, 0, 0, 0, 5, 0, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 38, 0, 0, 0, 31, 49, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 97, 39, 0, 0, 0, 0, 0, 0, 103, 7, 0, 0, 32, 0, 0, 0, 199, 7, 0, 0, 32, 0, 0, 0, 165, 7, 1, 0, 16, 39, 0, 0, 183, 7, 0, 0, 16, 39, 0, 0, 39, 0, 0, 0, 100, 0, 0, 0, 63, 112, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 115, 49, 32, 0, 0, 0, 0, 0, 24, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 69, 0, 0, 0, 0, 0, 0, 121, 23, 128, 0, 0, 0, 0, 0, 191, 116, 0, 0, 0, 0, 0, 0, 45, 39, 1, 0, 0, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 191, 120, 0, 0, 0, 0, 0, 0, 63, 88, 0, 0, 0, 0, 0, 0, 191, 66, 0, 0, 0, 0, 0, 0, 63, 82, 0, 0, 0, 0, 0, 0, 94, 130, 23, 0, 0, 0, 0, 0, 121, 18, 120, 0, 0, 0, 0, 0, 21, 2, 112, 0, 0, 0, 0, 0, 191, 70, 0, 0, 0, 0, 0, 0, 31, 118, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 101, 12, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 191, 64, 0, 0, 0, 0, 0, 0, 24, 4, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 70, 0, 0, 0, 0, 0, 0, 191, 4, 0, 0, 0, 0, 0, 0, 191, 80, 0, 0, 0, 0, 0, 0, 15, 96, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 80, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 47, 32, 0, 0, 0, 0, 0, 0, 121, 18, 144, 0, 0, 0, 0, 0, 15, 2, 0, 0, 0, 0, 0, 0, 123, 33, 144, 0, 0, 0, 0, 0, 5, 0, 91, 0, 0, 0, 0, 0, 123, 74, 240, 255, 0, 0, 0, 0, 99, 58, 248, 255, 0, 0, 0, 0, 188, 38, 0, 0, 0, 0, 0, 0, 28, 134, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 38, 6, 2, 0, 63, 0, 0, 0, 121, 20, 144, 0, 0, 0, 0, 0, 127, 100, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 38, 6, 2, 0, 63, 0, 0, 0, 121, 25, 136, 0, 0, 0, 0, 0, 127, 105, 0, 0, 0, 0, 0, 0, 191, 144, 0, 0, 0, 0, 0, 0, 15, 64, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 173, 144, 1, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 86, 4, 1, 0, 0, 0, 0, 0, 191, 9, 0, 0, 0, 0, 0, 0, 123, 49, 144, 0, 0, 0, 0, 0, 123, 145, 136, 0, 0, 0, 0, 0, 121, 16, 120, 0, 0, 0, 0, 0, 97, 163, 248, 255, 0, 0, 0, 0, 121, 164, 240, 255, 0, 0, 0, 0, 123, 10, 232, 255, 0, 0, 0, 0, 21, 0, 63, 0, 0, 0, 0, 0, 44, 88, 0, 0, 0, 0, 0, 0, 28, 120, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 16, 0, 188, 84, 0, 0, 0, 0, 0, 0, 12, 132, 0, 0, 0, 0, 0, 0, 62, 84, 7, 0, 0, 0, 0, 0, 103, 4, 0, 0, 20, 0, 0, 0, 191, 87, 0, 0, 0, 0, 0, 0, 15, 71, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 255, 255, 255, 255, 63, 87, 0, 0, 0, 0, 0, 0, 103, 7, 0, 0, 32, 0, 0, 0, 119, 7, 0, 0, 32, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 121, 163, 232, 255, 0, 0, 0, 0, 38, 6, 2, 0, 63, 0, 0, 0, 127, 103, 0, 0, 0, 0, 0, 0, 191, 116, 0, 0, 0, 0, 0, 0, 47, 52, 0, 0, 0, 0, 0, 0, 191, 152, 0, 0, 0, 0, 0, 0, 15, 72, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 173, 152, 1, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 183, 7, 0, 0, 255, 255, 255, 255, 86, 4, 1, 0, 0, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0, 123, 113, 136, 0, 0, 0, 0, 0, 166, 6, 18, 0, 2, 0, 0, 0, 4, 6, 0, 0, 254, 255, 255, 255, 166, 6, 1, 0, 19, 0, 0, 0, 180, 6, 0, 0, 19, 0, 0, 0, 103, 6, 0, 0, 3, 0, 0, 0, 24, 4, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 100, 0, 0, 0, 0, 0, 0, 121, 68, 0, 0, 0, 0, 0, 0, 47, 52, 0, 0, 0, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 15, 64, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 173, 112, 1, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 183, 6, 0, 0, 255, 255, 255, 255, 86, 4, 1, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 123, 97, 136, 0, 0, 0, 0, 0, 47, 82, 0, 0, 0, 0, 0, 0, 121, 164, 240, 255, 0, 0, 0, 0, 191, 64, 0, 0, 0, 0, 0, 0, 31, 32, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 16, 0, 190, 5, 7, 0, 0, 0, 0, 0, 103, 0, 0, 0, 20, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 15, 2, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 63, 82, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 50, 0, 0, 0, 0, 0, 0, 123, 33, 144, 0, 0, 0, 0, 0, 97, 163, 248, 255, 0, 0, 0, 0, 123, 65, 128, 0, 0, 0, 0, 0, 188, 50, 0, 0, 0, 0, 0, 0, 123, 33, 120, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 54, 0, 0, 0, 0, 0, 0, 188, 39, 0, 0, 0, 0, 0, 0, 188, 24, 0, 0, 0, 0, 0, 0, 99, 138, 208, 255, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 99, 74, 200, 255, 0, 0, 0, 0, 86, 4, 1, 0, 0, 0, 0, 0, 183, 9, 0, 0, 255, 255, 255, 255, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 7, 0, 0, 0, 0, 0, 188, 129, 0, 0, 0, 0, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 39, 0, 0, 0, 0, 0, 123, 154, 192, 255, 0, 0, 0, 0, 123, 10, 184, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 48, 0, 0, 0, 36, 7, 0, 0, 100, 0, 0, 0, 52, 7, 0, 0, 16, 39, 0, 0, 188, 121, 0, 0, 0, 0, 0, 0, 36, 9, 0, 0, 40, 0, 0, 0, 181, 9, 2, 0, 120, 15, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 25, 0, 0, 0, 0, 0, 0, 21, 9, 1, 0, 0, 0, 0, 0, 5, 0, 8, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 123, 154, 208, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 27, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 129, 0, 0, 0, 0, 0, 0, 36, 1, 0, 0, 100, 0, 0, 0, 188, 114, 0, 0, 0, 0, 0, 0, 12, 18, 0, 0, 0, 0, 0, 0, 99, 42, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 1, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 149, 0, 0, 0, 0, 0, 0, 0, 21, 9, 254, 255, 0, 0, 0, 0, 123, 10, 160, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 93, 0, 0, 0, 121, 147, 0, 0, 0, 0, 0, 0, 121, 161, 192, 255, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 123, 57, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 16, 0, 0, 0, 0, 0, 0, 121, 149, 16, 0, 0, 0, 0, 0, 191, 81, 0, 0, 0, 0, 0, 0, 45, 101, 1, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 63, 2, 0, 0, 0, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 123, 10, 168, 255, 0, 0, 0, 0, 63, 4, 0, 0, 0, 0, 0, 0, 123, 106, 176, 255, 0, 0, 0, 0, 94, 36, 25, 0, 0, 0, 0, 0, 121, 146, 8, 0, 0, 0, 0, 0, 21, 2, 120, 0, 0, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 31, 81, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 16, 0, 121, 165, 168, 255, 0, 0, 0, 0, 190, 21, 12, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 52, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 49, 0, 0, 0, 0, 0, 0, 191, 67, 0, 0, 0, 0, 0, 0, 191, 84, 0, 0, 0, 0, 0, 0, 15, 20, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 255, 255, 255, 255, 63, 84, 0, 0, 0, 0, 0, 0, 103, 4, 0, 0, 32, 0, 0, 0, 119, 4, 0, 0, 32, 0, 0, 0, 47, 36, 0, 0, 0, 0, 0, 0, 121, 145, 32, 0, 0, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 123, 25, 32, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 5, 0, 97, 0, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 58, 144, 255, 0, 0, 0, 0, 188, 64, 0, 0, 0, 0, 0, 0, 28, 32, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 38, 0, 2, 0, 63, 0, 0, 0, 121, 145, 32, 0, 0, 0, 0, 0, 127, 1, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 38, 0, 2, 0, 63, 0, 0, 0, 121, 147, 24, 0, 0, 0, 0, 0, 127, 3, 0, 0, 0, 0, 0, 0, 191, 54, 0, 0, 0, 0, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 1, 0, 0, 0, 173, 54, 1, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 255, 255, 255, 255, 86, 1, 1, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 25, 32, 0, 0, 0, 0, 0, 123, 58, 128, 255, 0, 0, 0, 0, 123, 57, 24, 0, 0, 0, 0, 0, 121, 150, 8, 0, 0, 0, 0, 0, 121, 161, 176, 255, 0, 0, 0, 0, 121, 163, 144, 255, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 123, 106, 136, 255, 0, 0, 0, 0, 21, 6, 67, 0, 0, 0, 0, 0, 121, 163, 168, 255, 0, 0, 0, 0, 44, 50, 0, 0, 0, 0, 0, 0, 28, 82, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 16, 0, 188, 49, 0, 0, 0, 0, 0, 0, 12, 33, 0, 0, 0, 0, 0, 0, 62, 49, 8, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 121, 162, 168, 255, 0, 0, 0, 0, 191, 37, 0, 0, 0, 0, 0, 0, 15, 21, 0, 0, 0, 0, 0, 0, 7, 5, 0, 0, 255, 255, 255, 255, 63, 37, 0, 0, 0, 0, 0, 0, 103, 5, 0, 0, 32, 0, 0, 0, 119, 5, 0, 0, 32, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 38, 0, 2, 0, 63, 0, 0, 0, 127, 5, 0, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 121, 165, 136, 255, 0, 0, 0, 0, 47, 82, 0, 0, 0, 0, 0, 0, 121, 166, 128, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 97, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 123, 41, 24, 0, 0, 0, 0, 0, 166, 0, 18, 0, 2, 0, 0, 0, 4, 0, 0, 0, 254, 255, 255, 255, 166, 0, 1, 0, 19, 0, 0, 0, 180, 0, 0, 0, 19, 0, 0, 0, 103, 0, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 47, 83, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 33, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 123, 41, 24, 0, 0, 0, 0, 0, 121, 163, 168, 255, 0, 0, 0, 0, 47, 52, 0, 0, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 31, 65, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 16, 0, 190, 19, 7, 0, 0, 0, 0, 0, 103, 1, 0, 0, 20, 0, 0, 0, 191, 50, 0, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 63, 50, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 82, 0, 0, 0, 0, 0, 0, 123, 41, 32, 0, 0, 0, 0, 0, 121, 163, 144, 255, 0, 0, 0, 0, 121, 161, 152, 255, 0, 0, 0, 0, 123, 25, 16, 0, 0, 0, 0, 0, 24, 1, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 173, 19, 2, 0, 0, 0, 0, 0, 24, 3, 0, 0, 255, 255, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 123, 57, 8, 0, 0, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 133, 0, 0, 0, 94, 0, 0, 0, 97, 161, 200, 255, 0, 0, 0, 0, 121, 166, 176, 255, 0, 0, 0, 0, 86, 1, 19, 0, 0, 0, 0, 0, 121, 145, 0, 0, 0, 0, 0, 0, 101, 1, 17, 0, 255, 255, 255, 255, 133, 0, 0, 0, 8, 0, 0, 0, 123, 122, 224, 255, 0, 0, 0, 0, 188, 129, 0, 0, 0, 0, 0, 0, 123, 26, 216, 255, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 121, 145, 0, 0, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 107, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 40, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 0, 0, 0, 8, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 76, 255, 2, 0, 0, 0, 121, 161, 184, 255, 0, 0, 0, 0, 121, 17, 40, 0, 0, 0, 0, 0, 21, 1, 3, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 31, 18, 0, 0, 0, 0, 0, 0, 165, 2, 70, 255, 0, 202, 154, 59, 121, 161, 192, 255, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 123, 122, 216, 255, 0, 0, 0, 0, 188, 129, 0, 0, 0, 0, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 121, 145, 0, 0, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 121, 148, 16, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 191, 70, 0, 0, 0, 0, 0, 0, 45, 36, 1, 0, 0, 0, 0, 0, 121, 166, 176, 255, 0, 0, 0, 0, 191, 101, 0, 0, 0, 0, 0, 0, 63, 21, 0, 0, 0, 0, 0, 0, 191, 82, 0, 0, 0, 0, 0, 0, 47, 18, 0, 0, 0, 0, 0, 0, 191, 104, 0, 0, 0, 0, 0, 0, 31, 40, 0, 0, 0, 0, 0, 0, 121, 147, 32, 0, 0, 0, 0, 0, 121, 146, 24, 0, 0, 0, 0, 0, 121, 153, 8, 0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 63, 23, 0, 0, 0, 0, 0, 0, 94, 117, 18, 0, 0, 0, 0, 0, 191, 48, 0, 0, 0, 0, 0, 0, 21, 9, 94, 0, 0, 0, 0, 0, 31, 70, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 97, 10, 0, 0, 0, 0, 0, 103, 6, 0, 0, 20, 0, 0, 0, 24, 4, 0, 0, 0, 0, 240, 255, 0, 0, 0, 0, 255, 255, 15, 0, 95, 70, 0, 0, 0, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 15, 96, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 16, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 47, 144, 0, 0, 0, 0, 0, 0, 15, 48, 0, 0, 0, 0, 0, 0, 5, 0, 78, 0, 0, 0, 0, 0, 123, 154, 200, 255, 0, 0, 0, 0, 191, 137, 0, 0, 0, 0, 0, 0, 28, 117, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 127, 83, 0, 0, 0, 0, 0, 0, 191, 56, 0, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 127, 82, 0, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 191, 54, 0, 0, 0, 0, 0, 0, 15, 134, 0, 0, 0, 0, 0, 0, 180, 8, 0, 0, 1, 0, 0, 0, 173, 54, 1, 0, 0, 0, 0, 0, 180, 8, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 8, 1, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 191, 152, 0, 0, 0, 0, 0, 0, 121, 166, 200, 255, 0, 0, 0, 0, 21, 6, 55, 0, 0, 0, 0, 0, 44, 23, 0, 0, 0, 0, 0, 0, 28, 71, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 16, 0, 188, 19, 0, 0, 0, 0, 0, 0, 12, 115, 0, 0, 0, 0, 0, 0, 62, 19, 7, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 20, 0, 0, 0, 0, 0, 0, 15, 52, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 255, 255, 255, 255, 63, 20, 0, 0, 0, 0, 0, 0, 103, 4, 0, 0, 32, 0, 0, 0, 119, 4, 0, 0, 32, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 38, 5, 2, 0, 63, 0, 0, 0, 127, 84, 0, 0, 0, 0, 0, 0, 191, 67, 0, 0, 0, 0, 0, 0, 47, 99, 0, 0, 0, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 15, 52, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 36, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 66, 0, 0, 0, 0, 0, 0, 166, 5, 17, 0, 2, 0, 0, 0, 4, 5, 0, 0, 254, 255, 255, 255, 166, 5, 1, 0, 19, 0, 0, 0, 180, 5, 0, 0, 19, 0, 0, 0, 103, 5, 0, 0, 3, 0, 0, 0, 24, 3, 0, 0, 16, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 83, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 47, 99, 0, 0, 0, 0, 0, 0, 191, 36, 0, 0, 0, 0, 0, 0, 15, 52, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 173, 36, 1, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 255, 255, 255, 255, 86, 3, 1, 0, 0, 0, 0, 0, 191, 66, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 16, 0, 190, 129, 8, 0, 0, 0, 0, 0, 191, 131, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 20, 0, 0, 0, 191, 16, 0, 0, 0, 0, 0, 0, 15, 48, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 63, 16, 0, 0, 0, 0, 0, 0, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 47, 96, 0, 0, 0, 0, 0, 0, 121, 166, 176, 255, 0, 0, 0, 0, 22, 8, 24, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 8, 0, 190, 129, 8, 0, 0, 0, 0, 0, 103, 8, 0, 0, 20, 0, 0, 0, 191, 19, 0, 0, 0, 0, 0, 0, 15, 131, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 255, 255, 255, 255, 63, 19, 0, 0, 0, 0, 0, 0, 116, 3, 0, 0, 1, 0, 0, 0, 180, 4, 0, 0, 0, 0, 16, 0, 28, 52, 0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 20, 0, 0, 0, 24, 3, 0, 0, 0, 240, 255, 255, 0, 0, 0, 0, 255, 15, 0, 0, 95, 49, 0, 0, 0, 0, 0, 0, 47, 65, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 1, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 47, 36, 0, 0, 0, 0, 0, 0, 119, 4, 0, 0, 20, 0, 0, 0, 15, 65, 0, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 20, 0, 0, 0, 123, 42, 240, 255, 0, 0, 0, 0, 191, 163, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 208, 255, 255, 255, 24, 1, 0, 0, 176, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 63, 0, 0, 0, 180, 4, 0, 0, 40, 0, 0, 0, 133, 0, 0, 0, 177, 0, 0, 0, 121, 161, 184, 255, 0, 0, 0, 0, 123, 97, 40, 0, 0, 0, 0, 0, 5, 0, 165, 254, 0, 0, 0, 0, 191, 56, 0, 0, 0, 0, 0, 0, 191, 38, 0, 0, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 180, 9, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 108, 0, 2, 0, 0, 0, 99, 74, 216, 255, 0, 0, 0, 0, 133, 0, 0, 0, 8, 0, 0, 0, 97, 164, 216, 255, 0, 0, 0, 0, 180, 9, 0, 0, 65, 0, 0, 0, 198, 0, 103, 0, 0, 0, 0, 0, 102, 0, 102, 0, 255, 1, 0, 0, 123, 106, 192, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 122, 200, 255, 0, 0, 0, 0, 123, 23, 0, 0, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 39, 1, 0, 0, 64, 1, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 97, 38, 0, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 1, 0, 0, 0, 99, 18, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 167, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 248, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 1, 0, 0, 65, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 21, 0, 67, 0, 0, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 24, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 4, 6, 0, 0, 1, 0, 0, 0, 156, 22, 0, 0, 0, 0, 0, 0, 38, 6, 39, 0, 63, 0, 0, 0, 97, 147, 0, 0, 0, 0, 0, 0, 191, 167, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 224, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 27, 0, 0, 0, 0, 0, 97, 7, 0, 0, 0, 0, 0, 0, 198, 7, 25, 0, 0, 0, 0, 0, 97, 145, 0, 0, 0, 0, 0, 0, 62, 23, 23, 0, 0, 0, 0, 0, 188, 113, 0, 0, 0, 0, 0, 0, 191, 130, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 14, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 6, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 188, 113, 0, 0, 0, 0, 0, 0, 116, 1, 0, 0, 6, 0, 0, 0, 103, 1, 0, 0, 3, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 121, 33, 0, 0, 0, 0, 0, 0, 84, 7, 0, 0, 63, 0, 0, 0, 127, 113, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 1, 0, 0, 0, 85, 1, 12, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 229, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 15, 0, 0, 0, 0, 0, 5, 0, 206, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 1, 0, 0, 0, 111, 97, 0, 0, 0, 0, 0, 0, 121, 163, 200, 255, 0, 0, 0, 0, 121, 50, 0, 0, 0, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 123, 35, 0, 0, 0, 0, 0, 0, 97, 161, 208, 255, 0, 0, 0, 0, 86, 1, 240, 255, 65, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 5, 0, 237, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 97, 164, 216, 255, 0, 0, 0, 0, 121, 166, 192, 255, 0, 0, 0, 0, 121, 167, 200, 255, 0, 0, 0, 0, 97, 169, 208, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 188, 147, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 69, 246, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 86, 0, 16, 0, 0, 0, 0, 0, 188, 145, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 183, 1, 0, 0, 88, 12, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 97, 97, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 249, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 24, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 149, 0, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 244, 255, 255, 255, 5, 0, 16, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 180, 6, 0, 0, 0, 0, 0, 0, 21, 7, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 96, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 18, 16, 0, 0, 0, 0, 0, 123, 42, 216, 255, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 121, 22, 8, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 7, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 52, 0, 0, 0, 0, 0, 0, 29, 36, 134, 0, 0, 0, 0, 0, 123, 106, 224, 255, 0, 0, 0, 0, 123, 122, 208, 255, 0, 0, 0, 0, 123, 35, 0, 0, 0, 0, 0, 0, 121, 17, 8, 0, 0, 0, 0, 0, 24, 2, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 18, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 240, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 7, 0, 0, 0, 0, 0, 24, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 10, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 6, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 121, 167, 208, 255, 0, 0, 0, 0, 121, 166, 224, 255, 0, 0, 0, 0, 5, 0, 103, 0, 0, 0, 0, 0, 97, 6, 0, 0, 0, 0, 0, 0, 198, 6, 248, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 62, 22, 244, 255, 0, 0, 0, 0, 180, 7, 0, 0, 0, 0, 0, 0, 97, 129, 0, 0, 0, 0, 0, 0, 166, 1, 11, 0, 2, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 1, 2, 0, 252, 7, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 180, 7, 0, 0, 64, 0, 0, 0, 21, 1, 1, 0, 0, 0, 0, 0, 97, 23, 0, 0, 0, 0, 0, 0, 97, 129, 0, 0, 0, 0, 0, 0, 166, 1, 11, 0, 2, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 1, 2, 0, 252, 7, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 38, 1, 213, 255, 64, 0, 0, 0, 99, 122, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 9, 0, 0, 0, 0, 0, 0, 85, 9, 8, 0, 0, 0, 0, 0, 123, 122, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 201, 255, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 84, 1, 0, 0, 63, 0, 0, 0, 183, 7, 0, 0, 1, 0, 0, 0, 111, 23, 0, 0, 0, 0, 0, 0, 188, 104, 0, 0, 0, 0, 0, 0, 116, 8, 0, 0, 6, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 3, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 121, 49, 16, 0, 0, 0, 0, 0, 95, 113, 0, 0, 0, 0, 0, 0, 21, 1, 8, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 146, 16, 0, 0, 0, 0, 0, 21, 2, 10, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 7, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 146, 16, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 8, 0, 0, 3, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 129, 0, 0, 0, 0, 0, 0, 121, 17, 80, 0, 0, 0, 0, 0, 95, 113, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 34, 0, 0, 0, 0, 0, 0, 21, 1, 6, 0, 0, 0, 0, 0, 24, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 2, 152, 255, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 149, 255, 0, 0, 0, 0, 24, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 2, 146, 255, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 143, 255, 0, 0, 0, 0, 121, 168, 232, 255, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 12, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 8, 0, 0, 254, 255, 255, 255, 5, 0, 203, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 180, 8, 0, 0, 254, 255, 255, 255, 121, 41, 8, 0, 0, 0, 0, 0, 21, 9, 199, 0, 0, 0, 0, 0, 121, 163, 232, 255, 0, 0, 0, 0, 97, 49, 200, 3, 0, 0, 0, 0, 123, 42, 208, 255, 0, 0, 0, 0, 86, 1, 20, 0, 1, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 22, 1, 53, 0, 0, 0, 0, 0, 97, 49, 44, 0, 0, 0, 0, 0, 84, 1, 0, 0, 0, 0, 32, 0, 22, 1, 50, 0, 0, 0, 0, 0, 180, 1, 0, 0, 4, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 188, 104, 0, 0, 0, 0, 0, 0, 5, 0, 172, 0, 0, 0, 0, 0, 123, 106, 224, 255, 0, 0, 0, 0, 123, 10, 200, 255, 0, 0, 0, 0, 121, 161, 216, 255, 0, 0, 0, 0, 87, 1, 0, 0, 16, 0, 0, 0, 21, 1, 71, 0, 0, 0, 0, 0, 133, 0, 0, 0, 158, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 8, 0, 0, 0, 97, 97, 44, 0, 0, 0, 0, 0, 84, 1, 0, 0, 4, 0, 0, 0, 86, 1, 65, 0, 0, 0, 0, 0, 121, 161, 208, 255, 0, 0, 0, 0, 97, 17, 24, 0, 0, 0, 0, 0, 38, 1, 62, 0, 63, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 79, 33, 0, 0, 0, 0, 0, 0, 99, 10, 216, 255, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 86, 0, 53, 0, 0, 0, 0, 0, 121, 166, 208, 255, 0, 0, 0, 0, 97, 97, 24, 0, 0, 0, 0, 0, 133, 16, 0, 0, 20, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 21, 0, 147, 0, 0, 0, 0, 0, 121, 6, 8, 0, 0, 0, 0, 0, 85, 6, 16, 0, 0, 0, 0, 0, 97, 17, 24, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 176, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 199, 0, 0, 0, 0, 0, 180, 1, 0, 0, 3, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 209, 255, 0, 0, 0, 0, 5, 0, 205, 255, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 123, 10, 192, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 121, 161, 192, 255, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 6, 0, 0, 1, 0, 0, 0, 97, 163, 216, 255, 0, 0, 0, 0, 22, 6, 19, 0, 0, 0, 0, 0, 121, 161, 232, 255, 0, 0, 0, 0, 121, 18, 208, 3, 0, 0, 0, 0, 188, 49, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 13, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 97, 168, 216, 255, 0, 0, 0, 0, 5, 0, 96, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 99, 10, 232, 255, 0, 0, 0, 0, 121, 166, 224, 255, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 99, 10, 216, 255, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 22, 1, 18, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 39, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 35, 0, 0, 0, 0, 0, 180, 1, 0, 0, 1, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 150, 255, 0, 0, 0, 0, 5, 0, 146, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 21, 2, 22, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 18, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 13, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 9, 0, 0, 0, 0, 0, 180, 1, 0, 0, 2, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 124, 255, 0, 0, 0, 0, 5, 0, 120, 255, 0, 0, 0, 0, 97, 161, 232, 255, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 86, 1, 18, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 198, 6, 13, 0, 0, 0, 0, 0, 180, 1, 0, 0, 4, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 188, 104, 0, 0, 0, 0, 0, 0, 5, 0, 20, 0, 0, 0, 0, 0, 97, 161, 216, 255, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 22, 1, 24, 0, 0, 0, 0, 0, 121, 161, 224, 255, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 20, 0, 0, 0, 0, 0, 180, 1, 0, 0, 4, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 121, 161, 224, 255, 0, 0, 0, 0, 188, 24, 0, 0, 0, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 180, 1, 0, 0, 1, 0, 0, 0, 115, 19, 114, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 128, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 198, 6, 9, 0, 0, 0, 0, 0, 180, 1, 0, 0, 4, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 214, 255, 0, 0, 0, 0, 5, 0, 210, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 121, 161, 208, 255, 0, 0, 0, 0, 113, 17, 113, 0, 0, 0, 0, 0, 121, 166, 224, 255, 0, 0, 0, 0, 22, 1, 183, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 21, 1, 179, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 86, 0, 176, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 166, 2, 12, 0, 2, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 199, 2, 0, 0, 30, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 252, 7, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 18, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 64, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 33, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 20, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 21, 0, 205, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 34, 0, 0, 0, 0, 0, 0, 85, 2, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 213, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 192, 255, 0, 0, 0, 0, 123, 42, 184, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 34, 0, 0, 0, 0, 0, 0, 86, 2, 30, 0, 0, 0, 0, 0, 121, 6, 24, 0, 0, 0, 0, 0, 85, 6, 7, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 249, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 238, 255, 0, 0, 0, 0, 123, 10, 176, 255, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 85, 0, 7, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 20, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 226, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 121, 163, 184, 255, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 99, 0, 0, 0, 0, 0, 0, 123, 58, 184, 255, 0, 0, 0, 0, 121, 166, 224, 255, 0, 0, 0, 0, 121, 160, 176, 255, 0, 0, 0, 0, 123, 58, 192, 255, 0, 0, 0, 0, 97, 161, 232, 255, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 86, 1, 50, 0, 0, 0, 0, 0, 121, 1, 16, 0, 0, 0, 0, 0, 123, 10, 176, 255, 0, 0, 0, 0, 21, 1, 21, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 8, 0, 0, 0, 0, 0, 0, 121, 160, 176, 255, 0, 0, 0, 0, 198, 8, 16, 0, 0, 0, 0, 0, 180, 1, 0, 0, 5, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 121, 162, 192, 255, 0, 0, 0, 0, 21, 2, 127, 255, 0, 0, 0, 0, 5, 0, 72, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 21, 1, 22, 0, 0, 0, 0, 0, 121, 161, 184, 255, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 8, 0, 0, 0, 0, 0, 0, 121, 160, 176, 255, 0, 0, 0, 0, 198, 8, 16, 0, 0, 0, 0, 0, 180, 1, 0, 0, 6, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 121, 162, 192, 255, 0, 0, 0, 0, 21, 2, 101, 255, 0, 0, 0, 0, 5, 0, 46, 0, 0, 0, 0, 0, 121, 1, 16, 0, 0, 0, 0, 0, 21, 1, 20, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 8, 0, 0, 0, 0, 0, 0, 198, 8, 16, 0, 0, 0, 0, 0, 180, 1, 0, 0, 5, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 121, 162, 192, 255, 0, 0, 0, 0, 21, 2, 79, 255, 0, 0, 0, 0, 5, 0, 24, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 21, 1, 27, 0, 0, 0, 0, 0, 121, 161, 184, 255, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 8, 0, 0, 0, 0, 0, 0, 198, 8, 22, 0, 0, 0, 0, 0, 180, 1, 0, 0, 6, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 121, 162, 192, 255, 0, 0, 0, 0, 21, 2, 54, 255, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 121, 163, 208, 255, 0, 0, 0, 0, 21, 0, 50, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 46, 255, 0, 0, 0, 0, 97, 161, 216, 255, 0, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 86, 1, 4, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 188, 104, 0, 0, 0, 0, 0, 0, 121, 161, 200, 255, 0, 0, 0, 0, 121, 162, 192, 255, 0, 0, 0, 0, 21, 2, 38, 255, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 188, 104, 0, 0, 0, 0, 0, 0, 21, 0, 34, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 104, 0, 0, 0, 0, 0, 0, 5, 0, 30, 255, 0, 0, 0, 0, 121, 23, 0, 0, 0, 0, 0, 0, 121, 22, 8, 0, 0, 0, 0, 0, 97, 113, 112, 9, 0, 0, 0, 0, 99, 26, 244, 255, 0, 0, 0, 0, 97, 113, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 8, 0, 0, 0, 0, 0, 0, 85, 8, 9, 0, 0, 0, 0, 0, 97, 113, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 8, 0, 0, 0, 0, 0, 121, 137, 8, 0, 0, 0, 0, 0, 85, 9, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 123, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 168, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 244, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 30, 0, 0, 0, 0, 0, 97, 3, 0, 0, 0, 0, 0, 0, 97, 129, 24, 0, 0, 0, 0, 0, 30, 19, 27, 0, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 39, 0, 0, 0, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 21, 0, 0, 0, 0, 0, 180, 1, 0, 0, 12, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 115, 24, 114, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 198, 0, 41, 0, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 37, 0, 0, 0, 0, 0, 113, 129, 114, 0, 0, 0, 0, 0, 22, 1, 11, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 115, 24, 114, 0, 0, 0, 0, 0, 24, 1, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 191, 100, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 119, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 1, 0, 0, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 86, 0, 17, 0, 0, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 1, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 1, 0, 0, 10, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 97, 137, 24, 0, 0, 0, 0, 0, 22, 1, 8, 0, 0, 0, 0, 0, 24, 1, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 191, 100, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 58, 0, 0, 0, 0, 0, 99, 154, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 8, 0, 0, 0, 0, 0, 123, 154, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 35, 0, 0, 0, 0, 0, 24, 1, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 121, 1, 32, 0, 0, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 121, 114, 80, 3, 0, 0, 0, 0, 31, 18, 0, 0, 0, 0, 0, 0, 101, 2, 16, 0, 255, 255, 255, 255, 123, 23, 80, 3, 0, 0, 0, 0, 121, 121, 80, 3, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 130, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 198, 6, 0, 0, 15, 144, 0, 0, 0, 0, 0, 0, 123, 8, 48, 0, 0, 0, 0, 0, 180, 1, 0, 0, 14, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 12, 0, 0, 0, 0, 0, 5, 0, 8, 0, 0, 0, 0, 0, 180, 1, 0, 0, 15, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 19, 0, 0, 0, 0, 0, 0, 121, 132, 48, 0, 0, 0, 0, 0, 97, 130, 24, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 101, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 113, 129, 113, 0, 0, 0, 0, 0, 22, 1, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 21, 1, 18, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 198, 6, 14, 0, 0, 0, 0, 0, 180, 1, 0, 0, 11, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 188, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 149, 0, 0, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 121, 38, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 35, 0, 0, 0, 0, 0, 0, 166, 3, 12, 0, 2, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 199, 3, 0, 0, 30, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 3, 2, 0, 252, 7, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 64, 0, 0, 0, 21, 3, 1, 0, 0, 0, 0, 0, 97, 49, 0, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 166, 2, 12, 0, 2, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 199, 2, 0, 0, 30, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 252, 7, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 50, 0, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 38, 2, 71, 0, 64, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 12, 0, 0, 0, 0, 0, 180, 1, 0, 0, 7, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 60, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 5, 0, 56, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 22, 1, 52, 0, 0, 0, 0, 0, 103, 6, 0, 0, 32, 0, 0, 0, 199, 6, 0, 0, 32, 0, 0, 0, 191, 103, 0, 0, 0, 0, 0, 0, 39, 7, 0, 0, 64, 1, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 7, 2, 0, 192, 126, 2, 0, 183, 7, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 85, 7, 8, 0, 0, 0, 0, 0, 123, 106, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 74, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 33, 0, 0, 0, 0, 0, 97, 118, 8, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 180, 2, 0, 0, 0, 0, 0, 0, 188, 99, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 24, 0, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 62, 97, 22, 0, 0, 0, 0, 0, 97, 114, 0, 0, 0, 0, 0, 0, 12, 33, 0, 0, 0, 0, 0, 0, 4, 1, 0, 0, 1, 0, 0, 0, 156, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 243, 255, 0, 0, 0, 0, 180, 1, 0, 0, 8, 0, 0, 0, 99, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 149, 0, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 22, 1, 248, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 22, 1, 244, 255, 1, 0, 0, 0, 97, 113, 4, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 2, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 252, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 50, 0, 0, 0, 0, 0, 0, 85, 2, 9, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 8, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 97, 40, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 4, 3, 0, 0, 255, 255, 255, 255, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 240, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 7, 0, 0, 0, 0, 0, 24, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 7, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 3, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 255, 255, 255, 5, 0, 201, 255, 0, 0, 0, 0, 97, 118, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 4, 6, 0, 0, 1, 0, 0, 0, 99, 103, 0, 0, 0, 0, 0, 0, 156, 22, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 181, 1, 2, 0, 252, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 145, 0, 0, 0, 0, 0, 0, 85, 1, 10, 0, 0, 0, 0, 0, 123, 106, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 1, 0, 0, 0, 0, 0, 0, 30, 129, 226, 255, 0, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 30, 129, 223, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 174, 16, 217, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 213, 255, 0, 0, 0, 0, 180, 1, 0, 0, 9, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 209, 255, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 5, 0, 205, 255, 0, 0, 0, 0, 121, 24, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 85, 7, 11, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 40, 0, 0, 0, 0, 0, 97, 129, 44, 0, 0, 0, 0, 0, 116, 1, 0, 0, 5, 0, 0, 0, 84, 1, 0, 0, 1, 0, 0, 0, 115, 23, 112, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 78, 7, 0, 0, 97, 114, 28, 0, 0, 0, 0, 0, 97, 113, 24, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 209, 7, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 86, 1, 23, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 23, 56, 0, 0, 0, 0, 0, 133, 0, 0, 0, 158, 0, 0, 0, 97, 1, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 12, 0, 0, 0, 0, 0, 121, 1, 96, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 121, 2, 104, 0, 0, 0, 0, 0, 123, 96, 104, 0, 0, 0, 0, 0, 31, 38, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 225, 245, 5, 63, 98, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 123, 16, 96, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 24, 0, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 9, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 8, 0, 0, 0, 0, 0, 97, 7, 24, 0, 0, 0, 0, 0, 166, 7, 9, 0, 64, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 166, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 149, 0, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 39, 1, 0, 0, 24, 16, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 15, 21, 0, 0, 0, 0, 0, 0, 121, 82, 0, 0, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 121, 4, 40, 0, 0, 0, 0, 0, 29, 36, 23, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 219, 69, 16, 0, 1, 0, 0, 0, 87, 4, 0, 0, 255, 3, 0, 0, 191, 69, 0, 0, 0, 0, 0, 0, 103, 5, 0, 0, 2, 0, 0, 0, 15, 81, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 24, 0, 0, 0, 181, 1, 2, 0, 252, 5, 4, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 85, 1, 8, 0, 0, 0, 0, 0, 123, 74, 240, 255, 0, 0, 0, 0, 123, 122, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 181, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 16, 0, 0, 0, 5, 0, 222, 255, 0, 0, 0, 0, 97, 131, 112, 9, 0, 0, 0, 0, 99, 49, 0, 0, 0, 0, 0, 0, 123, 32, 40, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 86, 1, 216, 255, 0, 0, 0, 0, 191, 9, 0, 0, 0, 0, 0, 0, 99, 122, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 6, 0, 0, 0, 0, 0, 123, 122, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 199, 255, 0, 0, 0, 0, 97, 97, 0, 0, 0, 0, 0, 0, 99, 26, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 85, 7, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 223, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 10, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 93, 0, 0, 0, 121, 97, 32, 0, 0, 0, 0, 0, 121, 130, 80, 3, 0, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 101, 1, 2, 0, 255, 255, 255, 255, 121, 129, 80, 3, 0, 0, 0, 0, 123, 22, 32, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 94, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 123, 9, 72, 0, 0, 0, 0, 0, 5, 0, 170, 255, 0, 0, 0, 0, 121, 22, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 86, 1, 73, 0, 0, 0, 0, 0, 97, 97, 112, 9, 0, 0, 0, 0, 99, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 85, 7, 9, 0, 0, 0, 0, 0, 97, 97, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0, 0, 97, 120, 24, 0, 0, 0, 0, 0, 99, 138, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 6, 0, 0, 0, 0, 0, 123, 138, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 14, 0, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 99, 26, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 223, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 24, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 121, 113, 72, 0, 0, 0, 0, 0, 31, 16, 0, 0, 0, 0, 0, 0, 121, 113, 56, 0, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 123, 23, 56, 0, 0, 0, 0, 0, 119, 1, 0, 0, 2, 0, 0, 0, 121, 114, 64, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 123, 23, 64, 0, 0, 0, 0, 0, 39, 0, 0, 0, 100, 0, 0, 0, 97, 97, 244, 2, 0, 0, 0, 0, 63, 16, 0, 0, 0, 0, 0, 0, 121, 97, 80, 3, 0, 0, 0, 0, 15, 1, 0, 0, 0, 0, 0, 0, 123, 22, 80, 3, 0, 0, 0, 0, 121, 104, 80, 3, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 198, 6, 0, 0, 15, 128, 0, 0, 0, 0, 0, 0, 123, 7, 48, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 24, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 85, 7, 11, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 39, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 78, 7, 0, 0, 97, 114, 28, 0, 0, 0, 0, 0, 97, 113, 24, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 209, 7, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 86, 1, 26, 0, 0, 0, 0, 0, 97, 120, 24, 0, 0, 0, 0, 0, 99, 138, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 6, 0, 0, 0, 0, 0, 123, 138, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 226, 255, 0, 0, 0, 0, 121, 113, 80, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0, 31, 33, 0, 0, 0, 0, 0, 0, 121, 114, 88, 0, 0, 0, 0, 0, 123, 103, 88, 0, 0, 0, 0, 0, 31, 38, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 225, 245, 5, 63, 98, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 123, 23, 80, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 23, 0, 0, 0, 0, 0, 0, 121, 22, 8, 0, 0, 0, 0, 0, 97, 113, 112, 9, 0, 0, 0, 0, 99, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 11, 0, 0, 0, 0, 0, 97, 113, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 28, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 23, 0, 2, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 183, 2, 0, 0, 88, 12, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 123, 58, 224, 255, 0, 0, 0, 0, 97, 114, 112, 9, 0, 0, 0, 0, 103, 2, 0, 0, 32, 0, 0, 0, 199, 2, 0, 0, 32, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 97, 2, 28, 0, 0, 0, 0, 0, 123, 42, 240, 255, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 163, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 239, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 28, 0, 0, 0, 180, 4, 0, 0, 32, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 177, 0, 0, 0, 191, 112, 0, 0, 0, 0, 0, 0, 99, 96, 28, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 24, 0, 0, 0, 0, 0, 0, 121, 22, 8, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 99, 26, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 85, 7, 11, 0, 0, 0, 0, 0, 97, 129, 112, 9, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 13, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 130, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 106, 9, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 21, 1, 4, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 115, 7, 113, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 22, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 123, 26, 216, 255, 0, 0, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 123, 26, 200, 255, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 123, 26, 184, 255, 0, 0, 0, 0, 123, 26, 176, 255, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 123, 26, 136, 255, 0, 0, 0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 123, 26, 112, 255, 0, 0, 0, 0, 123, 26, 104, 255, 0, 0, 0, 0, 123, 26, 96, 255, 0, 0, 0, 0, 123, 10, 200, 255, 0, 0, 0, 0, 123, 10, 184, 255, 0, 0, 0, 0, 183, 1, 0, 0, 255, 255, 255, 255, 123, 26, 136, 255, 0, 0, 0, 0, 97, 97, 112, 9, 0, 0, 0, 0, 99, 26, 92, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 92, 255, 255, 255, 191, 163, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0, 96, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0, 191, 8, 0, 0, 0, 0, 0, 0, 21, 8, 12, 0, 0, 0, 0, 0, 180, 1, 0, 0, 13, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 82, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 5, 0, 78, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 9, 0, 2, 0, 0, 0, 183, 1, 0, 0, 88, 12, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 97, 101, 244, 2, 0, 0, 0, 0, 97, 100, 112, 9, 0, 0, 0, 0, 24, 1, 0, 0, 11, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 26, 0, 0, 0, 133, 0, 0, 0, 6, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 92, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 180, 8, 0, 0, 234, 255, 255, 255, 21, 7, 57, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 41, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 8, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 8, 0, 0, 0, 0, 0, 0, 21, 8, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 129, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 23, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 8, 0, 0, 0, 0, 0, 0, 21, 8, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 129, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 99, 208, 3, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 180, 4, 0, 0, 1, 0, 0, 0, 133, 16, 0, 0, 106, 9, 0, 0, 180, 8, 0, 0, 0, 0, 0, 0, 5, 0, 14, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 92, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 180, 8, 0, 0, 244, 255, 255, 255, 188, 128, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 97, 17, 112, 9, 0, 0, 0, 0, 99, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 21, 0, 11, 0, 0, 0, 0, 0, 180, 1, 0, 0, 13, 0, 0, 0, 99, 26, 252, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 252, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 3, 0, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 123, 16, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 180, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 162, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 144, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 86, 1, 4, 0, 0, 0, 0, 0, 24, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 24, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 54, 0, 0, 0, 0, 0, 191, 167, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 224, 255, 255, 255, 180, 8, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 2, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 7, 0, 0, 1, 0, 0, 0, 21, 0, 37, 0, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 38, 1, 35, 0, 255, 1, 0, 0, 97, 162, 244, 255, 0, 0, 0, 0, 103, 2, 0, 0, 6, 0, 0, 0, 188, 19, 0, 0, 0, 0, 0, 0, 116, 3, 0, 0, 3, 0, 0, 0, 84, 3, 0, 0, 56, 0, 0, 0, 79, 50, 0, 0, 0, 0, 0, 0, 181, 2, 2, 0, 248, 15, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 146, 0, 0, 0, 0, 0, 0, 85, 2, 11, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 114, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 8, 0, 0, 254, 255, 255, 255, 180, 7, 0, 0, 0, 0, 0, 0, 5, 0, 13, 0, 0, 0, 0, 0, 121, 34, 0, 0, 0, 0, 0, 0, 188, 19, 0, 0, 0, 0, 0, 0, 84, 3, 0, 0, 63, 0, 0, 0, 127, 50, 0, 0, 0, 0, 0, 0, 87, 2, 0, 0, 1, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 1, 0, 0, 0, 0, 0, 5, 0, 219, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 86, 7, 1, 0, 0, 0, 0, 0, 5, 0, 213, 1, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 62, 0, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 198, 1, 60, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 34, 0, 0, 0, 0, 0, 0, 62, 33, 56, 0, 0, 0, 0, 0, 99, 26, 244, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 244, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 7, 0, 0, 0, 0, 0, 97, 161, 244, 255, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 74, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 27, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 8, 1, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 121, 102, 0, 0, 0, 0, 0, 0, 85, 6, 157, 255, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 84, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 254, 255, 255, 255, 5, 0, 173, 1, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 0, 0, 0, 244, 255, 255, 255, 5, 0, 167, 1, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 22, 0, 0, 0, 0, 0, 7, 7, 0, 0, 24, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 245, 9, 0, 0, 86, 0, 160, 1, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 98, 0, 0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 121, 113, 0, 0, 0, 0, 0, 0, 85, 1, 8, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 240, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 144, 1, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 180, 2, 0, 0, 0, 0, 0, 0, 22, 2, 1, 0, 0, 0, 0, 0, 5, 0, 135, 1, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 198, 0, 0, 0, 0, 0, 97, 8, 0, 0, 0, 0, 0, 0, 198, 8, 196, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 62, 24, 192, 0, 0, 0, 0, 0, 166, 8, 11, 0, 64, 0, 0, 0, 123, 138, 232, 255, 0, 0, 0, 0, 183, 1, 0, 0, 64, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 132, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 16, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 234, 255, 255, 255, 5, 0, 108, 1, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 1, 2, 0, 252, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 85, 1, 9, 0, 0, 0, 0, 0, 123, 138, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 2, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 99, 42, 244, 255, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 102, 0, 13, 0, 255, 255, 255, 255, 123, 138, 224, 255, 0, 0, 0, 0, 188, 6, 0, 0, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 160, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 16, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 72, 1, 0, 0, 0, 0, 99, 138, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 6, 0, 0, 0, 0, 0, 123, 138, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 137, 255, 0, 0, 0, 0, 99, 134, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 117, 0, 0, 0, 0, 0, 123, 106, 192, 255, 0, 0, 0, 0, 7, 6, 0, 0, 8, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 194, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 10, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 49, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 121, 105, 0, 0, 0, 0, 0, 0, 21, 9, 4, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 121, 22, 0, 0, 0, 0, 0, 0, 85, 6, 8, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 189, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 102, 255, 0, 0, 0, 0, 191, 167, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 224, 255, 255, 255, 180, 1, 0, 0, 0, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 0, 2, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 113, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 1, 0, 0, 1, 0, 0, 0, 99, 26, 200, 255, 0, 0, 0, 0, 21, 0, 6, 0, 0, 0, 0, 0, 103, 8, 0, 0, 6, 0, 0, 0, 5, 0, 30, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 26, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 224, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 97, 162, 208, 255, 0, 0, 0, 0, 97, 161, 200, 255, 0, 0, 0, 0, 22, 1, 121, 255, 0, 0, 0, 0, 121, 167, 192, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 133, 16, 0, 0, 245, 9, 0, 0, 86, 0, 4, 1, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 244, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 89, 255, 0, 0, 0, 0, 97, 161, 244, 255, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 230, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 243, 0, 0, 0, 0, 0, 97, 7, 0, 0, 0, 0, 0, 0, 38, 7, 228, 255, 255, 1, 0, 0, 188, 114, 0, 0, 0, 0, 0, 0, 116, 2, 0, 0, 3, 0, 0, 0, 84, 2, 0, 0, 56, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 1, 2, 0, 248, 15, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 85, 1, 13, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 248, 255, 255, 255, 24, 1, 0, 0, 212, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 1, 0, 0, 254, 255, 255, 255, 99, 26, 208, 255, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 99, 26, 200, 255, 0, 0, 0, 0, 5, 0, 203, 255, 0, 0, 0, 0, 121, 17, 0, 0, 0, 0, 0, 0, 188, 114, 0, 0, 0, 0, 0, 0, 84, 2, 0, 0, 63, 0, 0, 0, 127, 33, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 1, 0, 0, 0, 21, 1, 193, 255, 0, 0, 0, 0, 188, 113, 0, 0, 0, 0, 0, 0, 191, 146, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 188, 113, 0, 0, 0, 0, 0, 0, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 5, 0, 186, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 244, 255, 255, 255, 5, 0, 184, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 115, 0, 0, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 216, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 159, 0, 0, 0, 0, 0, 97, 8, 0, 0, 0, 0, 0, 0, 198, 8, 157, 0, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 62, 24, 155, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 16, 0, 2, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 1, 2, 0, 252, 7, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 21, 1, 7, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 166, 1, 5, 0, 65, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 136, 0, 0, 0, 0, 0, 5, 0, 232, 255, 0, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0, 39, 7, 0, 0, 64, 1, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 7, 2, 0, 192, 126, 2, 0, 183, 7, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 85, 7, 12, 0, 0, 0, 0, 0, 123, 138, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 74, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 180, 0, 0, 0, 254, 255, 255, 255, 5, 0, 129, 0, 0, 0, 0, 0, 99, 135, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 248, 255, 255, 255, 180, 1, 0, 0, 0, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 97, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 21, 0, 12, 0, 0, 0, 0, 0, 180, 1, 0, 0, 0, 0, 0, 0, 99, 26, 208, 255, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 12, 0, 0, 0, 123, 26, 200, 255, 0, 0, 0, 0, 5, 0, 14, 0, 0, 0, 0, 0, 99, 151, 4, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 85, 0, 8, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 97, 161, 208, 255, 0, 0, 0, 0, 99, 23, 8, 0, 0, 0, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 196, 255, 0, 0, 0, 0, 97, 9, 0, 0, 0, 0, 0, 0, 198, 9, 246, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 62, 25, 242, 255, 0, 0, 0, 0, 99, 154, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 6, 0, 0, 0, 0, 0, 123, 154, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 98, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 65, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 121, 98, 24, 0, 0, 0, 0, 0, 85, 2, 8, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 6, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 54, 0, 0, 0, 0, 0, 188, 129, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 22, 0, 208, 255, 0, 0, 0, 0, 121, 98, 8, 0, 0, 0, 0, 0, 85, 2, 8, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 40, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 40, 0, 0, 0, 0, 0, 188, 129, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 84, 0, 0, 0, 1, 0, 0, 0, 86, 0, 193, 255, 0, 0, 0, 0, 97, 162, 208, 255, 0, 0, 0, 0, 188, 33, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 103, 1, 0, 0, 2, 0, 0, 0, 121, 163, 200, 255, 0, 0, 0, 0, 181, 1, 2, 0, 252, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 5, 0, 1, 0, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 85, 1, 11, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 224, 255, 255, 255, 24, 1, 0, 0, 69, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 234, 255, 255, 255, 5, 0, 17, 0, 0, 0, 0, 0, 99, 145, 0, 0, 0, 0, 0, 0, 4, 2, 0, 0, 1, 0, 0, 0, 99, 42, 208, 255, 0, 0, 0, 0, 5, 0, 168, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 188, 128, 0, 0, 0, 0, 0, 0, 5, 0, 15, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 180, 0, 0, 0, 0, 0, 0, 0, 5, 0, 10, 0, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 6, 0, 0, 254, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 248, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 133, 16, 0, 0, 255, 255, 255, 255, 188, 96, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 188, 38, 0, 0, 0, 0, 0, 0, 5, 0, 249, 255, 0, 0, 0, 0, 180, 3, 0, 0, 8, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 180, 0, 0, 0, 254, 255, 255, 255, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 216, 255, 255, 255, 188, 6, 0, 0, 0, 0, 0, 0, 5, 0, 242, 255, 0, 0, 0, 0, 121, 22, 0, 0, 0, 0, 0, 0, 121, 99, 16, 0, 0, 0, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 16, 0, 0, 0, 180, 2, 0, 0, 128, 0, 0, 0, 133, 0, 0, 0, 115, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 144, 0, 0, 0, 121, 99, 40, 0, 0, 0, 0, 0, 180, 2, 0, 0, 0, 4, 0, 0, 133, 0, 0, 0, 115, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 121, 99, 48, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 115, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 22, 1, 2, 0, 0, 0, 0, 0, 121, 97, 8, 0, 0, 0, 0, 0, 123, 23, 8, 0, 0, 0, 0, 0, 97, 97, 0, 0, 0, 0, 0, 0, 97, 112, 0, 0, 0, 0, 0, 0, 195, 23, 0, 0, 241, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 71, 80, 76, 0, 0, 0, 0, 0, 32, 0, 0, 0, 32, 0, 0, 0, 64, 0, 0, 0, 0, 202, 154, 59, 0, 0, 16, 0, 0, 0, 0, 0, 185, 90, 1, 0, 75, 24, 1, 0, 163, 220, 0, 0, 193, 180, 0, 0, 195, 141, 0, 0, 226, 113, 0, 0, 214, 90, 0, 0, 17, 73, 0, 0, 101, 58, 0, 0, 140, 46, 0, 0, 76, 37, 0, 0, 196, 29, 0, 0, 212, 23, 0, 0, 40, 19, 0, 0, 66, 15, 0, 0, 49, 12, 0, 0, 197, 9, 0, 0, 199, 7, 0, 0, 50, 6, 0, 0, 253, 4, 0, 0, 0, 4, 0, 0, 52, 3, 0, 0, 143, 2, 0, 0, 14, 2, 0, 0, 167, 1, 0, 0, 79, 1, 0, 0, 16, 1, 0, 0, 215, 0, 0, 0, 172, 0, 0, 0, 137, 0, 0, 0, 110, 0, 0, 0, 87, 0, 0, 0, 70, 0, 0, 0, 56, 0, 0, 0, 45, 0, 0, 0, 36, 0, 0, 0, 29, 0, 0, 0, 23, 0, 0, 0, 18, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 70, 69, 82, 32, 68, 67, 89, 67, 76, 69, 32, 100, 111, 109, 37, 117, 45, 62, 37, 117, 32, 116, 97, 115, 107, 61, 37, 108, 117, 32, 102, 114, 111, 109, 61, 37, 108, 117, 45, 62, 37, 108, 117, 32, 116, 111, 61, 37, 108, 117, 45, 62, 37, 108, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 128, 15, 0, 0, 0, 0, 0, 0, 192, 15, 0, 0, 0, 0, 0, 0, 224, 15, 0, 0, 0, 0, 0, 0, 240, 15, 0, 0, 0, 0, 0, 0, 248, 15, 0, 0, 0, 0, 0, 0, 252, 15, 0, 0, 0, 0, 0, 0, 254, 15, 0, 0, 0, 0, 0, 0, 255, 15, 0, 0, 0, 0, 0, 128, 255, 15, 0, 0, 0, 0, 0, 192, 255, 15, 0, 0, 0, 0, 0, 224, 255, 15, 0, 0, 0, 0, 0, 240, 255, 15, 0, 0, 0, 0, 0, 248, 255, 15, 0, 0, 0, 0, 0, 252, 255, 15, 0, 0, 0, 0, 0, 254, 255, 15, 0, 0, 0, 0, 0, 255, 255, 15, 0, 0, 0, 0, 0, 68, 67, 89, 67, 76, 69, 32, 65, 68, 74, 32, 100, 111, 109, 61, 37, 117, 32, 98, 117, 99, 107, 101, 116, 61, 37, 117, 32, 97, 100, 106, 61, 37, 108, 108, 100, 32, 100, 99, 121, 99, 108, 101, 61, 37, 117, 32, 97, 118, 103, 95, 100, 99, 121, 99, 108, 101, 61, 37, 108, 108, 117, 0, 37, 115, 91, 37, 100, 93, 58, 32, 83, 69, 84, 95, 87, 69, 73, 71, 72, 84, 32, 37, 117, 32, 45, 62, 32, 37, 117, 0, 37, 115, 91, 37, 100, 93, 58, 32, 73, 78, 73, 84, 32, 40, 119, 101, 105, 103, 104, 116, 32, 37, 117, 41, 41, 0, 0, 0, 0, 67, 111, 117, 108, 100, 110, 39, 116, 32, 108, 111, 111, 107, 32, 117, 112, 32, 110, 111, 100, 101, 32, 73, 68, 32, 102, 111, 114, 32, 37, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 97, 99, 113, 117, 105, 114, 101, 32, 100, 111, 109, 37, 117, 32, 99, 112, 117, 109, 97, 115, 107, 32, 107, 112, 116, 114, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 32, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 111, 100, 101, 32, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 116, 109, 112, 32, 99, 112, 117, 109, 97, 115, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 49, 1, 0, 0, 0, 0, 116, 97, 115, 107, 95, 99, 116, 120, 32, 108, 111, 111, 107, 117, 112, 32, 102, 97, 105, 108, 101, 100, 32, 102, 111, 114, 32, 112, 105, 100, 32, 37, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 91, 37, 117, 93, 0, 78, 85, 76, 76, 32, 99, 112, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 32, 117, 112, 32, 116, 97, 115, 107, 32, 99, 112, 117, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 101, 119, 32, 100, 111, 109, 37, 117, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 100, 111, 109, 37, 117, 32, 99, 112, 117, 109, 97, 115, 107, 32, 107, 112, 116, 114, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 32, 117, 112, 32, 116, 97, 115, 107, 32, 99, 112, 117, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 108, 111, 99, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 98, 117, 99, 107, 101, 116, 0, 73, 110, 118, 97, 108, 105, 100, 32, 112, 114, 105, 111, 32, 105, 110, 100, 101, 120, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 112, 99, 112, 117, 32, 99, 116, 120, 32, 102, 111, 114, 32, 37, 100, 0, 99, 112, 117, 37, 100, 32, 100, 111, 109, 37, 117, 32, 98, 117, 99, 107, 101, 116, 37, 117, 32, 108, 111, 97, 100, 32, 117, 110, 100, 101, 114, 102, 108, 111, 119, 32, 40, 100, 99, 121, 99, 108, 101, 61, 37, 108, 108, 100, 32, 97, 100, 106, 61, 37, 108, 108, 100, 41, 0, 73, 110, 118, 97, 108, 105, 100, 32, 100, 111, 109, 32, 73, 68, 0, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 91, 37, 117, 93, 91, 37, 108, 108, 117, 93, 32, 105, 110, 100, 101, 120, 105, 110, 103, 32, 102, 97, 105, 108, 101, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 108, 111, 99, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 115, 101, 116, 32, 100, 111, 109, 37, 100, 32, 102, 111, 114, 32, 37, 115, 91, 37, 100, 93, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 99, 114, 101, 97, 116, 101, 32, 99, 112, 117, 109, 97, 115, 107, 0, 107, 112, 116, 114, 32, 97, 108, 114, 101, 97, 100, 121, 32, 104, 97, 100, 32, 99, 112, 117, 109, 97, 115, 107, 0, 78, 111, 32, 110, 111, 100, 101, 37, 117, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 111, 100, 101, 32, 99, 112, 117, 109, 97, 115, 107, 0, 97, 114, 114, 97, 121, 32, 105, 110, 100, 101, 120, 32, 101, 114, 114, 111, 114, 0, 77, 97, 120, 32, 100, 111, 109, 32, 73, 68, 32, 37, 117, 32, 101, 120, 99, 101, 101, 100, 101, 100, 32, 40, 37, 117, 41, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 99, 114, 101, 97, 116, 101, 32, 100, 115, 113, 32, 37, 117, 32, 40, 37, 100, 41, 0, 67, 111, 117, 108, 100, 32, 110, 111, 116, 32, 102, 105, 110, 100, 32, 99, 112, 117, 109, 97, 115, 107, 0, 97, 114, 114, 97, 121, 32, 105, 110, 100, 101, 120, 32, 101, 114, 114, 111, 114, 0, 78, 111, 32, 110, 111, 100, 101, 37, 117, 0, 99, 112, 117, 109, 97, 115, 107, 32, 108, 111, 111, 107, 117, 112, 32, 102, 97, 105, 108, 101, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 110, 111, 100, 101, 32, 99, 112, 117, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 99, 112, 117, 109, 97, 115, 107, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 115, 32, 112, 116, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 117, 115, 116, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 66, 2, 0, 0, 104, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 56, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 104, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 2, 0, 0, 208, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 88, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 2, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 232, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 40, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 136, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 184, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 112, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 102, 2, 0, 0, 184, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 102, 2, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 216, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 240, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 80, 8, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 104, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 232, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 2, 0, 0, 232, 10, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 144, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 176, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 88, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 184, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 200, 17, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 176, 19, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 32, 24, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 48, 27, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 144, 29, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 208, 29, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 168, 32, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 176, 34, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 240, 34, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 8, 38, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 240, 39, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 240, 43, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 232, 46, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 120, 48, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 192, 48, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 144, 51, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 88, 53, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 8, 54, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 216, 57, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 240, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 32, 58, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 104, 2, 0, 0, 128, 58, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 128, 61, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 224, 62, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 32, 63, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 200, 63, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 224, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 32, 64, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 102, 2, 0, 0, 96, 64, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 120, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 200, 64, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 16, 68, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 216, 69, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 240, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 136, 70, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 103, 2, 0, 0, 104, 73, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 24, 75, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 120, 75, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 8, 76, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 70, 2, 0, 0, 64, 76, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 120, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 136, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 176, 76, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 2, 0, 0, 192, 76, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 24, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 40, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 104, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 144, 77, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 96, 2, 0, 0, 0, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 32, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 56, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 96, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 208, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 136, 79, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 160, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 184, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 232, 79, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 104, 80, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 128, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 144, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 2, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 2, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 2, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 2, 0, 0, 224, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 120, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 2, 0, 0, 192, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 136, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 200, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 224, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 2, 0, 0, 72, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 136, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 200, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 2, 0, 0, 232, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 2, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 2, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 42, 2, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 2, 0, 0, 200, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 24, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 48, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 136, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 44, 2, 0, 0, 224, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 208, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 2, 0, 0, 240, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 56, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 112, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 152, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 2, 0, 0, 184, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 2, 0, 0, 208, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 2, 0, 0, 8, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 64, 8, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 144, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 184, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 240, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 16, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 2, 0, 0, 72, 9, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 112, 9, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 152, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 192, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 224, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 2, 0, 0, 24, 10, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 104, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 160, 10, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 8, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 2, 0, 0, 64, 11, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 168, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 2, 0, 0, 208, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 8, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 96, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 128, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 160, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 216, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 32, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 56, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 120, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 144, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 176, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 54, 2, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 96, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 152, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 2, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 64, 15, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 160, 15, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 208, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 16, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 136, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 192, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 32, 17, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 80, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 136, 17, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 8, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 64, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 2, 0, 0, 152, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 224, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 59, 2, 0, 0, 104, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 160, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 2, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 2, 0, 0, 72, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 2, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 2, 0, 0, 176, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 216, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 2, 0, 0, 240, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 2, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 63, 2, 0, 0, 120, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 2, 0, 0, 208, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 8, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 48, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 200, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 16, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 72, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 128, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 2, 0, 0, 152, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 42, 2, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 248, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 2, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 2, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 69, 2, 0, 0, 192, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 70, 2, 0, 0, 16, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 96, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 184, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 2, 0, 0, 240, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 56, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 88, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 71, 2, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0, 0, 184, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 66, 2, 0, 0, 8, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 128, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 160, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 66, 2, 0, 0, 200, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 248, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 120, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 144, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 200, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 2, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 71, 2, 0, 0, 248, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 2, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 63, 2, 0, 0, 120, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 75, 2, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 75, 2, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 63, 2, 0, 0, 64, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 184, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 76, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 63, 2, 0, 0, 72, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 76, 2, 0, 0, 136, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 160, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 88, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 63, 2, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 120, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 82, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 80, 2, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 2, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 56, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 176, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 192, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 200, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 40, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 120, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 176, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 200, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 224, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 43, 2, 0, 0, 104, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 82, 2, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 39, 2, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 48, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 42, 2, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 152, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 176, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 88, 2, 0, 0, 232, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 240, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 90, 2, 0, 0, 112, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 32, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 56, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 144, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 208, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 216, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0, 0, 88, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 92, 2, 0, 0, 160, 4, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 184, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 16, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 40, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 56, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 2, 0, 0, 88, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 128, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 152, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 232, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 24, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 72, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 104, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 120, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 2, 0, 0, 160, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 200, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 224, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 232, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 56, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 136, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 160, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 200, 7, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 66, 2, 0, 0, 24, 8, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 48, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 96, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 2, 0, 0, 176, 8, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 200, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 240, 8, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 48, 9, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 80, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 2, 0, 0, 184, 9, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 208, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 224, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 232, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 2, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 82, 2, 0, 0, 32, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 72, 10, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 152, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 168, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 232, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 8, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 16, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 72, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 104, 11, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 92, 2, 0, 0, 176, 11, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 96, 2, 0, 0, 88, 12, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 112, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 224, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 248, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 2, 0, 0, 40, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 64, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 104, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 112, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 2, 0, 0, 168, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 184, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 232, 13, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 24, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 2, 0, 0, 112, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 152, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 70, 2, 0, 0, 232, 14, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 24, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 56, 15, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 128, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 144, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 216, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 240, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 16, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 40, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 2, 0, 0, 80, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 34, 2, 0, 0, 136, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 37, 2, 0, 0, 200, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 224, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 2, 0, 0, 248, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 32, 17, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 64, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 104, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 144, 17, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 176, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 32, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 72, 18, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 2, 0, 0, 96, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 168, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 208, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 240, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 16, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 40, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 104, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 98, 2, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 98, 2, 0, 0, 72, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 98, 2, 0, 0, 120, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 99, 2, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 100, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 27, 2, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 58, 2, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 67, 2, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 73, 2, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 74, 2, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 77, 2, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 78, 2, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 79, 2, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 81, 2, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 84, 2, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 86, 2, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 87, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 97, 2, 0, 0, 159, 235, 1, 0, 24, 0, 0, 0, 0, 0, 0, 0, 92, 114, 0, 0, 92, 114, 0, 0, 124, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 6, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 9, 0, 0, 0, 42, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 51, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 97, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 5, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 8, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 11, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 96, 0, 0, 0, 0, 0, 0, 14, 15, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 18, 0, 0, 0, 106, 0, 0, 0, 7, 0, 0, 4, 208, 15, 0, 0, 114, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 51, 0, 0, 0, 10, 0, 0, 0, 64, 0, 0, 0, 117, 0, 0, 0, 10, 0, 0, 0, 128, 0, 0, 0, 139, 0, 0, 0, 10, 0, 0, 0, 192, 0, 0, 0, 152, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 0, 165, 0, 0, 0, 19, 0, 0, 0, 64, 1, 0, 0, 187, 0, 0, 0, 25, 0, 0, 0, 128, 1, 0, 0, 195, 0, 0, 0, 0, 0, 0, 8, 20, 0, 0, 0, 199, 0, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 218, 0, 0, 0, 2, 0, 0, 4, 40, 0, 0, 0, 229, 0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 236, 0, 0, 0, 22, 0, 0, 0, 64, 0, 0, 0, 239, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 249, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 253, 0, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 4, 1, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 8, 1, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 195, 0, 0, 0, 0, 0, 0, 8, 24, 0, 0, 0, 12, 1, 0, 0, 0, 0, 0, 8, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 5, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 17, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 11, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 18, 1, 0, 0, 0, 0, 0, 14, 26, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 29, 0, 0, 0, 27, 1, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 40, 1, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 45, 1, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 249, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 59, 1, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 5, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 28, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 11, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 65, 1, 0, 0, 0, 0, 0, 14, 32, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 5, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 28, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 34, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 81, 1, 0, 0, 0, 0, 0, 14, 36, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 41, 0, 0, 0, 98, 1, 0, 0, 0, 0, 0, 8, 42, 0, 0, 0, 104, 1, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 44, 0, 0, 0, 119, 1, 0, 0, 19, 0, 0, 4, 152, 0, 0, 0, 128, 1, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 51, 0, 0, 0, 10, 0, 0, 0, 64, 0, 0, 0, 137, 1, 0, 0, 10, 0, 0, 0, 128, 0, 0, 0, 149, 1, 0, 0, 6, 0, 0, 0, 192, 0, 0, 0, 156, 1, 0, 0, 6, 0, 0, 0, 224, 0, 0, 0, 163, 1, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0, 172, 1, 0, 0, 19, 0, 0, 0, 64, 1, 0, 0, 192, 1, 0, 0, 19, 0, 0, 0, 128, 1, 0, 0, 201, 1, 0, 0, 19, 0, 0, 0, 192, 1, 0, 0, 213, 1, 0, 0, 19, 0, 0, 0, 0, 2, 0, 0, 225, 1, 0, 0, 19, 0, 0, 0, 64, 2, 0, 0, 237, 1, 0, 0, 19, 0, 0, 0, 128, 2, 0, 0, 250, 1, 0, 0, 19, 0, 0, 0, 192, 2, 0, 0, 10, 2, 0, 0, 19, 0, 0, 0, 0, 3, 0, 0, 21, 2, 0, 0, 19, 0, 0, 0, 64, 3, 0, 0, 34, 2, 0, 0, 45, 0, 0, 0, 128, 3, 0, 0, 45, 2, 0, 0, 45, 0, 0, 0, 136, 3, 0, 0, 54, 2, 0, 0, 45, 0, 0, 0, 144, 3, 0, 0, 69, 2, 0, 0, 22, 0, 0, 0, 192, 3, 0, 0, 77, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 2, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 64, 66, 15, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 40, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 43, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 46, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 83, 2, 0, 0, 0, 0, 0, 14, 48, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 59, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 93, 2, 0, 0, 52, 0, 0, 0, 64, 0, 0, 0, 102, 2, 0, 0, 54, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 56, 0, 0, 0, 192, 0, 0, 0, 113, 2, 0, 0, 0, 0, 0, 14, 58, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 232, 3, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 59, 0, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 40, 0, 0, 0, 64, 0, 0, 0, 68, 0, 0, 0, 5, 0, 0, 0, 128, 0, 0, 0, 74, 0, 0, 0, 60, 0, 0, 0, 192, 0, 0, 0, 86, 0, 0, 0, 13, 0, 0, 0, 0, 1, 0, 0, 119, 2, 0, 0, 0, 0, 0, 14, 62, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 20, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 66, 0, 0, 0, 127, 2, 0, 0, 64, 0, 0, 0, 131, 2, 0, 0, 0, 0, 0, 8, 67, 0, 0, 0, 135, 2, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 141, 2, 0, 0, 1, 0, 0, 12, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 72, 0, 0, 0, 51, 0, 0, 0, 1, 0, 0, 4, 0, 4, 0, 0, 158, 2, 0, 0, 74, 0, 0, 0, 0, 0, 0, 0, 163, 2, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 128, 0, 0, 0, 177, 2, 0, 0, 2, 0, 0, 12, 69, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 2, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 78, 0, 0, 0, 202, 2, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 215, 2, 0, 0, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 24, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 224, 2, 0, 0, 2, 0, 0, 12, 76, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 82, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 241, 2, 0, 0, 2, 0, 0, 12, 81, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 77, 0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 12, 84, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 87, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 88, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 25, 0, 0, 0, 0, 0, 0, 8, 31, 0, 0, 0, 29, 3, 0, 0, 2, 0, 0, 12, 86, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 93, 0, 0, 0, 48, 3, 0, 0, 2, 0, 0, 4, 8, 4, 0, 0, 51, 0, 0, 0, 94, 0, 0, 0, 0, 0, 0, 0, 60, 3, 0, 0, 95, 0, 0, 0, 0, 32, 0, 0, 66, 3, 0, 0, 0, 0, 0, 8, 72, 0, 0, 0, 76, 3, 0, 0, 0, 0, 0, 8, 96, 0, 0, 0, 87, 3, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 103, 3, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 108, 3, 0, 0, 0, 0, 0, 8, 98, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 117, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 125, 3, 0, 0, 2, 0, 0, 12, 91, 0, 0, 0, 145, 3, 0, 0, 2, 0, 0, 12, 91, 0, 0, 0, 167, 3, 0, 0, 237, 0, 0, 132, 192, 47, 0, 0, 179, 3, 0, 0, 102, 0, 0, 0, 0, 0, 0, 0, 191, 3, 0, 0, 7, 0, 0, 0, 192, 0, 0, 0, 199, 3, 0, 0, 7, 0, 0, 0, 224, 0, 0, 0, 211, 3, 0, 0, 103, 0, 0, 0, 0, 1, 0, 0, 60, 3, 0, 0, 95, 0, 0, 0, 64, 1, 0, 0, 217, 3, 0, 0, 7, 0, 0, 0, 96, 1, 0, 0, 223, 3, 0, 0, 7, 0, 0, 0, 128, 1, 0, 0, 230, 3, 0, 0, 2, 0, 0, 0, 160, 1, 0, 0, 237, 3, 0, 0, 104, 0, 0, 0, 192, 1, 0, 0, 248, 3, 0, 0, 7, 0, 0, 0, 64, 2, 0, 0, 4, 4, 0, 0, 73, 0, 0, 0, 128, 2, 0, 0, 24, 4, 0, 0, 111, 0, 0, 0, 192, 2, 0, 0, 35, 4, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 51, 4, 0, 0, 2, 0, 0, 0, 32, 3, 0, 0, 60, 4, 0, 0, 2, 0, 0, 0, 64, 3, 0, 0, 66, 4, 0, 0, 2, 0, 0, 0, 96, 3, 0, 0, 71, 4, 0, 0, 2, 0, 0, 0, 128, 3, 0, 0, 83, 4, 0, 0, 2, 0, 0, 0, 160, 3, 0, 0, 95, 4, 0, 0, 7, 0, 0, 0, 192, 3, 0, 0, 107, 4, 0, 0, 112, 0, 0, 0, 0, 4, 0, 0, 110, 4, 0, 0, 124, 0, 0, 0, 0, 12, 0, 0, 113, 4, 0, 0, 126, 0, 0, 0, 128, 13, 0, 0, 116, 4, 0, 0, 143, 0, 0, 0, 64, 21, 0, 0, 126, 4, 0, 0, 147, 0, 0, 0, 128, 21, 0, 0, 130, 4, 0, 0, 155, 0, 0, 0, 192, 27, 0, 0, 142, 4, 0, 0, 157, 0, 0, 0, 0, 28, 0, 0, 113, 2, 0, 0, 158, 0, 0, 0, 0, 30, 0, 0, 159, 4, 0, 0, 7, 0, 0, 0, 0, 30, 0, 0, 170, 4, 0, 0, 7, 0, 0, 0, 32, 30, 0, 0, 177, 4, 0, 0, 2, 0, 0, 0, 64, 30, 0, 0, 193, 4, 0, 0, 159, 0, 0, 0, 128, 30, 0, 0, 202, 4, 0, 0, 161, 0, 0, 0, 192, 30, 0, 0, 216, 4, 0, 0, 94, 0, 0, 0, 0, 31, 0, 0, 226, 4, 0, 0, 103, 0, 0, 0, 0, 63, 0, 0, 244, 4, 0, 0, 110, 0, 0, 0, 64, 63, 0, 0, 7, 5, 0, 0, 110, 0, 0, 0, 80, 63, 0, 0, 23, 5, 0, 0, 2, 0, 0, 0, 96, 63, 0, 0, 45, 5, 0, 0, 162, 0, 0, 0, 128, 63, 0, 0, 69, 5, 0, 0, 116, 0, 0, 0, 192, 63, 0, 0, 84, 5, 0, 0, 164, 0, 0, 0, 64, 64, 0, 0, 101, 5, 0, 0, 73, 0, 0, 0, 128, 64, 0, 0, 117, 5, 0, 0, 135, 0, 0, 0, 192, 64, 0, 0, 135, 5, 0, 0, 135, 0, 0, 0, 200, 64, 0, 0, 149, 5, 0, 0, 2, 0, 0, 0, 224, 64, 0, 0, 168, 5, 0, 0, 116, 0, 0, 0, 0, 65, 0, 0, 191, 5, 0, 0, 2, 0, 0, 0, 128, 65, 0, 0, 210, 5, 0, 0, 116, 0, 0, 0, 192, 65, 0, 0, 230, 5, 0, 0, 2, 0, 0, 0, 64, 66, 0, 0, 249, 5, 0, 0, 2, 0, 0, 0, 96, 66, 0, 0, 8, 6, 0, 0, 162, 0, 0, 0, 128, 66, 0, 0, 27, 6, 0, 0, 116, 0, 0, 0, 192, 66, 0, 0, 44, 6, 0, 0, 116, 0, 0, 0, 64, 67, 0, 0, 58, 6, 0, 0, 2, 0, 0, 0, 192, 67, 0, 0, 71, 6, 0, 0, 165, 0, 0, 0, 0, 68, 0, 0, 82, 6, 0, 0, 116, 0, 0, 0, 0, 69, 0, 0, 88, 6, 0, 0, 166, 0, 0, 0, 128, 69, 0, 0, 103, 6, 0, 0, 114, 0, 0, 0, 192, 70, 0, 0, 121, 6, 0, 0, 167, 0, 0, 0, 128, 71, 0, 0, 124, 6, 0, 0, 167, 0, 0, 0, 192, 71, 0, 0, 134, 6, 0, 0, 168, 0, 0, 0, 0, 72, 0, 0, 158, 6, 0, 0, 2, 0, 0, 0, 64, 72, 0, 0, 169, 6, 0, 0, 2, 0, 0, 0, 96, 72, 0, 0, 179, 6, 0, 0, 2, 0, 0, 0, 128, 72, 0, 0, 191, 6, 0, 0, 2, 0, 0, 0, 160, 72, 0, 0, 205, 6, 0, 0, 73, 0, 0, 0, 192, 72, 0, 0, 212, 6, 0, 0, 7, 0, 0, 0, 0, 73, 0, 0, 224, 6, 0, 0, 7, 0, 0, 0, 32, 73, 0, 1, 244, 6, 0, 0, 7, 0, 0, 0, 33, 73, 0, 1, 14, 7, 0, 0, 7, 0, 0, 0, 34, 73, 0, 1, 29, 7, 0, 0, 7, 0, 0, 0, 64, 73, 0, 1, 49, 7, 0, 0, 7, 0, 0, 0, 65, 73, 0, 1, 64, 7, 0, 0, 7, 0, 0, 0, 66, 73, 0, 1, 74, 7, 0, 0, 7, 0, 0, 0, 67, 73, 0, 1, 84, 7, 0, 0, 7, 0, 0, 0, 68, 73, 0, 1, 100, 7, 0, 0, 7, 0, 0, 0, 69, 73, 0, 1, 114, 7, 0, 0, 7, 0, 0, 0, 70, 73, 0, 1, 134, 7, 0, 0, 7, 0, 0, 0, 71, 73, 0, 1, 141, 7, 0, 0, 7, 0, 0, 0, 72, 73, 0, 1, 154, 7, 0, 0, 7, 0, 0, 0, 73, 73, 0, 1, 166, 7, 0, 0, 7, 0, 0, 0, 74, 73, 0, 1, 177, 7, 0, 0, 7, 0, 0, 0, 75, 73, 0, 1, 197, 7, 0, 0, 7, 0, 0, 0, 76, 73, 0, 1, 210, 7, 0, 0, 73, 0, 0, 0, 128, 73, 0, 0, 223, 7, 0, 0, 169, 0, 0, 0, 192, 73, 0, 0, 237, 7, 0, 0, 41, 0, 0, 0, 128, 75, 0, 0, 241, 7, 0, 0, 41, 0, 0, 0, 160, 75, 0, 0, 246, 7, 0, 0, 187, 0, 0, 0, 192, 75, 0, 0, 2, 8, 0, 0, 187, 0, 0, 0, 0, 76, 0, 0, 9, 8, 0, 0, 116, 0, 0, 0, 64, 76, 0, 0, 18, 8, 0, 0, 116, 0, 0, 0, 192, 76, 0, 0, 26, 8, 0, 0, 111, 0, 0, 0, 64, 77, 0, 0, 39, 8, 0, 0, 116, 0, 0, 0, 128, 77, 0, 0, 47, 8, 0, 0, 116, 0, 0, 0, 0, 78, 0, 0, 60, 8, 0, 0, 188, 0, 0, 0, 128, 78, 0, 0, 71, 8, 0, 0, 192, 0, 0, 0, 192, 78, 0, 0, 81, 8, 0, 0, 116, 0, 0, 0, 192, 80, 0, 0, 93, 8, 0, 0, 193, 0, 0, 0, 64, 81, 0, 0, 104, 8, 0, 0, 195, 0, 0, 0, 128, 81, 0, 0, 118, 8, 0, 0, 195, 0, 0, 0, 192, 81, 0, 0, 134, 8, 0, 0, 103, 0, 0, 0, 0, 82, 0, 0, 149, 8, 0, 0, 23, 0, 0, 0, 64, 82, 0, 0, 155, 8, 0, 0, 23, 0, 0, 0, 128, 82, 0, 0, 161, 8, 0, 0, 23, 0, 0, 0, 192, 82, 0, 0, 167, 8, 0, 0, 196, 0, 0, 0, 0, 83, 0, 0, 180, 8, 0, 0, 226, 0, 0, 0, 128, 85, 0, 0, 186, 8, 0, 0, 97, 0, 0, 0, 64, 88, 0, 0, 200, 8, 0, 0, 73, 0, 0, 0, 128, 88, 0, 0, 206, 8, 0, 0, 73, 0, 0, 0, 192, 88, 0, 0, 213, 8, 0, 0, 23, 0, 0, 0, 0, 89, 0, 0, 224, 8, 0, 0, 23, 0, 0, 0, 64, 89, 0, 0, 239, 8, 0, 0, 73, 0, 0, 0, 128, 89, 0, 0, 247, 8, 0, 0, 73, 0, 0, 0, 192, 89, 0, 0, 255, 8, 0, 0, 230, 0, 0, 0, 0, 90, 0, 0, 15, 9, 0, 0, 236, 0, 0, 0, 128, 92, 0, 0, 36, 9, 0, 0, 244, 0, 0, 0, 192, 97, 0, 0, 49, 9, 0, 0, 244, 0, 0, 0, 0, 98, 0, 0, 59, 9, 0, 0, 244, 0, 0, 0, 64, 98, 0, 0, 64, 9, 0, 0, 1, 1, 0, 0, 128, 98, 0, 0, 85, 9, 0, 0, 7, 1, 0, 0, 192, 98, 0, 0, 90, 9, 0, 0, 8, 1, 0, 0, 64, 99, 0, 0, 100, 9, 0, 0, 9, 1, 0, 0, 128, 99, 0, 0, 108, 9, 0, 0, 11, 1, 0, 0, 192, 99, 0, 0, 116, 9, 0, 0, 73, 0, 0, 0, 64, 100, 0, 0, 134, 9, 0, 0, 73, 0, 0, 0, 128, 100, 0, 0, 151, 9, 0, 0, 12, 1, 0, 0, 192, 100, 0, 0, 154, 9, 0, 0, 13, 1, 0, 0, 0, 101, 0, 0, 160, 9, 0, 0, 14, 1, 0, 0, 64, 101, 0, 0, 169, 9, 0, 0, 15, 1, 0, 0, 128, 101, 0, 0, 177, 9, 0, 0, 16, 1, 0, 0, 192, 101, 0, 0, 184, 9, 0, 0, 17, 1, 0, 0, 0, 102, 0, 0, 192, 9, 0, 0, 18, 1, 0, 0, 64, 102, 0, 0, 200, 9, 0, 0, 18, 1, 0, 0, 128, 102, 0, 0, 213, 9, 0, 0, 18, 1, 0, 0, 192, 102, 0, 0, 227, 9, 0, 0, 21, 1, 0, 0, 0, 103, 0, 0, 235, 9, 0, 0, 73, 0, 0, 0, 192, 103, 0, 0, 245, 9, 0, 0, 22, 1, 0, 0, 0, 104, 0, 0, 1, 10, 0, 0, 7, 0, 0, 0, 64, 104, 0, 0, 14, 10, 0, 0, 238, 0, 0, 0, 128, 104, 0, 0, 25, 10, 0, 0, 25, 1, 0, 0, 192, 104, 0, 0, 33, 10, 0, 0, 27, 1, 0, 0, 64, 105, 0, 0, 50, 10, 0, 0, 23, 0, 0, 0, 64, 106, 0, 0, 65, 10, 0, 0, 23, 0, 0, 0, 128, 106, 0, 0, 78, 10, 0, 0, 30, 1, 0, 0, 192, 106, 0, 0, 89, 10, 0, 0, 197, 0, 0, 0, 192, 108, 0, 0, 97, 10, 0, 0, 35, 1, 0, 0, 192, 110, 0, 0, 104, 10, 0, 0, 233, 0, 0, 0, 0, 111, 0, 0, 115, 10, 0, 0, 111, 0, 0, 0, 128, 111, 0, 0, 127, 10, 0, 0, 37, 1, 0, 0, 192, 111, 0, 0, 141, 10, 0, 0, 38, 1, 0, 0, 0, 112, 0, 0, 152, 10, 0, 0, 39, 1, 0, 0, 64, 112, 0, 0, 161, 10, 0, 0, 7, 0, 0, 0, 0, 114, 0, 0, 178, 10, 0, 0, 23, 0, 0, 0, 64, 114, 0, 0, 196, 10, 0, 0, 2, 0, 0, 0, 128, 114, 0, 0, 213, 10, 0, 0, 2, 0, 0, 0, 160, 114, 0, 0, 229, 10, 0, 0, 2, 0, 0, 0, 192, 114, 0, 0, 240, 10, 0, 0, 23, 0, 0, 0, 0, 115, 0, 0, 255, 10, 0, 0, 2, 0, 0, 0, 64, 115, 0, 0, 13, 11, 0, 0, 7, 0, 0, 0, 96, 115, 0, 0, 31, 11, 0, 0, 42, 1, 0, 0, 128, 115, 0, 0, 42, 11, 0, 0, 103, 0, 0, 0, 128, 175, 0, 0, 55, 11, 0, 0, 43, 1, 0, 0, 192, 175, 0, 0, 64, 11, 0, 0, 44, 1, 0, 0, 0, 176, 0, 0, 69, 11, 0, 0, 45, 1, 0, 0, 64, 176, 0, 0, 83, 11, 0, 0, 46, 1, 0, 0, 128, 176, 0, 0, 94, 11, 0, 0, 47, 1, 0, 0, 192, 176, 0, 0, 110, 11, 0, 0, 73, 0, 0, 0, 0, 177, 0, 0, 125, 11, 0, 0, 48, 1, 0, 0, 64, 177, 0, 0, 138, 11, 0, 0, 50, 1, 0, 0, 128, 177, 0, 0, 143, 11, 0, 0, 7, 0, 0, 0, 64, 179, 0, 0, 153, 11, 0, 0, 23, 0, 0, 0, 128, 179, 0, 0, 167, 11, 0, 0, 23, 0, 0, 0, 192, 179, 0, 0, 180, 11, 0, 0, 23, 0, 0, 0, 0, 180, 0, 0, 193, 11, 0, 0, 51, 1, 0, 0, 64, 180, 0, 0, 206, 11, 0, 0, 54, 1, 0, 0, 64, 184, 0, 0, 223, 11, 0, 0, 2, 0, 0, 0, 0, 186, 0, 0, 247, 11, 0, 0, 2, 0, 0, 0, 32, 186, 0, 0, 16, 12, 0, 0, 57, 1, 0, 0, 64, 186, 0, 0, 24, 12, 0, 0, 116, 0, 0, 0, 128, 186, 0, 0, 32, 12, 0, 0, 58, 1, 0, 0, 0, 187, 0, 0, 44, 12, 0, 0, 116, 0, 0, 0, 64, 187, 0, 0, 58, 12, 0, 0, 59, 1, 0, 0, 192, 187, 0, 0, 73, 12, 0, 0, 241, 0, 0, 0, 0, 188, 0, 0, 90, 12, 0, 0, 7, 0, 0, 0, 128, 192, 0, 0, 102, 12, 0, 0, 60, 1, 0, 0, 192, 192, 0, 0, 118, 12, 0, 0, 241, 0, 0, 0, 0, 193, 0, 0, 135, 12, 0, 0, 116, 0, 0, 0, 128, 197, 0, 0, 151, 12, 0, 0, 61, 1, 0, 0, 0, 198, 0, 0, 161, 12, 0, 0, 62, 1, 0, 0, 64, 198, 0, 0, 169, 12, 0, 0, 135, 0, 0, 0, 80, 198, 0, 0, 179, 12, 0, 0, 62, 1, 0, 0, 96, 198, 0, 0, 194, 12, 0, 0, 63, 1, 0, 0, 128, 198, 0, 0, 199, 12, 0, 0, 89, 0, 0, 0, 192, 198, 0, 0, 208, 12, 0, 0, 89, 0, 0, 0, 224, 198, 0, 0, 217, 12, 0, 0, 73, 0, 0, 0, 0, 199, 0, 0, 233, 12, 0, 0, 2, 0, 0, 0, 64, 199, 0, 0, 240, 12, 0, 0, 2, 0, 0, 0, 96, 199, 0, 0, 252, 12, 0, 0, 2, 0, 0, 0, 128, 199, 0, 0, 13, 13, 0, 0, 2, 0, 0, 0, 160, 199, 0, 0, 27, 13, 0, 0, 237, 0, 0, 0, 192, 199, 0, 0, 36, 13, 0, 0, 64, 1, 0, 0, 64, 200, 0, 0, 44, 13, 0, 0, 66, 1, 0, 0, 128, 232, 0, 0, 56, 13, 0, 0, 67, 1, 0, 0, 192, 232, 0, 0, 66, 13, 0, 0, 69, 1, 0, 0, 64, 233, 0, 0, 73, 13, 0, 0, 2, 0, 0, 0, 128, 233, 0, 0, 84, 13, 0, 0, 2, 0, 0, 0, 160, 233, 0, 0, 101, 13, 0, 0, 73, 0, 0, 0, 192, 233, 0, 0, 119, 13, 0, 0, 23, 0, 0, 0, 0, 234, 0, 0, 134, 13, 0, 0, 23, 0, 0, 0, 64, 234, 0, 0, 157, 13, 0, 0, 2, 0, 0, 0, 128, 234, 0, 0, 172, 13, 0, 0, 2, 0, 0, 0, 160, 234, 0, 0, 187, 13, 0, 0, 70, 1, 0, 0, 192, 234, 0, 0, 197, 13, 0, 0, 20, 0, 0, 0, 0, 235, 0, 0, 214, 13, 0, 0, 97, 0, 0, 0, 64, 235, 0, 0, 228, 13, 0, 0, 97, 0, 0, 0, 96, 235, 0, 0, 248, 13, 0, 0, 73, 0, 0, 0, 128, 235, 0, 0, 8, 14, 0, 0, 71, 1, 0, 0, 192, 235, 0, 0, 21, 14, 0, 0, 72, 1, 0, 0, 0, 236, 0, 0, 40, 14, 0, 0, 2, 0, 0, 0, 32, 236, 0, 0, 56, 14, 0, 0, 7, 0, 0, 0, 64, 236, 0, 0, 81, 14, 0, 0, 71, 1, 0, 0, 128, 236, 0, 0, 94, 14, 0, 0, 73, 1, 0, 0, 192, 236, 0, 0, 100, 14, 0, 0, 74, 1, 0, 0, 0, 237, 0, 0, 114, 14, 0, 0, 75, 1, 0, 0, 64, 237, 0, 0, 120, 14, 0, 0, 76, 1, 0, 0, 128, 237, 0, 0, 130, 14, 0, 0, 237, 0, 0, 0, 128, 237, 0, 0, 134, 14, 0, 0, 95, 0, 0, 0, 0, 238, 0, 0, 144, 14, 0, 0, 2, 0, 0, 0, 32, 238, 0, 0, 163, 14, 0, 0, 111, 0, 0, 0, 64, 238, 0, 0, 179, 14, 0, 0, 77, 1, 0, 0, 128, 238, 0, 0, 196, 14, 0, 0, 81, 1, 0, 0, 0, 241, 0, 0, 210, 14, 0, 0, 95, 0, 0, 0, 64, 241, 0, 0, 225, 14, 0, 0, 82, 1, 0, 0, 128, 241, 0, 0, 237, 14, 0, 0, 83, 1, 0, 0, 192, 241, 0, 0, 245, 14, 0, 0, 84, 1, 0, 0, 0, 242, 0, 0, 9, 15, 0, 0, 84, 1, 0, 0, 64, 242, 0, 0, 18, 15, 0, 0, 237, 0, 0, 0, 128, 242, 0, 0, 33, 15, 0, 0, 85, 1, 0, 0, 0, 244, 0, 0, 179, 3, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 217, 3, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 40, 15, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 53, 15, 0, 0, 89, 0, 0, 0, 128, 0, 0, 0, 60, 15, 0, 0, 89, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 64, 15, 0, 0, 4, 0, 0, 4, 16, 0, 0, 0, 83, 15, 0, 0, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 0, 0, 0, 64, 0, 0, 0, 89, 15, 0, 0, 108, 0, 0, 0, 96, 0, 0, 0, 93, 15, 0, 0, 108, 0, 0, 0, 112, 0, 0, 0, 97, 15, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 108, 15, 0, 0, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 105, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 113, 15, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 121, 15, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 129, 15, 0, 0, 0, 0, 0, 8, 109, 0, 0, 0, 133, 15, 0, 0, 0, 0, 0, 8, 110, 0, 0, 0, 139, 15, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 101, 0, 0, 0, 154, 15, 0, 0, 19, 0, 0, 4, 0, 1, 0, 0, 167, 15, 0, 0, 113, 0, 0, 0, 0, 0, 0, 0, 172, 15, 0, 0, 114, 0, 0, 0, 128, 0, 0, 0, 192, 1, 0, 0, 23, 0, 0, 0, 64, 1, 0, 0, 152, 0, 0, 0, 23, 0, 0, 0, 128, 1, 0, 0, 181, 15, 0, 0, 116, 0, 0, 0, 192, 1, 0, 0, 60, 4, 0, 0, 7, 0, 0, 0, 64, 2, 0, 0, 192, 15, 0, 0, 23, 0, 0, 0, 128, 2, 0, 0, 203, 15, 0, 0, 23, 0, 0, 0, 192, 2, 0, 0, 220, 15, 0, 0, 23, 0, 0, 0, 0, 3, 0, 0, 242, 15, 0, 0, 23, 0, 0, 0, 64, 3, 0, 0, 251, 15, 0, 0, 118, 0, 0, 0, 128, 3, 0, 0, 0, 16, 0, 0, 23, 0, 0, 0, 192, 3, 0, 0, 6, 16, 0, 0, 23, 0, 0, 0, 0, 4, 0, 0, 20, 16, 0, 0, 2, 0, 0, 0, 64, 4, 0, 0, 2, 8, 0, 0, 121, 0, 0, 0, 128, 4, 0, 0, 26, 16, 0, 0, 122, 0, 0, 0, 192, 4, 0, 0, 33, 16, 0, 0, 122, 0, 0, 0, 0, 5, 0, 0, 38, 16, 0, 0, 73, 0, 0, 0, 64, 5, 0, 0, 54, 16, 0, 0, 123, 0, 0, 0, 0, 6, 0, 0, 58, 16, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 156, 1, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 70, 16, 0, 0, 89, 0, 0, 0, 64, 0, 0, 0, 81, 16, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 89, 16, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 107, 16, 0, 0, 115, 0, 0, 0, 64, 0, 0, 0, 116, 16, 0, 0, 115, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 114, 0, 0, 0, 124, 16, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 15, 0, 0, 117, 0, 0, 0, 0, 0, 0, 0, 134, 16, 0, 0, 117, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 116, 0, 0, 0, 139, 16, 0, 0, 0, 0, 0, 8, 119, 0, 0, 0, 143, 16, 0, 0, 0, 0, 0, 8, 120, 0, 0, 0, 149, 16, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 0, 0, 159, 16, 0, 0, 9, 0, 0, 4, 64, 0, 0, 0, 169, 16, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 186, 16, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 195, 16, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 208, 16, 0, 0, 89, 0, 0, 0, 192, 0, 0, 0, 217, 16, 0, 0, 89, 0, 0, 0, 224, 0, 0, 0, 232, 16, 0, 0, 73, 0, 0, 0, 0, 1, 0, 0, 241, 16, 0, 0, 73, 0, 0, 0, 64, 1, 0, 0, 254, 16, 0, 0, 73, 0, 0, 0, 128, 1, 0, 0, 7, 17, 0, 0, 7, 0, 0, 0, 192, 1, 0, 0, 16, 17, 0, 0, 7, 0, 0, 4, 48, 0, 0, 0, 32, 17, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 41, 17, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 49, 17, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 64, 17, 0, 0, 7, 0, 0, 0, 0, 1, 0, 0, 60, 4, 0, 0, 110, 0, 0, 0, 32, 1, 0, 0, 75, 17, 0, 0, 110, 0, 0, 0, 48, 1, 0, 0, 83, 17, 0, 0, 125, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 124, 0, 0, 0, 88, 17, 0, 0, 20, 0, 0, 132, 248, 0, 0, 0, 81, 16, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 104, 17, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 115, 17, 0, 0, 23, 0, 0, 0, 0, 1, 0, 0, 127, 17, 0, 0, 23, 0, 0, 0, 64, 1, 0, 0, 137, 17, 0, 0, 23, 0, 0, 0, 128, 1, 0, 0, 143, 17, 0, 0, 23, 0, 0, 0, 192, 1, 0, 0, 154, 17, 0, 0, 118, 0, 0, 0, 0, 2, 0, 0, 192, 1, 0, 0, 23, 0, 0, 0, 64, 2, 0, 0, 217, 3, 0, 0, 7, 0, 0, 0, 128, 2, 0, 0, 162, 17, 0, 0, 7, 0, 0, 0, 160, 2, 0, 1, 175, 17, 0, 0, 7, 0, 0, 0, 161, 2, 0, 1, 186, 17, 0, 0, 7, 0, 0, 0, 162, 2, 0, 1, 204, 17, 0, 0, 7, 0, 0, 0, 163, 2, 0, 1, 116, 4, 0, 0, 7, 0, 0, 0, 164, 2, 0, 1, 215, 17, 0, 0, 127, 0, 0, 0, 192, 2, 0, 0, 224, 17, 0, 0, 127, 0, 0, 0, 192, 4, 0, 0, 239, 17, 0, 0, 138, 0, 0, 0, 192, 6, 0, 0, 242, 17, 0, 0, 139, 0, 0, 0, 0, 7, 0, 0, 3, 18, 0, 0, 144, 0, 0, 0, 64, 7, 0, 0, 15, 18, 0, 0, 143, 0, 0, 0, 128, 7, 0, 0, 21, 18, 0, 0, 8, 0, 0, 4, 64, 0, 0, 0, 29, 18, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 34, 18, 0, 0, 129, 0, 0, 0, 0, 1, 0, 0, 47, 18, 0, 0, 130, 0, 0, 0, 64, 1, 0, 0, 56, 18, 0, 0, 134, 0, 0, 0, 128, 1, 0, 0, 61, 18, 0, 0, 135, 0, 0, 0, 192, 1, 0, 0, 67, 18, 0, 0, 135, 0, 0, 0, 200, 1, 0, 0, 74, 18, 0, 0, 135, 0, 0, 0, 208, 1, 0, 0, 82, 18, 0, 0, 135, 0, 0, 0, 216, 1, 0, 0, 90, 18, 0, 0, 2, 0, 0, 4, 32, 0, 0, 0, 29, 18, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 106, 18, 0, 0, 129, 0, 0, 0, 192, 0, 0, 0, 114, 18, 0, 0, 0, 0, 0, 8, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 131, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 132, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 122, 18, 0, 0, 2, 0, 0, 6, 4, 0, 0, 0, 138, 18, 0, 0, 0, 0, 0, 0, 156, 18, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 48, 3, 0, 0, 172, 18, 0, 0, 0, 0, 0, 8, 136, 0, 0, 0, 175, 18, 0, 0, 0, 0, 0, 8, 137, 0, 0, 0, 180, 18, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 6, 3, 0, 0, 194, 18, 0, 0, 0, 0, 0, 8, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 141, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 143, 0, 0, 0, 216, 18, 0, 0, 0, 0, 0, 8, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 126, 0, 0, 0, 221, 18, 0, 0, 0, 0, 0, 8, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 146, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 111, 0, 0, 0, 0, 0, 0, 0, 143, 0, 0, 0, 238, 18, 0, 0, 19, 0, 0, 4, 200, 0, 0, 0, 255, 18, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0, 3, 19, 0, 0, 149, 0, 0, 0, 64, 0, 0, 0, 12, 19, 0, 0, 23, 0, 0, 0, 192, 1, 0, 0, 217, 3, 0, 0, 89, 0, 0, 0, 0, 2, 0, 0, 156, 1, 0, 0, 89, 0, 0, 0, 32, 2, 0, 0, 20, 19, 0, 0, 66, 0, 0, 0, 64, 2, 0, 0, 31, 19, 0, 0, 66, 0, 0, 0, 96, 2, 0, 0, 43, 19, 0, 0, 89, 0, 0, 0, 128, 2, 0, 0, 51, 19, 0, 0, 150, 0, 0, 0, 192, 2, 0, 0, 60, 19, 0, 0, 151, 0, 0, 0, 64, 3, 0, 0, 70, 19, 0, 0, 116, 0, 0, 0, 128, 3, 0, 0, 84, 19, 0, 0, 73, 0, 0, 0, 0, 4, 0, 0, 96, 19, 0, 0, 23, 0, 0, 0, 64, 4, 0, 0, 108, 19, 0, 0, 23, 0, 0, 0, 128, 4, 0, 0, 0, 16, 0, 0, 23, 0, 0, 0, 192, 4, 0, 0, 123, 19, 0, 0, 23, 0, 0, 0, 0, 5, 0, 0, 133, 19, 0, 0, 142, 0, 0, 0, 64, 5, 0, 0, 142, 19, 0, 0, 154, 0, 0, 0, 128, 5, 0, 0, 159, 19, 0, 0, 116, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 7, 3, 0, 0, 170, 19, 0, 0, 3, 0, 0, 4, 48, 0, 0, 0, 183, 19, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 188, 19, 0, 0, 114, 0, 0, 0, 128, 0, 0, 0, 217, 3, 0, 0, 89, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 111, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 193, 19, 0, 0, 0, 0, 0, 8, 152, 0, 0, 0, 207, 19, 0, 0, 0, 0, 0, 8, 153, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 117, 3, 0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 85, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 65, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 64, 3, 0, 0, 218, 19, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 94, 0, 0, 0, 235, 19, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 247, 19, 0, 0, 163, 0, 0, 0, 0, 0, 0, 0, 249, 19, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 4, 0, 0, 0, 192, 9, 0, 0, 135, 0, 0, 0, 0, 0, 0, 0, 251, 19, 0, 0, 135, 0, 0, 0, 8, 0, 0, 0, 3, 20, 0, 0, 135, 0, 0, 0, 16, 0, 0, 0, 12, 20, 0, 0, 135, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 66, 3, 0, 0, 71, 6, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 20, 20, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 27, 20, 0, 0, 20, 0, 0, 0, 64, 0, 0, 0, 37, 20, 0, 0, 20, 0, 0, 0, 128, 0, 0, 0, 50, 20, 0, 0, 20, 0, 0, 0, 192, 0, 0, 0, 62, 20, 0, 0, 3, 0, 0, 4, 40, 0, 0, 0, 66, 4, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 73, 20, 0, 0, 116, 0, 0, 0, 64, 0, 0, 0, 83, 20, 0, 0, 116, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 9, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 18, 3, 0, 0, 223, 7, 0, 0, 3, 0, 0, 4, 56, 0, 0, 0, 93, 20, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 103, 20, 0, 0, 170, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 174, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 171, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 172, 0, 0, 0, 0, 0, 0, 0, 173, 0, 0, 0, 106, 20, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 169, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 40, 0, 0, 0, 111, 20, 0, 0, 175, 0, 0, 0, 0, 0, 0, 0, 117, 20, 0, 0, 178, 0, 0, 0, 0, 0, 0, 0, 127, 20, 0, 0, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 4, 40, 0, 0, 0, 132, 20, 0, 0, 177, 0, 0, 0, 0, 0, 0, 0, 249, 0, 0, 0, 89, 0, 0, 0, 64, 0, 0, 0, 217, 3, 0, 0, 89, 0, 0, 0, 96, 0, 0, 0, 138, 20, 0, 0, 89, 0, 0, 0, 128, 0, 0, 0, 145, 20, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 150, 20, 0, 0, 177, 0, 0, 0, 0, 1, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 176, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 162, 20, 0, 0, 179, 0, 0, 0, 0, 0, 0, 0, 59, 0, 0, 0, 181, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 182, 0, 0, 0, 64, 0, 0, 0, 106, 18, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 170, 20, 0, 0, 0, 0, 0, 8, 180, 0, 0, 0, 180, 20, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 199, 20, 0, 0, 3, 0, 0, 6, 4, 0, 0, 0, 213, 20, 0, 0, 0, 0, 0, 0, 221, 20, 0, 0, 1, 0, 0, 0, 231, 20, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 241, 20, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 246, 20, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 69, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 71, 3, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 32, 0, 0, 0, 2, 21, 0, 0, 186, 0, 0, 0, 0, 0, 0, 0, 7, 21, 0, 0, 2, 0, 0, 0, 64, 0, 0, 0, 12, 21, 0, 0, 2, 0, 0, 0, 96, 0, 0, 0, 24, 21, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 31, 21, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 73, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 10, 3, 0, 0, 39, 21, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 15, 0, 0, 190, 0, 0, 0, 0, 0, 0, 0, 50, 21, 0, 0, 191, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 189, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 15, 3, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 194, 0, 0, 0, 167, 8, 0, 0, 3, 0, 0, 4, 80, 0, 0, 0, 149, 8, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 155, 8, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 40, 1, 0, 0, 197, 0, 0, 0, 128, 0, 0, 0, 56, 21, 0, 0, 0, 0, 0, 8, 198, 0, 0, 0, 71, 21, 0, 0, 5, 0, 0, 4, 64, 0, 0, 0, 84, 21, 0, 0, 199, 0, 0, 0, 0, 0, 0, 0, 93, 21, 0, 0, 7, 0, 0, 0, 32, 0, 0, 0, 99, 21, 0, 0, 7, 0, 0, 0, 64, 0, 0, 0, 109, 21, 0, 0, 103, 0, 0, 0, 128, 0, 0, 0, 115, 21, 0, 0, 204, 0, 0, 0, 192, 0, 0, 0, 123, 21, 0, 0, 0, 0, 0, 8, 200, 0, 0, 0, 139, 21, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 0, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 4, 0, 0, 0, 249, 0, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 2, 0, 0, 0, 149, 21, 0, 0, 135, 0, 0, 0, 0, 0, 0, 0, 227, 9, 0, 0, 135, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 156, 21, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 171, 21, 0, 0, 108, 0, 0, 0, 16, 0, 0, 0, 176, 21, 0, 0, 6, 0, 0, 4, 40, 0, 0, 0, 64, 0, 0, 0, 205, 0, 0, 0, 0, 0, 0, 0, 188, 21, 0, 0, 225, 0, 0, 0, 64, 0, 0, 0, 200, 21, 0, 0, 223, 0, 0, 0, 192, 0, 0, 0, 205, 21, 0, 0, 135, 0, 0, 0, 0, 1, 0, 0, 221, 21, 0, 0, 135, 0, 0, 0, 8, 1, 0, 0, 237, 21, 0, 0, 135, 0, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 4, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 207, 0, 0, 0, 247, 21, 0, 0, 16, 0, 0, 4, 200, 0, 0, 0, 2, 22, 0, 0, 189, 0, 0, 0, 0, 0, 0, 0, 13, 22, 0, 0, 116, 0, 0, 0, 128, 0, 0, 0, 24, 22, 0, 0, 116, 0, 0, 0, 0, 1, 0, 0, 36, 22, 0, 0, 116, 0, 0, 0, 128, 1, 0, 0, 64, 0, 0, 0, 208, 0, 0, 0, 0, 2, 0, 0, 49, 22, 0, 0, 210, 0, 0, 0, 64, 2, 0, 0, 56, 22, 0, 0, 215, 0, 0, 0, 128, 2, 0, 0, 65, 22, 0, 0, 7, 0, 0, 0, 192, 2, 0, 0, 74, 22, 0, 0, 7, 0, 0, 0, 224, 2, 0, 0, 85, 22, 0, 0, 73, 0, 0, 0, 0, 3, 0, 0, 96, 22, 0, 0, 222, 0, 0, 0, 64, 3, 0, 0, 200, 21, 0, 0, 223, 0, 0, 0, 192, 5, 0, 0, 109, 22, 0, 0, 2, 0, 0, 0, 0, 6, 0, 0, 221, 21, 0, 0, 135, 0, 0, 0, 32, 6, 0, 0, 205, 21, 0, 0, 135, 0, 0, 0, 40, 6, 0, 0, 237, 21, 0, 0, 135, 0, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 5, 3, 0, 0, 122, 22, 0, 0, 0, 0, 0, 8, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 212, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 204, 0, 0, 0, 134, 22, 0, 0, 0, 0, 0, 8, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 217, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 220, 0, 0, 0, 148, 22, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 2, 22, 0, 0, 189, 0, 0, 0, 0, 0, 0, 0, 159, 22, 0, 0, 89, 0, 0, 0, 128, 0, 0, 0, 164, 22, 0, 0, 89, 0, 0, 0, 160, 0, 0, 0, 175, 22, 0, 0, 221, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 218, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 206, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 180, 8, 0, 0, 7, 0, 0, 4, 88, 0, 0, 0, 183, 22, 0, 0, 227, 0, 0, 0, 0, 0, 0, 0, 192, 22, 0, 0, 20, 0, 0, 0, 128, 1, 0, 0, 61, 18, 0, 0, 229, 0, 0, 0, 192, 1, 0, 0, 60, 15, 0, 0, 7, 0, 0, 0, 224, 1, 0, 0, 149, 8, 0, 0, 23, 0, 0, 0, 0, 2, 0, 0, 155, 8, 0, 0, 23, 0, 0, 0, 64, 2, 0, 0, 161, 8, 0, 0, 23, 0, 0, 0, 128, 2, 0, 0, 202, 22, 0, 0, 0, 0, 0, 8, 228, 0, 0, 0, 183, 22, 0, 0, 2, 0, 0, 4, 48, 0, 0, 0, 213, 22, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 115, 21, 0, 0, 204, 0, 0, 0, 64, 0, 0, 0, 222, 22, 0, 0, 5, 0, 0, 6, 4, 0, 0, 0, 234, 22, 0, 0, 0, 0, 0, 0, 249, 22, 0, 0, 1, 0, 0, 0, 4, 23, 0, 0, 2, 0, 0, 0, 14, 23, 0, 0, 3, 0, 0, 0, 25, 23, 0, 0, 4, 0, 0, 0, 255, 8, 0, 0, 3, 0, 0, 4, 80, 0, 0, 0, 37, 23, 0, 0, 235, 0, 0, 0, 0, 0, 0, 0, 43, 23, 0, 0, 7, 0, 0, 0, 64, 2, 0, 0, 57, 23, 0, 0, 7, 0, 0, 0, 96, 2, 0, 0, 71, 23, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 91, 23, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 99, 23, 0, 0, 232, 0, 0, 0, 64, 0, 0, 0, 106, 23, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 122, 23, 0, 0, 233, 0, 0, 0, 0, 0, 0, 0, 130, 23, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 122, 23, 0, 0, 234, 0, 0, 0, 0, 0, 0, 0, 145, 23, 0, 0, 115, 0, 0, 0, 64, 0, 0, 0, 122, 23, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 81, 16, 0, 0, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 231, 0, 0, 0, 4, 0, 0, 0, 3, 0, 0, 0, 15, 9, 0, 0, 3, 0, 0, 4, 168, 0, 0, 0, 157, 23, 0, 0, 237, 0, 0, 0, 0, 0, 0, 0, 162, 23, 0, 0, 241, 0, 0, 0, 128, 0, 0, 0, 168, 23, 0, 0, 7, 0, 0, 0, 0, 5, 0, 0, 178, 23, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 15, 0, 0, 238, 0, 0, 0, 0, 0, 0, 0, 192, 23, 0, 0, 239, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 240, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 238, 0, 0, 0, 162, 23, 0, 0, 6, 0, 0, 4, 144, 0, 0, 0, 109, 21, 0, 0, 151, 0, 0, 0, 0, 0, 0, 0, 197, 23, 0, 0, 197, 0, 0, 0, 64, 0, 0, 0, 207, 23, 0, 0, 242, 0, 0, 0, 64, 2, 0, 0, 211, 23, 0, 0, 116, 0, 0, 0, 128, 2, 0, 0, 93, 21, 0, 0, 103, 0, 0, 0, 0, 3, 0, 0, 115, 21, 0, 0, 204, 0, 0, 0, 64, 3, 0, 0, 221, 23, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 171, 21, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 246, 0, 0, 0, 59, 9, 0, 0, 25, 0, 0, 4, 176, 0, 0, 0, 60, 3, 0, 0, 151, 0, 0, 0, 0, 0, 0, 0, 243, 23, 0, 0, 247, 0, 0, 0, 64, 0, 0, 0, 247, 23, 0, 0, 251, 0, 0, 0, 96, 0, 0, 0, 251, 23, 0, 0, 247, 0, 0, 0, 128, 0, 0, 0, 0, 24, 0, 0, 251, 0, 0, 0, 160, 0, 0, 0, 5, 24, 0, 0, 247, 0, 0, 0, 192, 0, 0, 0, 10, 24, 0, 0, 251, 0, 0, 0, 224, 0, 0, 0, 15, 24, 0, 0, 247, 0, 0, 0, 0, 1, 0, 0, 21, 24, 0, 0, 251, 0, 0, 0, 32, 1, 0, 0, 27, 24, 0, 0, 7, 0, 0, 0, 64, 1, 0, 0, 38, 24, 0, 0, 255, 0, 0, 0, 128, 1, 0, 0, 54, 24, 0, 0, 255, 0, 0, 0, 192, 1, 0, 0, 68, 24, 0, 0, 255, 0, 0, 0, 0, 2, 0, 0, 82, 24, 0, 0, 255, 0, 0, 0, 64, 2, 0, 0, 91, 24, 0, 0, 255, 0, 0, 0, 128, 2, 0, 0, 103, 24, 0, 0, 137, 0, 0, 0, 192, 2, 0, 0, 115, 24, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 131, 24, 0, 0, 1, 1, 0, 0, 64, 3, 0, 0, 147, 24, 0, 0, 1, 1, 0, 0, 128, 3, 0, 0, 162, 24, 0, 0, 1, 1, 0, 0, 192, 3, 0, 0, 157, 20, 0, 0, 2, 1, 0, 0, 0, 4, 0, 0, 179, 24, 0, 0, 3, 1, 0, 0, 64, 4, 0, 0, 187, 24, 0, 0, 4, 1, 0, 0, 128, 4, 0, 0, 195, 24, 0, 0, 5, 1, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 6, 1, 0, 0, 0, 5, 0, 0, 206, 24, 0, 0, 0, 0, 0, 8, 248, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 249, 0, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 213, 24, 0, 0, 0, 0, 0, 8, 250, 0, 0, 0, 219, 24, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 236, 24, 0, 0, 0, 0, 0, 8, 252, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 249, 0, 0, 0, 253, 0, 0, 0, 0, 0, 0, 0, 243, 24, 0, 0, 0, 0, 0, 8, 254, 0, 0, 0, 249, 24, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 10, 25, 0, 0, 0, 0, 0, 8, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 249, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 46, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 43, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 12, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 14, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 47, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 23, 25, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 130, 14, 0, 0, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 74, 3, 0, 0, 31, 25, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 40, 25, 0, 0, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 75, 3, 0, 0, 50, 25, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 59, 25, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 62, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 76, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 77, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 13, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 79, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 81, 3, 0, 0, 69, 25, 0, 0, 0, 0, 0, 8, 19, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 78, 25, 0, 0, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 82, 25, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 183, 19, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 177, 9, 0, 0, 18, 1, 0, 0, 128, 0, 0, 0, 93, 25, 0, 0, 0, 0, 0, 8, 23, 1, 0, 0, 100, 25, 0, 0, 0, 0, 0, 8, 24, 1, 0, 0, 116, 25, 0, 0, 0, 0, 0, 8, 73, 0, 0, 0, 25, 10, 0, 0, 3, 0, 0, 4, 16, 0, 0, 0, 133, 25, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 138, 25, 0, 0, 97, 0, 0, 0, 32, 0, 0, 0, 151, 25, 0, 0, 26, 1, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 67, 3, 0, 0, 158, 25, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 180, 25, 0, 0, 29, 1, 0, 0, 0, 0, 0, 0, 189, 25, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 196, 25, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 200, 25, 0, 0, 142, 0, 0, 0, 192, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 28, 1, 0, 0, 212, 25, 0, 0, 0, 0, 0, 8, 31, 1, 0, 0, 223, 25, 0, 0, 1, 0, 0, 4, 64, 0, 0, 0, 0, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 64, 0, 0, 0, 232, 25, 0, 0, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 64, 0, 0, 0, 238, 25, 0, 0, 34, 1, 0, 0, 0, 0, 0, 0, 115, 21, 0, 0, 204, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 135, 0, 0, 0, 4, 0, 0, 0, 24, 0, 0, 0, 248, 25, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 108, 15, 0, 0, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 82, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 83, 3, 0, 0, 4, 26, 0, 0, 9, 0, 0, 4, 56, 0, 0, 0, 20, 26, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 31, 26, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 49, 26, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 68, 26, 0, 0, 7, 0, 0, 0, 192, 0, 0, 0, 89, 26, 0, 0, 7, 0, 0, 0, 224, 0, 0, 0, 111, 26, 0, 0, 73, 0, 0, 0, 0, 1, 0, 0, 130, 26, 0, 0, 73, 0, 0, 0, 64, 1, 0, 0, 148, 26, 0, 0, 7, 0, 0, 0, 128, 1, 0, 0, 170, 26, 0, 0, 7, 0, 0, 0, 160, 1, 0, 0, 191, 26, 0, 0, 13, 0, 0, 132, 40, 0, 0, 0, 201, 26, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 216, 26, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 227, 26, 0, 0, 41, 1, 0, 0, 128, 0, 0, 0, 236, 26, 0, 0, 41, 1, 0, 0, 192, 0, 0, 0, 246, 26, 0, 0, 7, 0, 0, 0, 0, 1, 0, 13, 0, 27, 0, 0, 7, 0, 0, 0, 13, 1, 0, 2, 12, 27, 0, 0, 7, 0, 0, 0, 15, 1, 0, 1, 20, 27, 0, 0, 7, 0, 0, 0, 16, 1, 0, 2, 25, 27, 0, 0, 7, 0, 0, 0, 18, 1, 0, 1, 31, 27, 0, 0, 7, 0, 0, 0, 19, 1, 0, 1, 44, 27, 0, 0, 7, 0, 0, 0, 20, 1, 0, 1, 49, 27, 0, 0, 7, 0, 0, 0, 21, 1, 0, 11, 60, 27, 0, 0, 7, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 40, 1, 0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 78, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 84, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 51, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 85, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 49, 1, 0, 0, 70, 27, 0, 0, 0, 0, 0, 8, 63, 3, 0, 0, 87, 27, 0, 0, 7, 0, 0, 4, 56, 0, 0, 0, 106, 27, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 112, 27, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 118, 27, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 124, 27, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 130, 27, 0, 0, 23, 0, 0, 0, 0, 1, 0, 0, 141, 27, 0, 0, 23, 0, 0, 0, 64, 1, 0, 0, 153, 27, 0, 0, 23, 0, 0, 0, 128, 1, 0, 0, 175, 27, 0, 0, 0, 0, 0, 8, 52, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 128, 0, 0, 0, 158, 2, 0, 0, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 186, 27, 0, 0, 0, 0, 0, 8, 55, 1, 0, 0, 206, 27, 0, 0, 2, 0, 0, 4, 56, 0, 0, 0, 183, 22, 0, 0, 227, 0, 0, 0, 0, 0, 0, 0, 40, 1, 0, 0, 56, 1, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 23, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 87, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 88, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 54, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 29, 3, 0, 0, 224, 27, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 90, 3, 0, 0, 230, 27, 0, 0, 3, 0, 0, 4, 8, 4, 0, 0, 251, 27, 0, 0, 65, 1, 0, 0, 0, 0, 0, 0, 0, 28, 0, 0, 142, 0, 0, 0, 0, 32, 0, 0, 15, 28, 0, 0, 142, 0, 0, 0, 8, 32, 0, 0, 24, 28, 0, 0, 1, 0, 0, 4, 0, 4, 0, 0, 51, 0, 0, 0, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 44, 3, 0, 0, 50, 28, 0, 0, 3, 0, 0, 4, 16, 0, 0, 0, 60, 28, 0, 0, 68, 1, 0, 0, 0, 0, 0, 0, 189, 25, 0, 0, 31, 0, 0, 0, 64, 0, 0, 0, 65, 28, 0, 0, 31, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 19, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 91, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 92, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 36, 3, 0, 0, 70, 28, 0, 0, 0, 0, 0, 8, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 17, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 93, 3, 0, 0, 120, 14, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 76, 28, 0, 0, 5, 0, 0, 4, 80, 0, 0, 0, 87, 28, 0, 0, 189, 0, 0, 0, 0, 0, 0, 0, 106, 18, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 47, 18, 0, 0, 78, 1, 0, 0, 192, 0, 0, 0, 217, 3, 0, 0, 89, 0, 0, 0, 0, 1, 0, 0, 176, 21, 0, 0, 204, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 79, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 42, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 38, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 94, 3, 0, 0, 93, 28, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 104, 28, 0, 0, 106, 0, 0, 0, 0, 0, 0, 0, 110, 28, 0, 0, 20, 0, 0, 132, 64, 17, 0, 0, 124, 28, 0, 0, 87, 1, 0, 0, 0, 0, 0, 0, 134, 28, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 137, 28, 0, 0, 110, 0, 0, 0, 0, 1, 0, 0, 140, 28, 0, 0, 110, 0, 0, 0, 16, 1, 0, 0, 143, 28, 0, 0, 110, 0, 0, 0, 32, 1, 0, 0, 151, 28, 0, 0, 110, 0, 0, 0, 48, 1, 0, 0, 159, 28, 0, 0, 73, 0, 0, 0, 64, 1, 0, 0, 166, 28, 0, 0, 73, 0, 0, 0, 128, 1, 0, 0, 173, 28, 0, 0, 176, 1, 0, 0, 192, 1, 0, 0, 184, 28, 0, 0, 73, 0, 0, 0, 192, 2, 0, 0, 196, 28, 0, 0, 73, 0, 0, 0, 0, 3, 0, 0, 207, 28, 0, 0, 73, 0, 0, 0, 64, 3, 0, 0, 211, 28, 0, 0, 73, 0, 0, 0, 128, 3, 0, 0, 219, 28, 0, 0, 73, 0, 0, 0, 192, 3, 0, 0, 230, 28, 0, 0, 177, 1, 0, 0, 0, 4, 0, 0, 240, 28, 0, 0, 73, 0, 0, 0, 64, 4, 0, 0, 250, 28, 0, 0, 7, 0, 0, 0, 128, 4, 0, 1, 4, 29, 0, 0, 7, 0, 0, 0, 129, 4, 0, 1, 23, 29, 0, 0, 89, 0, 0, 0, 160, 4, 0, 0, 28, 29, 0, 0, 178, 1, 0, 0, 0, 6, 0, 0, 32, 29, 0, 0, 13, 0, 0, 132, 8, 0, 0, 0, 44, 29, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 51, 29, 0, 0, 108, 0, 0, 0, 16, 0, 0, 0, 57, 29, 0, 0, 108, 0, 0, 0, 32, 0, 0, 8, 59, 0, 0, 0, 108, 0, 0, 0, 40, 0, 0, 4, 249, 19, 0, 0, 108, 0, 0, 0, 44, 0, 0, 1, 63, 29, 0, 0, 108, 0, 0, 0, 45, 0, 0, 2, 67, 29, 0, 0, 108, 0, 0, 0, 47, 0, 0, 1, 69, 29, 0, 0, 108, 0, 0, 0, 48, 0, 0, 4, 76, 29, 0, 0, 108, 0, 0, 0, 52, 0, 0, 1, 80, 29, 0, 0, 108, 0, 0, 0, 53, 0, 0, 1, 82, 29, 0, 0, 108, 0, 0, 0, 54, 0, 0, 1, 84, 29, 0, 0, 108, 0, 0, 0, 55, 0, 0, 1, 86, 29, 0, 0, 108, 0, 0, 0, 56, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 86, 1, 0, 0, 4, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 89, 1, 0, 0, 92, 29, 0, 0, 77, 0, 0, 4, 32, 7, 0, 0, 103, 29, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 115, 29, 0, 0, 116, 0, 0, 0, 128, 0, 0, 0, 128, 29, 0, 0, 116, 0, 0, 0, 0, 1, 0, 0, 181, 15, 0, 0, 114, 0, 0, 0, 128, 1, 0, 0, 140, 29, 0, 0, 23, 0, 0, 0, 64, 2, 0, 0, 152, 29, 0, 0, 116, 0, 0, 0, 128, 2, 0, 0, 166, 29, 0, 0, 189, 0, 0, 0, 0, 3, 0, 0, 178, 29, 0, 0, 116, 0, 0, 0, 128, 3, 0, 0, 191, 29, 0, 0, 2, 0, 0, 0, 0, 4, 0, 0, 203, 29, 0, 0, 2, 0, 0, 0, 32, 4, 0, 0, 214, 29, 0, 0, 2, 0, 0, 0, 64, 4, 0, 0, 225, 29, 0, 0, 7, 0, 0, 0, 96, 4, 0, 0, 26, 8, 0, 0, 88, 1, 0, 0, 128, 4, 0, 0, 242, 29, 0, 0, 90, 1, 0, 0, 192, 4, 0, 0, 246, 29, 0, 0, 103, 0, 0, 0, 0, 5, 0, 0, 61, 18, 0, 0, 91, 1, 0, 0, 64, 5, 0, 0, 2, 30, 0, 0, 7, 0, 0, 0, 96, 5, 0, 0, 15, 30, 0, 0, 92, 1, 0, 0, 128, 5, 0, 0, 21, 30, 0, 0, 152, 0, 0, 0, 192, 5, 0, 0, 33, 30, 0, 0, 23, 0, 0, 0, 0, 6, 0, 0, 52, 30, 0, 0, 23, 0, 0, 0, 64, 6, 0, 0, 71, 30, 0, 0, 23, 0, 0, 0, 128, 6, 0, 0, 78, 30, 0, 0, 96, 1, 0, 0, 192, 6, 0, 0, 83, 30, 0, 0, 108, 0, 0, 0, 0, 11, 0, 0, 95, 30, 0, 0, 108, 0, 0, 0, 16, 11, 0, 0, 110, 30, 0, 0, 108, 0, 0, 0, 32, 11, 0, 0, 120, 30, 0, 0, 101, 1, 0, 0, 64, 11, 0, 0, 127, 2, 0, 0, 60, 1, 0, 0, 64, 17, 0, 0, 123, 30, 0, 0, 118, 1, 0, 0, 128, 17, 0, 0, 131, 30, 0, 0, 151, 0, 0, 0, 192, 17, 0, 0, 140, 30, 0, 0, 152, 0, 0, 0, 0, 18, 0, 0, 165, 30, 0, 0, 152, 0, 0, 0, 64, 18, 0, 0, 190, 30, 0, 0, 241, 0, 0, 0, 128, 18, 0, 0, 202, 30, 0, 0, 116, 0, 0, 0, 0, 23, 0, 0, 2, 8, 0, 0, 88, 1, 0, 0, 128, 23, 0, 0, 213, 30, 0, 0, 2, 0, 0, 0, 192, 23, 0, 0, 60, 15, 0, 0, 2, 0, 0, 0, 224, 23, 0, 0, 219, 30, 0, 0, 116, 0, 0, 0, 0, 24, 0, 0, 109, 21, 0, 0, 111, 0, 0, 0, 128, 24, 0, 0, 231, 30, 0, 0, 241, 0, 0, 0, 192, 24, 0, 0, 242, 30, 0, 0, 97, 0, 0, 0, 64, 29, 0, 0, 253, 30, 0, 0, 119, 1, 0, 0, 128, 29, 0, 0, 0, 31, 0, 0, 116, 0, 0, 0, 192, 29, 0, 0, 9, 31, 0, 0, 73, 0, 0, 0, 64, 30, 0, 0, 21, 31, 0, 0, 2, 0, 0, 0, 128, 30, 0, 0, 33, 31, 0, 0, 120, 1, 0, 0, 192, 30, 0, 0, 39, 31, 0, 0, 122, 1, 0, 0, 64, 33, 0, 0, 46, 31, 0, 0, 7, 0, 0, 0, 128, 33, 0, 0, 61, 31, 0, 0, 7, 0, 0, 0, 160, 33, 0, 0, 74, 31, 0, 0, 7, 0, 0, 0, 192, 33, 0, 0, 90, 31, 0, 0, 7, 0, 0, 0, 224, 33, 0, 0, 106, 31, 0, 0, 73, 0, 0, 0, 0, 34, 0, 0, 119, 31, 0, 0, 123, 1, 0, 0, 64, 34, 0, 0, 131, 31, 0, 0, 237, 0, 0, 0, 64, 35, 0, 0, 144, 31, 0, 0, 7, 0, 0, 0, 192, 35, 0, 0, 157, 31, 0, 0, 97, 0, 0, 0, 224, 35, 0, 0, 169, 31, 0, 0, 128, 1, 0, 0, 0, 36, 0, 0, 182, 31, 0, 0, 129, 1, 0, 0, 192, 38, 0, 0, 201, 31, 0, 0, 73, 0, 0, 0, 0, 39, 0, 0, 218, 31, 0, 0, 88, 1, 0, 0, 64, 39, 0, 0, 228, 31, 0, 0, 130, 1, 0, 0, 128, 39, 0, 0, 178, 23, 0, 0, 237, 0, 0, 0, 192, 39, 0, 0, 236, 31, 0, 0, 132, 1, 0, 0, 64, 40, 0, 0, 114, 0, 0, 0, 23, 0, 0, 0, 128, 40, 0, 0, 239, 31, 0, 0, 152, 0, 0, 0, 192, 40, 0, 0, 252, 31, 0, 0, 133, 1, 0, 0, 0, 41, 0, 0, 2, 32, 0, 0, 135, 1, 0, 0, 64, 41, 0, 0, 19, 32, 0, 0, 103, 0, 0, 0, 128, 41, 0, 0, 44, 32, 0, 0, 135, 1, 0, 0, 192, 41, 0, 0, 66, 32, 0, 0, 157, 1, 0, 0, 0, 42, 0, 0, 71, 32, 0, 0, 23, 0, 0, 0, 64, 42, 0, 0, 82, 32, 0, 0, 158, 1, 0, 0, 128, 42, 0, 0, 151, 25, 0, 0, 159, 1, 0, 0, 192, 42, 0, 0, 91, 32, 0, 0, 160, 1, 0, 0, 0, 43, 0, 0, 102, 32, 0, 0, 175, 1, 0, 0, 0, 56, 0, 0, 107, 32, 0, 0, 116, 0, 0, 0, 64, 56, 0, 0, 115, 32, 0, 0, 31, 0, 0, 0, 192, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 52, 3, 0, 0, 125, 32, 0, 0, 6, 0, 0, 134, 4, 0, 0, 0, 142, 32, 0, 0, 252, 255, 255, 255, 164, 32, 0, 0, 253, 255, 255, 255, 186, 32, 0, 0, 254, 255, 255, 255, 209, 32, 0, 0, 255, 255, 255, 255, 230, 32, 0, 0, 0, 0, 0, 0, 0, 33, 0, 0, 1, 0, 0, 0, 24, 33, 0, 0, 0, 0, 0, 8, 93, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 34, 33, 0, 0, 94, 1, 0, 0, 0, 0, 0, 0, 36, 33, 0, 0, 0, 0, 0, 8, 95, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 34, 33, 0, 0, 151, 0, 0, 0, 0, 0, 0, 0, 44, 33, 0, 0, 60, 0, 0, 132, 136, 0, 0, 0, 59, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 65, 28, 0, 0, 31, 0, 0, 0, 32, 0, 0, 0, 60, 33, 0, 0, 24, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 97, 1, 0, 0, 128, 0, 0, 0, 67, 33, 0, 0, 24, 0, 0, 0, 192, 0, 0, 0, 79, 33, 0, 0, 24, 0, 0, 0, 0, 1, 0, 0, 91, 33, 0, 0, 24, 0, 0, 0, 64, 1, 0, 1, 100, 33, 0, 0, 24, 0, 0, 0, 65, 1, 0, 1, 108, 33, 0, 0, 24, 0, 0, 0, 66, 1, 0, 1, 115, 33, 0, 0, 24, 0, 0, 0, 67, 1, 0, 1, 125, 33, 0, 0, 24, 0, 0, 0, 68, 1, 0, 1, 138, 33, 0, 0, 24, 0, 0, 0, 69, 1, 0, 1, 153, 33, 0, 0, 24, 0, 0, 0, 70, 1, 0, 1, 164, 33, 0, 0, 24, 0, 0, 0, 71, 1, 0, 1, 177, 33, 0, 0, 24, 0, 0, 0, 72, 1, 0, 1, 85, 9, 0, 0, 24, 0, 0, 0, 73, 1, 0, 1, 182, 33, 0, 0, 24, 0, 0, 0, 74, 1, 0, 1, 187, 33, 0, 0, 24, 0, 0, 0, 75, 1, 0, 1, 200, 33, 0, 0, 24, 0, 0, 0, 76, 1, 0, 1, 215, 33, 0, 0, 24, 0, 0, 0, 77, 1, 0, 1, 220, 33, 0, 0, 24, 0, 0, 0, 78, 1, 0, 1, 230, 33, 0, 0, 24, 0, 0, 0, 79, 1, 0, 2, 241, 33, 0, 0, 24, 0, 0, 0, 81, 1, 0, 1, 251, 33, 0, 0, 24, 0, 0, 0, 82, 1, 0, 1, 9, 34, 0, 0, 24, 0, 0, 0, 83, 1, 0, 1, 22, 34, 0, 0, 24, 0, 0, 0, 84, 1, 0, 1, 36, 34, 0, 0, 24, 0, 0, 0, 85, 1, 0, 1, 61, 34, 0, 0, 24, 0, 0, 0, 86, 1, 0, 1, 84, 34, 0, 0, 24, 0, 0, 0, 87, 1, 0, 1, 90, 34, 0, 0, 24, 0, 0, 0, 88, 1, 0, 1, 100, 34, 0, 0, 24, 0, 0, 0, 89, 1, 0, 1, 112, 34, 0, 0, 24, 0, 0, 0, 90, 1, 0, 1, 127, 34, 0, 0, 24, 0, 0, 0, 91, 1, 0, 1, 142, 34, 0, 0, 24, 0, 0, 0, 92, 1, 0, 1, 153, 34, 0, 0, 24, 0, 0, 0, 93, 1, 0, 1, 161, 34, 0, 0, 24, 0, 0, 0, 94, 1, 0, 1, 171, 34, 0, 0, 24, 0, 0, 0, 95, 1, 0, 1, 182, 34, 0, 0, 24, 0, 0, 0, 96, 1, 0, 1, 189, 34, 0, 0, 24, 0, 0, 0, 97, 1, 0, 1, 199, 34, 0, 0, 24, 0, 0, 0, 98, 1, 0, 1, 208, 34, 0, 0, 24, 0, 0, 0, 99, 1, 0, 1, 223, 34, 0, 0, 24, 0, 0, 0, 100, 1, 0, 1, 238, 34, 0, 0, 24, 0, 0, 0, 101, 1, 0, 1, 246, 34, 0, 0, 24, 0, 0, 0, 102, 1, 0, 26, 0, 0, 0, 0, 98, 1, 0, 0, 128, 1, 0, 0, 3, 35, 0, 0, 31, 0, 0, 0, 160, 1, 0, 0, 0, 0, 0, 0, 99, 1, 0, 0, 192, 1, 0, 0, 0, 0, 0, 0, 100, 1, 0, 0, 0, 2, 0, 0, 11, 35, 0, 0, 24, 0, 0, 0, 64, 2, 0, 0, 30, 35, 0, 0, 24, 0, 0, 0, 128, 2, 0, 0, 47, 35, 0, 0, 31, 0, 0, 0, 192, 2, 0, 0, 162, 20, 0, 0, 67, 0, 0, 0, 224, 2, 0, 0, 65, 35, 0, 0, 24, 0, 0, 0, 0, 3, 0, 0, 82, 35, 0, 0, 31, 0, 0, 0, 64, 3, 0, 0, 96, 35, 0, 0, 109, 0, 0, 0, 96, 3, 0, 0, 113, 35, 0, 0, 109, 0, 0, 0, 112, 3, 0, 0, 126, 35, 0, 0, 31, 0, 0, 0, 128, 3, 0, 0, 142, 35, 0, 0, 31, 0, 0, 0, 160, 3, 0, 0, 155, 35, 0, 0, 24, 0, 0, 0, 192, 3, 0, 0, 164, 35, 0, 0, 24, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 172, 35, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 186, 35, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 198, 35, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 212, 35, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 8, 0, 0, 0, 229, 35, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 237, 35, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 249, 35, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 5, 36, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 8, 0, 0, 0, 13, 36, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 20, 36, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 32, 36, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 45, 36, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 53, 36, 0, 0, 12, 0, 0, 4, 192, 0, 0, 0, 0, 0, 0, 0, 102, 1, 0, 0, 0, 0, 0, 0, 67, 36, 0, 0, 111, 0, 0, 0, 0, 3, 0, 0, 169, 31, 0, 0, 103, 0, 0, 0, 64, 3, 0, 0, 201, 31, 0, 0, 73, 0, 0, 0, 128, 3, 0, 0, 61, 18, 0, 0, 2, 0, 0, 0, 192, 3, 0, 0, 74, 36, 0, 0, 92, 1, 0, 0, 0, 4, 0, 0, 172, 35, 0, 0, 23, 0, 0, 0, 64, 4, 0, 0, 0, 0, 0, 0, 115, 1, 0, 0, 128, 4, 0, 0, 85, 36, 0, 0, 23, 0, 0, 0, 0, 5, 0, 0, 100, 36, 0, 0, 23, 0, 0, 0, 64, 5, 0, 0, 111, 36, 0, 0, 23, 0, 0, 0, 128, 5, 0, 0, 127, 36, 0, 0, 23, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 6, 0, 0, 5, 96, 0, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 4, 96, 0, 0, 0, 60, 33, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 144, 36, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 153, 36, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 165, 36, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 176, 36, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 193, 36, 0, 0, 2, 0, 0, 0, 32, 1, 0, 0, 197, 36, 0, 0, 2, 0, 0, 0, 64, 1, 0, 0, 217, 3, 0, 0, 2, 0, 0, 0, 96, 1, 0, 0, 206, 36, 0, 0, 104, 1, 0, 0, 128, 1, 0, 0, 216, 36, 0, 0, 104, 1, 0, 0, 64, 2, 0, 0, 227, 36, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 60, 33, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 247, 36, 0, 0, 7, 0, 0, 0, 64, 0, 0, 0, 251, 36, 0, 0, 2, 0, 0, 0, 96, 0, 0, 0, 193, 36, 0, 0, 2, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 64, 0, 0, 0, 21, 18, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 1, 37, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 9, 37, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 17, 37, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 40, 0, 0, 0, 22, 37, 0, 0, 109, 1, 0, 0, 0, 0, 0, 0, 27, 37, 0, 0, 110, 1, 0, 0, 192, 0, 0, 0, 35, 37, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 54, 37, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 62, 37, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 196, 25, 0, 0, 135, 0, 0, 0, 128, 0, 0, 0, 59, 0, 0, 0, 135, 0, 0, 0, 136, 0, 0, 0, 67, 37, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 79, 37, 0, 0, 111, 1, 0, 0, 0, 0, 0, 0, 108, 15, 0, 0, 113, 1, 0, 0, 64, 0, 0, 0, 85, 37, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 108, 15, 0, 0, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 8, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 56, 3, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 24, 0, 0, 0, 96, 37, 0, 0, 135, 0, 0, 0, 0, 0, 0, 0, 107, 37, 0, 0, 135, 0, 0, 0, 8, 0, 0, 0, 118, 37, 0, 0, 108, 0, 0, 0, 16, 0, 0, 0, 126, 37, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 131, 37, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 137, 37, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 149, 37, 0, 0, 92, 1, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 161, 37, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 174, 37, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 53, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 55, 3, 0, 0, 186, 37, 0, 0, 0, 0, 0, 8, 121, 1, 0, 0, 204, 37, 0, 0, 2, 0, 0, 4, 80, 0, 0, 0, 40, 1, 0, 0, 30, 1, 0, 0, 0, 0, 0, 0, 220, 37, 0, 0, 116, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 45, 3, 0, 0, 225, 37, 0, 0, 3, 0, 0, 4, 32, 0, 0, 0, 29, 18, 0, 0, 104, 0, 0, 0, 0, 0, 0, 0, 192, 23, 0, 0, 124, 1, 0, 0, 128, 0, 0, 0, 234, 37, 0, 0, 127, 1, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 125, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 123, 1, 0, 0, 242, 37, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 215, 33, 0, 0, 187, 0, 0, 0, 0, 0, 0, 0, 250, 37, 0, 0, 3, 0, 0, 4, 88, 0, 0, 0, 183, 19, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 40, 1, 0, 0, 197, 0, 0, 0, 128, 0, 0, 0, 17, 38, 0, 0, 7, 0, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 57, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 131, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 11, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 134, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 33, 38, 0, 0, 0, 0, 0, 8, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 137, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 88, 1, 0, 0, 0, 0, 0, 0, 138, 1, 0, 0, 0, 0, 0, 0, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 139, 1, 0, 0, 57, 38, 0, 0, 26, 0, 0, 4, 0, 1, 0, 0, 74, 38, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 87, 38, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 94, 38, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 59, 0, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 103, 38, 0, 0, 140, 1, 0, 0, 0, 1, 0, 0, 145, 20, 0, 0, 23, 0, 0, 0, 64, 1, 0, 0, 114, 0, 0, 0, 23, 0, 0, 0, 128, 1, 0, 0, 113, 38, 0, 0, 141, 1, 0, 0, 192, 1, 0, 0, 123, 38, 0, 0, 23, 0, 0, 0, 0, 2, 0, 0, 126, 38, 0, 0, 142, 1, 0, 0, 64, 2, 0, 0, 136, 38, 0, 0, 143, 1, 0, 0, 128, 2, 0, 0, 140, 38, 0, 0, 144, 1, 0, 0, 192, 2, 0, 0, 149, 38, 0, 0, 145, 1, 0, 0, 0, 3, 0, 0, 156, 1, 0, 0, 146, 1, 0, 0, 64, 3, 0, 0, 163, 38, 0, 0, 148, 1, 0, 0, 128, 3, 0, 0, 172, 38, 0, 0, 23, 0, 0, 0, 192, 3, 0, 0, 176, 38, 0, 0, 150, 1, 0, 0, 0, 4, 0, 0, 186, 38, 0, 0, 150, 1, 0, 0, 128, 4, 0, 0, 196, 38, 0, 0, 23, 0, 0, 0, 0, 5, 0, 0, 212, 38, 0, 0, 23, 0, 0, 0, 64, 5, 0, 0, 182, 34, 0, 0, 23, 0, 0, 0, 128, 5, 0, 0, 222, 38, 0, 0, 23, 0, 0, 0, 192, 5, 0, 0, 227, 38, 0, 0, 23, 0, 0, 0, 0, 6, 0, 0, 237, 38, 0, 0, 23, 0, 0, 0, 64, 6, 0, 0, 252, 38, 0, 0, 23, 0, 0, 0, 128, 6, 0, 0, 11, 39, 0, 0, 23, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 8, 0, 0, 0, 237, 7, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 20, 39, 0, 0, 89, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 8, 0, 0, 0, 60, 15, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 24, 39, 0, 0, 89, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 58, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 59, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 60, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 23, 0, 0, 0, 33, 39, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 52, 39, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 8, 0, 0, 0, 57, 39, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 65, 39, 0, 0, 109, 0, 0, 0, 32, 0, 0, 0, 72, 39, 0, 0, 109, 0, 0, 0, 48, 0, 0, 0, 79, 39, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 249, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 0, 0, 132, 8, 0, 0, 0, 97, 39, 0, 0, 24, 0, 0, 0, 0, 0, 0, 5, 104, 39, 0, 0, 24, 0, 0, 0, 5, 0, 0, 14, 112, 39, 0, 0, 24, 0, 0, 0, 19, 0, 0, 5, 122, 39, 0, 0, 24, 0, 0, 0, 24, 0, 0, 2, 131, 39, 0, 0, 24, 0, 0, 0, 26, 0, 0, 7, 140, 39, 0, 0, 24, 0, 0, 0, 33, 0, 0, 4, 152, 39, 0, 0, 24, 0, 0, 0, 37, 0, 0, 1, 163, 39, 0, 0, 24, 0, 0, 0, 38, 0, 0, 2, 174, 39, 0, 0, 24, 0, 0, 0, 40, 0, 0, 3, 182, 39, 0, 0, 24, 0, 0, 0, 43, 0, 0, 3, 191, 39, 0, 0, 24, 0, 0, 0, 46, 0, 0, 18, 200, 39, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 210, 39, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 214, 39, 0, 0, 151, 1, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 152, 1, 0, 0, 219, 39, 0, 0, 21, 0, 0, 4, 168, 0, 0, 0, 227, 39, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 231, 39, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 235, 39, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 239, 39, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 243, 39, 0, 0, 73, 0, 0, 0, 0, 1, 0, 0, 246, 39, 0, 0, 73, 0, 0, 0, 64, 1, 0, 0, 249, 39, 0, 0, 73, 0, 0, 0, 128, 1, 0, 0, 253, 39, 0, 0, 73, 0, 0, 0, 192, 1, 0, 0, 1, 40, 0, 0, 73, 0, 0, 0, 0, 2, 0, 0, 4, 40, 0, 0, 73, 0, 0, 0, 64, 2, 0, 0, 7, 40, 0, 0, 73, 0, 0, 0, 128, 2, 0, 0, 10, 40, 0, 0, 73, 0, 0, 0, 192, 2, 0, 0, 13, 40, 0, 0, 73, 0, 0, 0, 0, 3, 0, 0, 16, 40, 0, 0, 73, 0, 0, 0, 64, 3, 0, 0, 19, 40, 0, 0, 73, 0, 0, 0, 128, 3, 0, 0, 22, 40, 0, 0, 73, 0, 0, 0, 192, 3, 0, 0, 123, 38, 0, 0, 73, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 153, 1, 0, 0, 64, 4, 0, 0, 217, 3, 0, 0, 73, 0, 0, 0, 128, 4, 0, 0, 134, 28, 0, 0, 73, 0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 155, 1, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 8, 0, 0, 0, 30, 40, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 33, 40, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 37, 40, 0, 0, 154, 1, 0, 0, 0, 0, 0, 0, 37, 40, 0, 0, 3, 0, 0, 132, 8, 0, 0, 0, 30, 40, 0, 0, 23, 0, 0, 0, 0, 0, 0, 16, 45, 40, 0, 0, 23, 0, 0, 0, 16, 0, 0, 2, 48, 40, 0, 0, 23, 0, 0, 0, 18, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 5, 8, 0, 0, 0, 52, 40, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 55, 40, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 59, 40, 0, 0, 156, 1, 0, 0, 0, 0, 0, 0, 59, 40, 0, 0, 10, 0, 0, 132, 8, 0, 0, 0, 52, 40, 0, 0, 23, 0, 0, 0, 0, 0, 0, 16, 67, 40, 0, 0, 23, 0, 0, 0, 16, 0, 0, 1, 71, 40, 0, 0, 23, 0, 0, 0, 17, 0, 0, 1, 79, 40, 0, 0, 23, 0, 0, 0, 18, 0, 0, 1, 83, 40, 0, 0, 23, 0, 0, 0, 32, 0, 0, 8, 59, 0, 0, 0, 23, 0, 0, 0, 48, 0, 0, 4, 90, 40, 0, 0, 23, 0, 0, 0, 56, 0, 0, 1, 98, 40, 0, 0, 23, 0, 0, 0, 57, 0, 0, 1, 101, 40, 0, 0, 23, 0, 0, 0, 58, 0, 0, 1, 108, 40, 0, 0, 23, 0, 0, 0, 60, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 2, 34, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 27, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 16, 3, 0, 0, 91, 32, 0, 0, 13, 0, 0, 4, 160, 1, 0, 0, 192, 23, 0, 0, 161, 1, 0, 0, 0, 0, 0, 0, 108, 15, 0, 0, 167, 1, 0, 0, 64, 0, 0, 0, 217, 3, 0, 0, 73, 0, 0, 0, 128, 0, 0, 0, 116, 40, 0, 0, 103, 0, 0, 0, 192, 0, 0, 0, 124, 40, 0, 0, 161, 1, 0, 0, 0, 1, 0, 0, 135, 40, 0, 0, 168, 1, 0, 0, 64, 1, 0, 0, 146, 40, 0, 0, 170, 1, 0, 0, 64, 6, 0, 0, 156, 40, 0, 0, 168, 1, 0, 0, 128, 6, 0, 0, 165, 40, 0, 0, 73, 0, 0, 0, 128, 11, 0, 0, 176, 40, 0, 0, 73, 0, 0, 0, 192, 11, 0, 0, 183, 19, 0, 0, 116, 0, 0, 0, 0, 12, 0, 0, 192, 40, 0, 0, 171, 1, 0, 0, 128, 12, 0, 0, 201, 40, 0, 0, 73, 0, 0, 0, 192, 12, 0, 0, 213, 40, 0, 0, 0, 0, 0, 8, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 163, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 164, 1, 0, 0, 0, 0, 0, 0, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 166, 1, 0, 0, 227, 40, 0, 0, 1, 0, 0, 4, 168, 0, 0, 0, 214, 39, 0, 0, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 39, 3, 0, 0, 239, 40, 0, 0, 3, 0, 0, 4, 160, 0, 0, 0, 255, 40, 0, 0, 169, 1, 0, 0, 0, 0, 0, 0, 12, 41, 0, 0, 169, 1, 0, 0, 64, 0, 0, 0, 24, 41, 0, 0, 241, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 41, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 168, 1, 0, 0, 35, 41, 0, 0, 0, 0, 0, 8, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 173, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 0, 0, 0, 0, 164, 1, 0, 0, 0, 0, 0, 0, 174, 1, 0, 0, 53, 41, 0, 0, 3, 0, 0, 6, 4, 0, 0, 0, 68, 41, 0, 0, 0, 0, 0, 0, 110, 41, 0, 0, 1, 0, 0, 0, 152, 41, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 61, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 1, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 95, 3, 0, 0, 28, 29, 0, 0, 7, 0, 0, 4, 128, 16, 0, 0, 197, 36, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 195, 41, 0, 0, 73, 0, 0, 0, 64, 0, 0, 0, 212, 41, 0, 0, 179, 1, 0, 0, 128, 0, 0, 0, 220, 41, 0, 0, 179, 1, 0, 0, 192, 0, 0, 0, 235, 41, 0, 0, 180, 1, 0, 0, 0, 1, 0, 0, 240, 41, 0, 0, 180, 1, 0, 0, 128, 1, 0, 0, 251, 41, 0, 0, 181, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 181, 1, 0, 0, 5, 42, 0, 0, 3, 0, 0, 4, 16, 0, 0, 0, 20, 42, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 33, 42, 0, 0, 7, 0, 0, 0, 64, 0, 0, 0, 46, 42, 0, 0, 7, 0, 0, 0, 96, 0, 0, 0, 212, 41, 0, 0, 10, 0, 0, 132, 64, 16, 0, 0, 65, 28, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 64, 42, 0, 0, 7, 0, 0, 0, 32, 0, 0, 0, 74, 42, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 84, 42, 0, 0, 23, 0, 0, 0, 128, 0, 0, 0, 99, 42, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 103, 42, 0, 0, 7, 0, 0, 0, 0, 1, 0, 1, 113, 42, 0, 0, 7, 0, 0, 0, 1, 1, 0, 1, 122, 42, 0, 0, 7, 0, 0, 0, 2, 1, 0, 1, 138, 42, 0, 0, 7, 0, 0, 0, 3, 1, 0, 1, 214, 39, 0, 0, 182, 1, 0, 0, 0, 2, 0, 0, 145, 42, 0, 0, 5, 0, 0, 5, 0, 16, 0, 0, 158, 42, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 164, 42, 0, 0, 185, 1, 0, 0, 0, 0, 0, 0, 171, 42, 0, 0, 193, 1, 0, 0, 0, 0, 0, 0, 176, 42, 0, 0, 195, 1, 0, 0, 0, 0, 0, 0, 238, 25, 0, 0, 199, 1, 0, 0, 0, 0, 0, 0, 182, 42, 0, 0, 9, 0, 0, 4, 112, 0, 0, 0, 194, 42, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 198, 42, 0, 0, 89, 0, 0, 0, 32, 0, 0, 0, 202, 42, 0, 0, 89, 0, 0, 0, 64, 0, 0, 0, 206, 42, 0, 0, 89, 0, 0, 0, 96, 0, 0, 0, 210, 42, 0, 0, 89, 0, 0, 0, 128, 0, 0, 0, 214, 42, 0, 0, 89, 0, 0, 0, 160, 0, 0, 0, 218, 42, 0, 0, 89, 0, 0, 0, 192, 0, 0, 0, 222, 42, 0, 0, 184, 1, 0, 0, 224, 0, 0, 0, 53, 15, 0, 0, 89, 0, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 89, 0, 0, 0, 4, 0, 0, 0, 20, 0, 0, 0, 231, 42, 0, 0, 11, 0, 0, 4, 0, 2, 0, 0, 194, 42, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 198, 42, 0, 0, 108, 0, 0, 0, 16, 0, 0, 0, 202, 42, 0, 0, 108, 0, 0, 0, 32, 0, 0, 0, 244, 42, 0, 0, 108, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 186, 1, 0, 0, 64, 0, 0, 0, 248, 42, 0, 0, 89, 0, 0, 0, 192, 0, 0, 0, 254, 42, 0, 0, 89, 0, 0, 0, 224, 0, 0, 0, 222, 42, 0, 0, 189, 1, 0, 0, 0, 1, 0, 0, 9, 43, 0, 0, 190, 1, 0, 0, 0, 5, 0, 0, 118, 37, 0, 0, 191, 1, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 192, 1, 0, 0, 128, 14, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 19, 43, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 43, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 16, 0, 0, 0, 206, 42, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 210, 42, 0, 0, 89, 0, 0, 0, 32, 0, 0, 0, 214, 42, 0, 0, 89, 0, 0, 0, 64, 0, 0, 0, 218, 42, 0, 0, 89, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 89, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 89, 0, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 89, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 48, 0, 0, 0, 27, 43, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 36, 43, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 48, 43, 0, 0, 16, 0, 0, 4, 136, 0, 0, 0, 194, 42, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 198, 42, 0, 0, 89, 0, 0, 0, 32, 0, 0, 0, 202, 42, 0, 0, 89, 0, 0, 0, 64, 0, 0, 0, 206, 42, 0, 0, 89, 0, 0, 0, 96, 0, 0, 0, 210, 42, 0, 0, 89, 0, 0, 0, 128, 0, 0, 0, 214, 42, 0, 0, 89, 0, 0, 0, 160, 0, 0, 0, 218, 42, 0, 0, 89, 0, 0, 0, 192, 0, 0, 0, 222, 42, 0, 0, 184, 1, 0, 0, 224, 0, 0, 0, 61, 43, 0, 0, 135, 0, 0, 0, 96, 3, 0, 0, 66, 43, 0, 0, 135, 0, 0, 0, 104, 3, 0, 0, 74, 43, 0, 0, 135, 0, 0, 0, 112, 3, 0, 0, 84, 43, 0, 0, 135, 0, 0, 0, 120, 3, 0, 0, 94, 43, 0, 0, 135, 0, 0, 0, 128, 3, 0, 0, 97, 43, 0, 0, 135, 0, 0, 0, 136, 3, 0, 0, 22, 37, 0, 0, 194, 1, 0, 0, 192, 3, 0, 0, 104, 43, 0, 0, 89, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 96, 3, 0, 0, 114, 43, 0, 0, 3, 0, 0, 4, 64, 2, 0, 0, 126, 43, 0, 0, 185, 1, 0, 0, 0, 0, 0, 0, 131, 43, 0, 0, 196, 1, 0, 0, 0, 16, 0, 0, 138, 43, 0, 0, 198, 1, 0, 0, 0, 18, 0, 0, 158, 43, 0, 0, 3, 0, 0, 4, 64, 0, 0, 0, 74, 42, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 172, 43, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 24, 39, 0, 0, 197, 1, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 23, 0, 0, 0, 4, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 135, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 135, 0, 0, 0, 4, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 181, 43, 0, 0, 2, 0, 0, 12, 200, 1, 0, 0, 203, 43, 0, 0, 2, 0, 0, 12, 69, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 228, 43, 0, 0, 2, 0, 0, 12, 203, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 251, 43, 0, 0, 2, 0, 0, 12, 205, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 20, 44, 0, 0, 2, 0, 0, 12, 207, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 41, 44, 0, 0, 2, 0, 0, 12, 209, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 59, 44, 0, 0, 2, 0, 0, 12, 211, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 159, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 91, 44, 0, 0, 2, 0, 0, 12, 213, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 113, 44, 0, 0, 2, 0, 0, 12, 215, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 92, 0, 0, 0, 129, 44, 0, 0, 2, 0, 0, 12, 217, 1, 0, 0, 149, 44, 0, 0, 2, 0, 0, 12, 213, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 127, 2, 0, 0, 64, 0, 0, 0, 170, 44, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 184, 44, 0, 0, 2, 0, 0, 12, 222, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 201, 44, 0, 0, 2, 0, 0, 12, 224, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 101, 0, 0, 0, 218, 44, 0, 0, 2, 0, 0, 12, 226, 1, 0, 0, 0, 0, 0, 0, 5, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 235, 44, 0, 0, 2, 0, 0, 12, 230, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 6, 0, 0, 0, 149, 1, 0, 0, 6, 0, 0, 0, 2, 45, 0, 0, 1, 0, 0, 12, 232, 1, 0, 0, 14, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 29, 45, 0, 0, 2, 0, 0, 12, 235, 1, 0, 0, 45, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 60, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 74, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 89, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 105, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 122, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 140, 45, 0, 0, 2, 0, 0, 12, 203, 1, 0, 0, 159, 45, 0, 0, 1, 0, 0, 12, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13, 92, 0, 0, 0, 175, 45, 0, 0, 2, 0, 0, 12, 245, 1, 0, 0, 194, 45, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 210, 45, 0, 0, 1, 0, 0, 12, 65, 0, 0, 0, 221, 45, 0, 0, 6, 0, 0, 6, 4, 0, 0, 0, 235, 45, 0, 0, 1, 0, 0, 0, 5, 46, 0, 0, 2, 0, 0, 0, 22, 46, 0, 0, 4, 0, 0, 0, 42, 46, 0, 0, 8, 0, 0, 0, 65, 46, 0, 0, 0, 0, 1, 0, 92, 46, 0, 0, 15, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 13, 0, 0, 0, 0, 110, 46, 0, 0, 2, 0, 0, 12, 250, 1, 0, 0, 129, 46, 0, 0, 2, 0, 0, 12, 250, 1, 0, 0, 149, 46, 0, 0, 2, 0, 0, 12, 250, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 167, 46, 0, 0, 2, 0, 0, 12, 254, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 184, 46, 0, 0, 2, 0, 0, 12, 0, 2, 0, 0, 203, 46, 0, 0, 1, 0, 0, 12, 220, 1, 0, 0, 214, 46, 0, 0, 7, 0, 0, 4, 56, 0, 0, 0, 228, 46, 0, 0, 4, 2, 0, 0, 0, 0, 0, 0, 169, 6, 0, 0, 118, 0, 0, 0, 64, 0, 0, 0, 233, 46, 0, 0, 223, 0, 0, 0, 128, 0, 0, 0, 240, 46, 0, 0, 5, 2, 0, 0, 192, 0, 0, 0, 243, 46, 0, 0, 89, 0, 0, 0, 0, 1, 0, 0, 250, 46, 0, 0, 87, 0, 0, 0, 64, 1, 0, 0, 254, 46, 0, 0, 87, 0, 0, 0, 128, 1, 0, 0, 3, 47, 0, 0, 9, 0, 0, 6, 4, 0, 0, 0, 17, 47, 0, 0, 0, 0, 0, 0, 31, 47, 0, 0, 1, 0, 0, 0, 45, 47, 0, 0, 64, 0, 0, 0, 60, 47, 0, 0, 65, 0, 0, 0, 79, 47, 0, 0, 66, 0, 0, 0, 99, 47, 0, 0, 67, 0, 0, 0, 114, 47, 0, 0, 0, 4, 0, 0, 129, 47, 0, 0, 1, 4, 0, 0, 148, 47, 0, 0, 2, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 73, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 17, 0, 0, 0, 149, 1, 0, 0, 6, 0, 0, 0, 169, 47, 0, 0, 0, 0, 0, 12, 6, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 45, 0, 0, 0, 184, 47, 0, 0, 43, 0, 0, 0, 67, 29, 0, 0, 111, 0, 0, 0, 190, 47, 0, 0, 6, 0, 0, 0, 201, 47, 0, 0, 45, 0, 0, 0, 216, 47, 0, 0, 0, 0, 0, 12, 8, 2, 0, 0, 232, 47, 0, 0, 2, 0, 0, 12, 217, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 19, 0, 0, 0, 67, 29, 0, 0, 111, 0, 0, 0, 184, 47, 0, 0, 43, 0, 0, 0, 250, 47, 0, 0, 19, 0, 0, 0, 4, 48, 0, 0, 0, 0, 0, 12, 11, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0, 0, 67, 29, 0, 0, 111, 0, 0, 0, 184, 47, 0, 0, 43, 0, 0, 0, 20, 48, 0, 0, 19, 0, 0, 0, 163, 1, 0, 0, 45, 0, 0, 0, 24, 48, 0, 0, 0, 0, 0, 12, 13, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0, 0, 149, 1, 0, 0, 6, 0, 0, 0, 156, 1, 0, 0, 6, 0, 0, 0, 20, 48, 0, 0, 19, 0, 0, 0, 163, 1, 0, 0, 45, 0, 0, 0, 38, 48, 0, 0, 0, 0, 0, 12, 15, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0, 0, 184, 47, 0, 0, 43, 0, 0, 0, 67, 29, 0, 0, 111, 0, 0, 0, 51, 0, 0, 0, 70, 0, 0, 0, 201, 47, 0, 0, 45, 0, 0, 0, 53, 48, 0, 0, 0, 0, 0, 12, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 92, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 66, 0, 0, 0, 78, 48, 0, 0, 19, 2, 0, 0, 83, 48, 0, 0, 0, 0, 0, 12, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 103, 48, 0, 0, 0, 0, 0, 14, 22, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 6, 0, 0, 0, 112, 48, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 120, 48, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 129, 48, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 146, 48, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 19, 0, 0, 0, 161, 48, 0, 0, 0, 0, 0, 14, 30, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 32, 2, 0, 0, 4, 0, 0, 0, 40, 0, 0, 0, 168, 48, 0, 0, 0, 0, 0, 14, 33, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 24, 2, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 189, 48, 0, 0, 0, 0, 0, 14, 35, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 205, 48, 0, 0, 0, 0, 0, 14, 37, 2, 0, 0, 0, 0, 0, 0, 224, 48, 0, 0, 39, 0, 0, 4, 168, 1, 0, 0, 238, 48, 0, 0, 40, 2, 0, 0, 0, 0, 0, 0, 249, 48, 0, 0, 42, 2, 0, 0, 64, 0, 0, 0, 1, 49, 0, 0, 42, 2, 0, 0, 128, 0, 0, 0, 9, 49, 0, 0, 44, 2, 0, 0, 192, 0, 0, 0, 18, 49, 0, 0, 46, 2, 0, 0, 0, 1, 0, 0, 163, 1, 0, 0, 42, 2, 0, 0, 64, 1, 0, 0, 23, 49, 0, 0, 46, 2, 0, 0, 128, 1, 0, 0, 31, 49, 0, 0, 48, 2, 0, 0, 192, 1, 0, 0, 40, 49, 0, 0, 42, 2, 0, 0, 0, 2, 0, 0, 50, 49, 0, 0, 50, 2, 0, 0, 64, 2, 0, 0, 56, 49, 0, 0, 50, 2, 0, 0, 128, 2, 0, 0, 74, 49, 0, 0, 52, 2, 0, 0, 192, 2, 0, 0, 85, 49, 0, 0, 54, 2, 0, 0, 0, 3, 0, 0, 97, 49, 0, 0, 56, 2, 0, 0, 64, 3, 0, 0, 109, 49, 0, 0, 58, 2, 0, 0, 128, 3, 0, 0, 121, 49, 0, 0, 62, 2, 0, 0, 192, 3, 0, 0, 133, 49, 0, 0, 67, 2, 0, 0, 0, 4, 0, 0, 143, 49, 0, 0, 71, 2, 0, 0, 64, 4, 0, 0, 153, 49, 0, 0, 46, 2, 0, 0, 128, 4, 0, 0, 160, 49, 0, 0, 46, 2, 0, 0, 192, 4, 0, 0, 254, 46, 0, 0, 75, 2, 0, 0, 0, 5, 0, 0, 168, 49, 0, 0, 79, 2, 0, 0, 64, 5, 0, 0, 177, 49, 0, 0, 81, 2, 0, 0, 128, 5, 0, 0, 187, 49, 0, 0, 83, 2, 0, 0, 192, 5, 0, 0, 199, 49, 0, 0, 138, 2, 0, 0, 0, 6, 0, 0, 211, 49, 0, 0, 140, 2, 0, 0, 64, 6, 0, 0, 228, 49, 0, 0, 142, 2, 0, 0, 128, 6, 0, 0, 240, 49, 0, 0, 142, 2, 0, 0, 192, 6, 0, 0, 3, 50, 0, 0, 144, 2, 0, 0, 0, 7, 0, 0, 21, 50, 0, 0, 146, 2, 0, 0, 64, 7, 0, 0, 32, 50, 0, 0, 146, 2, 0, 0, 128, 7, 0, 0, 44, 50, 0, 0, 148, 2, 0, 0, 192, 7, 0, 0, 49, 50, 0, 0, 150, 2, 0, 0, 0, 8, 0, 0, 54, 50, 0, 0, 89, 0, 0, 0, 64, 8, 0, 0, 217, 3, 0, 0, 23, 0, 0, 0, 128, 8, 0, 0, 73, 50, 0, 0, 89, 0, 0, 0, 192, 8, 0, 0, 84, 50, 0, 0, 89, 0, 0, 0, 224, 8, 0, 0, 98, 50, 0, 0, 23, 0, 0, 0, 0, 9, 0, 0, 200, 21, 0, 0, 153, 2, 0, 0, 64, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 41, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 43, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 45, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 47, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 49, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 51, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 142, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 53, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 55, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 57, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 59, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 60, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 61, 2, 0, 0, 110, 50, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 63, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 64, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 65, 2, 0, 0, 131, 50, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 233, 46, 0, 0, 66, 2, 0, 0, 0, 0, 0, 0, 215, 33, 0, 0, 111, 0, 0, 0, 64, 0, 0, 0, 152, 50, 0, 0, 4, 0, 0, 6, 4, 0, 0, 0, 175, 50, 0, 0, 0, 0, 0, 0, 194, 50, 0, 0, 1, 0, 0, 0, 213, 50, 0, 0, 2, 0, 0, 0, 234, 50, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 68, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 69, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 70, 2, 0, 0, 2, 51, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 21, 51, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 182, 34, 0, 0, 154, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 72, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 73, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 74, 2, 0, 0, 26, 51, 0, 0, 1, 0, 0, 4, 1, 0, 0, 0, 45, 51, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 76, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 77, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 78, 2, 0, 0, 55, 51, 0, 0, 5, 0, 0, 4, 40, 0, 0, 0, 228, 46, 0, 0, 4, 2, 0, 0, 0, 0, 0, 0, 169, 6, 0, 0, 118, 0, 0, 0, 64, 0, 0, 0, 233, 46, 0, 0, 223, 0, 0, 0, 128, 0, 0, 0, 68, 51, 0, 0, 23, 0, 0, 0, 192, 0, 0, 0, 74, 51, 0, 0, 23, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 80, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 77, 2, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 82, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 77, 2, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 84, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 136, 2, 0, 0, 182, 34, 0, 0, 42, 0, 0, 4, 128, 9, 0, 0, 85, 51, 0, 0, 86, 2, 0, 0, 0, 0, 0, 0, 217, 3, 0, 0, 73, 0, 0, 0, 192, 8, 0, 0, 90, 51, 0, 0, 2, 0, 0, 0, 0, 9, 0, 0, 96, 51, 0, 0, 2, 0, 0, 0, 32, 9, 0, 0, 106, 51, 0, 0, 2, 0, 0, 0, 64, 9, 0, 0, 121, 51, 0, 0, 2, 0, 0, 0, 96, 9, 0, 0, 142, 51, 0, 0, 2, 0, 0, 0, 128, 9, 0, 0, 158, 51, 0, 0, 2, 0, 0, 0, 160, 9, 0, 0, 177, 51, 0, 0, 2, 0, 0, 0, 192, 9, 0, 0, 206, 51, 0, 0, 2, 0, 0, 0, 224, 9, 0, 0, 237, 51, 0, 0, 2, 0, 0, 0, 0, 10, 0, 0, 2, 52, 0, 0, 98, 2, 0, 0, 64, 10, 0, 0, 5, 52, 0, 0, 99, 2, 0, 0, 128, 10, 0, 0, 16, 52, 0, 0, 99, 2, 0, 0, 0, 14, 0, 0, 28, 52, 0, 0, 101, 2, 0, 0, 128, 17, 0, 0, 38, 52, 0, 0, 108, 0, 0, 0, 0, 28, 0, 0, 54, 52, 0, 0, 108, 0, 0, 0, 16, 28, 0, 0, 70, 52, 0, 0, 108, 0, 0, 0, 32, 28, 0, 0, 90, 52, 0, 0, 108, 0, 0, 0, 48, 28, 0, 0, 110, 52, 0, 0, 104, 2, 0, 0, 64, 28, 0, 0, 117, 52, 0, 0, 105, 2, 0, 0, 192, 31, 0, 0, 122, 52, 0, 0, 116, 0, 0, 0, 0, 32, 0, 0, 133, 52, 0, 0, 106, 2, 0, 0, 128, 32, 0, 0, 141, 52, 0, 0, 154, 0, 0, 0, 128, 39, 0, 0, 150, 52, 0, 0, 154, 0, 0, 0, 192, 39, 0, 0, 163, 52, 0, 0, 107, 2, 0, 0, 0, 40, 0, 0, 173, 52, 0, 0, 116, 0, 0, 0, 64, 40, 0, 0, 188, 52, 0, 0, 108, 2, 0, 0, 0, 42, 0, 0, 194, 52, 0, 0, 154, 0, 0, 0, 0, 42, 0, 0, 211, 52, 0, 0, 110, 2, 0, 0, 64, 42, 0, 0, 222, 52, 0, 0, 110, 2, 0, 0, 0, 43, 0, 0, 167, 8, 0, 0, 196, 0, 0, 0, 192, 43, 0, 0, 228, 52, 0, 0, 116, 0, 0, 0, 64, 46, 0, 0, 237, 52, 0, 0, 241, 0, 0, 0, 192, 46, 0, 0, 251, 52, 0, 0, 120, 1, 0, 0, 64, 51, 0, 0, 9, 53, 0, 0, 90, 2, 0, 0, 192, 53, 0, 0, 28, 53, 0, 0, 112, 2, 0, 0, 0, 56, 0, 0, 32, 53, 0, 0, 113, 2, 0, 0, 64, 56, 0, 0, 36, 53, 0, 0, 97, 0, 0, 0, 192, 74, 0, 0, 53, 53, 0, 0, 134, 2, 0, 0, 224, 74, 0, 0, 61, 53, 0, 0, 82, 1, 0, 0, 128, 75, 0, 0, 78, 53, 0, 0, 135, 2, 0, 0, 192, 75, 0, 0, 88, 53, 0, 0, 13, 0, 0, 4, 24, 1, 0, 0, 182, 34, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 52, 40, 0, 0, 87, 2, 0, 0, 64, 0, 0, 0, 108, 53, 0, 0, 88, 2, 0, 0, 128, 0, 0, 0, 18, 8, 0, 0, 116, 0, 0, 0, 0, 1, 0, 0, 9, 8, 0, 0, 116, 0, 0, 0, 128, 1, 0, 0, 115, 53, 0, 0, 116, 0, 0, 0, 0, 2, 0, 0, 114, 0, 0, 0, 2, 0, 0, 0, 128, 2, 0, 0, 217, 3, 0, 0, 7, 0, 0, 0, 160, 2, 0, 0, 130, 53, 0, 0, 23, 0, 0, 0, 192, 2, 0, 0, 140, 53, 0, 0, 97, 0, 0, 0, 0, 3, 0, 0, 151, 53, 0, 0, 90, 2, 0, 0, 64, 3, 0, 0, 164, 53, 0, 0, 95, 2, 0, 0, 128, 5, 0, 0, 2, 8, 0, 0, 97, 2, 0, 0, 128, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 21, 3, 0, 0, 178, 53, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 189, 53, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 206, 53, 0, 0, 89, 2, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 25, 3, 0, 0, 211, 53, 0, 0, 4, 0, 0, 4, 72, 0, 0, 0, 206, 53, 0, 0, 151, 0, 0, 0, 0, 0, 0, 0, 87, 28, 0, 0, 116, 0, 0, 0, 64, 0, 0, 0, 192, 23, 0, 0, 91, 2, 0, 0, 192, 0, 0, 0, 176, 21, 0, 0, 204, 0, 0, 0, 0, 1, 0, 0, 223, 53, 0, 0, 0, 0, 0, 8, 92, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 93, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 94, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 90, 2, 0, 0, 235, 53, 0, 0, 3, 0, 0, 4, 96, 0, 0, 0, 157, 23, 0, 0, 90, 2, 0, 0, 0, 0, 0, 0, 130, 14, 0, 0, 237, 0, 0, 0, 64, 2, 0, 0, 244, 53, 0, 0, 96, 2, 0, 0, 192, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 26, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 86, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 28, 3, 0, 0, 247, 53, 0, 0, 5, 0, 0, 4, 112, 0, 0, 0, 3, 54, 0, 0, 100, 2, 0, 0, 0, 0, 0, 0, 2, 52, 0, 0, 98, 2, 0, 0, 64, 0, 0, 0, 217, 3, 0, 0, 7, 0, 0, 0, 128, 0, 0, 0, 7, 54, 0, 0, 73, 0, 0, 0, 192, 0, 0, 0, 19, 54, 0, 0, 77, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 20, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 99, 2, 0, 0, 4, 0, 0, 0, 3, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 86, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 102, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 103, 2, 0, 0, 4, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 30, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 116, 0, 0, 0, 4, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 32, 3, 0, 0, 32, 54, 0, 0, 1, 0, 0, 4, 0, 0, 0, 0, 50, 54, 0, 0, 109, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 52, 54, 0, 0, 1, 0, 0, 4, 24, 0, 0, 0, 69, 54, 0, 0, 111, 2, 0, 0, 0, 0, 0, 0, 77, 54, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 155, 8, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 149, 8, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 203, 15, 0, 0, 20, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 33, 3, 0, 0, 90, 54, 0, 0, 7, 0, 0, 4, 80, 2, 0, 0, 101, 54, 0, 0, 129, 2, 0, 0, 0, 0, 0, 0, 111, 54, 0, 0, 131, 2, 0, 0, 0, 7, 0, 0, 217, 3, 0, 0, 132, 2, 0, 0, 0, 14, 0, 0, 117, 54, 0, 0, 116, 0, 0, 0, 0, 15, 0, 0, 126, 54, 0, 0, 133, 2, 0, 0, 128, 15, 0, 0, 108, 53, 0, 0, 88, 2, 0, 0, 192, 15, 0, 0, 135, 54, 0, 0, 90, 2, 0, 0, 64, 16, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 116, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 114, 2, 0, 0, 148, 54, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 130, 14, 0, 0, 237, 0, 0, 0, 0, 0, 0, 0, 163, 54, 0, 0, 128, 2, 0, 0, 128, 0, 0, 0, 169, 54, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 66, 32, 0, 0, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 2, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 189, 54, 0, 0, 127, 2, 0, 0, 0, 0, 0, 0, 71, 32, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 120, 2, 0, 0, 204, 54, 0, 0, 7, 0, 0, 4, 104, 0, 0, 0, 0, 0, 0, 0, 121, 2, 0, 0, 0, 0, 0, 0, 223, 54, 0, 0, 125, 2, 0, 0, 64, 0, 0, 0, 64, 0, 0, 0, 126, 2, 0, 0, 128, 0, 0, 0, 227, 54, 0, 0, 116, 0, 0, 0, 0, 1, 0, 0, 236, 54, 0, 0, 116, 0, 0, 0, 128, 1, 0, 0, 29, 18, 0, 0, 114, 0, 0, 0, 0, 2, 0, 0, 130, 14, 0, 0, 237, 0, 0, 0, 192, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 244, 54, 0, 0, 122, 2, 0, 0, 0, 0, 0, 0, 248, 54, 0, 0, 124, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 49, 3, 0, 0, 3, 55, 0, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 123, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 50, 3, 0, 0, 10, 55, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 33, 55, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 49, 55, 0, 0, 31, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 119, 2, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 117, 2, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 115, 2, 0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 61, 55, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 104, 28, 0, 0, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 130, 2, 0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 135, 0, 0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 116, 2, 0, 0, 72, 55, 0, 0, 4, 0, 0, 4, 16, 0, 0, 0, 93, 55, 0, 0, 142, 0, 0, 0, 0, 0, 0, 0, 100, 55, 0, 0, 2, 0, 0, 0, 32, 0, 0, 0, 109, 55, 0, 0, 2, 0, 0, 0, 64, 0, 0, 0, 131, 55, 0, 0, 2, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 154, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 137, 2, 0, 0, 147, 55, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 156, 1, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 139, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 141, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 143, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 145, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 0, 0, 0, 0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 147, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 149, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 151, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 128, 0, 0, 0, 168, 55, 0, 0, 0, 0, 0, 14, 39, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 174, 55, 0, 0, 0, 0, 0, 14, 155, 2, 0, 0, 1, 0, 0, 0, 183, 55, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 196, 55, 0, 0, 4, 0, 0, 4, 144, 4, 0, 0, 228, 46, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 169, 6, 0, 0, 118, 0, 0, 0, 64, 0, 0, 0, 233, 46, 0, 0, 153, 2, 0, 0, 128, 0, 0, 0, 250, 46, 0, 0, 159, 2, 0, 0, 128, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 0, 4, 0, 0, 211, 55, 0, 0, 0, 0, 0, 14, 158, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 24, 2, 0, 0, 4, 0, 0, 0, 0, 2, 0, 0, 215, 55, 0, 0, 0, 0, 0, 14, 161, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 164, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 163, 2, 0, 0, 4, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 165, 2, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 230, 55, 0, 0, 0, 0, 0, 14, 166, 2, 0, 0, 1, 0, 0, 0, 243, 55, 0, 0, 0, 0, 0, 14, 166, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 170, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 45, 0, 0, 0, 1, 56, 0, 0, 0, 0, 0, 14, 169, 2, 0, 0, 1, 0, 0, 0, 16, 56, 0, 0, 0, 0, 0, 14, 169, 2, 0, 0, 1, 0, 0, 0, 27, 56, 0, 0, 0, 0, 0, 14, 169, 2, 0, 0, 1, 0, 0, 0, 42, 56, 0, 0, 0, 0, 0, 14, 169, 2, 0, 0, 1, 0, 0, 0, 61, 56, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 78, 56, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 102, 56, 0, 0, 0, 0, 0, 14, 24, 2, 0, 0, 1, 0, 0, 0, 108, 56, 0, 0, 4, 0, 0, 4, 64, 1, 0, 0, 117, 56, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 149, 1, 0, 0, 6, 0, 0, 0, 32, 0, 0, 0, 128, 56, 0, 0, 6, 0, 0, 0, 64, 0, 0, 0, 141, 56, 0, 0, 179, 2, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 6, 0, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 178, 2, 0, 0, 4, 0, 0, 0, 0, 2, 0, 0, 108, 56, 0, 0, 0, 0, 0, 14, 180, 2, 0, 0, 1, 0, 0, 0, 151, 56, 0, 0, 4, 0, 0, 4, 24, 16, 0, 0, 167, 56, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 171, 56, 0, 0, 19, 0, 0, 0, 64, 0, 0, 0, 180, 56, 0, 0, 19, 0, 0, 0, 128, 0, 0, 0, 190, 56, 0, 0, 183, 2, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 66, 0, 0, 0, 4, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 182, 2, 0, 0, 4, 0, 0, 0, 64, 0, 0, 0, 151, 56, 0, 0, 0, 0, 0, 14, 184, 2, 0, 0, 1, 0, 0, 0, 195, 56, 0, 0, 4, 0, 0, 4, 144, 0, 0, 0, 167, 56, 0, 0, 19, 0, 0, 0, 0, 0, 0, 0, 206, 56, 0, 0, 19, 0, 0, 0, 64, 0, 0, 0, 117, 0, 0, 0, 187, 2, 0, 0, 128, 0, 0, 0, 215, 56, 0, 0, 187, 2, 0, 0, 128, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 19, 0, 0, 0, 4, 0, 0, 0, 8, 0, 0, 0, 195, 56, 0, 0, 0, 0, 0, 14, 186, 2, 0, 0, 1, 0, 0, 0, 235, 56, 0, 0, 0, 0, 0, 14, 19, 0, 0, 0, 1, 0, 0, 0, 251, 56, 0, 0, 0, 0, 0, 14, 10, 0, 0, 0, 1, 0, 0, 0, 117, 0, 0, 0, 0, 0, 0, 14, 10, 0, 0, 0, 1, 0, 0, 0, 215, 56, 0, 0, 0, 0, 0, 14, 10, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 37, 0, 0, 0, 7, 57, 0, 0, 0, 0, 0, 14, 193, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 35, 57, 0, 0, 0, 0, 0, 14, 195, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 27, 0, 0, 0, 65, 57, 0, 0, 0, 0, 0, 14, 197, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 29, 0, 0, 0, 95, 57, 0, 0, 0, 0, 0, 14, 199, 2, 0, 0, 0, 0, 0, 0, 206, 56, 0, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 34, 0, 0, 0, 125, 57, 0, 0, 0, 0, 0, 14, 202, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 25, 0, 0, 0, 148, 57, 0, 0, 0, 0, 0, 14, 204, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 170, 57, 0, 0, 0, 0, 0, 14, 206, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 31, 0, 0, 0, 195, 57, 0, 0, 0, 0, 0, 14, 208, 2, 0, 0, 0, 0, 0, 0, 218, 57, 0, 0, 0, 0, 0, 14, 197, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 33, 0, 0, 0, 244, 57, 0, 0, 0, 0, 0, 14, 211, 2, 0, 0, 0, 0, 0, 0, 14, 58, 0, 0, 0, 0, 0, 14, 208, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 224, 0, 0, 0, 4, 0, 0, 0, 57, 0, 0, 0, 40, 58, 0, 0, 0, 0, 0, 14, 214, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 26, 0, 0, 0, 68, 58, 0, 0, 0, 0, 0, 14, 216, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 95, 58, 0, 0, 0, 0, 0, 14, 218, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 23, 0, 0, 0, 4, 0, 0, 0, 20, 0, 0, 0, 120, 58, 0, 0, 0, 0, 0, 14, 220, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 19, 0, 0, 0, 134, 58, 0, 0, 0, 0, 0, 14, 222, 2, 0, 0, 0, 0, 0, 0, 170, 58, 0, 0, 0, 0, 0, 14, 211, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 59, 0, 0, 0, 193, 58, 0, 0, 0, 0, 0, 14, 225, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 224, 0, 0, 0, 4, 0, 0, 0, 63, 0, 0, 0, 215, 58, 0, 0, 0, 0, 0, 14, 227, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 15, 0, 0, 0, 240, 58, 0, 0, 0, 0, 0, 14, 229, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 42, 0, 0, 0, 9, 59, 0, 0, 0, 0, 0, 14, 231, 2, 0, 0, 0, 0, 0, 0, 37, 59, 0, 0, 0, 0, 0, 14, 216, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 224, 0, 0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 66, 59, 0, 0, 0, 0, 0, 14, 234, 2, 0, 0, 0, 0, 0, 0, 94, 59, 0, 0, 0, 0, 0, 14, 208, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 224, 0, 0, 0, 4, 0, 0, 0, 26, 0, 0, 0, 126, 59, 0, 0, 0, 0, 0, 14, 237, 2, 0, 0, 0, 0, 0, 0, 154, 59, 0, 0, 0, 0, 0, 14, 204, 2, 0, 0, 0, 0, 0, 0, 181, 59, 0, 0, 0, 0, 0, 14, 204, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 211, 59, 0, 0, 0, 0, 0, 14, 241, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 30, 0, 0, 0, 230, 59, 0, 0, 0, 0, 0, 14, 243, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 18, 0, 0, 0, 252, 59, 0, 0, 0, 0, 0, 14, 245, 2, 0, 0, 0, 0, 0, 0, 18, 60, 0, 0, 0, 0, 0, 14, 218, 2, 0, 0, 0, 0, 0, 0, 36, 60, 0, 0, 0, 0, 0, 14, 199, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 23, 0, 0, 0, 57, 60, 0, 0, 0, 0, 0, 14, 249, 2, 0, 0, 0, 0, 0, 0, 78, 60, 0, 0, 0, 0, 0, 14, 245, 2, 0, 0, 0, 0, 0, 0, 99, 60, 0, 0, 0, 0, 0, 14, 241, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 88, 0, 0, 0, 4, 0, 0, 0, 22, 0, 0, 0, 120, 60, 0, 0, 0, 0, 0, 14, 253, 2, 0, 0, 0, 0, 0, 0, 141, 60, 0, 0, 0, 0, 0, 14, 202, 2, 0, 0, 0, 0, 0, 0, 163, 60, 0, 0, 0, 0, 0, 14, 199, 2, 0, 0, 0, 0, 0, 0, 188, 60, 0, 0, 0, 0, 0, 14, 216, 2, 0, 0, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 101, 0, 0, 0, 26, 16, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 213, 60, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 228, 60, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 239, 17, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 249, 60, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 111, 1, 0, 0, 8, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 237, 7, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 18, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 32, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 169, 9, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 187, 24, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 47, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 58, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 71, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 79, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 60, 28, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 93, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 100, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 114, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 22, 3, 0, 0, 55, 11, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 122, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 138, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 155, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 172, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 151, 12, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 184, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 196, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 3, 55, 0, 0, 0, 0, 0, 18, 31, 3, 0, 0, 213, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 223, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 232, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 243, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 254, 61, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 37, 3, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 160, 1, 0, 0, 16, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 40, 3, 0, 0, 28, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 38, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 50, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 66, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 195, 24, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 80, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 99, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 118, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 83, 11, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 242, 29, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 141, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 164, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 183, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 110, 1, 0, 0, 195, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 218, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 239, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 255, 62, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 17, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 29, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 39, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 54, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 4, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 65, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 74, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 89, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 68, 3, 0, 0, 107, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 70, 3, 0, 0, 122, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 72, 3, 0, 0, 90, 9, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 129, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 143, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 156, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 170, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 179, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 193, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 130, 14, 0, 0, 0, 0, 0, 18, 80, 3, 0, 0, 208, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 224, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 69, 11, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 94, 11, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 237, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 86, 3, 0, 0, 254, 63, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 194, 12, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 157, 20, 0, 0, 0, 0, 0, 18, 89, 3, 0, 0, 13, 64, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 29, 64, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 46, 64, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 58, 64, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 230, 28, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 70, 64, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 78, 48, 0, 0, 0, 0, 0, 18, 93, 0, 0, 0, 210, 135, 0, 0, 1, 0, 0, 15, 4, 0, 0, 0, 23, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 218, 135, 0, 0, 23, 0, 0, 15, 37, 43, 0, 0, 26, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 27, 2, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 28, 2, 0, 0, 8, 0, 0, 0, 4, 0, 0, 0, 29, 2, 0, 0, 12, 0, 0, 0, 4, 0, 0, 0, 31, 2, 0, 0, 16, 0, 0, 0, 8, 0, 0, 0, 34, 2, 0, 0, 24, 0, 0, 0, 160, 0, 0, 0, 36, 2, 0, 0, 184, 0, 0, 0, 0, 1, 0, 0, 157, 2, 0, 0, 184, 1, 0, 0, 4, 0, 0, 0, 162, 2, 0, 0, 188, 1, 0, 0, 0, 8, 0, 0, 167, 2, 0, 0, 192, 9, 0, 0, 0, 16, 0, 0, 168, 2, 0, 0, 192, 25, 0, 0, 0, 16, 0, 0, 171, 2, 0, 0, 192, 41, 0, 0, 1, 0, 0, 0, 172, 2, 0, 0, 193, 41, 0, 0, 1, 0, 0, 0, 173, 2, 0, 0, 194, 41, 0, 0, 1, 0, 0, 0, 174, 2, 0, 0, 195, 41, 0, 0, 1, 0, 0, 0, 175, 2, 0, 0, 196, 41, 0, 0, 4, 0, 0, 0, 176, 2, 0, 0, 200, 41, 0, 0, 4, 0, 0, 0, 177, 2, 0, 0, 204, 41, 0, 0, 4, 0, 0, 0, 215, 2, 0, 0, 208, 41, 0, 0, 57, 0, 0, 0, 221, 2, 0, 0, 16, 42, 0, 0, 160, 0, 0, 0, 228, 2, 0, 0, 176, 42, 0, 0, 63, 0, 0, 0, 235, 2, 0, 0, 239, 42, 0, 0, 28, 0, 0, 0, 238, 2, 0, 0, 11, 43, 0, 0, 26, 0, 0, 0, 226, 135, 0, 0, 37, 0, 0, 15, 95, 8, 0, 0, 38, 2, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 160, 2, 0, 0, 32, 0, 0, 0, 144, 4, 0, 0, 194, 2, 0, 0, 176, 4, 0, 0, 37, 0, 0, 0, 196, 2, 0, 0, 213, 4, 0, 0, 36, 0, 0, 0, 198, 2, 0, 0, 249, 4, 0, 0, 27, 0, 0, 0, 200, 2, 0, 0, 20, 5, 0, 0, 29, 0, 0, 0, 201, 2, 0, 0, 56, 5, 0, 0, 8, 0, 0, 0, 203, 2, 0, 0, 64, 5, 0, 0, 34, 0, 0, 0, 205, 2, 0, 0, 98, 5, 0, 0, 25, 0, 0, 0, 207, 2, 0, 0, 123, 5, 0, 0, 12, 0, 0, 0, 209, 2, 0, 0, 135, 5, 0, 0, 31, 0, 0, 0, 210, 2, 0, 0, 166, 5, 0, 0, 27, 0, 0, 0, 212, 2, 0, 0, 193, 5, 0, 0, 33, 0, 0, 0, 213, 2, 0, 0, 226, 5, 0, 0, 31, 0, 0, 0, 217, 2, 0, 0, 1, 6, 0, 0, 26, 0, 0, 0, 219, 2, 0, 0, 27, 6, 0, 0, 28, 0, 0, 0, 223, 2, 0, 0, 55, 6, 0, 0, 19, 0, 0, 0, 224, 2, 0, 0, 74, 6, 0, 0, 33, 0, 0, 0, 226, 2, 0, 0, 107, 6, 0, 0, 59, 0, 0, 0, 230, 2, 0, 0, 166, 6, 0, 0, 15, 0, 0, 0, 232, 2, 0, 0, 181, 6, 0, 0, 42, 0, 0, 0, 233, 2, 0, 0, 223, 6, 0, 0, 26, 0, 0, 0, 236, 2, 0, 0, 249, 6, 0, 0, 31, 0, 0, 0, 239, 2, 0, 0, 24, 7, 0, 0, 25, 0, 0, 0, 240, 2, 0, 0, 49, 7, 0, 0, 25, 0, 0, 0, 242, 2, 0, 0, 74, 7, 0, 0, 10, 0, 0, 0, 244, 2, 0, 0, 84, 7, 0, 0, 30, 0, 0, 0, 246, 2, 0, 0, 114, 7, 0, 0, 18, 0, 0, 0, 247, 2, 0, 0, 132, 7, 0, 0, 28, 0, 0, 0, 248, 2, 0, 0, 160, 7, 0, 0, 29, 0, 0, 0, 250, 2, 0, 0, 189, 7, 0, 0, 23, 0, 0, 0, 251, 2, 0, 0, 212, 7, 0, 0, 18, 0, 0, 0, 252, 2, 0, 0, 230, 7, 0, 0, 10, 0, 0, 0, 254, 2, 0, 0, 240, 7, 0, 0, 22, 0, 0, 0, 255, 2, 0, 0, 6, 8, 0, 0, 34, 0, 0, 0, 0, 3, 0, 0, 40, 8, 0, 0, 29, 0, 0, 0, 1, 3, 0, 0, 69, 8, 0, 0, 26, 0, 0, 0, 232, 135, 0, 0, 1, 0, 0, 15, 168, 1, 0, 0, 154, 2, 0, 0, 0, 0, 0, 0, 168, 1, 0, 0, 249, 135, 0, 0, 1, 0, 0, 15, 1, 0, 0, 0, 156, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 8, 136, 0, 0, 4, 0, 0, 15, 152, 134, 6, 0, 181, 2, 0, 0, 0, 0, 0, 0, 0, 128, 2, 0, 185, 2, 0, 0, 0, 128, 2, 0, 0, 6, 4, 0, 188, 2, 0, 0, 0, 134, 6, 0, 144, 0, 0, 0, 189, 2, 0, 0, 144, 134, 6, 0, 8, 0, 0, 0, 13, 136, 0, 0, 7, 0, 0, 15, 16, 1, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 27, 0, 0, 0, 40, 0, 0, 0, 40, 0, 0, 0, 33, 0, 0, 0, 80, 0, 0, 0, 40, 0, 0, 0, 37, 0, 0, 0, 120, 0, 0, 0, 40, 0, 0, 0, 49, 0, 0, 0, 160, 0, 0, 0, 40, 0, 0, 0, 59, 0, 0, 0, 200, 0, 0, 0, 32, 0, 0, 0, 63, 0, 0, 0, 232, 0, 0, 0, 40, 0, 0, 0, 19, 136, 0, 0, 3, 0, 0, 15, 24, 0, 0, 0, 190, 2, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 191, 2, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 192, 2, 0, 0, 16, 0, 0, 0, 8, 0, 0, 0, 27, 136, 0, 0, 31, 0, 0, 15, 0, 0, 0, 0, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 105, 110, 116, 0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84, 89, 80, 69, 95, 95, 0, 117, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 110, 111, 100, 101, 95, 99, 116, 120, 0, 99, 112, 117, 109, 97, 115, 107, 0, 116, 121, 112, 101, 0, 107, 101, 121, 0, 118, 97, 108, 117, 101, 0, 109, 97, 120, 95, 101, 110, 116, 114, 105, 101, 115, 0, 109, 97, 112, 95, 102, 108, 97, 103, 115, 0, 110, 111, 100, 101, 95, 100, 97, 116, 97, 0, 100, 111, 109, 95, 99, 116, 120, 0, 105, 100, 0, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 0, 110, 111, 100, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 0, 100, 98, 103, 95, 100, 99, 121, 99, 108, 101, 95, 112, 114, 105, 110, 116, 101, 100, 95, 97, 116, 0, 98, 117, 99, 107, 101, 116, 115, 0, 117, 54, 52, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 98, 117, 99, 107, 101, 116, 95, 99, 116, 120, 0, 100, 99, 121, 99, 108, 101, 0, 114, 100, 0, 114, 97, 118, 103, 95, 100, 97, 116, 97, 0, 118, 97, 108, 0, 118, 97, 108, 95, 97, 116, 0, 111, 108, 100, 0, 99, 117, 114, 0, 95, 95, 117, 54, 52, 0, 100, 111, 109, 95, 100, 97, 116, 97, 0, 108, 111, 99, 107, 95, 119, 114, 97, 112, 112, 101, 114, 0, 108, 111, 99, 107, 0, 98, 112, 102, 95, 115, 112, 105, 110, 95, 108, 111, 99, 107, 0, 95, 95, 117, 51, 50, 0, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 115, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 108, 111, 99, 107, 115, 0, 112, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 112, 105, 100, 95, 116, 0, 116, 97, 115, 107, 95, 99, 116, 120, 0, 100, 111, 109, 95, 109, 97, 115, 107, 0, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 0, 100, 111, 109, 95, 105, 100, 0, 119, 101, 105, 103, 104, 116, 0, 114, 117, 110, 110, 97, 98, 108, 101, 0, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 95, 103, 101, 110, 0, 100, 101, 97, 100, 108, 105, 110, 101, 0, 115, 117, 109, 95, 114, 117, 110, 116, 105, 109, 101, 0, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 0, 108, 97, 115, 116, 95, 114, 117, 110, 95, 97, 116, 0, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 0, 108, 97, 115, 116, 95, 98, 108, 111, 99, 107, 101, 100, 95, 97, 116, 0, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 0, 108, 97, 115, 116, 95, 119, 111, 107, 101, 95, 97, 116, 0, 105, 115, 95, 107, 119, 111, 114, 107, 101, 114, 0, 97, 108, 108, 95, 99, 112, 117, 115, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95, 108, 111, 99, 97, 108, 0, 100, 99, 121, 99, 95, 114, 100, 0, 95, 66, 111, 111, 108, 0, 116, 97, 115, 107, 95, 100, 97, 116, 97, 0, 107, 101, 121, 95, 115, 105, 122, 101, 0, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 0, 115, 116, 97, 116, 115, 0, 108, 98, 95, 100, 97, 116, 97, 0, 99, 116, 120, 0, 115, 51, 50, 0, 95, 95, 115, 51, 50, 0, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 98, 105, 116, 115, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 0, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 0, 95, 95, 111, 112, 97, 113, 117, 101, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 110, 101, 119, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 110, 101, 120, 116, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 110, 117, 109, 95, 100, 101, 115, 116, 114, 111, 121, 0, 99, 104, 97, 114, 0, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 95, 98, 115, 116, 114, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 0, 117, 115, 97, 103, 101, 0, 99, 112, 117, 109, 97, 115, 107, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 115, 116, 114, 117, 99, 116, 0, 114, 101, 102, 115, 0, 97, 116, 111, 109, 105, 99, 95, 116, 0, 99, 111, 117, 110, 116, 101, 114, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 0, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 0, 116, 104, 114, 101, 97, 100, 95, 105, 110, 102, 111, 0, 95, 95, 115, 116, 97, 116, 101, 0, 115, 97, 118, 101, 100, 95, 115, 116, 97, 116, 101, 0, 115, 116, 97, 99, 107, 0, 102, 108, 97, 103, 115, 0, 112, 116, 114, 97, 99, 101, 0, 111, 110, 95, 99, 112, 117, 0, 119, 97, 107, 101, 95, 101, 110, 116, 114, 121, 0, 119, 97, 107, 101, 101, 95, 102, 108, 105, 112, 115, 0, 119, 97, 107, 101, 101, 95, 102, 108, 105, 112, 95, 100, 101, 99, 97, 121, 95, 116, 115, 0, 108, 97, 115, 116, 95, 119, 97, 107, 101, 101, 0, 114, 101, 99, 101, 110, 116, 95, 117, 115, 101, 100, 95, 99, 112, 117, 0, 119, 97, 107, 101, 95, 99, 112, 117, 0, 111, 110, 95, 114, 113, 0, 112, 114, 105, 111, 0, 115, 116, 97, 116, 105, 99, 95, 112, 114, 105, 111, 0, 110, 111, 114, 109, 97, 108, 95, 112, 114, 105, 111, 0, 114, 116, 95, 112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 101, 0, 114, 116, 0, 100, 108, 0, 100, 108, 95, 115, 101, 114, 118, 101, 114, 0, 115, 99, 120, 0, 115, 99, 104, 101, 100, 95, 99, 108, 97, 115, 115, 0, 115, 99, 104, 101, 100, 95, 116, 97, 115, 107, 95, 103, 114, 111, 117, 112, 0, 98, 116, 114, 97, 99, 101, 95, 115, 101, 113, 0, 112, 111, 108, 105, 99, 121, 0, 110, 114, 95, 99, 112, 117, 115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 99, 112, 117, 115, 95, 112, 116, 114, 0, 117, 115, 101, 114, 95, 99, 112, 117, 115, 95, 112, 116, 114, 0, 99, 112, 117, 115, 95, 109, 97, 115, 107, 0, 109, 105, 103, 114, 97, 116, 105, 111, 110, 95, 112, 101, 110, 100, 105, 110, 103, 0, 109, 105, 103, 114, 97, 116, 105, 111, 110, 95, 100, 105, 115, 97, 98, 108, 101, 100, 0, 109, 105, 103, 114, 97, 116, 105, 111, 110, 95, 102, 108, 97, 103, 115, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107, 95, 110, 101, 115, 116, 105, 110, 103, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 95, 115, 112, 101, 99, 105, 97, 108, 0, 114, 99, 117, 95, 110, 111, 100, 101, 95, 101, 110, 116, 114, 121, 0, 114, 99, 117, 95, 98, 108, 111, 99, 107, 101, 100, 95, 110, 111, 100, 101, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 110, 118, 99, 115, 119, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 104, 111, 108, 100, 111, 117, 116, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 105, 100, 120, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 105, 100, 108, 101, 95, 99, 112, 117, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 104, 111, 108, 100, 111, 117, 116, 95, 108, 105, 115, 116, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 101, 120, 105, 116, 95, 99, 112, 117, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 101, 120, 105, 116, 95, 108, 105, 115, 116, 0, 116, 114, 99, 95, 114, 101, 97, 100, 101, 114, 95, 110, 101, 115, 116, 105, 110, 103, 0, 116, 114, 99, 95, 105, 112, 105, 95, 116, 111, 95, 99, 112, 117, 0, 116, 114, 99, 95, 114, 101, 97, 100, 101, 114, 95, 115, 112, 101, 99, 105, 97, 108, 0, 116, 114, 99, 95, 104, 111, 108, 100, 111, 117, 116, 95, 108, 105, 115, 116, 0, 116, 114, 99, 95, 98, 108, 107, 100, 95, 110, 111, 100, 101, 0, 116, 114, 99, 95, 98, 108, 107, 100, 95, 99, 112, 117, 0, 115, 99, 104, 101, 100, 95, 105, 110, 102, 111, 0, 116, 97, 115, 107, 115, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 116, 97, 115, 107, 115, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 100, 108, 95, 116, 97, 115, 107, 115, 0, 109, 109, 0, 97, 99, 116, 105, 118, 101, 95, 109, 109, 0, 102, 97, 117, 108, 116, 115, 95, 100, 105, 115, 97, 98, 108, 101, 100, 95, 109, 97, 112, 112, 105, 110, 103, 0, 101, 120, 105, 116, 95, 115, 116, 97, 116, 101, 0, 101, 120, 105, 116, 95, 99, 111, 100, 101, 0, 101, 120, 105, 116, 95, 115, 105, 103, 110, 97, 108, 0, 112, 100, 101, 97, 116, 104, 95, 115, 105, 103, 110, 97, 108, 0, 106, 111, 98, 99, 116, 108, 0, 112, 101, 114, 115, 111, 110, 97, 108, 105, 116, 121, 0, 115, 99, 104, 101, 100, 95, 114, 101, 115, 101, 116, 95, 111, 110, 95, 102, 111, 114, 107, 0, 115, 99, 104, 101, 100, 95, 99, 111, 110, 116, 114, 105, 98, 117, 116, 101, 115, 95, 116, 111, 95, 108, 111, 97, 100, 0, 115, 99, 104, 101, 100, 95, 109, 105, 103, 114, 97, 116, 101, 100, 0, 115, 99, 104, 101, 100, 95, 114, 101, 109, 111, 116, 101, 95, 119, 97, 107, 101, 117, 112, 0, 115, 99, 104, 101, 100, 95, 114, 116, 95, 109, 117, 116, 101, 120, 0, 105, 110, 95, 101, 120, 101, 99, 118, 101, 0, 105, 110, 95, 105, 111, 119, 97, 105, 116, 0, 114, 101, 115, 116, 111, 114, 101, 95, 115, 105, 103, 109, 97, 115, 107, 0, 105, 110, 95, 117, 115, 101, 114, 95, 102, 97, 117, 108, 116, 0, 110, 111, 95, 99, 103, 114, 111, 117, 112, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 0, 102, 114, 111, 122, 101, 110, 0, 117, 115, 101, 95, 109, 101, 109, 100, 101, 108, 97, 121, 0, 105, 110, 95, 109, 101, 109, 115, 116, 97, 108, 108, 0, 105, 110, 95, 101, 118, 101, 110, 116, 102, 100, 0, 114, 101, 112, 111, 114, 116, 101, 100, 95, 115, 112, 108, 105, 116, 95, 108, 111, 99, 107, 0, 105, 110, 95, 116, 104, 114, 97, 115, 104, 105, 110, 103, 0, 97, 116, 111, 109, 105, 99, 95, 102, 108, 97, 103, 115, 0, 114, 101, 115, 116, 97, 114, 116, 95, 98, 108, 111, 99, 107, 0, 112, 105, 100, 0, 116, 103, 105, 100, 0, 114, 101, 97, 108, 95, 112, 97, 114, 101, 110, 116, 0, 112, 97, 114, 101, 110, 116, 0, 99, 104, 105, 108, 100, 114, 101, 110, 0, 115, 105, 98, 108, 105, 110, 103, 0, 103, 114, 111, 117, 112, 95, 108, 101, 97, 100, 101, 114, 0, 112, 116, 114, 97, 99, 101, 100, 0, 112, 116, 114, 97, 99, 101, 95, 101, 110, 116, 114, 121, 0, 116, 104, 114, 101, 97, 100, 95, 112, 105, 100, 0, 112, 105, 100, 95, 108, 105, 110, 107, 115, 0, 116, 104, 114, 101, 97, 100, 95, 110, 111, 100, 101, 0, 118, 102, 111, 114, 107, 95, 100, 111, 110, 101, 0, 115, 101, 116, 95, 99, 104, 105, 108, 100, 95, 116, 105, 100, 0, 99, 108, 101, 97, 114, 95, 99, 104, 105, 108, 100, 95, 116, 105, 100, 0, 119, 111, 114, 107, 101, 114, 95, 112, 114, 105, 118, 97, 116, 101, 0, 117, 116, 105, 109, 101, 0, 115, 116, 105, 109, 101, 0, 103, 116, 105, 109, 101, 0, 112, 114, 101, 118, 95, 99, 112, 117, 116, 105, 109, 101, 0, 118, 116, 105, 109, 101, 0, 116, 105, 99, 107, 95, 100, 101, 112, 95, 109, 97, 115, 107, 0, 110, 118, 99, 115, 119, 0, 110, 105, 118, 99, 115, 119, 0, 115, 116, 97, 114, 116, 95, 116, 105, 109, 101, 0, 115, 116, 97, 114, 116, 95, 98, 111, 111, 116, 116, 105, 109, 101, 0, 109, 105, 110, 95, 102, 108, 116, 0, 109, 97, 106, 95, 102, 108, 116, 0, 112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 115, 0, 112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 115, 95, 119, 111, 114, 107, 0, 112, 116, 114, 97, 99, 101, 114, 95, 99, 114, 101, 100, 0, 114, 101, 97, 108, 95, 99, 114, 101, 100, 0, 99, 114, 101, 100, 0, 99, 97, 99, 104, 101, 100, 95, 114, 101, 113, 117, 101, 115, 116, 101, 100, 95, 107, 101, 121, 0, 99, 111, 109, 109, 0, 110, 97, 109, 101, 105, 100, 97, 116, 97, 0, 115, 121, 115, 118, 115, 101, 109, 0, 115, 121, 115, 118, 115, 104, 109, 0, 108, 97, 115, 116, 95, 115, 119, 105, 116, 99, 104, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115, 116, 95, 115, 119, 105, 116, 99, 104, 95, 116, 105, 109, 101, 0, 102, 115, 0, 102, 105, 108, 101, 115, 0, 105, 111, 95, 117, 114, 105, 110, 103, 0, 110, 115, 112, 114, 111, 120, 121, 0, 115, 105, 103, 110, 97, 108, 0, 115, 105, 103, 104, 97, 110, 100, 0, 98, 108, 111, 99, 107, 101, 100, 0, 114, 101, 97, 108, 95, 98, 108, 111, 99, 107, 101, 100, 0, 115, 97, 118, 101, 100, 95, 115, 105, 103, 109, 97, 115, 107, 0, 112, 101, 110, 100, 105, 110, 103, 0, 115, 97, 115, 95, 115, 115, 95, 115, 112, 0, 115, 97, 115, 95, 115, 115, 95, 115, 105, 122, 101, 0, 115, 97, 115, 95, 115, 115, 95, 102, 108, 97, 103, 115, 0, 116, 97, 115, 107, 95, 119, 111, 114, 107, 115, 0, 115, 101, 99, 99, 111, 109, 112, 0, 115, 121, 115, 99, 97, 108, 108, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 112, 97, 114, 101, 110, 116, 95, 101, 120, 101, 99, 95, 105, 100, 0, 115, 101, 108, 102, 95, 101, 120, 101, 99, 95, 105, 100, 0, 97, 108, 108, 111, 99, 95, 108, 111, 99, 107, 0, 112, 105, 95, 108, 111, 99, 107, 0, 119, 97, 107, 101, 95, 113, 0, 112, 105, 95, 119, 97, 105, 116, 101, 114, 115, 0, 112, 105, 95, 116, 111, 112, 95, 116, 97, 115, 107, 0, 112, 105, 95, 98, 108, 111, 99, 107, 101, 100, 95, 111, 110, 0, 98, 108, 111, 99, 107, 101, 100, 95, 111, 110, 0, 105, 114, 113, 116, 114, 97, 99, 101, 0, 104, 97, 114, 100, 105, 114, 113, 95, 116, 104, 114, 101, 97, 100, 101, 100, 0, 104, 97, 114, 100, 105, 114, 113, 95, 99, 104, 97, 105, 110, 95, 107, 101, 121, 0, 115, 111, 102, 116, 105, 114, 113, 115, 95, 101, 110, 97, 98, 108, 101, 100, 0, 115, 111, 102, 116, 105, 114, 113, 95, 99, 111, 110, 116, 101, 120, 116, 0, 105, 114, 113, 95, 99, 111, 110, 102, 105, 103, 0, 99, 117, 114, 114, 95, 99, 104, 97, 105, 110, 95, 107, 101, 121, 0, 108, 111, 99, 107, 100, 101, 112, 95, 100, 101, 112, 116, 104, 0, 108, 111, 99, 107, 100, 101, 112, 95, 114, 101, 99, 117, 114, 115, 105, 111, 110, 0, 104, 101, 108, 100, 95, 108, 111, 99, 107, 115, 0, 106, 111, 117, 114, 110, 97, 108, 95, 105, 110, 102, 111, 0, 98, 105, 111, 95, 108, 105, 115, 116, 0, 112, 108, 117, 103, 0, 114, 101, 99, 108, 97, 105, 109, 95, 115, 116, 97, 116, 101, 0, 105, 111, 95, 99, 111, 110, 116, 101, 120, 116, 0, 99, 97, 112, 116, 117, 114, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 112, 116, 114, 97, 99, 101, 95, 109, 101, 115, 115, 97, 103, 101, 0, 108, 97, 115, 116, 95, 115, 105, 103, 105, 110, 102, 111, 0, 105, 111, 97, 99, 0, 112, 115, 105, 95, 102, 108, 97, 103, 115, 0, 97, 99, 99, 116, 95, 114, 115, 115, 95, 109, 101, 109, 49, 0, 97, 99, 99, 116, 95, 118, 109, 95, 109, 101, 109, 49, 0, 97, 99, 99, 116, 95, 116, 105, 109, 101, 120, 112, 100, 0, 109, 101, 109, 115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 109, 101, 109, 115, 95, 97, 108, 108, 111, 119, 101, 100, 95, 115, 101, 113, 0, 99, 112, 117, 115, 101, 116, 95, 109, 101, 109, 95, 115, 112, 114, 101, 97, 100, 95, 114, 111, 116, 111, 114, 0, 99, 112, 117, 115, 101, 116, 95, 115, 108, 97, 98, 95, 115, 112, 114, 101, 97, 100, 95, 114, 111, 116, 111, 114, 0, 99, 103, 114, 111, 117, 112, 115, 0, 99, 103, 95, 108, 105, 115, 116, 0, 114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 0, 112, 105, 95, 115, 116, 97, 116, 101, 95, 108, 105, 115, 116, 0, 112, 105, 95, 115, 116, 97, 116, 101, 95, 99, 97, 99, 104, 101, 0, 102, 117, 116, 101, 120, 95, 101, 120, 105, 116, 95, 109, 117, 116, 101, 120, 0, 102, 117, 116, 101, 120, 95, 115, 116, 97, 116, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 99, 116, 120, 112, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 109, 117, 116, 101, 120, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 108, 105, 115, 116, 0, 109, 101, 109, 112, 111, 108, 105, 99, 121, 0, 105, 108, 95, 112, 114, 101, 118, 0, 105, 108, 95, 119, 101, 105, 103, 104, 116, 0, 112, 114, 101, 102, 95, 110, 111, 100, 101, 95, 102, 111, 114, 107, 0, 114, 115, 101, 113, 0, 114, 115, 101, 113, 95, 108, 101, 110, 0, 114, 115, 101, 113, 95, 115, 105, 103, 0, 114, 115, 101, 113, 95, 101, 118, 101, 110, 116, 95, 109, 97, 115, 107, 0, 109, 109, 95, 99, 105, 100, 0, 108, 97, 115, 116, 95, 109, 109, 95, 99, 105, 100, 0, 109, 105, 103, 114, 97, 116, 101, 95, 102, 114, 111, 109, 95, 99, 112, 117, 0, 109, 109, 95, 99, 105, 100, 95, 97, 99, 116, 105, 118, 101, 0, 99, 105, 100, 95, 119, 111, 114, 107, 0, 116, 108, 98, 95, 117, 98, 99, 0, 115, 112, 108, 105, 99, 101, 95, 112, 105, 112, 101, 0, 116, 97, 115, 107, 95, 102, 114, 97, 103, 0, 100, 101, 108, 97, 121, 115, 0, 110, 114, 95, 100, 105, 114, 116, 105, 101, 100, 0, 110, 114, 95, 100, 105, 114, 116, 105, 101, 100, 95, 112, 97, 117, 115, 101, 0, 100, 105, 114, 116, 121, 95, 112, 97, 117, 115, 101, 100, 95, 119, 104, 101, 110, 0, 116, 105, 109, 101, 114, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0, 100, 101, 102, 97, 117, 108, 116, 95, 116, 105, 109, 101, 114, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0, 99, 117, 114, 114, 95, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 99, 117, 114, 114, 95, 114, 101, 116, 95, 100, 101, 112, 116, 104, 0, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 102, 116, 114, 97, 99, 101, 95, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 116, 114, 97, 99, 101, 95, 111, 118, 101, 114, 114, 117, 110, 0, 116, 114, 97, 99, 105, 110, 103, 95, 103, 114, 97, 112, 104, 95, 112, 97, 117, 115, 101, 0, 116, 114, 97, 99, 101, 95, 114, 101, 99, 117, 114, 115, 105, 111, 110, 0, 109, 101, 109, 99, 103, 95, 105, 110, 95, 111, 111, 109, 0, 109, 101, 109, 99, 103, 95, 111, 111, 109, 95, 103, 102, 112, 95, 109, 97, 115, 107, 0, 109, 101, 109, 99, 103, 95, 111, 111, 109, 95, 111, 114, 100, 101, 114, 0, 109, 101, 109, 99, 103, 95, 110, 114, 95, 112, 97, 103, 101, 115, 95, 111, 118, 101, 114, 95, 104, 105, 103, 104, 0, 97, 99, 116, 105, 118, 101, 95, 109, 101, 109, 99, 103, 0, 111, 98, 106, 99, 103, 0, 116, 104, 114, 111, 116, 116, 108, 101, 95, 100, 105, 115, 107, 0, 117, 116, 97, 115, 107, 0, 107, 109, 97, 112, 95, 99, 116, 114, 108, 0, 114, 99, 117, 0, 114, 99, 117, 95, 117, 115, 101, 114, 115, 0, 112, 97, 103, 101, 102, 97, 117, 108, 116, 95, 100, 105, 115, 97, 98, 108, 101, 100, 0, 111, 111, 109, 95, 114, 101, 97, 112, 101, 114, 95, 108, 105, 115, 116, 0, 111, 111, 109, 95, 114, 101, 97, 112, 101, 114, 95, 116, 105, 109, 101, 114, 0, 115, 116, 97, 99, 107, 95, 118, 109, 95, 97, 114, 101, 97, 0, 115, 116, 97, 99, 107, 95, 114, 101, 102, 99, 111, 117, 110, 116, 0, 98, 112, 102, 95, 115, 116, 111, 114, 97, 103, 101, 0, 98, 112, 102, 95, 99, 116, 120, 0, 107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 105, 110, 115, 116, 97, 110, 99, 101, 115, 0, 114, 101, 116, 104, 111, 111, 107, 115, 0, 108, 49, 100, 95, 102, 108, 117, 115, 104, 95, 107, 105, 108, 108, 0, 116, 104, 114, 101, 97, 100, 0, 115, 121, 115, 99, 97, 108, 108, 95, 119, 111, 114, 107, 0, 115, 116, 97, 116, 117, 115, 0, 99, 112, 117, 0, 95, 95, 99, 97, 108, 108, 95, 115, 105, 110, 103, 108, 101, 95, 110, 111, 100, 101, 0, 108, 108, 105, 115, 116, 0, 115, 114, 99, 0, 100, 115, 116, 0, 108, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 110, 101, 120, 116, 0, 117, 95, 102, 108, 97, 103, 115, 0, 97, 95, 102, 108, 97, 103, 115, 0, 117, 49, 54, 0, 95, 95, 117, 49, 54, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 115, 104, 111, 114, 116, 0, 115, 99, 104, 101, 100, 95, 101, 110, 116, 105, 116, 121, 0, 108, 111, 97, 100, 0, 114, 117, 110, 95, 110, 111, 100, 101, 0, 103, 114, 111, 117, 112, 95, 110, 111, 100, 101, 0, 101, 120, 101, 99, 95, 115, 116, 97, 114, 116, 0, 115, 117, 109, 95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105, 109, 101, 0, 112, 114, 101, 118, 95, 115, 117, 109, 95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105, 109, 101, 0, 118, 114, 117, 110, 116, 105, 109, 101, 0, 118, 108, 97, 103, 0, 115, 108, 105, 99, 101, 0, 110, 114, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 0, 100, 101, 112, 116, 104, 0, 99, 102, 115, 95, 114, 113, 0, 109, 121, 95, 113, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 119, 101, 105, 103, 104, 116, 0, 97, 118, 103, 0, 108, 111, 97, 100, 95, 119, 101, 105, 103, 104, 116, 0, 105, 110, 118, 95, 119, 101, 105, 103, 104, 116, 0, 114, 98, 95, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95, 112, 97, 114, 101, 110, 116, 95, 99, 111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104, 116, 0, 114, 98, 95, 108, 101, 102, 116, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 112, 114, 101, 118, 0, 115, 54, 52, 0, 95, 95, 115, 54, 52, 0, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 115, 99, 104, 101, 100, 95, 97, 118, 103, 0, 108, 97, 115, 116, 95, 117, 112, 100, 97, 116, 101, 95, 116, 105, 109, 101, 0, 108, 111, 97, 100, 95, 115, 117, 109, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 115, 117, 109, 0, 117, 116, 105, 108, 95, 115, 117, 109, 0, 112, 101, 114, 105, 111, 100, 95, 99, 111, 110, 116, 114, 105, 98, 0, 108, 111, 97, 100, 95, 97, 118, 103, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 97, 118, 103, 0, 117, 116, 105, 108, 95, 97, 118, 103, 0, 117, 116, 105, 108, 95, 101, 115, 116, 0, 115, 99, 104, 101, 100, 95, 114, 116, 95, 101, 110, 116, 105, 116, 121, 0, 114, 117, 110, 95, 108, 105, 115, 116, 0, 116, 105, 109, 101, 111, 117, 116, 0, 119, 97, 116, 99, 104, 100, 111, 103, 95, 115, 116, 97, 109, 112, 0, 116, 105, 109, 101, 95, 115, 108, 105, 99, 101, 0, 111, 110, 95, 108, 105, 115, 116, 0, 98, 97, 99, 107, 0, 115, 99, 104, 101, 100, 95, 100, 108, 95, 101, 110, 116, 105, 116, 121, 0, 100, 108, 95, 114, 117, 110, 116, 105, 109, 101, 0, 100, 108, 95, 100, 101, 97, 100, 108, 105, 110, 101, 0, 100, 108, 95, 112, 101, 114, 105, 111, 100, 0, 100, 108, 95, 98, 119, 0, 100, 108, 95, 100, 101, 110, 115, 105, 116, 121, 0, 114, 117, 110, 116, 105, 109, 101, 0, 100, 108, 95, 116, 104, 114, 111, 116, 116, 108, 101, 100, 0, 100, 108, 95, 121, 105, 101, 108, 100, 101, 100, 0, 100, 108, 95, 110, 111, 110, 95, 99, 111, 110, 116, 101, 110, 100, 105, 110, 103, 0, 100, 108, 95, 111, 118, 101, 114, 114, 117, 110, 0, 100, 108, 95, 116, 105, 109, 101, 114, 0, 105, 110, 97, 99, 116, 105, 118, 101, 95, 116, 105, 109, 101, 114, 0, 114, 113, 0, 115, 101, 114, 118, 101, 114, 95, 104, 97, 115, 95, 116, 97, 115, 107, 115, 0, 115, 101, 114, 118, 101, 114, 95, 112, 105, 99, 107, 0, 112, 105, 95, 115, 101, 0, 104, 114, 116, 105, 109, 101, 114, 0, 110, 111, 100, 101, 0, 95, 115, 111, 102, 116, 101, 120, 112, 105, 114, 101, 115, 0, 102, 117, 110, 99, 116, 105, 111, 110, 0, 98, 97, 115, 101, 0, 115, 116, 97, 116, 101, 0, 105, 115, 95, 114, 101, 108, 0, 105, 115, 95, 115, 111, 102, 116, 0, 105, 115, 95, 104, 97, 114, 100, 0, 116, 105, 109, 101, 114, 113, 117, 101, 117, 101, 95, 110, 111, 100, 101, 0, 101, 120, 112, 105, 114, 101, 115, 0, 107, 116, 105, 109, 101, 95, 116, 0, 104, 114, 116, 105, 109, 101, 114, 95, 114, 101, 115, 116, 97, 114, 116, 0, 72, 82, 84, 73, 77, 69, 82, 95, 78, 79, 82, 69, 83, 84, 65, 82, 84, 0, 72, 82, 84, 73, 77, 69, 82, 95, 82, 69, 83, 84, 65, 82, 84, 0, 117, 56, 0, 95, 95, 117, 56, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 100, 108, 95, 115, 101, 114, 118, 101, 114, 95, 104, 97, 115, 95, 116, 97, 115, 107, 115, 95, 102, 0, 98, 111, 111, 108, 0, 100, 108, 95, 115, 101, 114, 118, 101, 114, 95, 112, 105, 99, 107, 95, 102, 0, 115, 99, 104, 101, 100, 95, 101, 120, 116, 95, 101, 110, 116, 105, 116, 121, 0, 100, 115, 113, 0, 100, 115, 113, 95, 110, 111, 100, 101, 0, 100, 115, 113, 95, 115, 101, 113, 0, 115, 116, 105, 99, 107, 121, 95, 99, 112, 117, 0, 104, 111, 108, 100, 105, 110, 103, 95, 99, 112, 117, 0, 107, 102, 95, 109, 97, 115, 107, 0, 107, 102, 95, 116, 97, 115, 107, 115, 0, 111, 112, 115, 95, 115, 116, 97, 116, 101, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 110, 111, 100, 101, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 97, 116, 0, 100, 100, 115, 112, 95, 100, 115, 113, 95, 105, 100, 0, 100, 100, 115, 112, 95, 101, 110, 113, 95, 102, 108, 97, 103, 115, 0, 100, 115, 113, 95, 118, 116, 105, 109, 101, 0, 100, 105, 115, 97, 108, 108, 111, 119, 0, 99, 103, 114, 112, 95, 109, 111, 118, 105, 110, 103, 95, 102, 114, 111, 109, 0, 116, 97, 115, 107, 115, 95, 110, 111, 100, 101, 0, 115, 99, 120, 95, 100, 115, 113, 95, 110, 111, 100, 101, 0, 108, 105, 115, 116, 0, 112, 114, 105, 113, 0, 97, 116, 111, 109, 105, 99, 95, 108, 111, 110, 103, 95, 116, 0, 97, 116, 111, 109, 105, 99, 54, 52, 95, 116, 0, 115, 99, 104, 101, 100, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 114, 99, 117, 95, 115, 112, 101, 99, 105, 97, 108, 0, 98, 0, 115, 0, 110, 101, 101, 100, 95, 113, 115, 0, 101, 120, 112, 95, 104, 105, 110, 116, 0, 110, 101, 101, 100, 95, 109, 98, 0, 112, 99, 111, 117, 110, 116, 0, 114, 117, 110, 95, 100, 101, 108, 97, 121, 0, 108, 97, 115, 116, 95, 97, 114, 114, 105, 118, 97, 108, 0, 108, 97, 115, 116, 95, 113, 117, 101, 117, 101, 100, 0, 112, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 112, 114, 105, 111, 95, 108, 105, 115, 116, 0, 110, 111, 100, 101, 95, 108, 105, 115, 116, 0, 97, 114, 99, 104, 95, 100, 97, 116, 97, 0, 102, 110, 0, 108, 111, 110, 103, 0, 102, 117, 116, 101, 120, 0, 110, 97, 110, 111, 115, 108, 101, 101, 112, 0, 112, 111, 108, 108, 0, 117, 97, 100, 100, 114, 0, 98, 105, 116, 115, 101, 116, 0, 116, 105, 109, 101, 0, 117, 97, 100, 100, 114, 50, 0, 117, 115, 101, 114, 0, 99, 108, 111, 99, 107, 105, 100, 0, 99, 108, 111, 99, 107, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 99, 108, 111, 99, 107, 105, 100, 95, 116, 0, 116, 105, 109, 101, 115, 112, 101, 99, 95, 116, 121, 112, 101, 0, 84, 84, 95, 78, 79, 78, 69, 0, 84, 84, 95, 78, 65, 84, 73, 86, 69, 0, 84, 84, 95, 67, 79, 77, 80, 65, 84, 0, 114, 109, 116, 112, 0, 99, 111, 109, 112, 97, 116, 95, 114, 109, 116, 112, 0, 117, 102, 100, 115, 0, 110, 102, 100, 115, 0, 104, 97, 115, 95, 116, 105, 109, 101, 111, 117, 116, 0, 116, 118, 95, 115, 101, 99, 0, 116, 118, 95, 110, 115, 101, 99, 0, 104, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 112, 112, 114, 101, 118, 0, 114, 97, 119, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 114, 97, 119, 95, 115, 112, 105, 110, 108, 111, 99, 107, 0, 114, 97, 119, 95, 108, 111, 99, 107, 0, 109, 97, 103, 105, 99, 0, 111, 119, 110, 101, 114, 95, 99, 112, 117, 0, 111, 119, 110, 101, 114, 0, 100, 101, 112, 95, 109, 97, 112, 0, 97, 114, 99, 104, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 113, 115, 112, 105, 110, 108, 111, 99, 107, 0, 108, 111, 99, 107, 101, 100, 0, 108, 111, 99, 107, 101, 100, 95, 112, 101, 110, 100, 105, 110, 103, 0, 116, 97, 105, 108, 0, 108, 111, 99, 107, 100, 101, 112, 95, 109, 97, 112, 0, 99, 108, 97, 115, 115, 95, 99, 97, 99, 104, 101, 0, 110, 97, 109, 101, 0, 119, 97, 105, 116, 95, 116, 121, 112, 101, 95, 111, 117, 116, 101, 114, 0, 119, 97, 105, 116, 95, 116, 121, 112, 101, 95, 105, 110, 110, 101, 114, 0, 108, 111, 99, 107, 95, 116, 121, 112, 101, 0, 108, 111, 99, 107, 95, 99, 108, 97, 115, 115, 0, 104, 97, 115, 104, 95, 101, 110, 116, 114, 121, 0, 108, 111, 99, 107, 95, 101, 110, 116, 114, 121, 0, 108, 111, 99, 107, 115, 95, 97, 102, 116, 101, 114, 0, 108, 111, 99, 107, 115, 95, 98, 101, 102, 111, 114, 101, 0, 99, 109, 112, 95, 102, 110, 0, 112, 114, 105, 110, 116, 95, 102, 110, 0, 115, 117, 98, 99, 108, 97, 115, 115, 0, 100, 101, 112, 95, 103, 101, 110, 95, 105, 100, 0, 117, 115, 97, 103, 101, 95, 109, 97, 115, 107, 0, 117, 115, 97, 103, 101, 95, 116, 114, 97, 99, 101, 115, 0, 110, 97, 109, 101, 95, 118, 101, 114, 115, 105, 111, 110, 0, 108, 111, 99, 107, 95, 99, 109, 112, 95, 102, 110, 0, 108, 111, 99, 107, 95, 112, 114, 105, 110, 116, 95, 102, 110, 0, 108, 111, 99, 107, 95, 116, 114, 97, 99, 101, 0, 104, 97, 115, 104, 0, 110, 114, 95, 101, 110, 116, 114, 105, 101, 115, 0, 101, 110, 116, 114, 105, 101, 115, 0, 115, 101, 113, 99, 111, 117, 110, 116, 0, 115, 116, 97, 114, 116, 116, 105, 109, 101, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 116, 0, 115, 101, 113, 117, 101, 110, 99, 101, 0, 118, 116, 105, 109, 101, 95, 115, 116, 97, 116, 101, 0, 86, 84, 73, 77, 69, 95, 73, 78, 65, 67, 84, 73, 86, 69, 0, 86, 84, 73, 77, 69, 95, 73, 68, 76, 69, 0, 86, 84, 73, 77, 69, 95, 83, 89, 83, 0, 86, 84, 73, 77, 69, 95, 85, 83, 69, 82, 0, 86, 84, 73, 77, 69, 95, 71, 85, 69, 83, 84, 0, 98, 97, 115, 101, 115, 0, 116, 105, 109, 101, 114, 115, 95, 97, 99, 116, 105, 118, 101, 0, 101, 120, 112, 105, 114, 121, 95, 97, 99, 116, 105, 118, 101, 0, 112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 95, 98, 97, 115, 101, 0, 110, 101, 120, 116, 101, 118, 116, 0, 116, 113, 104, 101, 97, 100, 0, 116, 105, 109, 101, 114, 113, 117, 101, 117, 101, 95, 104, 101, 97, 100, 0, 114, 98, 95, 114, 111, 111, 116, 0, 114, 98, 95, 114, 111, 111, 116, 95, 99, 97, 99, 104, 101, 100, 0, 114, 98, 95, 108, 101, 102, 116, 109, 111, 115, 116, 0, 119, 111, 114, 107, 0, 109, 117, 116, 101, 120, 0, 115, 99, 104, 101, 100, 117, 108, 101, 100, 0, 99, 97, 108, 108, 98, 97, 99, 107, 95, 104, 101, 97, 100, 0, 102, 117, 110, 99, 0, 119, 97, 105, 116, 95, 108, 111, 99, 107, 0, 111, 115, 113, 0, 119, 97, 105, 116, 95, 108, 105, 115, 116, 0, 111, 112, 116, 105, 109, 105, 115, 116, 105, 99, 95, 115, 112, 105, 110, 95, 113, 117, 101, 117, 101, 0, 117, 105, 100, 0, 103, 105, 100, 0, 115, 117, 105, 100, 0, 115, 103, 105, 100, 0, 101, 117, 105, 100, 0, 101, 103, 105, 100, 0, 102, 115, 117, 105, 100, 0, 102, 115, 103, 105, 100, 0, 115, 101, 99, 117, 114, 101, 98, 105, 116, 115, 0, 99, 97, 112, 95, 105, 110, 104, 101, 114, 105, 116, 97, 98, 108, 101, 0, 99, 97, 112, 95, 112, 101, 114, 109, 105, 116, 116, 101, 100, 0, 99, 97, 112, 95, 101, 102, 102, 101, 99, 116, 105, 118, 101, 0, 99, 97, 112, 95, 98, 115, 101, 116, 0, 99, 97, 112, 95, 97, 109, 98, 105, 101, 110, 116, 0, 106, 105, 116, 95, 107, 101, 121, 114, 105, 110, 103, 0, 115, 101, 115, 115, 105, 111, 110, 95, 107, 101, 121, 114, 105, 110, 103, 0, 112, 114, 111, 99, 101, 115, 115, 95, 107, 101, 121, 114, 105, 110, 103, 0, 116, 104, 114, 101, 97, 100, 95, 107, 101, 121, 114, 105, 110, 103, 0, 114, 101, 113, 117, 101, 115, 116, 95, 107, 101, 121, 95, 97, 117, 116, 104, 0, 117, 115, 101, 114, 95, 110, 115, 0, 117, 99, 111, 117, 110, 116, 115, 0, 103, 114, 111, 117, 112, 95, 105, 110, 102, 111, 0, 107, 117, 105, 100, 95, 116, 0, 117, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 117, 105, 100, 51, 50, 95, 116, 0, 107, 103, 105, 100, 95, 116, 0, 103, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 103, 105, 100, 51, 50, 95, 116, 0, 107, 101, 114, 110, 101, 108, 95, 99, 97, 112, 95, 116, 0, 110, 111, 110, 95, 114, 99, 117, 0, 115, 121, 115, 118, 95, 115, 101, 109, 0, 117, 110, 100, 111, 95, 108, 105, 115, 116, 0, 115, 121, 115, 118, 95, 115, 104, 109, 0, 115, 104, 109, 95, 99, 108, 105, 115, 116, 0, 115, 105, 103, 115, 101, 116, 95, 116, 0, 115, 105, 103, 0, 115, 105, 103, 112, 101, 110, 100, 105, 110, 103, 0, 115, 105, 122, 101, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 115, 105, 122, 101, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 117, 108, 111, 110, 103, 95, 116, 0, 109, 111, 100, 101, 0, 102, 105, 108, 116, 101, 114, 95, 99, 111, 117, 110, 116, 0, 102, 105, 108, 116, 101, 114, 0, 115, 121, 115, 99, 97, 108, 108, 95, 117, 115, 101, 114, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 101, 108, 101, 99, 116, 111, 114, 0, 111, 102, 102, 115, 101, 116, 0, 108, 101, 110, 0, 111, 110, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 115, 112, 105, 110, 108, 111, 99, 107, 0, 114, 108, 111, 99, 107, 0, 95, 95, 112, 97, 100, 100, 105, 110, 103, 0, 119, 97, 107, 101, 95, 113, 95, 110, 111, 100, 101, 0, 105, 114, 113, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 115, 0, 105, 114, 113, 95, 101, 118, 101, 110, 116, 115, 0, 104, 97, 114, 100, 105, 114, 113, 95, 101, 110, 97, 98, 108, 101, 95, 105, 112, 0, 104, 97, 114, 100, 105, 114, 113, 95, 100, 105, 115, 97, 98, 108, 101, 95, 105, 112, 0, 104, 97, 114, 100, 105, 114, 113, 95, 101, 110, 97, 98, 108, 101, 95, 101, 118, 101, 110, 116, 0, 104, 97, 114, 100, 105, 114, 113, 95, 100, 105, 115, 97, 98, 108, 101, 95, 101, 118, 101, 110, 116, 0, 115, 111, 102, 116, 105, 114, 113, 95, 100, 105, 115, 97, 98, 108, 101, 95, 105, 112, 0, 115, 111, 102, 116, 105, 114, 113, 95, 101, 110, 97, 98, 108, 101, 95, 105, 112, 0, 115, 111, 102, 116, 105, 114, 113, 95, 100, 105, 115, 97, 98, 108, 101, 95, 101, 118, 101, 110, 116, 0, 115, 111, 102, 116, 105, 114, 113, 95, 101, 110, 97, 98, 108, 101, 95, 101, 118, 101, 110, 116, 0, 104, 101, 108, 100, 95, 108, 111, 99, 107, 0, 112, 114, 101, 118, 95, 99, 104, 97, 105, 110, 95, 107, 101, 121, 0, 97, 99, 113, 117, 105, 114, 101, 95, 105, 112, 0, 105, 110, 115, 116, 97, 110, 99, 101, 0, 110, 101, 115, 116, 95, 108, 111, 99, 107, 0, 99, 108, 97, 115, 115, 95, 105, 100, 120, 0, 105, 114, 113, 95, 99, 111, 110, 116, 101, 120, 116, 0, 116, 114, 121, 108, 111, 99, 107, 0, 114, 101, 97, 100, 0, 99, 104, 101, 99, 107, 0, 104, 97, 114, 100, 105, 114, 113, 115, 95, 111, 102, 102, 0, 115, 121, 110, 99, 0, 114, 101, 102, 101, 114, 101, 110, 99, 101, 115, 0, 112, 105, 110, 95, 99, 111, 117, 110, 116, 0, 107, 101, 114, 110, 101, 108, 95, 115, 105, 103, 105, 110, 102, 111, 95, 116, 0, 116, 97, 115, 107, 95, 105, 111, 95, 97, 99, 99, 111, 117, 110, 116, 105, 110, 103, 0, 114, 99, 104, 97, 114, 0, 119, 99, 104, 97, 114, 0, 115, 121, 115, 99, 114, 0, 115, 121, 115, 99, 119, 0, 114, 101, 97, 100, 95, 98, 121, 116, 101, 115, 0, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 99, 97, 110, 99, 101, 108, 108, 101, 100, 95, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 110, 111, 100, 101, 109, 97, 115, 107, 95, 116, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 115, 112, 105, 110, 108, 111, 99, 107, 0, 115, 104, 111, 114, 116, 0, 116, 108, 98, 102, 108, 117, 115, 104, 95, 117, 110, 109, 97, 112, 95, 98, 97, 116, 99, 104, 0, 97, 114, 99, 104, 0, 102, 108, 117, 115, 104, 95, 114, 101, 113, 117, 105, 114, 101, 100, 0, 119, 114, 105, 116, 97, 98, 108, 101, 0, 97, 114, 99, 104, 95, 116, 108, 98, 102, 108, 117, 115, 104, 95, 117, 110, 109, 97, 112, 95, 98, 97, 116, 99, 104, 0, 112, 97, 103, 101, 95, 102, 114, 97, 103, 0, 112, 97, 103, 101, 0, 115, 105, 122, 101, 0, 103, 102, 112, 95, 116, 0, 116, 105, 109, 101, 114, 95, 108, 105, 115, 116, 0, 101, 110, 116, 114, 121, 0, 108, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 102, 105, 114, 115, 116, 0, 116, 104, 114, 101, 97, 100, 95, 115, 116, 114, 117, 99, 116, 0, 116, 108, 115, 95, 97, 114, 114, 97, 121, 0, 115, 112, 0, 101, 115, 0, 100, 115, 0, 102, 115, 105, 110, 100, 101, 120, 0, 103, 115, 105, 110, 100, 101, 120, 0, 102, 115, 98, 97, 115, 101, 0, 103, 115, 98, 97, 115, 101, 0, 112, 116, 114, 97, 99, 101, 95, 98, 112, 115, 0, 118, 105, 114, 116, 117, 97, 108, 95, 100, 114, 54, 0, 112, 116, 114, 97, 99, 101, 95, 100, 114, 55, 0, 99, 114, 50, 0, 116, 114, 97, 112, 95, 110, 114, 0, 101, 114, 114, 111, 114, 95, 99, 111, 100, 101, 0, 105, 111, 95, 98, 105, 116, 109, 97, 112, 0, 105, 111, 112, 108, 95, 101, 109, 117, 108, 0, 105, 111, 112, 108, 95, 119, 97, 114, 110, 0, 115, 105, 103, 95, 111, 110, 95, 117, 97, 99, 99, 101, 115, 115, 95, 101, 114, 114, 0, 112, 107, 114, 117, 0, 102, 112, 117, 0, 100, 101, 115, 99, 95, 115, 116, 114, 117, 99, 116, 0, 108, 105, 109, 105, 116, 48, 0, 98, 97, 115, 101, 48, 0, 98, 97, 115, 101, 49, 0, 100, 112, 108, 0, 112, 0, 108, 105, 109, 105, 116, 49, 0, 97, 118, 108, 0, 108, 0, 100, 0, 103, 0, 98, 97, 115, 101, 50, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 0, 101, 118, 101, 110, 116, 95, 101, 110, 116, 114, 121, 0, 115, 105, 98, 108, 105, 110, 103, 95, 108, 105, 115, 116, 0, 97, 99, 116, 105, 118, 101, 95, 108, 105, 115, 116, 0, 103, 114, 111, 117, 112, 95, 105, 110, 100, 101, 120, 0, 109, 105, 103, 114, 97, 116, 101, 95, 101, 110, 116, 114, 121, 0, 104, 108, 105, 115, 116, 95, 101, 110, 116, 114, 121, 0, 97, 99, 116, 105, 118, 101, 95, 101, 110, 116, 114, 121, 0, 110, 114, 95, 115, 105, 98, 108, 105, 110, 103, 115, 0, 101, 118, 101, 110, 116, 95, 99, 97, 112, 115, 0, 103, 114, 111, 117, 112, 95, 99, 97, 112, 115, 0, 103, 114, 111, 117, 112, 95, 103, 101, 110, 101, 114, 97, 116, 105, 111, 110, 0, 112, 109, 117, 0, 112, 109, 117, 95, 112, 114, 105, 118, 97, 116, 101, 0, 97, 116, 116, 97, 99, 104, 95, 115, 116, 97, 116, 101, 0, 99, 111, 117, 110, 116, 0, 99, 104, 105, 108, 100, 95, 99, 111, 117, 110, 116, 0, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 114, 117, 110, 110, 105, 110, 103, 0, 116, 115, 116, 97, 109, 112, 0, 97, 116, 116, 114, 0, 104, 101, 97, 100, 101, 114, 95, 115, 105, 122, 101, 0, 105, 100, 95, 104, 101, 97, 100, 101, 114, 95, 115, 105, 122, 101, 0, 114, 101, 97, 100, 95, 115, 105, 122, 101, 0, 104, 119, 0, 112, 109, 117, 95, 99, 116, 120, 0, 114, 101, 102, 99, 111, 117, 110, 116, 0, 99, 104, 105, 108, 100, 95, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 99, 104, 105, 108, 100, 95, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 114, 117, 110, 110, 105, 110, 103, 0, 99, 104, 105, 108, 100, 95, 109, 117, 116, 101, 120, 0, 99, 104, 105, 108, 100, 95, 108, 105, 115, 116, 0, 111, 110, 99, 112, 117, 0, 111, 119, 110, 101, 114, 95, 101, 110, 116, 114, 121, 0, 109, 109, 97, 112, 95, 109, 117, 116, 101, 120, 0, 109, 109, 97, 112, 95, 99, 111, 117, 110, 116, 0, 114, 98, 0, 114, 98, 95, 101, 110, 116, 114, 121, 0, 114, 99, 117, 95, 98, 97, 116, 99, 104, 101, 115, 0, 114, 99, 117, 95, 112, 101, 110, 100, 105, 110, 103, 0, 119, 97, 105, 116, 113, 0, 102, 97, 115, 121, 110, 99, 0, 112, 101, 110, 100, 105, 110, 103, 95, 119, 97, 107, 101, 117, 112, 0, 112, 101, 110, 100, 105, 110, 103, 95, 107, 105, 108, 108, 0, 112, 101, 110, 100, 105, 110, 103, 95, 100, 105, 115, 97, 98, 108, 101, 0, 112, 101, 110, 100, 105, 110, 103, 95, 115, 105, 103, 116, 114, 97, 112, 0, 112, 101, 110, 100, 105, 110, 103, 95, 97, 100, 100, 114, 0, 112, 101, 110, 100, 105, 110, 103, 95, 105, 114, 113, 0, 112, 101, 110, 100, 105, 110, 103, 95, 116, 97, 115, 107, 0, 112, 101, 110, 100, 105, 110, 103, 95, 119, 111, 114, 107, 0, 101, 118, 101, 110, 116, 95, 108, 105, 109, 105, 116, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95, 114, 97, 110, 103, 101, 115, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95, 103, 101, 110, 0, 97, 117, 120, 95, 101, 118, 101, 110, 116, 0, 100, 101, 115, 116, 114, 111, 121, 0, 110, 115, 0, 108, 111, 115, 116, 95, 115, 97, 109, 112, 108, 101, 115, 0, 99, 108, 111, 99, 107, 0, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 95, 99, 111, 110, 116, 101, 120, 116, 0, 111, 114, 105, 103, 95, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0, 112, 114, 111, 103, 0, 98, 112, 102, 95, 99, 111, 111, 107, 105, 101, 0, 116, 112, 95, 101, 118, 101, 110, 116, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 0, 99, 103, 114, 112, 0, 115, 98, 95, 108, 105, 115, 116, 0, 111, 114, 105, 103, 95, 116, 121, 112, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 115, 116, 97, 116, 101, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 68, 69, 65, 68, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 69, 88, 73, 84, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 69, 82, 82, 79, 82, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 79, 70, 70, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 73, 78, 65, 67, 84, 73, 86, 69, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 65, 67, 84, 73, 86, 69, 0, 108, 111, 99, 97, 108, 54, 52, 95, 116, 0, 97, 0, 108, 111, 99, 97, 108, 95, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 97, 116, 116, 114, 0, 99, 111, 110, 102, 105, 103, 0, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112, 101, 0, 114, 101, 97, 100, 95, 102, 111, 114, 109, 97, 116, 0, 100, 105, 115, 97, 98, 108, 101, 100, 0, 105, 110, 104, 101, 114, 105, 116, 0, 112, 105, 110, 110, 101, 100, 0, 101, 120, 99, 108, 117, 115, 105, 118, 101, 0, 101, 120, 99, 108, 117, 100, 101, 95, 117, 115, 101, 114, 0, 101, 120, 99, 108, 117, 100, 101, 95, 107, 101, 114, 110, 101, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 104, 118, 0, 101, 120, 99, 108, 117, 100, 101, 95, 105, 100, 108, 101, 0, 109, 109, 97, 112, 0, 102, 114, 101, 113, 0, 105, 110, 104, 101, 114, 105, 116, 95, 115, 116, 97, 116, 0, 101, 110, 97, 98, 108, 101, 95, 111, 110, 95, 101, 120, 101, 99, 0, 116, 97, 115, 107, 0, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 112, 114, 101, 99, 105, 115, 101, 95, 105, 112, 0, 109, 109, 97, 112, 95, 100, 97, 116, 97, 0, 115, 97, 109, 112, 108, 101, 95, 105, 100, 95, 97, 108, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 104, 111, 115, 116, 0, 101, 120, 99, 108, 117, 100, 101, 95, 103, 117, 101, 115, 116, 0, 101, 120, 99, 108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 107, 101, 114, 110, 101, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 117, 115, 101, 114, 0, 109, 109, 97, 112, 50, 0, 99, 111, 109, 109, 95, 101, 120, 101, 99, 0, 117, 115, 101, 95, 99, 108, 111, 99, 107, 105, 100, 0, 99, 111, 110, 116, 101, 120, 116, 95, 115, 119, 105, 116, 99, 104, 0, 119, 114, 105, 116, 101, 95, 98, 97, 99, 107, 119, 97, 114, 100, 0, 110, 97, 109, 101, 115, 112, 97, 99, 101, 115, 0, 107, 115, 121, 109, 98, 111, 108, 0, 98, 112, 102, 95, 101, 118, 101, 110, 116, 0, 97, 117, 120, 95, 111, 117, 116, 112, 117, 116, 0, 99, 103, 114, 111, 117, 112, 0, 116, 101, 120, 116, 95, 112, 111, 107, 101, 0, 98, 117, 105, 108, 100, 95, 105, 100, 0, 105, 110, 104, 101, 114, 105, 116, 95, 116, 104, 114, 101, 97, 100, 0, 114, 101, 109, 111, 118, 101, 95, 111, 110, 95, 101, 120, 101, 99, 0, 115, 105, 103, 116, 114, 97, 112, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 49, 0, 98, 112, 95, 116, 121, 112, 101, 0, 98, 114, 97, 110, 99, 104, 95, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112, 101, 0, 115, 97, 109, 112, 108, 101, 95, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 115, 97, 109, 112, 108, 101, 95, 115, 116, 97, 99, 107, 95, 117, 115, 101, 114, 0, 115, 97, 109, 112, 108, 101, 95, 114, 101, 103, 115, 95, 105, 110, 116, 114, 0, 97, 117, 120, 95, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 115, 97, 109, 112, 108, 101, 95, 109, 97, 120, 95, 115, 116, 97, 99, 107, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 50, 0, 97, 117, 120, 95, 115, 97, 109, 112, 108, 101, 95, 115, 105, 122, 101, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 51, 0, 115, 105, 103, 95, 100, 97, 116, 97, 0, 99, 111, 110, 102, 105, 103, 51, 0, 115, 97, 109, 112, 108, 101, 95, 112, 101, 114, 105, 111, 100, 0, 115, 97, 109, 112, 108, 101, 95, 102, 114, 101, 113, 0, 119, 97, 107, 101, 117, 112, 95, 101, 118, 101, 110, 116, 115, 0, 119, 97, 107, 101, 117, 112, 95, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 98, 112, 95, 97, 100, 100, 114, 0, 107, 112, 114, 111, 98, 101, 95, 102, 117, 110, 99, 0, 117, 112, 114, 111, 98, 101, 95, 112, 97, 116, 104, 0, 99, 111, 110, 102, 105, 103, 49, 0, 98, 112, 95, 108, 101, 110, 0, 107, 112, 114, 111, 98, 101, 95, 97, 100, 100, 114, 0, 112, 114, 111, 98, 101, 95, 111, 102, 102, 115, 101, 116, 0, 99, 111, 110, 102, 105, 103, 50, 0, 104, 119, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 0, 116, 97, 114, 103, 101, 116, 0, 112, 114, 101, 118, 95, 99, 111, 117, 110, 116, 0, 105, 110, 116, 101, 114, 114, 117, 112, 116, 115, 95, 115, 101, 113, 0, 105, 110, 116, 101, 114, 114, 117, 112, 116, 115, 0, 102, 114, 101, 113, 95, 116, 105, 109, 101, 95, 115, 116, 97, 109, 112, 0, 102, 114, 101, 113, 95, 99, 111, 117, 110, 116, 95, 115, 116, 97, 109, 112, 0, 108, 97, 115, 116, 95, 116, 97, 103, 0, 99, 111, 110, 102, 105, 103, 95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116, 95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116, 95, 98, 97, 115, 101, 95, 114, 100, 112, 109, 99, 0, 105, 100, 120, 0, 108, 97, 115, 116, 95, 99, 112, 117, 0, 101, 120, 116, 114, 97, 95, 114, 101, 103, 0, 98, 114, 97, 110, 99, 104, 95, 114, 101, 103, 0, 104, 119, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 101, 120, 116, 114, 97, 0, 114, 101, 103, 0, 97, 108, 108, 111, 99, 0, 116, 112, 95, 108, 105, 115, 116, 0, 112, 119, 114, 95, 97, 99, 99, 0, 112, 116, 115, 99, 0, 105, 110, 102, 111, 0, 98, 112, 95, 108, 105, 115, 116, 0, 97, 114, 99, 104, 95, 104, 119, 95, 98, 114, 101, 97, 107, 112, 111, 105, 110, 116, 0, 97, 100, 100, 114, 101, 115, 115, 0, 109, 97, 115, 107, 0, 114, 104, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 114, 104, 101, 97, 100, 0, 114, 104, 97, 115, 104, 95, 104, 101, 97, 100, 0, 105, 111, 109, 109, 117, 95, 98, 97, 110, 107, 0, 105, 111, 109, 109, 117, 95, 99, 110, 116, 114, 0, 112, 97, 100, 100, 105, 110, 103, 0, 99, 111, 110, 102, 0, 99, 111, 110, 102, 49, 0, 108, 97, 115, 116, 95, 112, 101, 114, 105, 111, 100, 0, 112, 101, 114, 105, 111, 100, 95, 108, 101, 102, 116, 0, 115, 97, 118, 101, 100, 95, 109, 101, 116, 114, 105, 99, 0, 115, 97, 118, 101, 100, 95, 115, 108, 111, 116, 115, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 104, 101, 97, 100, 95, 116, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 104, 101, 97, 100, 0, 104, 101, 97, 100, 0, 105, 114, 113, 95, 119, 111, 114, 107, 0, 105, 114, 113, 119, 97, 105, 116, 0, 114, 99, 117, 119, 97, 105, 116, 0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95, 104, 101, 97, 100, 0, 110, 114, 95, 102, 105, 108, 101, 95, 102, 105, 108, 116, 101, 114, 115, 0, 112, 101, 114, 102, 95, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 95, 116, 0, 112, 101, 114, 102, 95, 115, 97, 109, 112, 108, 101, 95, 100, 97, 116, 97, 0, 115, 97, 109, 112, 108, 101, 95, 102, 108, 97, 103, 115, 0, 112, 101, 114, 105, 111, 100, 0, 100, 121, 110, 95, 115, 105, 122, 101, 0, 116, 105, 100, 95, 101, 110, 116, 114, 121, 0, 99, 112, 117, 95, 101, 110, 116, 114, 121, 0, 105, 112, 0, 99, 97, 108, 108, 99, 104, 97, 105, 110, 0, 114, 97, 119, 0, 98, 114, 95, 115, 116, 97, 99, 107, 0, 98, 114, 95, 115, 116, 97, 99, 107, 95, 99, 110, 116, 114, 0, 100, 97, 116, 97, 95, 115, 114, 99, 0, 116, 120, 110, 0, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 114, 101, 103, 115, 95, 105, 110, 116, 114, 0, 115, 116, 97, 99, 107, 95, 117, 115, 101, 114, 95, 115, 105, 122, 101, 0, 115, 116, 114, 101, 97, 109, 95, 105, 100, 0, 97, 100, 100, 114, 0, 112, 104, 121, 115, 95, 97, 100, 100, 114, 0, 100, 97, 116, 97, 95, 112, 97, 103, 101, 95, 115, 105, 122, 101, 0, 99, 111, 100, 101, 95, 112, 97, 103, 101, 95, 115, 105, 122, 101, 0, 97, 117, 120, 95, 115, 105, 122, 101, 0, 116, 105, 100, 0, 114, 101, 115, 101, 114, 118, 101, 100, 0, 112, 101, 114, 102, 95, 115, 97, 109, 112, 108, 101, 95, 119, 101, 105, 103, 104, 116, 0, 102, 117, 108, 108, 0, 118, 97, 114, 49, 95, 100, 119, 0, 118, 97, 114, 50, 95, 119, 0, 118, 97, 114, 51, 95, 119, 0, 112, 101, 114, 102, 95, 109, 101, 109, 95, 100, 97, 116, 97, 95, 115, 114, 99, 0, 109, 101, 109, 95, 111, 112, 0, 109, 101, 109, 95, 108, 118, 108, 0, 109, 101, 109, 95, 115, 110, 111, 111, 112, 0, 109, 101, 109, 95, 108, 111, 99, 107, 0, 109, 101, 109, 95, 100, 116, 108, 98, 0, 109, 101, 109, 95, 108, 118, 108, 95, 110, 117, 109, 0, 109, 101, 109, 95, 114, 101, 109, 111, 116, 101, 0, 109, 101, 109, 95, 115, 110, 111, 111, 112, 120, 0, 109, 101, 109, 95, 98, 108, 107, 0, 109, 101, 109, 95, 104, 111, 112, 115, 0, 109, 101, 109, 95, 114, 115, 118, 100, 0, 112, 101, 114, 102, 95, 114, 101, 103, 115, 0, 97, 98, 105, 0, 114, 101, 103, 115, 0, 112, 116, 95, 114, 101, 103, 115, 0, 114, 49, 53, 0, 114, 49, 52, 0, 114, 49, 51, 0, 114, 49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49, 0, 114, 49, 48, 0, 114, 57, 0, 114, 56, 0, 97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0, 100, 105, 0, 111, 114, 105, 103, 95, 97, 120, 0, 99, 115, 0, 99, 115, 120, 0, 102, 114, 101, 100, 95, 99, 115, 0, 115, 108, 0, 119, 102, 101, 0, 115, 115, 0, 115, 115, 120, 0, 102, 114, 101, 100, 95, 115, 115, 0, 115, 116, 105, 0, 115, 119, 101, 118, 101, 110, 116, 0, 110, 109, 105, 0, 118, 101, 99, 116, 111, 114, 0, 101, 110, 99, 108, 97, 118, 101, 0, 108, 109, 0, 110, 101, 115, 116, 101, 100, 0, 105, 110, 115, 110, 108, 101, 110, 0, 112, 114, 105, 118, 97, 116, 101, 0, 115, 97, 118, 101, 100, 95, 102, 117, 110, 99, 0, 108, 111, 99, 97, 108, 95, 104, 97, 115, 104, 0, 102, 117, 110, 99, 95, 104, 97, 115, 104, 0, 111, 108, 100, 95, 104, 97, 115, 104, 0, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101, 0, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101, 95, 115, 105, 122, 101, 0, 111, 112, 115, 95, 102, 117, 110, 99, 0, 100, 105, 114, 101, 99, 116, 95, 99, 97, 108, 108, 0, 102, 116, 114, 97, 99, 101, 95, 102, 117, 110, 99, 95, 116, 0, 102, 116, 114, 97, 99, 101, 95, 114, 101, 103, 115, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 95, 104, 97, 115, 104, 0, 110, 111, 116, 114, 97, 99, 101, 95, 104, 97, 115, 104, 0, 102, 105, 108, 116, 101, 114, 95, 104, 97, 115, 104, 0, 114, 101, 103, 101, 120, 95, 108, 111, 99, 107, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 95, 102, 117, 110, 99, 95, 116, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 95, 99, 109, 100, 0, 70, 84, 82, 65, 67, 69, 95, 79, 80, 83, 95, 67, 77, 68, 95, 69, 78, 65, 66, 76, 69, 95, 83, 72, 65, 82, 69, 95, 73, 80, 77, 79, 68, 73, 70, 89, 95, 83, 69, 76, 70, 0, 70, 84, 82, 65, 67, 69, 95, 79, 80, 83, 95, 67, 77, 68, 95, 69, 78, 65, 66, 76, 69, 95, 83, 72, 65, 82, 69, 95, 73, 80, 77, 79, 68, 73, 70, 89, 95, 80, 69, 69, 82, 0, 70, 84, 82, 65, 67, 69, 95, 79, 80, 83, 95, 67, 77, 68, 95, 68, 73, 83, 65, 66, 76, 69, 95, 83, 72, 65, 82, 69, 95, 73, 80, 77, 79, 68, 73, 70, 89, 95, 80, 69, 69, 82, 0, 97, 118, 120, 53, 49, 50, 95, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 102, 112, 115, 116, 97, 116, 101, 0, 95, 95, 116, 97, 115, 107, 95, 102, 112, 115, 116, 97, 116, 101, 0, 112, 101, 114, 109, 0, 103, 117, 101, 115, 116, 95, 112, 101, 114, 109, 0, 95, 95, 102, 112, 115, 116, 97, 116, 101, 0, 102, 112, 117, 95, 115, 116, 97, 116, 101, 95, 112, 101, 114, 109, 0, 95, 95, 115, 116, 97, 116, 101, 95, 112, 101, 114, 109, 0, 95, 95, 115, 116, 97, 116, 101, 95, 115, 105, 122, 101, 0, 95, 95, 117, 115, 101, 114, 95, 115, 116, 97, 116, 101, 95, 115, 105, 122, 101, 0, 117, 115, 101, 114, 95, 115, 105, 122, 101, 0, 120, 102, 101, 97, 116, 117, 114, 101, 115, 0, 117, 115, 101, 114, 95, 120, 102, 101, 97, 116, 117, 114, 101, 115, 0, 120, 102, 100, 0, 105, 115, 95, 118, 97, 108, 108, 111, 99, 0, 105, 115, 95, 103, 117, 101, 115, 116, 0, 105, 115, 95, 99, 111, 110, 102, 105, 100, 101, 110, 116, 105, 97, 108, 0, 105, 110, 95, 117, 115, 101, 0, 102, 112, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 102, 115, 97, 118, 101, 0, 102, 120, 115, 97, 118, 101, 0, 115, 111, 102, 116, 0, 120, 115, 97, 118, 101, 0, 102, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 99, 119, 100, 0, 115, 119, 100, 0, 116, 119, 100, 0, 102, 105, 112, 0, 102, 99, 115, 0, 102, 111, 111, 0, 102, 111, 115, 0, 115, 116, 95, 115, 112, 97, 99, 101, 0, 102, 120, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 102, 111, 112, 0, 109, 120, 99, 115, 114, 0, 109, 120, 99, 115, 114, 95, 109, 97, 115, 107, 0, 120, 109, 109, 95, 115, 112, 97, 99, 101, 0, 114, 105, 112, 0, 114, 100, 112, 0, 112, 97, 100, 100, 105, 110, 103, 49, 0, 115, 119, 95, 114, 101, 115, 101, 114, 118, 101, 100, 0, 115, 119, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 102, 116, 111, 112, 0, 99, 104, 97, 110, 103, 101, 100, 0, 108, 111, 111, 107, 97, 104, 101, 97, 100, 0, 110, 111, 95, 117, 112, 100, 97, 116, 101, 0, 114, 109, 0, 97, 108, 105, 109, 105, 116, 0, 101, 110, 116, 114, 121, 95, 101, 105, 112, 0, 120, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 105, 51, 56, 55, 0, 104, 101, 97, 100, 101, 114, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 115, 116, 97, 116, 101, 95, 97, 114, 101, 97, 0, 120, 115, 116, 97, 116, 101, 95, 104, 101, 97, 100, 101, 114, 0, 120, 99, 111, 109, 112, 95, 98, 118, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 115, 113, 95, 110, 114, 95, 113, 117, 101, 117, 101, 100, 0, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 105, 110, 116, 101, 114, 115, 101, 99, 116, 115, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 117, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 101, 109, 112, 116, 121, 0, 115, 99, 120, 95, 98, 112, 102, 95, 116, 101, 115, 116, 95, 97, 110, 100, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 95, 105, 100, 108, 101, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 97, 110, 100, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 114, 101, 108, 101, 97, 115, 101, 0, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 97, 110, 121, 95, 99, 112, 117, 0, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 0, 115, 99, 120, 95, 98, 112, 102, 95, 107, 105, 99, 107, 95, 99, 112, 117, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 99, 120, 95, 98, 112, 102, 95, 116, 97, 115, 107, 95, 99, 112, 117, 0, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 95, 118, 116, 105, 109, 101, 0, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 0, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 99, 120, 95, 98, 112, 102, 95, 99, 111, 110, 115, 117, 109, 101, 0, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 0, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 0, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 0, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 117, 98, 115, 101, 116, 0, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 114, 101, 97, 116, 101, 0, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 0, 115, 99, 120, 95, 111, 112, 115, 95, 102, 108, 97, 103, 115, 0, 83, 67, 88, 95, 79, 80, 83, 95, 75, 69, 69, 80, 95, 66, 85, 73, 76, 84, 73, 78, 95, 73, 68, 76, 69, 0, 83, 67, 88, 95, 79, 80, 83, 95, 69, 78, 81, 95, 76, 65, 83, 84, 0, 83, 67, 88, 95, 79, 80, 83, 95, 69, 78, 81, 95, 69, 88, 73, 84, 73, 78, 71, 0, 83, 67, 88, 95, 79, 80, 83, 95, 83, 87, 73, 84, 67, 72, 95, 80, 65, 82, 84, 73, 65, 76, 0, 83, 67, 88, 95, 79, 80, 83, 95, 67, 71, 82, 79, 85, 80, 95, 75, 78, 79, 66, 95, 87, 69, 73, 71, 72, 84, 0, 83, 67, 88, 95, 79, 80, 83, 95, 65, 76, 76, 95, 70, 76, 65, 71, 83, 0, 115, 99, 120, 95, 98, 112, 102, 95, 115, 119, 105, 116, 99, 104, 95, 97, 108, 108, 0, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 0, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 111, 112, 121, 0, 115, 99, 120, 95, 98, 112, 102, 95, 99, 114, 101, 97, 116, 101, 95, 100, 115, 113, 0, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 0, 115, 99, 120, 95, 101, 120, 105, 116, 95, 105, 110, 102, 111, 0, 107, 105, 110, 100, 0, 114, 101, 97, 115, 111, 110, 0, 98, 116, 0, 98, 116, 95, 108, 101, 110, 0, 109, 115, 103, 0, 100, 117, 109, 112, 0, 115, 99, 120, 95, 101, 120, 105, 116, 95, 107, 105, 110, 100, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 78, 79, 78, 69, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 68, 79, 78, 69, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 85, 78, 82, 69, 71, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 85, 78, 82, 69, 71, 95, 66, 80, 70, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 85, 78, 82, 69, 71, 95, 75, 69, 82, 78, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 83, 89, 83, 82, 81, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 69, 82, 82, 79, 82, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 69, 82, 82, 79, 82, 95, 66, 80, 70, 0, 83, 67, 88, 95, 69, 88, 73, 84, 95, 69, 82, 82, 79, 82, 95, 83, 84, 65, 76, 76, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 0, 116, 97, 115, 107, 99, 0, 110, 101, 119, 95, 100, 111, 109, 95, 105, 100, 0, 105, 110, 105, 116, 95, 100, 115, 113, 95, 118, 116, 105, 109, 101, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 0, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 0, 101, 110, 113, 95, 102, 108, 97, 103, 115, 0, 116, 97, 115, 107, 95, 99, 111, 109, 112, 117, 116, 101, 95, 100, 108, 0, 110, 111, 119, 0, 116, 97, 115, 107, 95, 108, 111, 97, 100, 95, 97, 100, 106, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 0, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 0, 107, 112, 116, 114, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 0, 95, 108, 105, 99, 101, 110, 115, 101, 0, 110, 114, 95, 100, 111, 109, 115, 0, 110, 114, 95, 110, 111, 100, 101, 115, 0, 110, 114, 95, 99, 112, 117, 115, 95, 112, 111, 115, 115, 105, 98, 108, 101, 0, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 0, 114, 97, 118, 103, 95, 49, 0, 115, 99, 104, 101, 100, 95, 112, 114, 105, 111, 95, 116, 111, 95, 119, 101, 105, 103, 104, 116, 0, 100, 111, 109, 95, 110, 117, 109, 97, 95, 105, 100, 95, 109, 97, 112, 0, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 46, 95, 95, 95, 102, 109, 116, 0, 115, 99, 104, 101, 100, 95, 101, 120, 116, 95, 111, 112, 115, 0, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 101, 110, 113, 117, 101, 117, 101, 0, 100, 101, 113, 117, 101, 117, 101, 0, 100, 105, 115, 112, 97, 116, 99, 104, 0, 116, 105, 99, 107, 0, 114, 117, 110, 110, 105, 110, 103, 0, 115, 116, 111, 112, 112, 105, 110, 103, 0, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 121, 105, 101, 108, 100, 0, 99, 111, 114, 101, 95, 115, 99, 104, 101, 100, 95, 98, 101, 102, 111, 114, 101, 0, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 117, 112, 100, 97, 116, 101, 95, 105, 100, 108, 101, 0, 99, 112, 117, 95, 97, 99, 113, 117, 105, 114, 101, 0, 99, 112, 117, 95, 114, 101, 108, 101, 97, 115, 101, 0, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 101, 110, 97, 98, 108, 101, 0, 100, 105, 115, 97, 98, 108, 101, 0, 100, 117, 109, 112, 95, 99, 112, 117, 0, 100, 117, 109, 112, 95, 116, 97, 115, 107, 0, 99, 103, 114, 111, 117, 112, 95, 105, 110, 105, 116, 0, 99, 103, 114, 111, 117, 112, 95, 101, 120, 105, 116, 0, 99, 103, 114, 111, 117, 112, 95, 112, 114, 101, 112, 95, 109, 111, 118, 101, 0, 99, 103, 114, 111, 117, 112, 95, 109, 111, 118, 101, 0, 99, 103, 114, 111, 117, 112, 95, 99, 97, 110, 99, 101, 108, 95, 109, 111, 118, 101, 0, 99, 103, 114, 111, 117, 112, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 99, 112, 117, 95, 111, 110, 108, 105, 110, 101, 0, 99, 112, 117, 95, 111, 102, 102, 108, 105, 110, 101, 0, 105, 110, 105, 116, 0, 101, 120, 105, 116, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95, 109, 97, 120, 95, 98, 97, 116, 99, 104, 0, 116, 105, 109, 101, 111, 117, 116, 95, 109, 115, 0, 101, 120, 105, 116, 95, 100, 117, 109, 112, 95, 108, 101, 110, 0, 104, 111, 116, 112, 108, 117, 103, 95, 115, 101, 113, 0, 115, 99, 120, 95, 99, 112, 117, 95, 97, 99, 113, 117, 105, 114, 101, 95, 97, 114, 103, 115, 0, 115, 99, 120, 95, 99, 112, 117, 95, 114, 101, 108, 101, 97, 115, 101, 95, 97, 114, 103, 115, 0, 115, 99, 120, 95, 99, 112, 117, 95, 112, 114, 101, 101, 109, 112, 116, 95, 114, 101, 97, 115, 111, 110, 0, 83, 67, 88, 95, 67, 80, 85, 95, 80, 82, 69, 69, 77, 80, 84, 95, 82, 84, 0, 83, 67, 88, 95, 67, 80, 85, 95, 80, 82, 69, 69, 77, 80, 84, 95, 68, 76, 0, 83, 67, 88, 95, 67, 80, 85, 95, 80, 82, 69, 69, 77, 80, 84, 95, 83, 84, 79, 80, 0, 83, 67, 88, 95, 67, 80, 85, 95, 80, 82, 69, 69, 77, 80, 84, 95, 85, 78, 75, 78, 79, 87, 78, 0, 115, 99, 120, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 95, 97, 114, 103, 115, 0, 102, 111, 114, 107, 0, 115, 99, 120, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 95, 97, 114, 103, 115, 0, 99, 97, 110, 99, 101, 108, 108, 101, 100, 0, 115, 99, 120, 95, 100, 117, 109, 112, 95, 99, 116, 120, 0, 97, 116, 95, 110, 115, 0, 97, 116, 95, 106, 105, 102, 102, 105, 101, 115, 0, 115, 101, 108, 102, 0, 108, 101, 118, 101, 108, 0, 109, 97, 120, 95, 100, 101, 112, 116, 104, 0, 110, 114, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 110, 114, 95, 100, 121, 105, 110, 103, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 109, 97, 120, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 110, 114, 95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95, 99, 115, 101, 116, 115, 0, 110, 114, 95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95, 100, 111, 109, 97, 105, 110, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 110, 114, 95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95, 116, 104, 114, 101, 97, 100, 101, 100, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 110, 114, 95, 116, 104, 114, 101, 97, 100, 101, 100, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 107, 110, 0, 112, 114, 111, 99, 115, 95, 102, 105, 108, 101, 0, 101, 118, 101, 110, 116, 115, 95, 102, 105, 108, 101, 0, 112, 115, 105, 95, 102, 105, 108, 101, 115, 0, 115, 117, 98, 116, 114, 101, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 115, 117, 98, 116, 114, 101, 101, 95, 115, 115, 95, 109, 97, 115, 107, 0, 111, 108, 100, 95, 115, 117, 98, 116, 114, 101, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 111, 108, 100, 95, 115, 117, 98, 116, 114, 101, 101, 95, 115, 115, 95, 109, 97, 115, 107, 0, 115, 117, 98, 115, 121, 115, 0, 114, 111, 111, 116, 0, 99, 115, 101, 116, 95, 108, 105, 110, 107, 115, 0, 101, 95, 99, 115, 101, 116, 115, 0, 100, 111, 109, 95, 99, 103, 114, 112, 0, 111, 108, 100, 95, 100, 111, 109, 95, 99, 103, 114, 112, 0, 114, 115, 116, 97, 116, 95, 99, 112, 117, 0, 114, 115, 116, 97, 116, 95, 99, 115, 115, 95, 108, 105, 115, 116, 0, 95, 112, 97, 100, 95, 0, 114, 115, 116, 97, 116, 95, 102, 108, 117, 115, 104, 95, 110, 101, 120, 116, 0, 108, 97, 115, 116, 95, 98, 115, 116, 97, 116, 0, 98, 115, 116, 97, 116, 0, 112, 105, 100, 108, 105, 115, 116, 115, 0, 112, 105, 100, 108, 105, 115, 116, 95, 109, 117, 116, 101, 120, 0, 111, 102, 102, 108, 105, 110, 101, 95, 119, 97, 105, 116, 113, 0, 114, 101, 108, 101, 97, 115, 101, 95, 97, 103, 101, 110, 116, 95, 119, 111, 114, 107, 0, 112, 115, 105, 0, 98, 112, 102, 0, 99, 111, 110, 103, 101, 115, 116, 105, 111, 110, 95, 99, 111, 117, 110, 116, 0, 102, 114, 101, 101, 122, 101, 114, 0, 98, 112, 102, 95, 99, 103, 114, 112, 95, 115, 116, 111, 114, 97, 103, 101, 0, 97, 110, 99, 101, 115, 116, 111, 114, 115, 0, 99, 103, 114, 111, 117, 112, 95, 115, 117, 98, 115, 121, 115, 95, 115, 116, 97, 116, 101, 0, 114, 101, 102, 99, 110, 116, 0, 114, 115, 116, 97, 116, 95, 99, 115, 115, 95, 110, 111, 100, 101, 0, 115, 101, 114, 105, 97, 108, 95, 110, 114, 0, 111, 110, 108, 105, 110, 101, 95, 99, 110, 116, 0, 100, 101, 115, 116, 114, 111, 121, 95, 119, 111, 114, 107, 0, 100, 101, 115, 116, 114, 111, 121, 95, 114, 119, 111, 114, 107, 0, 112, 101, 114, 99, 112, 117, 95, 114, 101, 102, 0, 112, 101, 114, 99, 112, 117, 95, 99, 111, 117, 110, 116, 95, 112, 116, 114, 0, 100, 97, 116, 97, 0, 119, 111, 114, 107, 95, 115, 116, 114, 117, 99, 116, 0, 119, 111, 114, 107, 95, 102, 117, 110, 99, 95, 116, 0, 114, 99, 117, 95, 119, 111, 114, 107, 0, 119, 113, 0, 99, 103, 114, 111, 117, 112, 95, 102, 105, 108, 101, 0, 99, 102, 116, 0, 110, 111, 116, 105, 102, 105, 101, 100, 95, 97, 116, 0, 110, 111, 116, 105, 102, 121, 95, 116, 105, 109, 101, 114, 0, 99, 97, 99, 104, 101, 108, 105, 110, 101, 95, 112, 97, 100, 100, 105, 110, 103, 0, 120, 0, 99, 103, 114, 111, 117, 112, 95, 98, 97, 115, 101, 95, 115, 116, 97, 116, 0, 99, 112, 117, 116, 105, 109, 101, 0, 116, 97, 115, 107, 95, 99, 112, 117, 116, 105, 109, 101, 0, 99, 103, 114, 111, 117, 112, 95, 98, 112, 102, 0, 101, 102, 102, 101, 99, 116, 105, 118, 101, 0, 112, 114, 111, 103, 115, 0, 115, 116, 111, 114, 97, 103, 101, 115, 0, 105, 110, 97, 99, 116, 105, 118, 101, 0, 114, 101, 108, 101, 97, 115, 101, 95, 119, 111, 114, 107, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 97, 114, 114, 97, 121, 0, 105, 116, 101, 109, 115, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 97, 114, 114, 97, 121, 95, 105, 116, 101, 109, 0, 99, 103, 114, 111, 117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 0, 98, 112, 102, 95, 99, 103, 114, 111, 117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 0, 109, 97, 112, 0, 108, 105, 115, 116, 95, 109, 97, 112, 0, 108, 105, 115, 116, 95, 99, 103, 0, 98, 117, 102, 0, 112, 101, 114, 99, 112, 117, 95, 98, 117, 102, 0, 112, 101, 114, 99, 112, 117, 0, 98, 112, 102, 95, 99, 103, 114, 111, 117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 95, 107, 101, 121, 0, 99, 103, 114, 111, 117, 112, 95, 105, 110, 111, 100, 101, 95, 105, 100, 0, 97, 116, 116, 97, 99, 104, 95, 116, 121, 112, 101, 0, 104, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 99, 103, 114, 111, 117, 112, 95, 102, 114, 101, 101, 122, 101, 114, 95, 115, 116, 97, 116, 101, 0, 102, 114, 101, 101, 122, 101, 0, 101, 95, 102, 114, 101, 101, 122, 101, 0, 110, 114, 95, 102, 114, 111, 122, 101, 110, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 110, 114, 95, 102, 114, 111, 122, 101, 110, 95, 116, 97, 115, 107, 115, 0, 115, 99, 120, 95, 99, 103, 114, 111, 117, 112, 95, 105, 110, 105, 116, 95, 97, 114, 103, 115, 0, 114, 117, 115, 116, 121, 0, 117, 101, 105, 95, 100, 117, 109, 112, 0, 117, 101, 105, 95, 100, 117, 109, 112, 95, 108, 101, 110, 0, 117, 115, 101, 114, 95, 101, 120, 105, 116, 95, 105, 110, 102, 111, 0, 117, 101, 105, 0, 99, 112, 117, 95, 100, 111, 109, 95, 105, 100, 95, 109, 97, 112, 0, 100, 111, 109, 95, 99, 112, 117, 109, 97, 115, 107, 115, 0, 110, 117, 109, 97, 95, 99, 112, 117, 109, 97, 115, 107, 115, 0, 107, 116, 104, 114, 101, 97, 100, 115, 95, 108, 111, 99, 97, 108, 0, 102, 105, 102, 111, 95, 115, 99, 104, 101, 100, 0, 115, 119, 105, 116, 99, 104, 95, 112, 97, 114, 116, 105, 97, 108, 0, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 110, 117, 109, 97, 0, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 120, 95, 110, 117, 109, 97, 0, 100, 101, 98, 117, 103, 0, 112, 99, 112, 117, 95, 99, 116, 120, 0, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 0, 110, 114, 95, 110, 111, 100, 101, 95, 100, 111, 109, 115, 0, 110, 111, 100, 101, 95, 100, 111, 109, 115, 0, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 0, 103, 101, 110, 0, 114, 101, 97, 100, 95, 105, 100, 120, 0, 119, 114, 105, 116, 101, 95, 105, 100, 120, 0, 112, 105, 100, 115, 0, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 0, 115, 108, 105, 99, 101, 95, 110, 115, 0, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 0, 116, 117, 110, 101, 95, 112, 97, 114, 97, 109, 115, 95, 103, 101, 110, 0, 97, 108, 108, 95, 99, 112, 117, 109, 97, 115, 107, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 50, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 54, 0, 108, 111, 111, 107, 117, 112, 95, 116, 97, 115, 107, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 46, 95, 95, 95, 102, 109, 116, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 50, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 52, 0, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 46, 49, 54, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 120, 102, 101, 114, 95, 116, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 107, 116, 95, 108, 111, 99, 107, 46, 95, 95, 95, 102, 109, 116, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 117, 99, 107, 101, 116, 46, 95, 95, 95, 102, 109, 116, 0, 114, 97, 118, 103, 95, 102, 117, 108, 108, 95, 115, 117, 109, 0, 115, 99, 104, 101, 100, 95, 112, 114, 105, 111, 95, 116, 111, 95, 108, 97, 116, 101, 110, 99, 121, 95, 119, 101, 105, 103, 104, 116, 46, 95, 95, 95, 102, 109, 116, 0, 108, 111, 111, 107, 117, 112, 95, 112, 99, 112, 117, 95, 99, 116, 120, 46, 95, 95, 95, 102, 109, 116, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 46, 95, 95, 95, 102, 109, 116, 0, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 46, 95, 95, 95, 102, 109, 116, 46, 50, 50, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 46, 95, 95, 95, 102, 109, 116, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 46, 95, 95, 95, 102, 109, 116, 46, 50, 52, 0, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 46, 95, 95, 95, 102, 109, 116, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 46, 95, 95, 95, 102, 109, 116, 0, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 46, 95, 95, 95, 102, 109, 116, 0, 95, 95, 95, 95, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 46, 95, 95, 95, 95, 102, 109, 116, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 0, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 46, 95, 95, 95, 102, 109, 116, 46, 50, 56, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 46, 51, 49, 0, 99, 114, 101, 97, 116, 101, 95, 110, 111, 100, 101, 46, 95, 95, 95, 102, 109, 116, 46, 51, 51, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 51, 54, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 51, 56, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 48, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 49, 0, 99, 114, 101, 97, 116, 101, 95, 100, 111, 109, 46, 95, 95, 95, 102, 109, 116, 46, 52, 50, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 53, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101, 95, 99, 112, 117, 46, 95, 95, 95, 102, 109, 116, 46, 52, 55, 0, 108, 111, 99, 107, 95, 99, 108, 97, 115, 115, 95, 107, 101, 121, 0, 108, 111, 99, 107, 100, 101, 112, 95, 115, 117, 98, 99, 108, 97, 115, 115, 95, 107, 101, 121, 0, 115, 99, 120, 95, 100, 105, 115, 112, 97, 116, 99, 104, 95, 113, 0, 109, 109, 95, 115, 116, 114, 117, 99, 116, 0, 112, 105, 100, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 117, 115, 101, 114, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110, 0, 101, 118, 101, 110, 116, 95, 102, 105, 108, 116, 101, 114, 0, 103, 101, 110, 100, 105, 115, 107, 0, 97, 100, 100, 114, 101, 115, 115, 95, 115, 112, 97, 99, 101, 0, 99, 102, 116, 121, 112, 101, 0, 99, 103, 114, 111, 117, 112, 95, 115, 117, 98, 115, 121, 115, 0, 99, 115, 115, 95, 115, 101, 116, 0, 112, 101, 114, 99, 112, 117, 95, 114, 101, 102, 95, 100, 97, 116, 97, 0, 119, 111, 114, 107, 113, 117, 101, 117, 101, 95, 115, 116, 114, 117, 99, 116, 0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 95, 99, 97, 108, 108, 0, 107, 101, 114, 110, 102, 115, 95, 110, 111, 100, 101, 0, 99, 103, 114, 111, 117, 112, 95, 114, 111, 111, 116, 0, 99, 103, 114, 111, 117, 112, 95, 114, 115, 116, 97, 116, 95, 99, 112, 117, 0, 112, 115, 105, 95, 103, 114, 111, 117, 112, 0, 98, 112, 102, 95, 112, 114, 111, 103, 0, 111, 98, 106, 95, 99, 103, 114, 111, 117, 112, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 0, 98, 112, 102, 95, 108, 111, 99, 97, 108, 95, 115, 116, 111, 114, 97, 103, 101, 0, 102, 116, 114, 97, 99, 101, 95, 104, 97, 115, 104, 0, 118, 109, 95, 115, 116, 114, 117, 99, 116, 0, 117, 115, 101, 114, 95, 115, 116, 114, 117, 99, 116, 0, 112, 105, 112, 101, 95, 105, 110, 111, 100, 101, 95, 105, 110, 102, 111, 0, 102, 97, 115, 121, 110, 99, 95, 115, 116, 114, 117, 99, 116, 0, 104, 114, 116, 105, 109, 101, 114, 95, 99, 108, 111, 99, 107, 95, 98, 97, 115, 101, 0, 98, 112, 102, 95, 115, 116, 111, 114, 97, 103, 101, 95, 98, 117, 102, 102, 101, 114, 0, 98, 112, 102, 95, 99, 103, 114, 111, 117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 95, 109, 97, 112, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 112, 109, 117, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 101, 114, 102, 95, 98, 117, 102, 102, 101, 114, 0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95, 114, 97, 110, 103, 101, 0, 112, 101, 114, 102, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 101, 110, 116, 114, 121, 0, 112, 101, 114, 102, 95, 114, 97, 119, 95, 114, 101, 99, 111, 114, 100, 0, 112, 101, 114, 102, 95, 98, 114, 97, 110, 99, 104, 95, 115, 116, 97, 99, 107, 0, 112, 101, 114, 102, 95, 99, 103, 114, 111, 117, 112, 0, 102, 115, 95, 115, 116, 114, 117, 99, 116, 0, 107, 101, 114, 110, 101, 108, 95, 115, 105, 103, 105, 110, 102, 111, 0, 116, 97, 115, 107, 95, 103, 114, 111, 117, 112, 0, 114, 99, 117, 95, 110, 111, 100, 101, 0, 115, 101, 99, 99, 111, 109, 112, 95, 102, 105, 108, 116, 101, 114, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 116, 105, 109, 101, 115, 112, 101, 99, 0, 111, 108, 100, 95, 116, 105, 109, 101, 115, 112, 101, 99, 51, 50, 0, 112, 111, 108, 108, 102, 100, 0, 115, 101, 109, 95, 117, 110, 100, 111, 95, 108, 105, 115, 116, 0, 102, 105, 108, 101, 115, 95, 115, 116, 114, 117, 99, 116, 0, 105, 111, 95, 117, 114, 105, 110, 103, 95, 116, 97, 115, 107, 0, 98, 108, 107, 95, 112, 108, 117, 103, 0, 115, 105, 103, 110, 97, 108, 95, 115, 116, 114, 117, 99, 116, 0, 115, 105, 103, 104, 97, 110, 100, 95, 115, 116, 114, 117, 99, 116, 0, 114, 116, 95, 109, 117, 116, 101, 120, 95, 119, 97, 105, 116, 101, 114, 0, 109, 117, 116, 101, 120, 95, 119, 97, 105, 116, 101, 114, 0, 114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 102, 117, 116, 101, 120, 95, 112, 105, 95, 115, 116, 97, 116, 101, 0, 116, 97, 115, 107, 95, 100, 101, 108, 97, 121, 95, 105, 110, 102, 111, 0, 102, 116, 114, 97, 99, 101, 95, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 117, 112, 114, 111, 98, 101, 95, 116, 97, 115, 107, 0, 98, 112, 102, 95, 114, 117, 110, 95, 99, 116, 120, 0, 109, 97, 116, 104, 95, 101, 109, 117, 95, 105, 110, 102, 111, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 115, 99, 120, 45, 48, 46, 49, 46, 49, 48, 47, 115, 99, 104, 101, 100, 115, 47, 114, 117, 115, 116, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 47, 115, 114, 99, 47, 98, 112, 102, 47, 109, 97, 105, 110, 46, 98, 112, 102, 46, 99, 0, 115, 51, 50, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 115, 51, 50, 32, 112, 114, 101, 118, 95, 99, 112, 117, 44, 0, 9, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 40, 41, 59, 0, 9, 105, 102, 32, 40, 116, 117, 110, 101, 95, 112, 97, 114, 97, 109, 115, 95, 103, 101, 110, 32, 61, 61, 32, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 46, 103, 101, 110, 41, 0, 9, 116, 117, 110, 101, 95, 112, 97, 114, 97, 109, 115, 95, 103, 101, 110, 32, 61, 32, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 46, 103, 101, 110, 59, 0, 9, 115, 108, 105, 99, 101, 95, 110, 115, 32, 61, 32, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 46, 115, 108, 105, 99, 101, 95, 110, 115, 59, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 99, 112, 117, 44, 32, 48, 44, 32, 110, 114, 95, 99, 112, 117, 115, 95, 112, 111, 115, 115, 105, 98, 108, 101, 41, 32, 123, 0, 9, 105, 102, 32, 40, 110, 114, 95, 100, 111, 109, 115, 32, 60, 61, 32, 49, 41, 0, 9, 100, 111, 109, 95, 105, 100, 112, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 99, 112, 117, 95, 100, 111, 109, 95, 105, 100, 95, 109, 97, 112, 44, 32, 91, 99, 112, 117, 93, 41, 59, 0, 9, 105, 102, 32, 40, 33, 100, 111, 109, 95, 105, 100, 112, 41, 0, 9, 114, 101, 116, 117, 114, 110, 32, 42, 100, 111, 109, 95, 105, 100, 112, 59, 0, 9, 9, 105, 102, 32, 40, 105, 115, 95, 111, 102, 102, 108, 105, 110, 101, 95, 99, 112, 117, 40, 99, 112, 117, 41, 41, 0, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 100, 111, 109, 95, 100, 97, 116, 97, 44, 32, 38, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 100, 111, 109, 99, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 91, 37, 117, 93, 34, 44, 32, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 9, 105, 102, 32, 40, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 46, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 91, 99, 112, 117, 32, 47, 32, 54, 52, 93, 32, 38, 32, 40, 49, 76, 76, 85, 32, 60, 60, 32, 40, 99, 112, 117, 32, 37, 32, 54, 52, 41, 41, 41, 32, 123, 0, 9, 9, 9, 105, 102, 32, 40, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 105, 102, 32, 40, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 105, 102, 32, 40, 116, 117, 110, 101, 95, 105, 110, 112, 117, 116, 46, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 91, 99, 112, 117, 32, 47, 32, 54, 52, 93, 32, 38, 32, 40, 49, 76, 76, 85, 32, 60, 60, 32, 40, 99, 112, 117, 32, 37, 32, 54, 52, 41, 41, 41, 32, 123, 0, 9, 9, 9, 105, 102, 32, 40, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 115, 51, 50, 32, 112, 105, 100, 32, 61, 32, 112, 45, 62, 112, 105, 100, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 97, 115, 107, 95, 100, 97, 116, 97, 44, 32, 38, 112, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 116, 97, 115, 107, 99, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 116, 97, 115, 107, 95, 99, 116, 120, 32, 108, 111, 111, 107, 117, 112, 32, 102, 97, 105, 108, 101, 100, 32, 102, 111, 114, 32, 112, 105, 100, 32, 37, 100, 34, 44, 32, 112, 45, 62, 112, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 40, 116, 97, 115, 107, 99, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 116, 97, 115, 107, 95, 99, 116, 120, 40, 112, 41, 41, 32, 124, 124, 32, 33, 40, 112, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 41, 41, 0, 9, 105, 102, 32, 40, 112, 45, 62, 110, 114, 95, 99, 112, 117, 115, 95, 97, 108, 108, 111, 119, 101, 100, 32, 61, 61, 32, 49, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 107, 116, 104, 114, 101, 97, 100, 115, 95, 108, 111, 99, 97, 108, 32, 38, 38, 32, 40, 112, 45, 62, 102, 108, 97, 103, 115, 32, 38, 32, 80, 70, 95, 75, 84, 72, 82, 69, 65, 68, 41, 41, 32, 123, 0, 9, 117, 51, 50, 32, 105, 100, 120, 95, 118, 32, 61, 32, 105, 100, 120, 59, 0, 9, 117, 54, 52, 32, 42, 99, 110, 116, 95, 112, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 115, 116, 97, 116, 115, 44, 32, 38, 105, 100, 120, 95, 118, 41, 59, 0, 9, 105, 102, 32, 40, 99, 110, 116, 95, 112, 41, 0, 9, 9, 40, 42, 99, 110, 116, 95, 112, 41, 32, 43, 61, 32, 97, 100, 100, 101, 110, 100, 59, 0, 9, 105, 102, 32, 40, 119, 97, 107, 101, 95, 102, 108, 97, 103, 115, 32, 38, 32, 83, 67, 88, 95, 87, 65, 75, 69, 95, 83, 89, 78, 67, 41, 32, 123, 0, 9, 9, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 99, 117, 114, 114, 101, 110, 116, 32, 61, 32, 40, 118, 111, 105, 100, 32, 42, 41, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 116, 97, 115, 107, 95, 98, 116, 102, 40, 41, 59, 0, 9, 9, 99, 112, 117, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99, 101, 115, 115, 111, 114, 95, 105, 100, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 40, 99, 117, 114, 114, 101, 110, 116, 45, 62, 102, 108, 97, 103, 115, 32, 38, 32, 80, 70, 95, 69, 88, 73, 84, 73, 78, 71, 41, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 32, 60, 32, 77, 65, 88, 95, 68, 79, 77, 83, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 115, 99, 120, 95, 98, 112, 102, 95, 100, 115, 113, 95, 110, 114, 95, 113, 117, 101, 117, 101, 100, 40, 83, 67, 88, 95, 68, 83, 81, 95, 76, 79, 67, 65, 76, 95, 79, 78, 32, 124, 32, 99, 112, 117, 41, 32, 61, 61, 32, 48, 41, 32, 123, 0, 9, 9, 9, 100, 111, 109, 99, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 40, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 100, 111, 109, 99, 41, 0, 9, 9, 9, 100, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 100, 111, 109, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 100, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 97, 99, 113, 117, 105, 114, 101, 32, 100, 111, 109, 37, 117, 32, 99, 112, 117, 109, 97, 115, 107, 32, 107, 112, 116, 114, 34, 44, 0, 9, 9, 9, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 103, 101, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 41, 59, 0, 9, 9, 9, 104, 97, 115, 95, 105, 100, 108, 101, 32, 61, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 105, 110, 116, 101, 114, 115, 101, 99, 116, 115, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 100, 95, 99, 112, 117, 109, 97, 115, 107, 44, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 112, 117, 116, 95, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 105, 100, 108, 101, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 105, 102, 32, 40, 104, 97, 115, 95, 105, 100, 108, 101, 41, 32, 123, 0, 9, 9, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 112, 45, 62, 99, 112, 117, 115, 95, 112, 116, 114, 41, 41, 32, 123, 0, 9, 104, 97, 115, 95, 105, 100, 108, 101, 95, 99, 111, 114, 101, 115, 32, 61, 32, 33, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 101, 109, 112, 116, 121, 40, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 41, 59, 0, 9, 112, 114, 101, 118, 95, 100, 111, 109, 101, 115, 116, 105, 99, 32, 61, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 112, 114, 101, 118, 95, 99, 112, 117, 44, 0, 9, 105, 102, 32, 40, 112, 114, 101, 118, 95, 100, 111, 109, 101, 115, 116, 105, 99, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 112, 114, 101, 118, 95, 99, 112, 117, 44, 32, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 41, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 115, 99, 120, 95, 98, 112, 102, 95, 116, 101, 115, 116, 95, 97, 110, 100, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 95, 105, 100, 108, 101, 40, 112, 114, 101, 118, 95, 99, 112, 117, 41, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 112, 114, 101, 118, 95, 99, 112, 117, 44, 32, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 0, 9, 9, 9, 9, 9, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 112, 114, 101, 118, 95, 99, 112, 117, 44, 32, 105, 100, 108, 101, 95, 115, 109, 116, 109, 97, 115, 107, 41, 32, 38, 38, 0, 9, 105, 102, 32, 40, 104, 97, 115, 95, 105, 100, 108, 101, 95, 99, 111, 114, 101, 115, 41, 32, 123, 0, 9, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 0, 9, 9, 105, 102, 32, 40, 99, 112, 117, 32, 62, 61, 32, 48, 41, 32, 123, 0, 9, 105, 102, 32, 40, 112, 114, 101, 118, 95, 100, 111, 109, 101, 115, 116, 105, 99, 32, 38, 38, 32, 115, 99, 120, 95, 98, 112, 102, 95, 116, 101, 115, 116, 95, 97, 110, 100, 95, 99, 108, 101, 97, 114, 95, 99, 112, 117, 95, 105, 100, 108, 101, 40, 112, 114, 101, 118, 95, 99, 112, 117, 41, 41, 32, 123, 0, 9, 116, 97, 115, 107, 99, 45, 62, 100, 105, 115, 112, 97, 116, 99, 104, 95, 108, 111, 99, 97, 108, 32, 61, 32, 116, 114, 117, 101, 59, 0, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 99, 112, 117, 32, 62, 61, 32, 48, 41, 32, 123, 0, 9, 105, 102, 32, 40, 116, 97, 115, 107, 99, 45, 62, 97, 108, 108, 95, 99, 112, 117, 115, 32, 38, 38, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 32, 38, 38, 0, 9, 32, 32, 32, 32, 33, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 101, 109, 112, 116, 121, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 33, 40, 100, 111, 109, 99, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 40, 100, 111, 109, 95, 105, 100, 41, 41, 41, 0, 9, 9, 116, 109, 112, 95, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 32, 61, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 105, 102, 32, 40, 33, 116, 109, 112, 95, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 41, 32, 123, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 32, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 110, 117, 109, 97, 41, 32, 123, 0, 9, 9, 9, 110, 111, 100, 101, 95, 109, 97, 115, 107, 32, 61, 32, 100, 111, 109, 99, 45, 62, 110, 111, 100, 101, 95, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 110, 111, 100, 101, 95, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 111, 100, 101, 32, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 9, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 98, 112, 102, 95, 107, 112, 116, 114, 95, 120, 99, 104, 103, 40, 38, 116, 97, 115, 107, 99, 45, 62, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 78, 85, 76, 76, 41, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 116, 109, 112, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 97, 110, 100, 40, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 0, 9, 9, 105, 102, 32, 40, 104, 97, 115, 95, 105, 100, 108, 101, 95, 99, 111, 114, 101, 115, 41, 32, 123, 0, 9, 9, 9, 105, 102, 32, 40, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 0, 9, 9, 9, 9, 105, 102, 32, 40, 99, 112, 117, 32, 62, 61, 32, 48, 41, 32, 123, 0, 9, 105, 102, 32, 40, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 105, 102, 32, 40, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 0, 9, 9, 9, 105, 102, 32, 40, 99, 112, 117, 32, 62, 61, 32, 48, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 98, 112, 102, 95, 107, 112, 116, 114, 95, 120, 99, 104, 103, 40, 38, 116, 97, 115, 107, 99, 45, 62, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 105, 102, 32, 40, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 114, 101, 108, 101, 97, 115, 101, 40, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 105, 102, 32, 40, 112, 114, 101, 118, 95, 100, 111, 109, 101, 115, 116, 105, 99, 41, 0, 9, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 97, 110, 121, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 112, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 48, 41, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 117, 54, 52, 32, 101, 110, 113, 95, 102, 108, 97, 103, 115, 41, 0, 9, 112, 105, 100, 95, 116, 32, 112, 105, 100, 32, 61, 32, 112, 45, 62, 112, 105, 100, 59, 0, 9, 105, 102, 32, 40, 33, 40, 112, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 41, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 78, 85, 76, 76, 32, 99, 112, 109, 97, 115, 107, 34, 41, 59, 0, 9, 110, 101, 119, 95, 100, 111, 109, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 108, 98, 95, 100, 97, 116, 97, 44, 32, 38, 112, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 110, 101, 119, 95, 100, 111, 109, 32, 38, 38, 32, 42, 110, 101, 119, 95, 100, 111, 109, 32, 33, 61, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 32, 38, 38, 0, 9, 32, 32, 32, 32, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 116, 97, 115, 107, 99, 44, 32, 112, 44, 32, 42, 110, 101, 119, 95, 100, 111, 109, 44, 32, 102, 97, 108, 115, 101, 41, 41, 32, 123, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 105, 115, 112, 97, 116, 99, 104, 95, 108, 111, 99, 97, 108, 32, 61, 32, 102, 97, 108, 115, 101, 59, 0, 9, 9, 105, 102, 32, 40, 99, 112, 117, 32, 62, 61, 32, 48, 41, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 107, 105, 99, 107, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 116, 97, 115, 107, 99, 45, 62, 100, 105, 115, 112, 97, 116, 99, 104, 95, 108, 111, 99, 97, 108, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 40, 112, 44, 32, 83, 67, 88, 95, 68, 83, 81, 95, 76, 79, 67, 65, 76, 44, 32, 115, 108, 105, 99, 101, 95, 110, 115, 44, 32, 101, 110, 113, 95, 102, 108, 97, 103, 115, 41, 59, 0, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 115, 99, 120, 95, 98, 112, 102, 95, 116, 97, 115, 107, 95, 99, 112, 117, 40, 112, 41, 44, 32, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 107, 105, 99, 107, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 102, 105, 102, 111, 95, 115, 99, 104, 101, 100, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 40, 112, 44, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 44, 32, 115, 108, 105, 99, 101, 95, 110, 115, 44, 32, 101, 110, 113, 95, 102, 108, 97, 103, 115, 41, 59, 0, 9, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 32, 61, 32, 100, 111, 109, 95, 118, 114, 117, 110, 116, 105, 109, 101, 32, 45, 32, 115, 108, 105, 99, 101, 95, 110, 115, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 100, 111, 109, 99, 45, 62, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 59, 0, 9, 105, 102, 32, 40, 118, 116, 105, 109, 101, 95, 98, 101, 102, 111, 114, 101, 40, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 44, 32, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 41, 41, 32, 123, 0, 9, 114, 101, 116, 117, 114, 110, 32, 40, 115, 54, 52, 41, 40, 97, 32, 45, 32, 98, 41, 32, 60, 32, 48, 59, 0, 9, 9, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 61, 32, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 59, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 101, 97, 100, 108, 105, 110, 101, 32, 61, 32, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 43, 32, 116, 97, 115, 107, 95, 99, 111, 109, 112, 117, 116, 101, 95, 100, 108, 40, 112, 44, 32, 116, 97, 115, 107, 99, 44, 32, 101, 110, 113, 95, 102, 108, 97, 103, 115, 41, 59, 0, 9, 115, 99, 120, 95, 98, 112, 102, 95, 100, 105, 115, 112, 97, 116, 99, 104, 95, 118, 116, 105, 109, 101, 40, 112, 44, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 44, 32, 115, 108, 105, 99, 101, 95, 110, 115, 44, 32, 116, 97, 115, 107, 99, 45, 62, 100, 101, 97, 100, 108, 105, 110, 101, 44, 0, 9, 105, 102, 32, 40, 116, 97, 115, 107, 99, 45, 62, 97, 108, 108, 95, 99, 112, 117, 115, 32, 38, 38, 32, 107, 105, 99, 107, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 99, 112, 117, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 112, 105, 99, 107, 95, 105, 100, 108, 101, 95, 99, 112, 117, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 0, 9, 110, 105, 100, 95, 112, 116, 114, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 100, 111, 109, 95, 110, 117, 109, 97, 95, 105, 100, 95, 109, 97, 112, 44, 32, 91, 100, 111, 109, 95, 105, 100, 93, 41, 59, 0, 9, 105, 102, 32, 40, 33, 110, 105, 100, 95, 112, 116, 114, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 67, 111, 117, 108, 100, 110, 39, 116, 32, 108, 111, 111, 107, 32, 117, 112, 32, 110, 111, 100, 101, 32, 73, 68, 32, 102, 111, 114, 32, 37, 100, 34, 44, 32, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 42, 110, 105, 100, 95, 112, 116, 114, 59, 0, 125, 0, 115, 116, 97, 116, 105, 99, 32, 115, 116, 114, 117, 99, 116, 32, 100, 111, 109, 95, 99, 116, 120, 32, 42, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 40, 117, 51, 50, 32, 100, 111, 109, 95, 105, 100, 41, 0, 9, 114, 101, 116, 117, 114, 110, 32, 100, 111, 109, 99, 59, 0, 115, 116, 97, 116, 105, 99, 32, 98, 111, 111, 108, 32, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 99, 116, 120, 32, 42, 116, 97, 115, 107, 99, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 0, 9, 116, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 105, 102, 32, 40, 33, 116, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 32, 117, 112, 32, 116, 97, 115, 107, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 117, 51, 50, 32, 111, 108, 100, 95, 100, 111, 109, 95, 105, 100, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 59, 0, 9, 105, 102, 32, 40, 33, 110, 101, 119, 95, 100, 111, 109, 99, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 110, 101, 119, 95, 100, 111, 109, 95, 105, 100, 32, 61, 61, 32, 78, 79, 95, 68, 79, 77, 95, 70, 79, 85, 78, 68, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 108, 101, 97, 114, 40, 116, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 114, 101, 116, 117, 114, 110, 32, 33, 40, 112, 45, 62, 115, 99, 120, 46, 102, 108, 97, 103, 115, 32, 38, 32, 83, 67, 88, 95, 84, 65, 83, 75, 95, 81, 85, 69, 85, 69, 68, 41, 59, 0, 9, 100, 95, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 110, 101, 119, 95, 100, 111, 109, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 105, 102, 32, 40, 33, 100, 95, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116, 32, 100, 111, 109, 37, 117, 32, 99, 112, 117, 109, 97, 115, 107, 32, 107, 112, 116, 114, 34, 44, 0, 9, 9, 9, 9, 32, 32, 32, 112, 45, 62, 99, 112, 117, 115, 95, 112, 116, 114, 41, 41, 32, 123, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 105, 110, 116, 101, 114, 115, 101, 99, 116, 115, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 100, 95, 99, 112, 117, 109, 97, 115, 107, 44, 0, 9, 9, 117, 54, 52, 32, 110, 111, 119, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 105, 110, 105, 116, 95, 100, 115, 113, 95, 118, 116, 105, 109, 101, 41, 0, 9, 9, 9, 100, 111, 109, 95, 120, 102, 101, 114, 95, 116, 97, 115, 107, 40, 112, 44, 32, 116, 97, 115, 107, 99, 44, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 44, 32, 110, 101, 119, 95, 100, 111, 109, 95, 105, 100, 44, 32, 110, 111, 119, 41, 59, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 101, 119, 32, 100, 111, 109, 37, 117, 34, 44, 0, 9, 102, 114, 111, 109, 95, 108, 111, 99, 107, 119, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 107, 116, 95, 108, 111, 99, 107, 40, 102, 114, 111, 109, 95, 100, 111, 109, 99, 45, 62, 105, 100, 44, 32, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 117, 51, 50, 32, 105, 100, 120, 32, 61, 32, 100, 111, 109, 95, 105, 100, 32, 42, 32, 76, 66, 95, 76, 79, 65, 68, 95, 66, 85, 67, 75, 69, 84, 83, 32, 43, 32, 119, 101, 105, 103, 104, 116, 95, 116, 111, 95, 98, 117, 99, 107, 101, 116, 95, 105, 100, 120, 40, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 117, 51, 50, 32, 105, 100, 120, 32, 61, 32, 48, 44, 32, 119, 101, 105, 103, 104, 116, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 119, 101, 105, 103, 104, 116, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 119, 101, 105, 103, 104, 116, 32, 42, 32, 76, 66, 95, 76, 79, 65, 68, 95, 66, 85, 67, 75, 69, 84, 83, 32, 47, 32, 76, 66, 95, 77, 65, 88, 95, 87, 69, 73, 71, 72, 84, 59, 0, 9, 108, 111, 99, 107, 119, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 108, 111, 99, 107, 115, 44, 32, 38, 105, 100, 120, 41, 59, 0, 9, 105, 102, 32, 40, 108, 111, 99, 107, 119, 41, 0, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 108, 111, 99, 107, 34, 41, 59, 0, 9, 116, 111, 95, 108, 111, 99, 107, 119, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 98, 107, 116, 95, 108, 111, 99, 107, 40, 116, 111, 95, 100, 111, 109, 99, 45, 62, 105, 100, 44, 32, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 105, 102, 32, 40, 33, 102, 114, 111, 109, 95, 108, 111, 99, 107, 119, 32, 124, 124, 32, 33, 116, 111, 95, 108, 111, 99, 107, 119, 41, 0, 9, 98, 117, 99, 107, 101, 116, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 100, 111, 109, 95, 99, 116, 120, 45, 62, 98, 117, 99, 107, 101, 116, 115, 44, 32, 91, 105, 100, 120, 93, 41, 59, 0, 9, 105, 102, 32, 40, 98, 117, 99, 107, 101, 116, 41, 0, 9, 114, 97, 118, 103, 95, 97, 99, 99, 117, 109, 117, 108, 97, 116, 101, 40, 38, 116, 97, 115, 107, 99, 45, 62, 100, 99, 121, 99, 95, 114, 100, 44, 32, 116, 97, 115, 107, 99, 45, 62, 114, 117, 110, 110, 97, 98, 108, 101, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 115, 99, 120, 45, 48, 46, 49, 46, 49, 48, 47, 114, 101, 100, 104, 97, 116, 45, 108, 105, 110, 117, 120, 45, 98, 117, 105, 108, 100, 47, 115, 99, 104, 101, 100, 115, 47, 114, 117, 115, 116, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 47, 100, 101, 98, 117, 103, 47, 98, 117, 105, 108, 100, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 45, 56, 52, 56, 101, 51, 49, 53, 99, 98, 52, 48, 52, 49, 55, 53, 99, 47, 111, 117, 116, 47, 115, 99, 120, 95, 117, 116, 105, 108, 115, 45, 98, 112, 102, 95, 104, 47, 115, 99, 120, 47, 114, 97, 118, 103, 95, 105, 109, 112, 108, 46, 98, 112, 102, 46, 104, 0, 9, 105, 102, 32, 40, 110, 111, 119, 32, 60, 32, 114, 100, 45, 62, 118, 97, 108, 95, 97, 116, 41, 0, 9, 118, 97, 108, 95, 115, 101, 113, 32, 61, 32, 114, 100, 45, 62, 118, 97, 108, 95, 97, 116, 32, 47, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 59, 0, 9, 99, 117, 114, 95, 115, 101, 113, 32, 61, 32, 110, 111, 119, 32, 47, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 59, 0, 9, 105, 102, 32, 40, 115, 101, 113, 95, 100, 101, 108, 116, 97, 32, 62, 32, 48, 41, 32, 123, 0, 9, 105, 102, 32, 40, 33, 114, 100, 45, 62, 118, 97, 108, 41, 0, 9, 116, 97, 115, 107, 95, 100, 99, 121, 99, 95, 114, 100, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 100, 99, 121, 99, 95, 114, 100, 59, 0, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 98, 117, 99, 107, 101, 116, 34, 41, 59, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 32, 61, 32, 110, 101, 119, 95, 100, 111, 109, 95, 105, 100, 59, 0, 9, 9, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 61, 32, 100, 111, 109, 95, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 40, 110, 101, 119, 95, 100, 111, 109, 99, 41, 59, 0, 9, 9, 9, 9, 32, 32, 115, 99, 97, 108, 101, 95, 105, 110, 118, 101, 114, 115, 101, 95, 102, 97, 105, 114, 40, 116, 97, 115, 107, 99, 45, 62, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 44, 32, 116, 97, 115, 107, 99, 45, 62, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 118, 97, 108, 117, 101, 32, 42, 32, 49, 48, 48, 32, 47, 32, 119, 101, 105, 103, 104, 116, 59, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 101, 97, 100, 108, 105, 110, 101, 32, 61, 32, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 43, 0, 9, 9, 9, 9, 112, 45, 62, 99, 112, 117, 115, 95, 112, 116, 114, 41, 59, 0, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 97, 110, 100, 40, 116, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 100, 95, 99, 112, 117, 109, 97, 115, 107, 44, 0, 9, 114, 101, 116, 117, 114, 110, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 32, 61, 61, 32, 110, 101, 119, 95, 100, 111, 109, 95, 105, 100, 59, 0, 9, 105, 102, 32, 40, 115, 104, 105, 102, 116, 32, 62, 61, 32, 54, 52, 41, 0, 9, 9, 114, 100, 45, 62, 99, 117, 114, 32, 61, 32, 48, 59, 0, 9, 9, 100, 117, 114, 32, 61, 32, 114, 97, 118, 103, 95, 110, 111, 114, 109, 97, 108, 105, 122, 101, 95, 100, 117, 114, 40, 104, 97, 108, 102, 95, 108, 105, 102, 101, 32, 45, 32, 114, 100, 45, 62, 118, 97, 108, 95, 97, 116, 32, 37, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 44, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 105, 102, 32, 40, 100, 117, 114, 32, 60, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 40, 40, 117, 54, 52, 41, 100, 117, 114, 32, 60, 60, 32, 82, 65, 86, 71, 95, 70, 82, 65, 67, 95, 66, 73, 84, 83, 41, 32, 43, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 32, 45, 32, 49, 41, 32, 47, 0, 9, 9, 114, 97, 118, 103, 95, 97, 100, 100, 40, 38, 114, 100, 45, 62, 111, 108, 100, 44, 32, 114, 100, 45, 62, 118, 97, 108, 32, 42, 32, 114, 97, 118, 103, 95, 100, 101, 99, 97, 121, 40, 100, 117, 114, 44, 32, 115, 101, 113, 95, 100, 101, 108, 116, 97, 41, 41, 59, 0, 9, 9, 105, 102, 32, 40, 115, 101, 113, 95, 100, 101, 108, 116, 97, 32, 62, 32, 49, 41, 32, 123, 0, 9, 9, 9, 117, 51, 50, 32, 105, 100, 120, 32, 61, 32, 115, 101, 113, 95, 100, 101, 108, 116, 97, 32, 45, 32, 50, 59, 0, 9, 9, 9, 105, 102, 32, 40, 105, 100, 120, 32, 62, 61, 32, 114, 97, 118, 103, 95, 102, 117, 108, 108, 95, 115, 117, 109, 95, 108, 101, 110, 41, 0, 9, 9, 9, 114, 97, 118, 103, 95, 97, 100, 100, 40, 38, 114, 100, 45, 62, 111, 108, 100, 44, 32, 114, 100, 45, 62, 118, 97, 108, 32, 42, 32, 114, 97, 118, 103, 95, 102, 117, 108, 108, 95, 115, 117, 109, 91, 105, 100, 120, 93, 41, 59, 0, 9, 9, 114, 100, 45, 62, 99, 117, 114, 32, 43, 61, 32, 114, 100, 45, 62, 118, 97, 108, 32, 42, 32, 114, 97, 118, 103, 95, 110, 111, 114, 109, 97, 108, 105, 122, 101, 95, 100, 117, 114, 40, 110, 111, 119, 32, 37, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 44, 0, 9, 9, 114, 100, 45, 62, 99, 117, 114, 32, 43, 61, 32, 114, 100, 45, 62, 118, 97, 108, 32, 42, 32, 114, 97, 118, 103, 95, 110, 111, 114, 109, 97, 108, 105, 122, 101, 95, 100, 117, 114, 40, 110, 111, 119, 32, 45, 32, 114, 100, 45, 62, 118, 97, 108, 95, 97, 116, 44, 0, 9, 114, 100, 45, 62, 118, 97, 108, 95, 97, 116, 32, 61, 32, 110, 111, 119, 59, 0, 9, 105, 102, 32, 40, 100, 101, 98, 117, 103, 32, 62, 61, 32, 50, 41, 0, 9, 9, 116, 97, 115, 107, 95, 100, 99, 121, 99, 108, 101, 32, 61, 32, 114, 97, 118, 103, 95, 114, 101, 97, 100, 40, 38, 116, 97, 115, 107, 95, 100, 99, 121, 99, 95, 114, 100, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 101, 108, 97, 112, 115, 101, 100, 32, 61, 32, 110, 111, 119, 32, 37, 32, 104, 97, 108, 102, 95, 108, 105, 102, 101, 59, 0, 9, 105, 102, 32, 40, 101, 108, 97, 112, 115, 101, 100, 41, 32, 123, 0, 9, 97, 104, 32, 42, 61, 32, 98, 59, 0, 9, 9, 9, 9, 9, 32, 32, 32, 40, 49, 32, 60, 60, 32, 82, 65, 86, 71, 95, 70, 82, 65, 67, 95, 66, 73, 84, 83, 41, 32, 45, 32, 112, 114, 111, 103, 114, 101, 115, 115, 32, 47, 32, 50, 44, 0, 9, 9, 97, 104, 32, 60, 60, 61, 32, 51, 50, 32, 45, 32, 114, 115, 104, 105, 102, 116, 59, 0, 9, 9, 117, 54, 52, 32, 99, 117, 114, 32, 61, 32, 114, 100, 45, 62, 99, 117, 114, 32, 47, 32, 50, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 97, 108, 32, 43, 32, 97, 104, 59, 0, 9, 117, 54, 52, 32, 97, 108, 32, 61, 32, 97, 32, 38, 32, 109, 97, 115, 107, 51, 50, 59, 0, 9, 97, 108, 32, 42, 61, 32, 98, 59, 0, 9, 97, 108, 32, 62, 62, 61, 32, 114, 115, 104, 105, 102, 116, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 111, 108, 100, 32, 43, 32, 99, 117, 114, 59, 0, 9, 9, 98, 112, 102, 95, 112, 114, 105, 110, 116, 107, 40, 34, 88, 70, 69, 82, 32, 68, 67, 89, 67, 76, 69, 32, 100, 111, 109, 37, 117, 45, 62, 37, 117, 32, 116, 97, 115, 107, 61, 37, 108, 117, 32, 102, 114, 111, 109, 61, 37, 108, 117, 45, 62, 37, 108, 117, 32, 116, 111, 61, 37, 108, 117, 45, 62, 37, 108, 117, 34, 44, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 108, 111, 99, 107, 40, 38, 102, 114, 111, 109, 95, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 9, 105, 102, 32, 40, 116, 97, 115, 107, 99, 45, 62, 114, 117, 110, 110, 97, 98, 108, 101, 41, 0, 9, 9, 102, 114, 111, 109, 95, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 45, 45, 59, 0, 9, 105, 102, 32, 40, 40, 115, 54, 52, 41, 40, 98, 97, 115, 101, 45, 62, 118, 97, 108, 95, 97, 116, 32, 45, 32, 120, 102, 101, 114, 45, 62, 118, 97, 108, 95, 97, 116, 41, 32, 60, 32, 48, 41, 0, 9, 9, 102, 114, 111, 109, 95, 100, 99, 121, 99, 108, 101, 91, 48, 93, 32, 61, 32, 114, 97, 118, 103, 95, 114, 101, 97, 100, 40, 38, 102, 114, 111, 109, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 116, 114, 100, 32, 61, 32, 42, 114, 100, 59, 0, 9, 114, 97, 118, 103, 95, 116, 114, 97, 110, 115, 102, 101, 114, 40, 38, 102, 114, 111, 109, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 102, 114, 111, 109, 95, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 44, 0, 9, 9, 32, 32, 32, 32, 32, 32, 38, 116, 97, 115, 107, 95, 100, 99, 121, 99, 95, 114, 100, 44, 32, 116, 97, 115, 107, 99, 45, 62, 114, 117, 110, 110, 97, 98, 108, 101, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 44, 32, 102, 97, 108, 115, 101, 41, 59, 0, 9, 101, 108, 115, 101, 32, 105, 102, 32, 40, 40, 115, 54, 52, 41, 40, 98, 97, 115, 101, 45, 62, 118, 97, 108, 95, 97, 116, 32, 45, 32, 120, 102, 101, 114, 45, 62, 118, 97, 108, 95, 97, 116, 41, 32, 62, 32, 48, 41, 0, 9, 9, 105, 102, 32, 40, 98, 97, 115, 101, 45, 62, 111, 108, 100, 32, 62, 32, 120, 102, 101, 114, 45, 62, 111, 108, 100, 41, 0, 9, 9, 105, 102, 32, 40, 98, 97, 115, 101, 45, 62, 99, 117, 114, 32, 62, 32, 120, 102, 101, 114, 45, 62, 99, 117, 114, 41, 0, 9, 9, 102, 114, 111, 109, 95, 100, 99, 121, 99, 108, 101, 91, 49, 93, 32, 61, 32, 114, 97, 118, 103, 95, 114, 101, 97, 100, 40, 38, 102, 114, 111, 109, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 117, 110, 108, 111, 99, 107, 40, 38, 102, 114, 111, 109, 95, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 108, 111, 99, 107, 40, 38, 116, 111, 95, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 9, 9, 116, 111, 95, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 43, 43, 59, 0, 9, 9, 116, 111, 95, 100, 99, 121, 99, 108, 101, 91, 48, 93, 32, 61, 32, 114, 97, 118, 103, 95, 114, 101, 97, 100, 40, 38, 116, 111, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 114, 97, 118, 103, 95, 116, 114, 97, 110, 115, 102, 101, 114, 40, 38, 116, 111, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 116, 111, 95, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 44, 0, 9, 9, 32, 32, 32, 32, 32, 32, 38, 116, 97, 115, 107, 95, 100, 99, 121, 99, 95, 114, 100, 44, 32, 116, 97, 115, 107, 99, 45, 62, 114, 117, 110, 110, 97, 98, 108, 101, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 44, 32, 116, 114, 117, 101, 41, 59, 0, 9, 9, 98, 97, 115, 101, 45, 62, 99, 117, 114, 32, 43, 61, 32, 120, 102, 101, 114, 45, 62, 99, 117, 114, 59, 0, 9, 9, 98, 97, 115, 101, 45, 62, 111, 108, 100, 32, 43, 61, 32, 120, 102, 101, 114, 45, 62, 111, 108, 100, 59, 0, 9, 9, 116, 111, 95, 100, 99, 121, 99, 108, 101, 91, 49, 93, 32, 61, 32, 114, 97, 118, 103, 95, 114, 101, 97, 100, 40, 38, 116, 111, 95, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 117, 110, 108, 111, 99, 107, 40, 38, 116, 111, 95, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 115, 116, 97, 116, 105, 99, 32, 117, 54, 52, 32, 116, 97, 115, 107, 95, 99, 111, 109, 112, 117, 116, 101, 95, 100, 108, 40, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 99, 116, 120, 32, 42, 116, 97, 115, 107, 99, 44, 0, 9, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 32, 61, 32, 109, 105, 110, 40, 116, 97, 115, 107, 99, 45, 62, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 44, 32, 68, 76, 95, 70, 82, 69, 81, 95, 70, 84, 95, 77, 65, 88, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 97, 32, 60, 61, 32, 98, 32, 63, 32, 97, 32, 58, 32, 98, 59, 0, 9, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 32, 61, 32, 109, 105, 110, 40, 116, 97, 115, 107, 99, 45, 62, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 44, 32, 68, 76, 95, 70, 82, 69, 81, 95, 70, 84, 95, 77, 65, 88, 41, 59, 0, 9, 102, 114, 101, 113, 95, 102, 97, 99, 116, 111, 114, 32, 61, 32, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 32, 42, 32, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 32, 42, 32, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 59, 0, 9, 102, 114, 101, 113, 95, 102, 97, 99, 116, 111, 114, 32, 61, 32, 115, 99, 97, 108, 101, 95, 117, 112, 95, 102, 97, 105, 114, 40, 102, 114, 101, 113, 95, 102, 97, 99, 116, 111, 114, 44, 32, 112, 45, 62, 115, 99, 120, 46, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 118, 97, 108, 117, 101, 32, 42, 32, 119, 101, 105, 103, 104, 116, 32, 47, 32, 49, 48, 48, 59, 0, 9, 108, 97, 116, 95, 112, 114, 105, 111, 32, 61, 32, 98, 112, 102, 95, 108, 111, 103, 50, 108, 40, 102, 114, 101, 113, 95, 102, 97, 99, 116, 111, 114, 32, 43, 32, 49, 41, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 115, 99, 120, 45, 48, 46, 49, 46, 49, 48, 47, 114, 101, 100, 104, 97, 116, 45, 108, 105, 110, 117, 120, 45, 98, 117, 105, 108, 100, 47, 115, 99, 104, 101, 100, 115, 47, 114, 117, 115, 116, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 47, 100, 101, 98, 117, 103, 47, 98, 117, 105, 108, 100, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 45, 56, 52, 56, 101, 51, 49, 53, 99, 98, 52, 48, 52, 49, 55, 53, 99, 47, 111, 117, 116, 47, 115, 99, 120, 95, 117, 116, 105, 108, 115, 45, 98, 112, 102, 95, 104, 47, 115, 99, 120, 47, 99, 111, 109, 109, 111, 110, 46, 98, 112, 102, 46, 104, 0, 32, 32, 32, 32, 32, 32, 32, 32, 117, 51, 50, 32, 104, 105, 32, 61, 32, 118, 32, 62, 62, 32, 51, 50, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 105, 102, 32, 40, 104, 105, 41, 0, 32, 32, 32, 32, 32, 32, 32, 32, 114, 32, 61, 32, 40, 118, 32, 62, 32, 48, 120, 70, 70, 70, 70, 41, 32, 60, 60, 32, 52, 59, 32, 118, 32, 62, 62, 61, 32, 114, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 115, 104, 105, 102, 116, 32, 61, 32, 40, 118, 32, 62, 32, 48, 120, 70, 70, 41, 32, 60, 60, 32, 51, 59, 32, 118, 32, 62, 62, 61, 32, 115, 104, 105, 102, 116, 59, 32, 114, 32, 124, 61, 32, 115, 104, 105, 102, 116, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 115, 104, 105, 102, 116, 32, 61, 32, 40, 118, 32, 62, 32, 48, 120, 70, 41, 32, 60, 60, 32, 50, 59, 32, 118, 32, 62, 62, 61, 32, 115, 104, 105, 102, 116, 59, 32, 114, 32, 124, 61, 32, 115, 104, 105, 102, 116, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 115, 104, 105, 102, 116, 32, 61, 32, 40, 118, 32, 62, 32, 48, 120, 51, 41, 32, 60, 60, 32, 49, 59, 32, 118, 32, 62, 62, 61, 32, 115, 104, 105, 102, 116, 59, 32, 114, 32, 124, 61, 32, 115, 104, 105, 102, 116, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 108, 111, 103, 50, 40, 118, 41, 32, 43, 32, 49, 59, 0, 32, 32, 32, 32, 32, 32, 32, 32, 114, 32, 124, 61, 32, 40, 118, 32, 62, 62, 32, 49, 41, 59, 0, 9, 97, 118, 103, 95, 114, 117, 110, 95, 114, 97, 119, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 32, 47, 32, 68, 76, 95, 82, 85, 78, 84, 73, 77, 69, 95, 83, 67, 65, 76, 69, 59, 0, 9, 97, 118, 103, 95, 114, 117, 110, 95, 114, 97, 119, 32, 61, 32, 115, 99, 97, 108, 101, 95, 105, 110, 118, 101, 114, 115, 101, 95, 102, 97, 105, 114, 40, 97, 118, 103, 95, 114, 117, 110, 95, 114, 97, 119, 44, 32, 112, 45, 62, 115, 99, 120, 46, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 105, 102, 32, 40, 97, 118, 103, 95, 114, 117, 110, 32, 60, 32, 108, 97, 116, 95, 112, 114, 105, 111, 41, 32, 123, 0, 9, 105, 102, 32, 40, 112, 114, 105, 111, 32, 62, 61, 32, 68, 76, 95, 77, 65, 88, 95, 76, 65, 84, 95, 80, 82, 73, 79, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 73, 110, 118, 97, 108, 105, 100, 32, 112, 114, 105, 111, 32, 105, 110, 100, 101, 120, 34, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 115, 99, 97, 108, 101, 95, 105, 110, 118, 101, 114, 115, 101, 95, 102, 97, 105, 114, 40, 116, 97, 115, 107, 99, 45, 62, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 44, 32, 108, 97, 116, 95, 115, 99, 97, 108, 101, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 115, 99, 104, 101, 100, 95, 112, 114, 105, 111, 95, 116, 111, 95, 119, 101, 105, 103, 104, 116, 91, 68, 76, 95, 77, 65, 88, 95, 76, 65, 84, 95, 80, 82, 73, 79, 32, 45, 32, 112, 114, 105, 111, 32, 45, 32, 49, 93, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 114, 117, 110, 110, 97, 98, 108, 101, 32, 61, 32, 114, 117, 110, 110, 97, 98, 108, 101, 59, 0, 115, 116, 97, 116, 105, 99, 32, 118, 111, 105, 100, 32, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 40, 117, 51, 50, 32, 100, 111, 109, 95, 105, 100, 44, 32, 117, 51, 50, 32, 119, 101, 105, 103, 104, 116, 44, 32, 117, 54, 52, 32, 110, 111, 119, 44, 32, 98, 111, 111, 108, 32, 114, 117, 110, 110, 97, 98, 108, 101, 41, 0, 9, 115, 54, 52, 32, 97, 100, 106, 32, 61, 32, 114, 117, 110, 110, 97, 98, 108, 101, 32, 63, 32, 49, 32, 58, 32, 45, 49, 59, 0, 9, 105, 102, 32, 40, 33, 98, 117, 99, 107, 101, 116, 32, 124, 124, 32, 33, 108, 111, 99, 107, 119, 41, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 108, 111, 99, 107, 40, 38, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 9, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 32, 43, 61, 32, 97, 100, 106, 59, 0, 9, 114, 97, 118, 103, 95, 97, 99, 99, 117, 109, 117, 108, 97, 116, 101, 40, 38, 98, 117, 99, 107, 101, 116, 45, 62, 114, 100, 44, 32, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 44, 32, 110, 111, 119, 44, 32, 108, 111, 97, 100, 95, 104, 97, 108, 102, 95, 108, 105, 102, 101, 41, 59, 0, 9, 98, 112, 102, 95, 115, 112, 105, 110, 95, 117, 110, 108, 111, 99, 107, 40, 38, 108, 111, 99, 107, 119, 45, 62, 108, 111, 99, 107, 41, 59, 0, 9, 105, 102, 32, 40, 97, 100, 106, 32, 60, 32, 48, 32, 38, 38, 32, 40, 115, 54, 52, 41, 98, 117, 99, 107, 101, 116, 45, 62, 100, 99, 121, 99, 108, 101, 32, 60, 32, 48, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 99, 112, 117, 37, 100, 32, 100, 111, 109, 37, 117, 32, 98, 117, 99, 107, 101, 116, 37, 117, 32, 108, 111, 97, 100, 32, 117, 110, 100, 101, 114, 102, 108, 111, 119, 32, 40, 100, 99, 121, 99, 108, 101, 61, 37, 108, 108, 100, 32, 97, 100, 106, 61, 37, 108, 108, 100, 41, 34, 44, 0, 9, 105, 102, 32, 40, 100, 101, 98, 117, 103, 32, 62, 61, 50, 32, 38, 38, 0, 9, 32, 32, 32, 32, 40, 33, 100, 111, 109, 99, 45, 62, 100, 98, 103, 95, 100, 99, 121, 99, 108, 101, 95, 112, 114, 105, 110, 116, 101, 100, 95, 97, 116, 32, 124, 124, 32, 110, 111, 119, 32, 45, 32, 100, 111, 109, 99, 45, 62, 100, 98, 103, 95, 100, 99, 121, 99, 108, 101, 95, 112, 114, 105, 110, 116, 101, 100, 95, 97, 116, 32, 62, 61, 32, 49, 48, 48, 48, 48, 48, 48, 48, 48, 48, 41, 41, 32, 123, 0, 9, 9, 98, 112, 102, 95, 112, 114, 105, 110, 116, 107, 40, 34, 68, 67, 89, 67, 76, 69, 32, 65, 68, 74, 32, 100, 111, 109, 61, 37, 117, 32, 98, 117, 99, 107, 101, 116, 61, 37, 117, 32, 97, 100, 106, 61, 37, 108, 108, 100, 32, 100, 99, 121, 99, 108, 101, 61, 37, 117, 32, 97, 118, 103, 95, 100, 99, 121, 99, 108, 101, 61, 37, 108, 108, 117, 34, 44, 0, 9, 9, 100, 111, 109, 99, 45, 62, 100, 98, 103, 95, 100, 99, 121, 99, 108, 101, 95, 112, 114, 105, 110, 116, 101, 100, 95, 97, 116, 32, 61, 32, 110, 111, 119, 59, 0, 115, 116, 97, 116, 105, 99, 32, 118, 111, 105, 100, 32, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 99, 116, 120, 32, 42, 116, 97, 115, 107, 99, 44, 0, 9, 105, 102, 32, 40, 110, 114, 95, 100, 111, 109, 115, 32, 62, 32, 49, 41, 0, 9, 115, 51, 50, 32, 99, 112, 117, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99, 101, 115, 115, 111, 114, 95, 105, 100, 40, 41, 59, 0, 9, 105, 102, 32, 40, 99, 112, 117, 32, 60, 32, 48, 32, 124, 124, 32, 99, 112, 117, 32, 62, 61, 32, 77, 65, 88, 95, 67, 80, 85, 83, 41, 0, 9, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 109, 97, 115, 107, 32, 61, 32, 48, 59, 0, 9, 100, 111, 109, 32, 61, 32, 112, 99, 112, 117, 95, 99, 116, 120, 91, 99, 112, 117, 93, 46, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 43, 43, 59, 0, 9, 98, 112, 102, 95, 114, 101, 112, 101, 97, 116, 40, 110, 114, 95, 100, 111, 109, 115, 41, 32, 123, 0, 9, 9, 100, 111, 109, 32, 61, 32, 40, 100, 111, 109, 32, 43, 32, 49, 41, 32, 37, 32, 110, 114, 95, 100, 111, 109, 115, 59, 0, 9, 105, 102, 32, 40, 100, 111, 109, 95, 105, 100, 32, 62, 61, 32, 77, 65, 88, 95, 68, 79, 77, 83, 41, 0, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 99, 112, 117, 109, 97, 115, 107, 41, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 40, 100, 111, 109, 95, 99, 112, 117, 109, 97, 115, 107, 115, 91, 100, 111, 109, 95, 105, 100, 93, 91, 99, 112, 117, 32, 47, 32, 54, 52, 93, 32, 38, 32, 40, 49, 76, 76, 85, 32, 60, 60, 32, 40, 99, 112, 117, 32, 37, 32, 54, 52, 41, 41, 41, 41, 0, 9, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 109, 97, 115, 107, 32, 124, 61, 32, 49, 76, 76, 85, 32, 60, 60, 32, 100, 111, 109, 59, 0, 9, 9, 9, 105, 102, 32, 40, 102, 105, 114, 115, 116, 95, 100, 111, 109, 32, 61, 61, 32, 78, 79, 95, 68, 79, 77, 95, 70, 79, 85, 78, 68, 41, 0, 9, 105, 102, 32, 40, 33, 116, 97, 115, 107, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 116, 97, 115, 107, 99, 44, 32, 112, 44, 32, 100, 111, 109, 95, 105, 100, 44, 32, 105, 110, 105, 116, 95, 100, 115, 113, 95, 118, 116, 105, 109, 101, 41, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 115, 101, 116, 32, 100, 111, 109, 37, 100, 32, 102, 111, 114, 32, 37, 115, 91, 37, 100, 93, 34, 44, 0, 115, 116, 97, 116, 105, 99, 32, 115, 51, 50, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 115, 116, 114, 117, 99, 116, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 32, 42, 42, 107, 112, 116, 114, 41, 0, 9, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 114, 101, 97, 116, 101, 40, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 99, 114, 101, 97, 116, 101, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 98, 112, 102, 95, 107, 112, 116, 114, 95, 120, 99, 104, 103, 40, 107, 112, 116, 114, 44, 32, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 105, 102, 32, 40, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 107, 112, 116, 114, 32, 97, 108, 114, 101, 97, 100, 121, 32, 104, 97, 100, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 114, 101, 108, 101, 97, 115, 101, 40, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 44, 32, 115, 51, 50, 32, 99, 112, 117, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 114, 101, 118, 41, 0, 9, 105, 102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 105, 115, 95, 111, 102, 102, 108, 105, 110, 101, 95, 99, 112, 117, 40, 99, 112, 117, 41, 41, 41, 0, 9, 105, 102, 32, 40, 115, 99, 120, 95, 98, 112, 102, 95, 99, 111, 110, 115, 117, 109, 101, 40, 100, 111, 109, 41, 41, 32, 123, 0, 9, 105, 102, 32, 40, 33, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 0, 9, 112, 99, 112, 117, 99, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 112, 99, 112, 117, 95, 99, 116, 120, 44, 32, 91, 99, 112, 117, 93, 41, 59, 0, 9, 105, 102, 32, 40, 33, 112, 99, 112, 117, 99, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 112, 99, 112, 117, 32, 99, 116, 120, 32, 102, 111, 114, 32, 37, 100, 34, 44, 32, 99, 112, 117, 41, 59, 0, 9, 110, 111, 100, 101, 95, 100, 111, 109, 115, 32, 61, 32, 112, 99, 112, 117, 99, 45, 62, 110, 114, 95, 110, 111, 100, 101, 95, 100, 111, 109, 115, 59, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 105, 44, 32, 48, 44, 32, 110, 111, 100, 101, 95, 100, 111, 109, 115, 41, 32, 123, 0, 9, 9, 100, 111, 109, 32, 61, 32, 40, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 32, 43, 32, 49, 32, 43, 32, 105, 41, 32, 37, 32, 110, 111, 100, 101, 95, 100, 111, 109, 115, 59, 0, 9, 9, 105, 102, 32, 40, 115, 99, 120, 95, 98, 112, 102, 95, 99, 111, 110, 115, 117, 109, 101, 40, 100, 111, 109, 41, 41, 32, 123, 0, 9, 105, 102, 32, 40, 33, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 120, 95, 110, 117, 109, 97, 32, 124, 124, 32, 110, 114, 95, 110, 111, 100, 101, 115, 32, 61, 61, 32, 49, 41, 0, 9, 109, 121, 95, 110, 111, 100, 101, 32, 61, 32, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 40, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 98, 112, 102, 95, 114, 101, 112, 101, 97, 116, 40, 110, 114, 95, 100, 111, 109, 115, 32, 45, 32, 49, 41, 32, 123, 0, 9, 9, 100, 111, 109, 32, 61, 32, 40, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 32, 43, 32, 49, 41, 32, 37, 32, 110, 114, 95, 100, 111, 109, 115, 59, 0, 9, 9, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 43, 43, 59, 0, 9, 9, 105, 102, 32, 40, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 40, 100, 111, 109, 41, 32, 33, 61, 32, 109, 121, 95, 110, 111, 100, 101, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 115, 99, 120, 95, 98, 112, 102, 95, 100, 115, 113, 95, 110, 114, 95, 113, 117, 101, 117, 101, 100, 40, 100, 111, 109, 41, 32, 62, 61, 32, 103, 114, 101, 101, 100, 121, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 120, 95, 110, 117, 109, 97, 32, 38, 38, 0, 9, 9, 32, 32, 32, 32, 115, 99, 120, 95, 98, 112, 102, 95, 99, 111, 110, 115, 117, 109, 101, 40, 100, 111, 109, 41, 41, 32, 123, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 117, 54, 52, 32, 101, 110, 113, 95, 102, 108, 97, 103, 115, 41, 0, 9, 117, 54, 52, 32, 110, 111, 119, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 44, 32, 105, 110, 116, 101, 114, 118, 97, 108, 59, 0, 9, 119, 97, 107, 101, 101, 95, 99, 116, 120, 45, 62, 105, 115, 95, 107, 119, 111, 114, 107, 101, 114, 32, 61, 32, 112, 45, 62, 102, 108, 97, 103, 115, 32, 38, 32, 80, 70, 95, 87, 81, 95, 87, 79, 82, 75, 69, 82, 59, 0, 9, 116, 97, 115, 107, 95, 108, 111, 97, 100, 95, 97, 100, 106, 40, 112, 44, 32, 119, 97, 107, 101, 101, 95, 99, 116, 120, 44, 32, 110, 111, 119, 44, 32, 116, 114, 117, 101, 41, 59, 0, 9, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 40, 119, 97, 107, 101, 101, 95, 99, 116, 120, 45, 62, 100, 111, 109, 95, 105, 100, 44, 32, 119, 97, 107, 101, 101, 95, 99, 116, 120, 45, 62, 119, 101, 105, 103, 104, 116, 44, 32, 110, 111, 119, 44, 32, 116, 114, 117, 101, 41, 59, 0, 9, 119, 97, 107, 101, 101, 95, 99, 116, 120, 45, 62, 115, 117, 109, 95, 114, 117, 110, 116, 105, 109, 101, 32, 61, 32, 48, 59, 0, 9, 119, 97, 107, 101, 114, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 116, 97, 115, 107, 95, 98, 116, 102, 40, 41, 59, 0, 9, 105, 102, 32, 40, 33, 40, 119, 97, 107, 101, 114, 95, 99, 116, 120, 32, 61, 32, 116, 114, 121, 95, 108, 111, 111, 107, 117, 112, 95, 116, 97, 115, 107, 95, 99, 116, 120, 40, 119, 97, 107, 101, 114, 41, 41, 41, 0, 9, 119, 97, 107, 101, 114, 95, 99, 116, 120, 45, 62, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 32, 61, 32, 117, 112, 100, 97, 116, 101, 95, 102, 114, 101, 113, 40, 119, 97, 107, 101, 114, 95, 99, 116, 120, 45, 62, 119, 97, 107, 101, 114, 95, 102, 114, 101, 113, 44, 32, 105, 110, 116, 101, 114, 118, 97, 108, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 108, 100, 95, 118, 97, 108, 32, 45, 32, 40, 111, 108, 100, 95, 118, 97, 108, 32, 62, 62, 32, 50, 41, 41, 32, 43, 32, 40, 110, 101, 119, 95, 118, 97, 108, 32, 62, 62, 32, 50, 41, 59, 0, 9, 105, 110, 116, 101, 114, 118, 97, 108, 32, 61, 32, 110, 111, 119, 32, 45, 32, 119, 97, 107, 101, 114, 95, 99, 116, 120, 45, 62, 108, 97, 115, 116, 95, 119, 111, 107, 101, 95, 97, 116, 59, 0, 9, 119, 97, 107, 101, 114, 95, 99, 116, 120, 45, 62, 108, 97, 115, 116, 95, 119, 111, 107, 101, 95, 97, 116, 32, 61, 32, 110, 111, 119, 59, 0, 9, 110, 101, 119, 95, 102, 114, 101, 113, 32, 61, 32, 40, 49, 48, 48, 32, 42, 32, 78, 83, 69, 67, 95, 80, 69, 82, 95, 77, 83, 69, 67, 41, 32, 47, 32, 105, 110, 116, 101, 114, 118, 97, 108, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 41, 0, 9, 100, 111, 109, 95, 105, 100, 32, 61, 32, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 59, 0, 9, 105, 102, 32, 40, 100, 111, 109, 95, 105, 100, 32, 62, 61, 32, 77, 65, 88, 95, 68, 79, 77, 83, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 73, 110, 118, 97, 108, 105, 100, 32, 100, 111, 109, 32, 73, 68, 34, 41, 59, 0, 9, 100, 97, 112, 95, 103, 101, 110, 32, 61, 32, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 91, 100, 111, 109, 95, 105, 100, 93, 46, 103, 101, 110, 59, 0, 9, 105, 102, 32, 40, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 95, 103, 101, 110, 32, 33, 61, 32, 100, 97, 112, 95, 103, 101, 110, 41, 32, 123, 0, 9, 9, 117, 54, 52, 32, 105, 100, 120, 32, 61, 32, 95, 95, 115, 121, 110, 99, 95, 102, 101, 116, 99, 104, 95, 97, 110, 100, 95, 97, 100, 100, 40, 38, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 91, 100, 111, 109, 95, 105, 100, 93, 46, 119, 114, 105, 116, 101, 95, 105, 100, 120, 44, 32, 49, 41, 32, 37, 0, 9, 9, 112, 105, 100, 112, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 44, 32, 91, 100, 111, 109, 95, 105, 100, 93, 46, 112, 105, 100, 115, 91, 105, 100, 120, 93, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 112, 105, 100, 112, 41, 32, 123, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 91, 37, 117, 93, 91, 37, 108, 108, 117, 93, 32, 105, 110, 100, 101, 120, 105, 110, 103, 32, 102, 97, 105, 108, 101, 100, 34, 44, 0, 9, 9, 42, 112, 105, 100, 112, 32, 61, 32, 112, 45, 62, 112, 105, 100, 59, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 97, 99, 116, 105, 118, 101, 95, 112, 105, 100, 115, 95, 103, 101, 110, 32, 61, 32, 100, 97, 112, 95, 103, 101, 110, 59, 0, 9, 115, 116, 114, 117, 99, 116, 32, 108, 111, 99, 107, 95, 119, 114, 97, 112, 112, 101, 114, 42, 32, 108, 111, 99, 107, 119, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 40, 100, 111, 109, 99, 45, 62, 105, 100, 41, 59, 0, 9, 117, 51, 50, 32, 105, 100, 120, 32, 61, 32, 100, 111, 109, 95, 105, 100, 59, 0, 9, 108, 111, 99, 107, 119, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 100, 111, 109, 95, 118, 116, 105, 109, 101, 95, 108, 111, 99, 107, 115, 44, 32, 38, 105, 100, 120, 41, 59, 0, 9, 105, 102, 32, 40, 33, 108, 111, 99, 107, 119, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 108, 111, 99, 107, 34, 41, 59, 0, 9, 105, 102, 32, 40, 118, 116, 105, 109, 101, 95, 98, 101, 102, 111, 114, 101, 40, 100, 111, 109, 99, 45, 62, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 44, 32, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 41, 41, 0, 9, 9, 100, 111, 109, 99, 45, 62, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 32, 61, 32, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 108, 97, 115, 116, 95, 114, 117, 110, 95, 97, 116, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 98, 111, 111, 108, 32, 114, 117, 110, 110, 97, 98, 108, 101, 41, 0, 9, 105, 102, 32, 40, 33, 40, 100, 111, 109, 99, 32, 61, 32, 108, 111, 111, 107, 117, 112, 95, 100, 111, 109, 95, 99, 116, 120, 40, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 41, 41, 41, 0, 9, 110, 111, 119, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 9, 100, 101, 108, 116, 97, 32, 61, 32, 110, 111, 119, 32, 45, 32, 116, 97, 115, 107, 99, 45, 62, 108, 97, 115, 116, 95, 114, 117, 110, 95, 97, 116, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 115, 117, 109, 95, 114, 117, 110, 116, 105, 109, 101, 32, 43, 61, 32, 100, 101, 108, 116, 97, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 32, 61, 32, 99, 97, 108, 99, 95, 97, 118, 103, 40, 116, 97, 115, 107, 99, 45, 62, 97, 118, 103, 95, 114, 117, 110, 116, 105, 109, 101, 44, 32, 116, 97, 115, 107, 99, 45, 62, 115, 117, 109, 95, 114, 117, 110, 116, 105, 109, 101, 41, 59, 0, 9, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 43, 61, 32, 115, 99, 97, 108, 101, 95, 105, 110, 118, 101, 114, 115, 101, 95, 102, 97, 105, 114, 40, 100, 101, 108, 116, 97, 44, 32, 112, 45, 62, 115, 99, 120, 46, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 100, 101, 97, 100, 108, 105, 110, 101, 32, 61, 32, 112, 45, 62, 115, 99, 120, 46, 100, 115, 113, 95, 118, 116, 105, 109, 101, 32, 43, 32, 116, 97, 115, 107, 95, 99, 111, 109, 112, 117, 116, 101, 95, 100, 108, 40, 112, 44, 32, 116, 97, 115, 107, 99, 44, 32, 48, 41, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 117, 54, 52, 32, 100, 101, 113, 95, 102, 108, 97, 103, 115, 41, 0, 9, 116, 97, 115, 107, 95, 108, 111, 97, 100, 95, 97, 100, 106, 40, 112, 44, 32, 116, 97, 115, 107, 99, 44, 32, 110, 111, 119, 44, 32, 102, 97, 108, 115, 101, 41, 59, 0, 9, 100, 111, 109, 95, 100, 99, 121, 99, 108, 101, 95, 97, 100, 106, 40, 116, 97, 115, 107, 99, 45, 62, 100, 111, 109, 95, 105, 100, 44, 32, 116, 97, 115, 107, 99, 45, 62, 119, 101, 105, 103, 104, 116, 44, 32, 110, 111, 119, 44, 32, 102, 97, 108, 115, 101, 41, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 32, 61, 32, 117, 112, 100, 97, 116, 101, 95, 102, 114, 101, 113, 40, 116, 97, 115, 107, 99, 45, 62, 98, 108, 111, 99, 107, 101, 100, 95, 102, 114, 101, 113, 44, 32, 105, 110, 116, 101, 114, 118, 97, 108, 41, 59, 0, 9, 105, 110, 116, 101, 114, 118, 97, 108, 32, 61, 32, 110, 111, 119, 32, 45, 32, 116, 97, 115, 107, 99, 45, 62, 108, 97, 115, 116, 95, 98, 108, 111, 99, 107, 101, 100, 95, 97, 116, 59, 0, 9, 116, 97, 115, 107, 99, 45, 62, 108, 97, 115, 116, 95, 98, 108, 111, 99, 107, 101, 100, 95, 97, 116, 32, 61, 32, 110, 111, 119, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 32, 117, 51, 50, 32, 119, 101, 105, 103, 104, 116, 41, 0, 9, 9, 98, 112, 102, 95, 112, 114, 105, 110, 116, 107, 40, 34, 37, 115, 91, 37, 100, 93, 58, 32, 83, 69, 84, 95, 87, 69, 73, 71, 72, 84, 32, 37, 117, 32, 45, 62, 32, 37, 117, 34, 44, 32, 112, 45, 62, 99, 111, 109, 109, 44, 32, 112, 45, 62, 112, 105, 100, 44, 0, 9, 116, 97, 115, 107, 99, 45, 62, 119, 101, 105, 103, 104, 116, 32, 61, 32, 119, 101, 105, 103, 104, 116, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 0, 9, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 116, 97, 115, 107, 99, 44, 32, 112, 44, 32, 99, 112, 117, 109, 97, 115, 107, 44, 32, 102, 97, 108, 115, 101, 41, 59, 0, 9, 105, 102, 32, 40, 97, 108, 108, 95, 99, 112, 117, 109, 97, 115, 107, 41, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 117, 98, 115, 101, 116, 40, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 97, 108, 108, 95, 99, 112, 117, 109, 97, 115, 107, 44, 32, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 116, 97, 115, 107, 99, 45, 62, 97, 108, 108, 95, 99, 112, 117, 115, 32, 61, 0, 115, 51, 50, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 0, 9, 117, 54, 52, 32, 110, 111, 119, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 9, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 99, 116, 120, 32, 116, 97, 115, 107, 99, 32, 61, 32, 123, 0, 9, 112, 105, 100, 32, 61, 32, 112, 45, 62, 112, 105, 100, 59, 0, 9, 114, 101, 116, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 97, 115, 107, 95, 100, 97, 116, 97, 44, 32, 38, 112, 105, 100, 44, 32, 38, 116, 97, 115, 107, 99, 44, 32, 48, 32, 47, 42, 66, 80, 70, 95, 78, 79, 69, 88, 73, 83, 84, 42, 47, 41, 59, 0, 9, 105, 102, 32, 40, 114, 101, 116, 41, 32, 123, 0, 9, 9, 98, 112, 102, 95, 112, 114, 105, 110, 116, 107, 40, 34, 37, 115, 91, 37, 100, 93, 58, 32, 73, 78, 73, 84, 32, 40, 119, 101, 105, 103, 104, 116, 32, 37, 117, 41, 41, 34, 44, 32, 112, 45, 62, 99, 111, 109, 109, 44, 32, 112, 45, 62, 112, 105, 100, 44, 32, 112, 45, 62, 115, 99, 120, 46, 119, 101, 105, 103, 104, 116, 41, 59, 0, 9, 109, 97, 112, 95, 118, 97, 108, 117, 101, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 97, 115, 107, 95, 100, 97, 116, 97, 44, 32, 38, 112, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 109, 97, 112, 95, 118, 97, 108, 117, 101, 41, 0, 9, 114, 101, 116, 32, 61, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 38, 109, 97, 112, 95, 118, 97, 108, 117, 101, 45, 62, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 114, 101, 116, 32, 61, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 38, 109, 97, 112, 95, 118, 97, 108, 117, 101, 45, 62, 116, 109, 112, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 116, 97, 115, 107, 95, 112, 105, 99, 107, 95, 97, 110, 100, 95, 115, 101, 116, 95, 100, 111, 109, 97, 105, 110, 40, 109, 97, 112, 95, 118, 97, 108, 117, 101, 44, 32, 112, 44, 32, 112, 45, 62, 99, 112, 117, 115, 95, 112, 116, 114, 44, 32, 116, 114, 117, 101, 41, 59, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 44, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 32, 42, 112, 44, 0, 9, 114, 101, 116, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 97, 115, 107, 95, 100, 97, 116, 97, 44, 32, 38, 112, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 119, 105, 116, 99, 104, 95, 112, 97, 114, 116, 105, 97, 108, 41, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 115, 99, 120, 45, 48, 46, 49, 46, 49, 48, 47, 114, 101, 100, 104, 97, 116, 45, 108, 105, 110, 117, 120, 45, 98, 117, 105, 108, 100, 47, 115, 99, 104, 101, 100, 115, 47, 114, 117, 115, 116, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 47, 100, 101, 98, 117, 103, 47, 98, 117, 105, 108, 100, 47, 115, 99, 120, 95, 114, 117, 115, 116, 121, 45, 56, 52, 56, 101, 51, 49, 53, 99, 98, 52, 48, 52, 49, 55, 53, 99, 47, 111, 117, 116, 47, 115, 99, 120, 95, 117, 116, 105, 108, 115, 45, 98, 112, 102, 95, 104, 47, 115, 99, 120, 47, 99, 111, 109, 112, 97, 116, 46, 98, 112, 102, 46, 104, 0, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95, 99, 111, 114, 101, 95, 101, 110, 117, 109, 95, 118, 97, 108, 117, 101, 95, 101, 120, 105, 115, 116, 115, 40, 101, 110, 117, 109, 32, 115, 99, 120, 95, 111, 112, 115, 95, 102, 108, 97, 103, 115, 44, 32, 83, 67, 88, 95, 79, 80, 83, 95, 83, 87, 73, 84, 67, 72, 95, 80, 65, 82, 84, 73, 65, 76, 41, 41, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 115, 119, 105, 116, 99, 104, 95, 97, 108, 108, 40, 41, 59, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 105, 44, 32, 48, 44, 32, 110, 114, 95, 110, 111, 100, 101, 115, 41, 32, 123, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 99, 112, 117, 44, 32, 48, 44, 32, 77, 65, 88, 95, 67, 80, 85, 83, 41, 32, 123, 0, 9, 9, 110, 109, 97, 115, 107, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 110, 117, 109, 97, 95, 99, 112, 117, 109, 97, 115, 107, 115, 44, 32, 91, 110, 111, 100, 101, 95, 105, 100, 93, 91, 99, 112, 117, 32, 47, 32, 54, 52, 93, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 110, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 97, 114, 114, 97, 121, 32, 105, 110, 100, 101, 120, 32, 101, 114, 114, 111, 114, 34, 41, 59, 0, 9, 9, 105, 102, 32, 40, 42, 110, 109, 97, 115, 107, 32, 38, 32, 40, 49, 76, 76, 85, 32, 60, 60, 32, 40, 99, 112, 117, 32, 37, 32, 54, 52, 41, 41, 41, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 114, 101, 116, 41, 0, 9, 110, 111, 100, 101, 99, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 110, 111, 100, 101, 95, 100, 97, 116, 97, 44, 32, 38, 110, 111, 100, 101, 95, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 110, 111, 100, 101, 99, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 78, 111, 32, 110, 111, 100, 101, 37, 117, 34, 44, 32, 110, 111, 100, 101, 95, 105, 100, 41, 59, 0, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107, 40, 41, 59, 0, 9, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 110, 111, 100, 101, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 110, 111, 100, 101, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 105, 44, 32, 48, 44, 32, 110, 114, 95, 100, 111, 109, 115, 41, 32, 123, 0, 9, 114, 101, 116, 32, 61, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 38, 100, 111, 109, 99, 45, 62, 110, 111, 100, 101, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 105, 102, 32, 40, 114, 101, 116, 41, 0, 9, 110, 111, 100, 101, 95, 109, 97, 115, 107, 32, 61, 32, 110, 111, 100, 101, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 105, 102, 32, 40, 33, 110, 111, 100, 101, 95, 109, 97, 115, 107, 32, 124, 124, 32, 33, 100, 111, 109, 95, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 99, 112, 117, 109, 97, 115, 107, 32, 108, 111, 111, 107, 117, 112, 32, 102, 97, 105, 108, 101, 100, 34, 41, 59, 0, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 99, 111, 112, 121, 40, 100, 111, 109, 95, 109, 97, 115, 107, 44, 32, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 110, 111, 100, 101, 95, 109, 97, 115, 107, 41, 59, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 77, 97, 120, 32, 100, 111, 109, 32, 73, 68, 32, 37, 117, 32, 101, 120, 99, 101, 101, 100, 101, 100, 32, 40, 37, 117, 41, 34, 44, 32, 77, 65, 88, 95, 68, 79, 77, 83, 44, 32, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 110, 111, 100, 101, 95, 105, 100, 32, 61, 32, 100, 111, 109, 95, 110, 111, 100, 101, 95, 105, 100, 40, 100, 111, 109, 95, 105, 100, 41, 59, 0, 9, 114, 101, 116, 32, 61, 32, 115, 99, 120, 95, 98, 112, 102, 95, 99, 114, 101, 97, 116, 101, 95, 100, 115, 113, 40, 100, 111, 109, 95, 105, 100, 44, 32, 110, 111, 100, 101, 95, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 114, 101, 116, 32, 60, 32, 48, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 99, 114, 101, 97, 116, 101, 32, 100, 115, 113, 32, 37, 117, 32, 40, 37, 100, 41, 34, 44, 32, 100, 111, 109, 95, 105, 100, 44, 32, 114, 101, 116, 41, 59, 0, 9, 100, 111, 109, 99, 45, 62, 105, 100, 32, 61, 32, 100, 111, 109, 95, 105, 100, 59, 0, 9, 114, 101, 116, 32, 61, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 38, 100, 111, 109, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 100, 111, 109, 95, 109, 97, 115, 107, 32, 61, 32, 100, 111, 109, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 105, 102, 32, 40, 33, 100, 111, 109, 95, 109, 97, 115, 107, 32, 124, 124, 32, 33, 97, 108, 108, 95, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 67, 111, 117, 108, 100, 32, 110, 111, 116, 32, 102, 105, 110, 100, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 114, 101, 116, 32, 61, 32, 99, 114, 101, 97, 116, 101, 95, 115, 97, 118, 101, 95, 99, 112, 117, 109, 97, 115, 107, 40, 38, 100, 111, 109, 99, 45, 62, 100, 105, 114, 101, 99, 116, 95, 103, 114, 101, 101, 100, 121, 95, 99, 112, 117, 109, 97, 115, 107, 41, 59, 0, 9, 9, 100, 109, 97, 115, 107, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 100, 111, 109, 95, 99, 112, 117, 109, 97, 115, 107, 115, 44, 32, 91, 100, 111, 109, 95, 105, 100, 93, 91, 99, 112, 117, 32, 47, 32, 54, 52, 93, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 100, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 42, 100, 109, 97, 115, 107, 32, 38, 32, 40, 49, 76, 76, 85, 32, 60, 60, 32, 40, 99, 112, 117, 32, 37, 32, 54, 52, 41, 41, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 100, 111, 109, 95, 109, 97, 115, 107, 41, 59, 0, 9, 9, 9, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 115, 101, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 97, 108, 108, 95, 109, 97, 115, 107, 41, 59, 0, 9, 98, 112, 102, 95, 102, 111, 114, 40, 105, 44, 32, 48, 44, 32, 110, 114, 95, 99, 112, 117, 115, 95, 112, 111, 115, 115, 105, 98, 108, 101, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 105, 115, 95, 111, 102, 102, 108, 105, 110, 101, 95, 99, 112, 117, 40, 105, 41, 41, 0, 9, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 114, 114, 95, 99, 117, 114, 32, 61, 32, 99, 112, 117, 59, 0, 9, 9, 9, 9, 112, 99, 112, 117, 99, 45, 62, 100, 111, 109, 95, 105, 100, 32, 61, 32, 105, 59, 0, 9, 112, 99, 112, 117, 99, 45, 62, 110, 114, 95, 110, 111, 100, 101, 95, 100, 111, 109, 115, 32, 61, 32, 106, 59, 0, 9, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 100, 111, 109, 99, 45, 62, 110, 111, 100, 101, 95, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 105, 102, 32, 40, 33, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 110, 111, 100, 101, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 32, 40, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99, 116, 32, 99, 112, 117, 109, 97, 115, 107, 32, 42, 41, 99, 112, 117, 109, 97, 115, 107, 41, 41, 32, 123, 0, 9, 9, 9, 99, 112, 117, 109, 97, 115, 107, 32, 61, 32, 100, 111, 109, 99, 45, 62, 99, 112, 117, 109, 97, 115, 107, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 99, 112, 117, 109, 97, 115, 107, 41, 32, 123, 0, 9, 9, 9, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 32, 99, 112, 117, 109, 97, 115, 107, 34, 41, 59, 0, 9, 9, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95, 99, 112, 117, 109, 97, 115, 107, 95, 116, 101, 115, 116, 95, 99, 112, 117, 40, 99, 112, 117, 44, 0, 9, 9, 9, 9, 100, 111, 109, 95, 110, 111, 100, 101, 115, 32, 61, 32, 77, 69, 77, 66, 69, 82, 95, 86, 80, 84, 82, 40, 112, 99, 112, 117, 99, 45, 62, 110, 111, 100, 101, 95, 100, 111, 109, 115, 44, 32, 91, 106, 93, 41, 59, 0, 9, 9, 9, 9, 105, 102, 32, 40, 33, 100, 111, 109, 95, 110, 111, 100, 101, 115, 41, 32, 123, 0, 9, 9, 9, 9, 9, 98, 112, 102, 95, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110, 108, 111, 99, 107, 40, 41, 59, 0, 9, 9, 9, 9, 9, 115, 99, 120, 95, 98, 112, 102, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 100, 111, 109, 115, 32, 112, 116, 114, 34, 41, 59, 0, 9, 9, 9, 9, 42, 100, 111, 109, 95, 110, 111, 100, 101, 115, 32, 61, 32, 105, 59, 0, 9, 9, 9, 9, 106, 43, 43, 59, 0, 115, 51, 50, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 95, 83, 76, 69, 69, 80, 65, 66, 76, 69, 40, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 41, 0, 118, 111, 105, 100, 32, 66, 80, 70, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 40, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 44, 32, 115, 116, 114, 117, 99, 116, 32, 115, 99, 120, 95, 101, 120, 105, 116, 95, 105, 110, 102, 111, 32, 42, 101, 105, 41, 0, 9, 85, 69, 73, 95, 82, 69, 67, 79, 82, 68, 40, 117, 101, 105, 44, 32, 101, 105, 41, 59, 0, 48, 58, 56, 52, 0, 48, 58, 50, 57, 0, 48, 58, 53, 0, 48, 58, 51, 48, 0, 48, 58, 50, 51, 58, 49, 53, 0, 48, 58, 50, 51, 58, 51, 0, 48, 58, 50, 51, 58, 52, 0, 48, 58, 49, 49, 56, 0, 51, 0, 48, 58, 50, 0, 48, 58, 54, 0, 48, 58, 49, 0, 48, 58, 48, 0, 108, 105, 99, 101, 110, 115, 101, 0, 46, 114, 111, 100, 97, 116, 97, 0, 46, 100, 97, 116, 97, 0, 46, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 108, 105, 110, 107, 0, 46, 100, 97, 116, 97, 46, 117, 101, 105, 95, 100, 117, 109, 112, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 46, 100, 97, 116, 97, 46, 65, 0, 46, 107, 115, 121, 109, 115, 0, 46, 116, 101, 120, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 108, 101, 99, 116, 95, 99, 112, 117, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 110, 113, 117, 101, 117, 101, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 100, 105, 115, 112, 97, 116, 99, 104, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 97, 98, 108, 101, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 114, 117, 110, 110, 105, 110, 103, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 116, 111, 112, 112, 105, 110, 103, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 113, 117, 105, 101, 115, 99, 101, 110, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 119, 101, 105, 103, 104, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 115, 101, 116, 95, 99, 112, 117, 109, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 95, 116, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 46, 115, 47, 114, 117, 115, 116, 121, 95, 105, 110, 105, 116, 0, 115, 116, 114, 117, 99, 116, 95, 111, 112, 115, 47, 114, 117, 115, 116, 121, 95, 101, 120, 105, 116, 0, 159, 235, 1, 0, 32, 0, 0, 0, 0, 0, 0, 0, 28, 1, 0, 0, 28, 1, 0, 0, 132, 116, 0, 0, 160, 117, 0, 0, 252, 3, 0, 0, 8, 0, 0, 0, 34, 136, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 233, 1, 0, 0, 168, 0, 0, 0, 7, 2, 0, 0, 64, 1, 0, 0, 9, 2, 0, 0, 56, 54, 0, 0, 12, 2, 0, 0, 120, 58, 0, 0, 14, 2, 0, 0, 144, 62, 0, 0, 16, 2, 0, 0, 88, 75, 0, 0, 18, 2, 0, 0, 176, 79, 0, 0, 21, 2, 0, 0, 40, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 68, 0, 0, 0, 68, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 221, 1, 0, 0, 93, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 234, 1, 0, 0, 119, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 237, 1, 0, 0, 145, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 238, 1, 0, 0, 170, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 239, 1, 0, 0, 196, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 240, 1, 0, 0, 223, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 241, 1, 0, 0, 251, 136, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 242, 1, 0, 0, 24, 137, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 244, 1, 0, 0, 51, 137, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 247, 1, 0, 0, 78, 137, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 248, 1, 0, 0, 102, 137, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 16, 0, 0, 0, 34, 136, 0, 0, 185, 3, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 126, 84, 0, 0, 12, 48, 18, 0, 72, 0, 0, 0, 84, 64, 0, 0, 177, 84, 0, 0, 6, 52, 18, 0, 80, 0, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 96, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 0, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 152, 0, 0, 0, 84, 64, 0, 0, 254, 84, 0, 0, 9, 68, 18, 0, 160, 0, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 72, 18, 0, 168, 0, 0, 0, 84, 64, 0, 0, 18, 85, 0, 0, 0, 128, 2, 0, 192, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 0, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 224, 0, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 232, 0, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 0, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 1, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 56, 1, 0, 0, 84, 64, 0, 0, 68, 85, 0, 0, 2, 160, 2, 0, 64, 1, 0, 0, 84, 64, 0, 0, 82, 85, 0, 0, 0, 128, 11, 0, 80, 1, 0, 0, 84, 64, 0, 0, 157, 85, 0, 0, 21, 156, 11, 0, 88, 1, 0, 0, 84, 64, 0, 0, 186, 85, 0, 0, 6, 160, 11, 0, 104, 1, 0, 0, 84, 64, 0, 0, 205, 85, 0, 0, 3, 164, 11, 0, 168, 1, 0, 0, 84, 64, 0, 0, 0, 86, 0, 0, 26, 148, 11, 0, 192, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 1, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 224, 1, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 232, 1, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 248, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 48, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 2, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 80, 2, 0, 0, 84, 64, 0, 0, 33, 86, 0, 0, 6, 200, 11, 0, 88, 2, 0, 0, 84, 64, 0, 0, 51, 86, 0, 0, 7, 204, 11, 0, 96, 2, 0, 0, 84, 64, 0, 0, 87, 86, 0, 0, 4, 208, 11, 0, 112, 2, 0, 0, 84, 64, 0, 0, 120, 86, 0, 0, 20, 212, 11, 0, 128, 2, 0, 0, 84, 64, 0, 0, 120, 86, 0, 0, 26, 212, 11, 0, 144, 2, 0, 0, 84, 64, 0, 0, 120, 86, 0, 0, 11, 212, 11, 0, 160, 2, 0, 0, 84, 64, 0, 0, 165, 86, 0, 0, 24, 244, 11, 0, 168, 2, 0, 0, 84, 64, 0, 0, 197, 86, 0, 0, 6, 248, 11, 0, 176, 2, 0, 0, 84, 64, 0, 0, 216, 86, 0, 0, 3, 252, 11, 0, 200, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 2, 0, 0, 84, 64, 0, 0, 216, 86, 0, 0, 3, 252, 11, 0, 232, 2, 0, 0, 84, 64, 0, 0, 157, 85, 0, 0, 21, 16, 12, 0, 240, 2, 0, 0, 84, 64, 0, 0, 186, 85, 0, 0, 6, 20, 12, 0, 0, 3, 0, 0, 84, 64, 0, 0, 205, 85, 0, 0, 3, 24, 12, 0, 64, 3, 0, 0, 84, 64, 0, 0, 12, 87, 0, 0, 11, 60, 12, 0, 80, 3, 0, 0, 84, 64, 0, 0, 35, 87, 0, 0, 6, 56, 12, 0, 104, 3, 0, 0, 84, 64, 0, 0, 35, 87, 0, 0, 6, 56, 12, 0, 112, 3, 0, 0, 84, 64, 0, 0, 98, 87, 0, 0, 13, 64, 12, 0, 128, 3, 0, 0, 84, 64, 0, 0, 130, 87, 0, 0, 7, 72, 12, 0, 136, 3, 0, 0, 84, 64, 0, 0, 153, 87, 0, 0, 35, 76, 12, 0, 168, 3, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 200, 3, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 208, 3, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 224, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 3, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 32, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 4, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 64, 4, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 80, 4, 0, 0, 84, 64, 0, 0, 213, 87, 0, 0, 4, 220, 11, 0, 104, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 4, 0, 0, 84, 64, 0, 0, 213, 87, 0, 0, 4, 220, 11, 0, 128, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 4, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 216, 4, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 224, 4, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 248, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 24, 5, 0, 0, 84, 64, 0, 0, 4, 88, 0, 0, 46, 232, 4, 0, 40, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 19, 152, 3, 0, 48, 5, 0, 0, 84, 64, 0, 0, 130, 88, 0, 0, 31, 212, 4, 0, 56, 5, 0, 0, 84, 64, 0, 0, 168, 88, 0, 0, 16, 44, 3, 0, 64, 5, 0, 0, 84, 64, 0, 0, 168, 88, 0, 0, 34, 44, 3, 0, 72, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 37, 152, 3, 0, 88, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 6, 152, 3, 0, 104, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 5, 0, 0, 84, 64, 0, 0, 218, 88, 0, 0, 10, 164, 3, 0, 144, 5, 0, 0, 84, 64, 0, 0, 17, 89, 0, 0, 6, 168, 3, 0, 160, 5, 0, 0, 84, 64, 0, 0, 29, 89, 0, 0, 2, 180, 3, 0, 216, 5, 0, 0, 84, 64, 0, 0, 74, 89, 0, 0, 42, 236, 4, 0, 232, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 19, 152, 3, 0, 240, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 37, 152, 3, 0, 248, 5, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 6, 152, 3, 0, 8, 6, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 6, 0, 0, 84, 64, 0, 0, 218, 88, 0, 0, 10, 164, 3, 0, 40, 6, 0, 0, 84, 64, 0, 0, 17, 89, 0, 0, 6, 168, 3, 0, 56, 6, 0, 0, 84, 64, 0, 0, 29, 89, 0, 0, 2, 180, 3, 0, 104, 6, 0, 0, 84, 64, 0, 0, 128, 89, 0, 0, 18, 240, 4, 0, 120, 6, 0, 0, 84, 64, 0, 0, 159, 89, 0, 0, 11, 112, 3, 0, 192, 6, 0, 0, 84, 64, 0, 0, 207, 89, 0, 0, 6, 116, 3, 0, 200, 6, 0, 0, 84, 64, 0, 0, 159, 89, 0, 0, 11, 112, 3, 0, 0, 7, 0, 0, 84, 64, 0, 0, 207, 89, 0, 0, 6, 116, 3, 0, 16, 7, 0, 0, 84, 64, 0, 0, 220, 89, 0, 0, 42, 44, 5, 0, 24, 7, 0, 0, 84, 64, 0, 0, 220, 89, 0, 0, 57, 44, 5, 0, 48, 7, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 32, 1, 0, 64, 7, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 88, 7, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 104, 7, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 128, 7, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 144, 7, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 152, 7, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 160, 7, 0, 0, 84, 64, 0, 0, 57, 91, 0, 0, 24, 48, 5, 0, 168, 7, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 192, 7, 0, 0, 84, 64, 0, 0, 89, 91, 0, 0, 2, 128, 3, 0, 0, 8, 0, 0, 84, 64, 0, 0, 159, 89, 0, 0, 11, 112, 3, 0, 40, 8, 0, 0, 84, 64, 0, 0, 207, 89, 0, 0, 6, 116, 3, 0, 56, 8, 0, 0, 84, 64, 0, 0, 89, 91, 0, 0, 2, 128, 3, 0, 96, 8, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 8, 0, 0, 84, 64, 0, 0, 136, 91, 0, 0, 17, 80, 12, 0, 120, 8, 0, 0, 84, 64, 0, 0, 248, 82, 0, 0, 15, 40, 6, 0, 144, 8, 0, 0, 84, 64, 0, 0, 166, 91, 0, 0, 20, 84, 12, 0, 152, 8, 0, 0, 84, 64, 0, 0, 215, 91, 0, 0, 53, 92, 12, 0, 160, 8, 0, 0, 84, 64, 0, 0, 215, 91, 0, 0, 33, 92, 12, 0, 168, 8, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 15, 36, 4, 0, 176, 8, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 21, 36, 4, 0, 184, 8, 0, 0, 84, 64, 0, 0, 50, 92, 0, 0, 28, 88, 12, 0, 192, 8, 0, 0, 84, 64, 0, 0, 50, 92, 0, 0, 38, 88, 12, 0, 200, 8, 0, 0, 84, 64, 0, 0, 50, 92, 0, 0, 19, 88, 12, 0, 208, 8, 0, 0, 84, 64, 0, 0, 89, 92, 0, 0, 8, 100, 12, 0, 216, 8, 0, 0, 84, 64, 0, 0, 107, 92, 0, 0, 3, 96, 12, 0, 240, 8, 0, 0, 84, 64, 0, 0, 171, 92, 0, 0, 16, 112, 12, 0, 0, 9, 0, 0, 84, 64, 0, 0, 171, 92, 0, 0, 23, 112, 12, 0, 16, 9, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 116, 12, 0, 24, 9, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 9, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 88, 9, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 176, 9, 0, 0, 37, 90, 0, 0, 226, 92, 0, 0, 11, 132, 1, 0, 192, 9, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 9, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 216, 9, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 232, 9, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 8, 10, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 16, 10, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 24, 10, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 40, 10, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 48, 10, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 64, 10, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 104, 10, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 176, 10, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 10, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 200, 10, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 208, 10, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 224, 10, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 8, 11, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 80, 11, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 11, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 128, 11, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 136, 11, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 152, 11, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 160, 11, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 168, 11, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 184, 11, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 200, 11, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 11, 4, 2, 0, 216, 11, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 232, 11, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 240, 11, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 16, 12, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 32, 12, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 40, 12, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 48, 12, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 64, 12, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 72, 12, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 112, 12, 0, 0, 37, 90, 0, 0, 200, 94, 0, 0, 13, 48, 2, 0, 120, 12, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 12, 0, 0, 84, 64, 0, 0, 57, 91, 0, 0, 24, 48, 5, 0, 144, 12, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 52, 5, 0, 168, 12, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 52, 5, 0, 176, 12, 0, 0, 84, 64, 0, 0, 236, 94, 0, 0, 47, 56, 5, 0, 200, 12, 0, 0, 37, 90, 0, 0, 43, 95, 0, 0, 16, 40, 4, 0, 224, 12, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 240, 12, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 248, 12, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 8, 13, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 16, 13, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 32, 13, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 40, 13, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 56, 13, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 80, 13, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 88, 13, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 96, 13, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 112, 13, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 120, 13, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 128, 13, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 168, 13, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 176, 13, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 184, 13, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 192, 13, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 200, 13, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 208, 13, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 232, 13, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 240, 13, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 248, 13, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 0, 14, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 16, 14, 0, 0, 84, 64, 0, 0, 92, 96, 0, 0, 2, 68, 5, 0, 32, 14, 0, 0, 84, 64, 0, 0, 127, 96, 0, 0, 13, 72, 5, 0, 48, 14, 0, 0, 84, 64, 0, 0, 127, 96, 0, 0, 6, 72, 5, 0, 64, 14, 0, 0, 84, 64, 0, 0, 149, 96, 0, 0, 22, 76, 5, 0, 88, 14, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 84, 5, 0, 112, 14, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 84, 5, 0, 152, 14, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 18, 148, 2, 0, 184, 14, 0, 0, 84, 64, 0, 0, 219, 96, 0, 0, 53, 88, 5, 0, 216, 14, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 28, 4, 0, 232, 14, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 28, 4, 0, 8, 15, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 64, 15, 0, 0, 37, 90, 0, 0, 32, 97, 0, 0, 8, 68, 4, 0, 88, 15, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 104, 15, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 128, 15, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 136, 15, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 160, 15, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 168, 15, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 200, 15, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 216, 15, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 224, 15, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 232, 15, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 248, 15, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 0, 16, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 24, 16, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 16, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 80, 16, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 176, 16, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 200, 16, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 240, 16, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 248, 16, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 0, 17, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 16, 17, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 24, 17, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 48, 17, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 88, 17, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 160, 17, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 168, 17, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 176, 17, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 192, 17, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 232, 17, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 80, 18, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 88, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 96, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 112, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 120, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 128, 18, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 144, 18, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 168, 18, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 192, 18, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 200, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 208, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 224, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 232, 18, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 240, 18, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 24, 19, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 32, 19, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 40, 19, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 48, 19, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 56, 19, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 64, 19, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 80, 19, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 88, 19, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 96, 19, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 112, 19, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 144, 19, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 25, 148, 2, 0, 168, 19, 0, 0, 84, 64, 0, 0, 44, 97, 0, 0, 47, 96, 5, 0, 176, 19, 0, 0, 84, 64, 0, 0, 98, 97, 0, 0, 41, 100, 5, 0, 216, 19, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 6, 148, 2, 0, 248, 19, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 8, 20, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 40, 20, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 48, 20, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 64, 20, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 72, 20, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 80, 20, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 104, 20, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 112, 20, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 144, 20, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 160, 20, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 168, 20, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 176, 20, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 192, 20, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 208, 20, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 32, 21, 0, 0, 37, 90, 0, 0, 162, 97, 0, 0, 11, 156, 2, 0, 64, 21, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 80, 21, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 88, 21, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 104, 21, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 152, 21, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 176, 21, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 200, 21, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 208, 21, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 240, 21, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 0, 22, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 8, 22, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 16, 22, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 32, 22, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 48, 22, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 64, 22, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 22, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 120, 22, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 240, 22, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 24, 23, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 56, 23, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 64, 23, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 72, 23, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 88, 23, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 96, 23, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 112, 23, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 152, 23, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 248, 23, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 0, 24, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 8, 24, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 24, 24, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 64, 24, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 216, 24, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 224, 24, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 232, 24, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 248, 24, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 0, 25, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 8, 25, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 24, 25, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 56, 25, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 25, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 120, 25, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 224, 25, 0, 0, 37, 90, 0, 0, 226, 92, 0, 0, 11, 132, 1, 0, 240, 25, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 25, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 16, 26, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 32, 26, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 64, 26, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 72, 26, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 80, 26, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 96, 26, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 104, 26, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 128, 26, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 168, 26, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 248, 26, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 27, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 16, 27, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 24, 27, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 40, 27, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 80, 27, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 168, 27, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 27, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 232, 27, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 240, 27, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 0, 28, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 8, 28, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 16, 28, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 32, 28, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 48, 28, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 11, 4, 2, 0, 72, 28, 0, 0, 37, 90, 0, 0, 200, 94, 0, 0, 13, 48, 2, 0, 136, 28, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 28, 0, 0, 37, 90, 0, 0, 212, 97, 0, 0, 13, 188, 2, 0, 200, 28, 0, 0, 37, 90, 0, 0, 212, 97, 0, 0, 7, 188, 2, 0, 0, 29, 0, 0, 37, 90, 0, 0, 241, 97, 0, 0, 13, 208, 2, 0, 8, 29, 0, 0, 37, 90, 0, 0, 241, 97, 0, 0, 7, 208, 2, 0, 96, 29, 0, 0, 37, 90, 0, 0, 212, 97, 0, 0, 7, 188, 2, 0, 128, 29, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 29, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 29, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 108, 5, 0, 168, 29, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 108, 5, 0, 192, 29, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 28, 4, 0, 208, 29, 0, 0, 84, 64, 0, 0, 14, 98, 0, 0, 53, 112, 5, 0, 232, 29, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 32, 30, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 48, 30, 0, 0, 37, 90, 0, 0, 32, 97, 0, 0, 8, 68, 4, 0, 64, 30, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 96, 30, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 104, 30, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 128, 30, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 136, 30, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 168, 30, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 176, 30, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 184, 30, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 200, 30, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 216, 30, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 232, 30, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 248, 30, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 31, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 48, 31, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 144, 31, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 168, 31, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 208, 31, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 216, 31, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 224, 31, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 240, 31, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 248, 31, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 16, 32, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 56, 32, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 128, 32, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 136, 32, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 144, 32, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 160, 32, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 200, 32, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 48, 33, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 56, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 64, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 80, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 88, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 96, 33, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 112, 33, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 128, 33, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 152, 33, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 160, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 168, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 184, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 192, 33, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 200, 33, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 240, 33, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 248, 33, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 0, 34, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 8, 34, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 16, 34, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 24, 34, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 40, 34, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 48, 34, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 56, 34, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 72, 34, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 96, 34, 0, 0, 84, 64, 0, 0, 83, 98, 0, 0, 2, 120, 5, 0, 112, 34, 0, 0, 84, 64, 0, 0, 120, 98, 0, 0, 2, 132, 5, 0, 128, 34, 0, 0, 84, 64, 0, 0, 127, 96, 0, 0, 13, 136, 5, 0, 144, 34, 0, 0, 84, 64, 0, 0, 127, 96, 0, 0, 6, 136, 5, 0, 152, 34, 0, 0, 84, 64, 0, 0, 153, 98, 0, 0, 20, 140, 5, 0, 176, 34, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 148, 5, 0, 208, 34, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 148, 5, 0, 224, 34, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 18, 148, 2, 0, 240, 34, 0, 0, 84, 64, 0, 0, 176, 98, 0, 0, 49, 152, 5, 0, 8, 35, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 28, 4, 0, 40, 35, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 28, 4, 0, 56, 35, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 120, 35, 0, 0, 37, 90, 0, 0, 32, 97, 0, 0, 8, 68, 4, 0, 144, 35, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 160, 35, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 184, 35, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 192, 35, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 216, 35, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 224, 35, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 0, 36, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 16, 36, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 24, 36, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 32, 36, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 48, 36, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 56, 36, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 80, 36, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 36, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 136, 36, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 232, 36, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 0, 37, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 40, 37, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 48, 37, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 56, 37, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 72, 37, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 80, 37, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 104, 37, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 144, 37, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 224, 37, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 232, 37, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 240, 37, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 0, 38, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 40, 38, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 144, 38, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 152, 38, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 160, 38, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 176, 38, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 184, 38, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 192, 38, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 208, 38, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 240, 38, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 8, 39, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 16, 39, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 24, 39, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 40, 39, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 48, 39, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 56, 39, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 96, 39, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 104, 39, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 112, 39, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 120, 39, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 128, 39, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 136, 39, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 152, 39, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 160, 39, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 168, 39, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 184, 39, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 208, 39, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 25, 148, 2, 0, 232, 39, 0, 0, 84, 64, 0, 0, 241, 98, 0, 0, 43, 160, 5, 0, 240, 39, 0, 0, 84, 64, 0, 0, 35, 99, 0, 0, 41, 164, 5, 0, 16, 40, 0, 0, 37, 90, 0, 0, 174, 96, 0, 0, 6, 148, 2, 0, 48, 40, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 64, 40, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 72, 40, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 88, 40, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 96, 40, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 112, 40, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 120, 40, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 152, 40, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 160, 40, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 192, 40, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 208, 40, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 216, 40, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 224, 40, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 240, 40, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 0, 41, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 24, 41, 0, 0, 37, 90, 0, 0, 162, 97, 0, 0, 11, 156, 2, 0, 56, 41, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 72, 41, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 80, 41, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 96, 41, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 112, 41, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 128, 41, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 152, 41, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 160, 41, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 192, 41, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 208, 41, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 216, 41, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 224, 41, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 240, 41, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 0, 42, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 24, 42, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 42, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 88, 42, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 200, 42, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 224, 42, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 8, 43, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 16, 43, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 24, 43, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 40, 43, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 48, 43, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 56, 43, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 80, 43, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 104, 43, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 200, 43, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 208, 43, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 216, 43, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 232, 43, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 16, 44, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 152, 44, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 160, 44, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 168, 44, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 184, 44, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 192, 44, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 200, 44, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 216, 44, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 240, 44, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 45, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 48, 45, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 152, 45, 0, 0, 37, 90, 0, 0, 226, 92, 0, 0, 11, 132, 1, 0, 168, 45, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 45, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 200, 45, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 216, 45, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 0, 46, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 8, 46, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 16, 46, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 32, 46, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 40, 46, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 48, 46, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 72, 46, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 104, 46, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 184, 46, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 46, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 200, 46, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 208, 46, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 224, 46, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 8, 47, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 88, 47, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 47, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 152, 47, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 160, 47, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 176, 47, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 184, 47, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 192, 47, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 208, 47, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 216, 47, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 47, 0, 0, 37, 90, 0, 0, 200, 94, 0, 0, 13, 48, 2, 0, 32, 48, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 48, 0, 0, 37, 90, 0, 0, 98, 99, 0, 0, 13, 180, 2, 0, 72, 48, 0, 0, 37, 90, 0, 0, 124, 99, 0, 0, 13, 176, 2, 0, 104, 48, 0, 0, 37, 90, 0, 0, 98, 99, 0, 0, 13, 180, 2, 0, 120, 48, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 172, 5, 0, 144, 48, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 172, 5, 0, 176, 48, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 28, 4, 0, 192, 48, 0, 0, 84, 64, 0, 0, 150, 99, 0, 0, 49, 176, 5, 0, 216, 48, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 16, 49, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 32, 49, 0, 0, 37, 90, 0, 0, 32, 97, 0, 0, 8, 68, 4, 0, 48, 49, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 72, 49, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 80, 49, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 104, 49, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 112, 49, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 144, 49, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 152, 49, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 160, 49, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 168, 49, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 192, 49, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 200, 49, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 224, 49, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 49, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 24, 50, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 120, 50, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 144, 50, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 184, 50, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 192, 50, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 200, 50, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 216, 50, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 224, 50, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 232, 50, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 8, 51, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 32, 51, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 104, 51, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 112, 51, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 120, 51, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 136, 51, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 176, 51, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 24, 52, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 32, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 40, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 56, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 64, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 72, 52, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 88, 52, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 104, 52, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 120, 52, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 128, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 136, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 152, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 160, 52, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 168, 52, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 184, 52, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 192, 52, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 232, 52, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 248, 52, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 0, 53, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 8, 53, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 24, 53, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 32, 53, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 40, 53, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 56, 53, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 72, 53, 0, 0, 84, 64, 0, 0, 215, 99, 0, 0, 2, 184, 5, 0, 88, 53, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 192, 5, 0, 120, 53, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 192, 5, 0, 128, 53, 0, 0, 84, 64, 0, 0, 19, 96, 0, 0, 3, 196, 5, 0, 56, 54, 0, 0, 84, 64, 0, 0, 250, 99, 0, 0, 0, 208, 8, 0, 64, 54, 0, 0, 84, 64, 0, 0, 68, 100, 0, 0, 28, 248, 9, 0, 72, 54, 0, 0, 84, 64, 0, 0, 126, 100, 0, 0, 9, 40, 8, 0, 88, 54, 0, 0, 84, 64, 0, 0, 150, 100, 0, 0, 26, 244, 9, 0, 96, 54, 0, 0, 84, 64, 0, 0, 126, 100, 0, 0, 9, 40, 8, 0, 112, 54, 0, 0, 84, 64, 0, 0, 204, 100, 0, 0, 29, 252, 9, 0, 120, 54, 0, 0, 84, 64, 0, 0, 204, 100, 0, 0, 42, 252, 9, 0, 128, 54, 0, 0, 84, 64, 0, 0, 3, 101, 0, 0, 50, 24, 10, 0, 136, 54, 0, 0, 84, 64, 0, 0, 61, 101, 0, 0, 15, 16, 4, 0, 144, 54, 0, 0, 84, 64, 0, 0, 61, 101, 0, 0, 24, 16, 4, 0, 152, 54, 0, 0, 84, 64, 0, 0, 91, 101, 0, 0, 35, 52, 10, 0, 160, 54, 0, 0, 131, 101, 0, 0, 25, 102, 0, 0, 20, 52, 4, 0, 176, 54, 0, 0, 131, 101, 0, 0, 51, 102, 0, 0, 13, 56, 4, 0, 200, 54, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 16, 252, 3, 0, 216, 54, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 26, 252, 3, 0, 224, 54, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 34, 252, 3, 0, 0, 55, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 28, 0, 4, 0, 8, 55, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 36, 0, 4, 0, 40, 55, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 27, 4, 4, 0, 48, 55, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 35, 4, 4, 0, 80, 55, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 27, 8, 4, 0, 88, 55, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 35, 8, 4, 0, 120, 55, 0, 0, 131, 101, 0, 0, 23, 103, 0, 0, 33, 68, 4, 0, 136, 55, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 26, 252, 3, 0, 144, 55, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 34, 252, 3, 0, 176, 55, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 28, 0, 4, 0, 184, 55, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 36, 0, 4, 0, 216, 55, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 27, 4, 4, 0, 224, 55, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 35, 4, 4, 0, 0, 56, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 27, 8, 4, 0, 8, 56, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 35, 8, 4, 0, 24, 56, 0, 0, 131, 101, 0, 0, 63, 103, 0, 0, 17, 12, 4, 0, 32, 56, 0, 0, 131, 101, 0, 0, 63, 103, 0, 0, 11, 12, 4, 0, 64, 56, 0, 0, 84, 64, 0, 0, 86, 103, 0, 0, 23, 120, 10, 0, 72, 56, 0, 0, 84, 64, 0, 0, 86, 103, 0, 0, 35, 120, 10, 0, 88, 56, 0, 0, 84, 64, 0, 0, 126, 100, 0, 0, 9, 40, 8, 0, 104, 56, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 15, 36, 4, 0, 112, 56, 0, 0, 84, 64, 0, 0, 140, 103, 0, 0, 55, 128, 10, 0, 120, 56, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 21, 36, 4, 0, 128, 56, 0, 0, 131, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 56, 0, 0, 84, 64, 0, 0, 126, 100, 0, 0, 9, 40, 8, 0, 176, 56, 0, 0, 131, 101, 0, 0, 51, 102, 0, 0, 13, 56, 4, 0, 184, 56, 0, 0, 131, 101, 0, 0, 23, 103, 0, 0, 33, 68, 4, 0, 224, 56, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 26, 252, 3, 0, 232, 56, 0, 0, 131, 101, 0, 0, 67, 102, 0, 0, 34, 252, 3, 0, 8, 57, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 28, 0, 4, 0, 16, 57, 0, 0, 131, 101, 0, 0, 107, 102, 0, 0, 36, 0, 4, 0, 48, 57, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 27, 4, 4, 0, 56, 57, 0, 0, 131, 101, 0, 0, 165, 102, 0, 0, 35, 4, 4, 0, 80, 57, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 27, 8, 4, 0, 88, 57, 0, 0, 131, 101, 0, 0, 222, 102, 0, 0, 35, 8, 4, 0, 96, 57, 0, 0, 131, 101, 0, 0, 63, 103, 0, 0, 17, 12, 4, 0, 104, 57, 0, 0, 131, 101, 0, 0, 23, 103, 0, 0, 17, 68, 4, 0, 144, 57, 0, 0, 84, 64, 0, 0, 203, 103, 0, 0, 6, 140, 10, 0, 176, 57, 0, 0, 84, 64, 0, 0, 230, 103, 0, 0, 6, 176, 8, 0, 192, 57, 0, 0, 84, 64, 0, 0, 6, 104, 0, 0, 3, 180, 8, 0, 248, 57, 0, 0, 84, 64, 0, 0, 45, 104, 0, 0, 35, 16, 11, 0, 16, 58, 0, 0, 84, 64, 0, 0, 104, 104, 0, 0, 53, 196, 8, 0, 24, 58, 0, 0, 84, 64, 0, 0, 104, 104, 0, 0, 9, 196, 8, 0, 80, 58, 0, 0, 84, 64, 0, 0, 126, 100, 0, 0, 9, 40, 8, 0, 96, 58, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 15, 36, 4, 0, 104, 58, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 21, 36, 4, 0, 112, 58, 0, 0, 84, 64, 0, 0, 45, 104, 0, 0, 2, 16, 11, 0, 120, 58, 0, 0, 84, 64, 0, 0, 162, 104, 0, 0, 18, 68, 3, 0, 128, 58, 0, 0, 84, 64, 0, 0, 220, 89, 0, 0, 57, 72, 3, 0, 152, 58, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 32, 1, 0, 168, 58, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 184, 58, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 200, 58, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 216, 58, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 224, 58, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 232, 58, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 240, 58, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 8, 59, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 16, 59, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 64, 59, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 80, 59, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 88, 59, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 96, 59, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 112, 59, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 120, 59, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 168, 59, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 59, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 232, 59, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 64, 60, 0, 0, 37, 90, 0, 0, 226, 92, 0, 0, 11, 132, 1, 0, 72, 60, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 60, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 112, 60, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 128, 60, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 160, 60, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 168, 60, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 176, 60, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 192, 60, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 200, 60, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 208, 60, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 240, 60, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 8, 61, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 80, 61, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 61, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 96, 61, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 104, 61, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 120, 61, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 160, 61, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 232, 61, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 62, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 32, 62, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 40, 62, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 56, 62, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 64, 62, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 72, 62, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 88, 62, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 96, 62, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 11, 4, 2, 0, 112, 62, 0, 0, 37, 90, 0, 0, 200, 94, 0, 0, 13, 48, 2, 0, 120, 62, 0, 0, 84, 64, 0, 0, 220, 89, 0, 0, 35, 72, 3, 0, 128, 62, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 62, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 76, 3, 0, 144, 62, 0, 0, 84, 64, 0, 0, 191, 104, 0, 0, 0, 48, 4, 0, 192, 62, 0, 0, 84, 64, 0, 0, 10, 105, 0, 0, 12, 68, 4, 0, 216, 62, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 62, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 248, 62, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 0, 63, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 24, 63, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 63, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 72, 63, 0, 0, 84, 64, 0, 0, 159, 89, 0, 0, 11, 112, 3, 0, 88, 63, 0, 0, 84, 64, 0, 0, 168, 88, 0, 0, 16, 44, 3, 0, 96, 63, 0, 0, 84, 64, 0, 0, 168, 88, 0, 0, 34, 44, 3, 0, 104, 63, 0, 0, 84, 64, 0, 0, 159, 89, 0, 0, 11, 112, 3, 0, 152, 63, 0, 0, 84, 64, 0, 0, 207, 89, 0, 0, 6, 116, 3, 0, 176, 63, 0, 0, 84, 64, 0, 0, 89, 91, 0, 0, 2, 128, 3, 0, 232, 63, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 19, 152, 3, 0, 248, 63, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 37, 152, 3, 0, 8, 64, 0, 0, 84, 64, 0, 0, 62, 88, 0, 0, 6, 152, 3, 0, 24, 64, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 64, 0, 0, 84, 64, 0, 0, 218, 88, 0, 0, 10, 164, 3, 0, 56, 64, 0, 0, 84, 64, 0, 0, 17, 89, 0, 0, 6, 168, 3, 0, 72, 64, 0, 0, 84, 64, 0, 0, 29, 89, 0, 0, 2, 180, 3, 0, 112, 64, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 64, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 184, 4, 0, 136, 64, 0, 0, 84, 64, 0, 0, 40, 105, 0, 0, 14, 104, 4, 0, 152, 64, 0, 0, 84, 64, 0, 0, 64, 105, 0, 0, 2, 116, 4, 0, 168, 64, 0, 0, 84, 64, 0, 0, 94, 105, 0, 0, 17, 120, 4, 0, 200, 64, 0, 0, 84, 64, 0, 0, 118, 105, 0, 0, 52, 124, 4, 0, 224, 64, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 32, 1, 0, 240, 64, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 32, 1, 0, 0, 65, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 16, 65, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 40, 65, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 56, 65, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 64, 65, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 80, 65, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 104, 65, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 112, 65, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 160, 65, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 176, 65, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 184, 65, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 192, 65, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 208, 65, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 216, 65, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 16, 66, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 66, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 72, 66, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 160, 66, 0, 0, 37, 90, 0, 0, 226, 92, 0, 0, 11, 132, 1, 0, 184, 66, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 66, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 11, 144, 1, 0, 232, 66, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 0, 67, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 32, 67, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 40, 67, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 56, 67, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 72, 67, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 80, 67, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 88, 67, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 112, 67, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 144, 67, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 224, 67, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 67, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 240, 67, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 248, 67, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 8, 68, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 48, 68, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 120, 68, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 68, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 176, 68, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 184, 68, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 200, 68, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 208, 68, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 216, 68, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 232, 68, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 240, 68, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 11, 4, 2, 0, 8, 69, 0, 0, 37, 90, 0, 0, 200, 94, 0, 0, 13, 48, 2, 0, 56, 69, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 69, 0, 0, 84, 64, 0, 0, 186, 105, 0, 0, 2, 128, 4, 0, 80, 69, 0, 0, 84, 64, 0, 0, 218, 105, 0, 0, 14, 136, 4, 0, 104, 69, 0, 0, 84, 64, 0, 0, 218, 105, 0, 0, 30, 136, 4, 0, 112, 69, 0, 0, 84, 64, 0, 0, 218, 105, 0, 0, 6, 136, 4, 0, 120, 69, 0, 0, 84, 64, 0, 0, 3, 106, 0, 0, 3, 140, 4, 0, 208, 69, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 69, 0, 0, 84, 64, 0, 0, 3, 106, 0, 0, 3, 140, 4, 0, 0, 70, 0, 0, 84, 64, 0, 0, 81, 106, 0, 0, 6, 156, 4, 0, 24, 70, 0, 0, 84, 64, 0, 0, 81, 106, 0, 0, 16, 156, 4, 0, 32, 70, 0, 0, 84, 64, 0, 0, 99, 106, 0, 0, 14, 160, 4, 0, 48, 70, 0, 0, 84, 64, 0, 0, 99, 106, 0, 0, 36, 160, 4, 0, 80, 70, 0, 0, 84, 64, 0, 0, 189, 106, 0, 0, 3, 164, 4, 0, 160, 70, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 16, 28, 4, 0, 184, 70, 0, 0, 37, 90, 0, 0, 190, 90, 0, 0, 6, 28, 4, 0, 200, 70, 0, 0, 37, 90, 0, 0, 248, 90, 0, 0, 16, 44, 1, 0, 248, 70, 0, 0, 37, 90, 0, 0, 32, 97, 0, 0, 8, 68, 4, 0, 16, 71, 0, 0, 37, 90, 0, 0, 213, 90, 0, 0, 23, 48, 1, 0, 32, 71, 0, 0, 37, 90, 0, 0, 20, 91, 0, 0, 6, 108, 1, 0, 48, 71, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 56, 71, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 47, 16, 2, 0, 72, 71, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 80, 71, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 112, 71, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 128, 71, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 136, 71, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 144, 71, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 24, 16, 2, 0, 160, 71, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 22, 16, 2, 0, 168, 71, 0, 0, 37, 90, 0, 0, 140, 94, 0, 0, 11, 16, 2, 0, 200, 71, 0, 0, 37, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 71, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 0, 72, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 104, 72, 0, 0, 37, 90, 0, 0, 42, 91, 0, 0, 6, 144, 1, 0, 120, 72, 0, 0, 37, 90, 0, 0, 241, 92, 0, 0, 28, 204, 1, 0, 152, 72, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 160, 72, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 168, 72, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 184, 72, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 192, 72, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 200, 72, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 43, 208, 1, 0, 224, 72, 0, 0, 37, 90, 0, 0, 208, 92, 0, 0, 6, 72, 0, 0, 248, 72, 0, 0, 37, 90, 0, 0, 140, 93, 0, 0, 30, 208, 1, 0, 64, 73, 0, 0, 37, 90, 0, 0, 200, 93, 0, 0, 7, 220, 1, 0, 72, 73, 0, 0, 37, 90, 0, 0, 223, 93, 0, 0, 24, 224, 1, 0, 80, 73, 0, 0, 37, 90, 0, 0, 251, 93, 0, 0, 8, 232, 1, 0, 96, 73, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 33, 244, 1, 0, 136, 73, 0, 0, 37, 90, 0, 0, 28, 94, 0, 0, 31, 244, 1, 0, 216, 73, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 224, 73, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 240, 73, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 0, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 8, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 16, 74, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 24, 4, 2, 0, 32, 74, 0, 0, 37, 90, 0, 0, 81, 94, 0, 0, 22, 4, 2, 0, 48, 74, 0, 0, 37, 90, 0, 0, 71, 95, 0, 0, 6, 104, 4, 0, 64, 74, 0, 0, 37, 90, 0, 0, 60, 93, 0, 0, 6, 104, 0, 0, 72, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 21, 108, 0, 0, 80, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 40, 108, 0, 0, 96, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 52, 108, 0, 0, 104, 74, 0, 0, 37, 90, 0, 0, 82, 93, 0, 0, 57, 108, 0, 0, 112, 74, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 42, 236, 4, 0, 128, 74, 0, 0, 37, 90, 0, 0, 97, 95, 0, 0, 31, 236, 4, 0, 136, 74, 0, 0, 37, 90, 0, 0, 87, 95, 0, 0, 5, 80, 3, 0, 176, 74, 0, 0, 37, 90, 0, 0, 143, 95, 0, 0, 6, 120, 3, 0, 184, 74, 0, 0, 37, 90, 0, 0, 165, 95, 0, 0, 21, 128, 5, 0, 192, 74, 0, 0, 37, 90, 0, 0, 190, 95, 0, 0, 12, 136, 3, 0, 200, 74, 0, 0, 37, 90, 0, 0, 207, 95, 0, 0, 13, 36, 3, 0, 216, 74, 0, 0, 37, 90, 0, 0, 229, 95, 0, 0, 5, 76, 3, 0, 224, 74, 0, 0, 37, 90, 0, 0, 239, 95, 0, 0, 5, 112, 3, 0, 232, 74, 0, 0, 37, 90, 0, 0, 255, 95, 0, 0, 14, 136, 5, 0, 248, 74, 0, 0, 84, 64, 0, 0, 189, 106, 0, 0, 3, 164, 4, 0, 64, 75, 0, 0, 84, 64, 0, 0, 12, 107, 0, 0, 31, 176, 4, 0, 88, 75, 0, 0, 84, 64, 0, 0, 49, 107, 0, 0, 0, 128, 22, 0, 120, 75, 0, 0, 84, 64, 0, 0, 110, 107, 0, 0, 6, 156, 22, 0, 144, 75, 0, 0, 84, 64, 0, 0, 110, 107, 0, 0, 6, 156, 22, 0, 160, 75, 0, 0, 84, 64, 0, 0, 128, 107, 0, 0, 12, 28, 22, 0, 184, 75, 0, 0, 84, 64, 0, 0, 167, 107, 0, 0, 14, 40, 22, 0, 224, 75, 0, 0, 84, 64, 0, 0, 200, 107, 0, 0, 18, 52, 22, 0, 232, 75, 0, 0, 84, 64, 0, 0, 222, 107, 0, 0, 8, 60, 22, 0, 32, 76, 0, 0, 84, 64, 0, 0, 222, 107, 0, 0, 32, 60, 22, 0, 64, 76, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 96, 76, 0, 0, 84, 64, 0, 0, 200, 107, 0, 0, 18, 52, 22, 0, 104, 76, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 128, 76, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 152, 76, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 192, 76, 0, 0, 84, 64, 0, 0, 24, 108, 0, 0, 21, 68, 22, 0, 216, 76, 0, 0, 84, 64, 0, 0, 24, 108, 0, 0, 14, 68, 22, 0, 224, 76, 0, 0, 84, 64, 0, 0, 24, 108, 0, 0, 19, 68, 22, 0, 232, 76, 0, 0, 84, 64, 0, 0, 53, 108, 0, 0, 6, 244, 17, 0, 240, 76, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 32, 77, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 80, 77, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 88, 77, 0, 0, 84, 64, 0, 0, 78, 108, 0, 0, 7, 4, 18, 0, 120, 77, 0, 0, 84, 64, 0, 0, 78, 108, 0, 0, 42, 4, 18, 0, 128, 77, 0, 0, 84, 64, 0, 0, 122, 108, 0, 0, 8, 8, 18, 0, 168, 77, 0, 0, 84, 64, 0, 0, 122, 108, 0, 0, 33, 8, 18, 0, 184, 77, 0, 0, 84, 64, 0, 0, 122, 108, 0, 0, 8, 8, 18, 0, 208, 77, 0, 0, 84, 64, 0, 0, 122, 108, 0, 0, 55, 8, 18, 0, 216, 77, 0, 0, 84, 64, 0, 0, 78, 108, 0, 0, 7, 4, 18, 0, 248, 77, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 78, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 24, 78, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 48, 78, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 78, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 64, 78, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 88, 78, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 0, 18, 0, 104, 78, 0, 0, 84, 64, 0, 0, 185, 108, 0, 0, 28, 76, 22, 0, 128, 78, 0, 0, 84, 64, 0, 0, 185, 108, 0, 0, 20, 76, 22, 0, 152, 78, 0, 0, 84, 64, 0, 0, 220, 108, 0, 0, 8, 96, 22, 0, 200, 78, 0, 0, 84, 64, 0, 0, 1, 108, 0, 0, 2, 64, 22, 0, 248, 78, 0, 0, 84, 64, 0, 0, 254, 108, 0, 0, 7, 168, 22, 0, 32, 79, 0, 0, 84, 64, 0, 0, 254, 108, 0, 0, 6, 168, 22, 0, 40, 79, 0, 0, 84, 64, 0, 0, 55, 109, 0, 0, 3, 172, 22, 0, 128, 79, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 79, 0, 0, 84, 64, 0, 0, 55, 109, 0, 0, 3, 172, 22, 0, 168, 79, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 180, 22, 0, 176, 79, 0, 0, 84, 64, 0, 0, 105, 109, 0, 0, 0, 244, 22, 0, 184, 79, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 192, 79, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 208, 79, 0, 0, 84, 64, 0, 0, 213, 109, 0, 0, 3, 12, 23, 0, 24, 80, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 64, 80, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 80, 80, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 136, 80, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 152, 80, 0, 0, 84, 64, 0, 0, 16, 85, 0, 0, 1, 56, 23, 0, 40, 136, 0, 0, 246, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 158, 64, 0, 0, 5, 124, 12, 0, 40, 0, 0, 0, 84, 64, 0, 0, 232, 64, 0, 0, 39, 136, 12, 0, 56, 0, 0, 0, 84, 64, 0, 0, 42, 65, 0, 0, 36, 136, 7, 0, 80, 0, 0, 0, 84, 64, 0, 0, 42, 65, 0, 0, 6, 136, 7, 0, 104, 0, 0, 0, 84, 64, 0, 0, 42, 65, 0, 0, 6, 136, 7, 0, 128, 0, 0, 0, 84, 64, 0, 0, 82, 65, 0, 0, 18, 148, 7, 0, 136, 0, 0, 0, 84, 64, 0, 0, 117, 65, 0, 0, 24, 152, 7, 0, 144, 0, 0, 0, 84, 64, 0, 0, 117, 65, 0, 0, 11, 152, 7, 0, 168, 0, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 200, 0, 0, 0, 84, 64, 0, 0, 82, 65, 0, 0, 18, 148, 7, 0, 208, 0, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 232, 0, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 32, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 1, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 64, 1, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 104, 1, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 144, 1, 0, 0, 84, 64, 0, 0, 150, 65, 0, 0, 2, 160, 7, 0, 160, 1, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 168, 1, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 176, 1, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 248, 1, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 0, 2, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 8, 2, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 16, 2, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 24, 2, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 88, 2, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 96, 2, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 104, 2, 0, 0, 84, 64, 0, 0, 30, 66, 0, 0, 7, 176, 7, 0, 128, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 2, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 168, 2, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 176, 2, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 192, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 2, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 240, 2, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 66, 200, 7, 0, 0, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 58, 200, 7, 0, 16, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 44, 200, 7, 0, 32, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 7, 200, 7, 0, 72, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 7, 200, 7, 0, 104, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 50, 200, 7, 0, 112, 3, 0, 0, 84, 64, 0, 0, 171, 66, 0, 0, 7, 200, 7, 0, 120, 3, 0, 0, 84, 64, 0, 0, 246, 66, 0, 0, 8, 204, 7, 0, 128, 3, 0, 0, 84, 64, 0, 0, 20, 67, 0, 0, 5, 208, 7, 0, 144, 3, 0, 0, 84, 64, 0, 0, 73, 67, 0, 0, 14, 212, 7, 0, 152, 3, 0, 0, 84, 64, 0, 0, 73, 67, 0, 0, 8, 212, 7, 0, 160, 3, 0, 0, 84, 64, 0, 0, 109, 67, 0, 0, 5, 216, 7, 0, 184, 3, 0, 0, 84, 64, 0, 0, 246, 66, 0, 0, 8, 224, 7, 0, 192, 3, 0, 0, 84, 64, 0, 0, 168, 67, 0, 0, 5, 228, 7, 0, 208, 3, 0, 0, 84, 64, 0, 0, 73, 67, 0, 0, 14, 232, 7, 0, 216, 3, 0, 0, 84, 64, 0, 0, 73, 67, 0, 0, 8, 232, 7, 0, 224, 3, 0, 0, 84, 64, 0, 0, 223, 67, 0, 0, 5, 236, 7, 0, 240, 3, 0, 0, 84, 64, 0, 0, 28, 68, 0, 0, 7, 248, 7, 0, 24, 4, 0, 0, 84, 64, 0, 0, 28, 68, 0, 0, 48, 248, 7, 0, 32, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 4, 0, 0, 84, 64, 0, 0, 28, 68, 0, 0, 7, 248, 7, 0, 80, 4, 0, 0, 84, 64, 0, 0, 101, 68, 0, 0, 8, 252, 7, 0, 88, 4, 0, 0, 84, 64, 0, 0, 129, 68, 0, 0, 5, 0, 8, 0, 128, 4, 0, 0, 84, 64, 0, 0, 101, 68, 0, 0, 8, 8, 8, 0, 136, 4, 0, 0, 84, 64, 0, 0, 180, 68, 0, 0, 5, 12, 8, 0, 168, 4, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 176, 4, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 192, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 4, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 224, 4, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 232, 4, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 16, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 5, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 72, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 5, 0, 0, 84, 64, 0, 0, 118, 69, 0, 0, 60, 168, 12, 0, 96, 5, 0, 0, 84, 64, 0, 0, 118, 69, 0, 0, 6, 168, 12, 0, 112, 5, 0, 0, 84, 64, 0, 0, 187, 69, 0, 0, 9, 180, 12, 0, 128, 5, 0, 0, 84, 64, 0, 0, 187, 69, 0, 0, 6, 180, 12, 0, 136, 5, 0, 0, 84, 64, 0, 0, 219, 69, 0, 0, 7, 188, 12, 0, 160, 5, 0, 0, 84, 64, 0, 0, 219, 69, 0, 0, 22, 188, 12, 0, 168, 5, 0, 0, 84, 64, 0, 0, 219, 69, 0, 0, 29, 188, 12, 0, 176, 5, 0, 0, 84, 64, 0, 0, 219, 69, 0, 0, 35, 188, 12, 0, 184, 5, 0, 0, 84, 64, 0, 0, 219, 69, 0, 0, 7, 188, 12, 0, 200, 5, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 216, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 5, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 248, 5, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 0, 6, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 64, 6, 0, 0, 84, 64, 0, 0, 117, 70, 0, 0, 17, 236, 12, 0, 72, 6, 0, 0, 84, 64, 0, 0, 117, 70, 0, 0, 6, 236, 12, 0, 80, 6, 0, 0, 84, 64, 0, 0, 152, 70, 0, 0, 41, 240, 12, 0, 96, 6, 0, 0, 84, 64, 0, 0, 220, 70, 0, 0, 9, 248, 12, 0, 104, 6, 0, 0, 84, 64, 0, 0, 0, 71, 0, 0, 18, 252, 12, 0, 112, 6, 0, 0, 84, 64, 0, 0, 0, 71, 0, 0, 24, 252, 12, 0, 120, 6, 0, 0, 84, 64, 0, 0, 0, 71, 0, 0, 38, 252, 12, 0, 128, 6, 0, 0, 84, 64, 0, 0, 40, 71, 0, 0, 14, 0, 13, 0, 144, 6, 0, 0, 84, 64, 0, 0, 40, 71, 0, 0, 32, 0, 13, 0, 152, 6, 0, 0, 84, 64, 0, 0, 74, 71, 0, 0, 48, 4, 13, 0, 192, 6, 0, 0, 84, 64, 0, 0, 74, 71, 0, 0, 46, 4, 13, 0, 208, 6, 0, 0, 84, 64, 0, 0, 74, 71, 0, 0, 7, 4, 13, 0, 216, 6, 0, 0, 84, 64, 0, 0, 0, 71, 0, 0, 7, 252, 12, 0, 232, 6, 0, 0, 84, 64, 0, 0, 134, 71, 0, 0, 33, 28, 13, 0, 240, 6, 0, 0, 84, 64, 0, 0, 134, 71, 0, 0, 11, 28, 13, 0, 0, 7, 0, 0, 84, 64, 0, 0, 175, 71, 0, 0, 8, 32, 13, 0, 8, 7, 0, 0, 84, 64, 0, 0, 189, 71, 0, 0, 22, 40, 13, 0, 16, 7, 0, 0, 84, 64, 0, 0, 219, 71, 0, 0, 8, 44, 13, 0, 24, 7, 0, 0, 84, 64, 0, 0, 240, 71, 0, 0, 5, 48, 13, 0, 48, 7, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 7, 0, 0, 84, 64, 0, 0, 240, 71, 0, 0, 5, 48, 13, 0, 88, 7, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 104, 7, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 7, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 136, 7, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 152, 7, 0, 0, 84, 64, 0, 0, 42, 72, 0, 0, 19, 68, 13, 0, 160, 7, 0, 0, 84, 64, 0, 0, 88, 72, 0, 0, 15, 76, 13, 0, 200, 7, 0, 0, 84, 64, 0, 0, 160, 72, 0, 0, 4, 88, 13, 0, 216, 7, 0, 0, 84, 64, 0, 0, 88, 72, 0, 0, 15, 76, 13, 0, 232, 7, 0, 0, 84, 64, 0, 0, 203, 72, 0, 0, 8, 96, 13, 0, 240, 7, 0, 0, 84, 64, 0, 0, 222, 72, 0, 0, 38, 100, 13, 0, 0, 8, 0, 0, 84, 64, 0, 0, 222, 72, 0, 0, 9, 100, 13, 0, 24, 8, 0, 0, 84, 64, 0, 0, 222, 72, 0, 0, 9, 100, 13, 0, 40, 8, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 56, 8, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 8, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 88, 8, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 96, 8, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 136, 8, 0, 0, 84, 64, 0, 0, 16, 73, 0, 0, 20, 132, 13, 0, 168, 8, 0, 0, 84, 64, 0, 0, 68, 73, 0, 0, 18, 144, 13, 0, 216, 8, 0, 0, 84, 64, 0, 0, 116, 73, 0, 0, 6, 176, 13, 0, 224, 8, 0, 0, 84, 64, 0, 0, 138, 73, 0, 0, 7, 180, 13, 0, 0, 9, 0, 0, 84, 64, 0, 0, 138, 73, 0, 0, 52, 180, 13, 0, 8, 9, 0, 0, 84, 64, 0, 0, 192, 73, 0, 0, 7, 184, 13, 0, 32, 9, 0, 0, 84, 64, 0, 0, 138, 73, 0, 0, 7, 180, 13, 0, 48, 9, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 64, 9, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 9, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 96, 9, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 112, 9, 0, 0, 84, 64, 0, 0, 243, 73, 0, 0, 7, 228, 13, 0, 136, 9, 0, 0, 84, 64, 0, 0, 243, 73, 0, 0, 29, 228, 13, 0, 144, 9, 0, 0, 84, 64, 0, 0, 18, 74, 0, 0, 7, 232, 13, 0, 168, 9, 0, 0, 84, 64, 0, 0, 80, 74, 0, 0, 30, 236, 13, 0, 176, 9, 0, 0, 84, 64, 0, 0, 112, 74, 0, 0, 7, 240, 13, 0, 208, 9, 0, 0, 84, 64, 0, 0, 112, 74, 0, 0, 52, 240, 13, 0, 216, 9, 0, 0, 84, 64, 0, 0, 192, 73, 0, 0, 7, 244, 13, 0, 240, 9, 0, 0, 84, 64, 0, 0, 243, 73, 0, 0, 7, 228, 13, 0, 0, 10, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 16, 10, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 10, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 48, 10, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 64, 10, 0, 0, 84, 64, 0, 0, 166, 74, 0, 0, 6, 44, 14, 0, 88, 10, 0, 0, 84, 64, 0, 0, 189, 74, 0, 0, 9, 48, 14, 0, 120, 10, 0, 0, 84, 64, 0, 0, 254, 74, 0, 0, 7, 56, 14, 0, 136, 10, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 152, 10, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 10, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 184, 10, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 192, 10, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 232, 10, 0, 0, 84, 64, 0, 0, 16, 75, 0, 0, 20, 96, 14, 0, 0, 11, 0, 0, 84, 64, 0, 0, 16, 75, 0, 0, 23, 96, 14, 0, 24, 11, 0, 0, 84, 64, 0, 0, 16, 75, 0, 0, 6, 96, 14, 0, 40, 11, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 56, 11, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 11, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 88, 11, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 96, 11, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 152, 11, 0, 0, 84, 64, 0, 0, 83, 75, 0, 0, 24, 96, 16, 0, 160, 11, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 11, 0, 0, 84, 64, 0, 0, 158, 64, 0, 0, 5, 124, 12, 0, 192, 11, 0, 0, 84, 64, 0, 0, 114, 75, 0, 0, 8, 124, 14, 0, 224, 11, 0, 0, 84, 64, 0, 0, 182, 75, 0, 0, 6, 128, 14, 0, 240, 11, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 0, 12, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 12, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 32, 12, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 56, 12, 0, 0, 84, 64, 0, 0, 199, 75, 0, 0, 13, 168, 14, 0, 88, 12, 0, 0, 84, 64, 0, 0, 199, 75, 0, 0, 22, 168, 14, 0, 128, 12, 0, 0, 84, 64, 0, 0, 248, 75, 0, 0, 7, 172, 14, 0, 144, 12, 0, 0, 84, 64, 0, 0, 199, 75, 0, 0, 6, 168, 14, 0, 160, 12, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 184, 12, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 192, 12, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 16, 13, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 24, 13, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 32, 13, 0, 0, 84, 64, 0, 0, 66, 76, 0, 0, 16, 192, 14, 0, 48, 13, 0, 0, 84, 64, 0, 0, 66, 76, 0, 0, 7, 192, 14, 0, 56, 13, 0, 0, 84, 64, 0, 0, 106, 76, 0, 0, 23, 204, 14, 0, 80, 13, 0, 0, 84, 64, 0, 0, 151, 76, 0, 0, 7, 208, 14, 0, 96, 13, 0, 0, 84, 64, 0, 0, 179, 76, 0, 0, 4, 212, 14, 0, 136, 13, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 13, 0, 0, 84, 64, 0, 0, 236, 76, 0, 0, 8, 0, 15, 0, 200, 13, 0, 0, 84, 64, 0, 0, 236, 76, 0, 0, 7, 0, 15, 0, 208, 13, 0, 0, 84, 64, 0, 0, 9, 77, 0, 0, 22, 4, 15, 0, 216, 13, 0, 0, 84, 64, 0, 0, 44, 77, 0, 0, 8, 8, 15, 0, 232, 13, 0, 0, 84, 64, 0, 0, 65, 77, 0, 0, 5, 12, 15, 0, 32, 14, 0, 0, 84, 64, 0, 0, 114, 77, 0, 0, 40, 28, 15, 0, 40, 14, 0, 0, 84, 64, 0, 0, 114, 77, 0, 0, 18, 28, 15, 0, 56, 14, 0, 0, 84, 64, 0, 0, 173, 77, 0, 0, 8, 32, 15, 0, 64, 14, 0, 0, 84, 64, 0, 0, 196, 77, 0, 0, 5, 36, 15, 0, 120, 14, 0, 0, 84, 64, 0, 0, 247, 77, 0, 0, 4, 48, 15, 0, 208, 14, 0, 0, 84, 64, 0, 0, 23, 78, 0, 0, 7, 76, 15, 0, 224, 14, 0, 0, 84, 64, 0, 0, 47, 78, 0, 0, 14, 80, 15, 0, 232, 14, 0, 0, 84, 64, 0, 0, 47, 78, 0, 0, 8, 80, 15, 0, 248, 14, 0, 0, 84, 64, 0, 0, 85, 78, 0, 0, 11, 84, 15, 0, 24, 15, 0, 0, 84, 64, 0, 0, 142, 78, 0, 0, 9, 96, 15, 0, 40, 15, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 56, 15, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 15, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 88, 15, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 96, 15, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 144, 15, 0, 0, 84, 64, 0, 0, 162, 78, 0, 0, 6, 76, 16, 0, 160, 15, 0, 0, 84, 64, 0, 0, 182, 78, 0, 0, 8, 120, 15, 0, 184, 15, 0, 0, 84, 64, 0, 0, 182, 78, 0, 0, 8, 120, 15, 0, 192, 15, 0, 0, 84, 64, 0, 0, 85, 78, 0, 0, 11, 124, 15, 0, 232, 15, 0, 0, 84, 64, 0, 0, 142, 78, 0, 0, 9, 136, 15, 0, 248, 15, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 8, 16, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 16, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 40, 16, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 48, 16, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 96, 16, 0, 0, 84, 64, 0, 0, 162, 78, 0, 0, 6, 76, 16, 0, 112, 16, 0, 0, 84, 64, 0, 0, 214, 78, 0, 0, 13, 176, 15, 0, 120, 16, 0, 0, 84, 64, 0, 0, 214, 78, 0, 0, 7, 176, 15, 0, 128, 16, 0, 0, 84, 64, 0, 0, 251, 78, 0, 0, 10, 180, 15, 0, 152, 16, 0, 0, 84, 64, 0, 0, 51, 79, 0, 0, 8, 188, 15, 0, 168, 16, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 184, 16, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 16, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 216, 16, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 224, 16, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 16, 17, 0, 0, 84, 64, 0, 0, 162, 78, 0, 0, 6, 76, 16, 0, 32, 17, 0, 0, 84, 64, 0, 0, 70, 79, 0, 0, 7, 212, 15, 0, 56, 17, 0, 0, 84, 64, 0, 0, 70, 79, 0, 0, 7, 212, 15, 0, 64, 17, 0, 0, 84, 64, 0, 0, 251, 78, 0, 0, 10, 216, 15, 0, 96, 17, 0, 0, 84, 64, 0, 0, 51, 79, 0, 0, 8, 224, 15, 0, 112, 17, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 128, 17, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 17, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 160, 17, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 168, 17, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 216, 17, 0, 0, 84, 64, 0, 0, 162, 78, 0, 0, 6, 76, 16, 0, 224, 17, 0, 0, 84, 64, 0, 0, 101, 79, 0, 0, 39, 80, 16, 0, 232, 17, 0, 0, 84, 64, 0, 0, 101, 79, 0, 0, 17, 80, 16, 0, 248, 17, 0, 0, 84, 64, 0, 0, 166, 79, 0, 0, 7, 84, 16, 0, 0, 18, 0, 0, 84, 64, 0, 0, 185, 79, 0, 0, 4, 88, 16, 0, 32, 18, 0, 0, 84, 64, 0, 0, 222, 79, 0, 0, 6, 20, 16, 0, 48, 18, 0, 0, 84, 64, 0, 0, 242, 79, 0, 0, 9, 32, 16, 0, 104, 18, 0, 0, 84, 64, 0, 0, 162, 78, 0, 0, 6, 40, 16, 0, 112, 18, 0, 0, 84, 64, 0, 0, 101, 79, 0, 0, 39, 44, 16, 0, 120, 18, 0, 0, 84, 64, 0, 0, 101, 79, 0, 0, 17, 44, 16, 0, 136, 18, 0, 0, 84, 64, 0, 0, 166, 79, 0, 0, 7, 48, 16, 0, 144, 18, 0, 0, 84, 64, 0, 0, 185, 79, 0, 0, 4, 52, 16, 0, 68, 136, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 54, 80, 0, 0, 6, 164, 16, 0, 16, 0, 0, 0, 84, 64, 0, 0, 127, 80, 0, 0, 17, 180, 16, 0, 24, 0, 0, 0, 84, 64, 0, 0, 127, 80, 0, 0, 8, 180, 16, 0, 32, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 40, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 56, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 96, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 104, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 144, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 176, 0, 0, 0, 84, 64, 0, 0, 148, 80, 0, 0, 27, 204, 16, 0, 184, 0, 0, 0, 84, 64, 0, 0, 148, 80, 0, 0, 6, 204, 16, 0, 200, 0, 0, 0, 84, 64, 0, 0, 186, 80, 0, 0, 3, 208, 16, 0, 240, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 1, 0, 0, 84, 64, 0, 0, 218, 80, 0, 0, 12, 236, 16, 0, 48, 1, 0, 0, 84, 64, 0, 0, 10, 81, 0, 0, 14, 240, 16, 0, 56, 1, 0, 0, 84, 64, 0, 0, 10, 81, 0, 0, 17, 240, 16, 0, 64, 1, 0, 0, 84, 64, 0, 0, 10, 81, 0, 0, 36, 240, 16, 0, 72, 1, 0, 0, 84, 64, 0, 0, 10, 81, 0, 0, 43, 240, 16, 0, 80, 1, 0, 0, 84, 64, 0, 0, 55, 81, 0, 0, 6, 244, 16, 0, 120, 1, 0, 0, 84, 64, 0, 0, 10, 81, 0, 0, 6, 240, 16, 0, 136, 1, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 152, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 1, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 184, 1, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 192, 1, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 224, 1, 0, 0, 84, 64, 0, 0, 106, 81, 0, 0, 25, 252, 16, 0, 232, 1, 0, 0, 84, 64, 0, 0, 242, 79, 0, 0, 9, 0, 17, 0, 0, 2, 0, 0, 84, 64, 0, 0, 139, 81, 0, 0, 7, 4, 17, 0, 8, 2, 0, 0, 84, 64, 0, 0, 155, 81, 0, 0, 4, 8, 17, 0, 40, 2, 0, 0, 84, 64, 0, 0, 184, 81, 0, 0, 13, 24, 17, 0, 48, 2, 0, 0, 84, 64, 0, 0, 184, 81, 0, 0, 6, 24, 17, 0, 64, 2, 0, 0, 84, 64, 0, 0, 106, 81, 0, 0, 25, 28, 17, 0, 72, 2, 0, 0, 84, 64, 0, 0, 214, 81, 0, 0, 38, 32, 17, 0, 96, 2, 0, 0, 84, 64, 0, 0, 214, 81, 0, 0, 3, 32, 17, 0, 144, 2, 0, 0, 84, 64, 0, 0, 17, 82, 0, 0, 28, 80, 17, 0, 160, 2, 0, 0, 84, 64, 0, 0, 17, 82, 0, 0, 7, 80, 17, 0, 192, 2, 0, 0, 84, 64, 0, 0, 17, 82, 0, 0, 6, 80, 17, 0, 200, 2, 0, 0, 84, 64, 0, 0, 242, 79, 0, 0, 9, 84, 17, 0, 224, 2, 0, 0, 84, 64, 0, 0, 103, 82, 0, 0, 3, 88, 17, 0, 0, 3, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 16, 3, 0, 0, 84, 64, 0, 0, 242, 79, 0, 0, 9, 84, 17, 0, 24, 3, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 48, 3, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 56, 3, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 80, 3, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 108, 17, 0, 104, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 3, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 108, 17, 0, 120, 3, 0, 0, 84, 64, 0, 0, 148, 82, 0, 0, 38, 112, 17, 0, 144, 3, 0, 0, 84, 64, 0, 0, 148, 82, 0, 0, 3, 112, 17, 0, 200, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 3, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 232, 3, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 240, 3, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 0, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 4, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 48, 4, 0, 0, 84, 64, 0, 0, 207, 82, 0, 0, 32, 64, 11, 0, 72, 4, 0, 0, 84, 64, 0, 0, 248, 82, 0, 0, 15, 40, 6, 0, 80, 4, 0, 0, 84, 64, 0, 0, 207, 82, 0, 0, 30, 64, 11, 0, 88, 4, 0, 0, 84, 64, 0, 0, 20, 83, 0, 0, 26, 92, 11, 0, 96, 4, 0, 0, 84, 64, 0, 0, 73, 83, 0, 0, 17, 252, 3, 0, 104, 4, 0, 0, 84, 64, 0, 0, 20, 83, 0, 0, 6, 92, 11, 0, 112, 4, 0, 0, 84, 64, 0, 0, 99, 83, 0, 0, 20, 96, 11, 0, 120, 4, 0, 0, 84, 64, 0, 0, 134, 83, 0, 0, 28, 100, 11, 0, 128, 4, 0, 0, 84, 64, 0, 0, 134, 83, 0, 0, 40, 100, 11, 0, 152, 4, 0, 0, 84, 64, 0, 0, 134, 83, 0, 0, 38, 100, 11, 0, 160, 4, 0, 0, 84, 64, 0, 0, 134, 83, 0, 0, 19, 100, 11, 0, 176, 4, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 192, 4, 0, 0, 84, 64, 0, 0, 99, 83, 0, 0, 20, 96, 11, 0, 200, 4, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 224, 4, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 248, 4, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 8, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 5, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 40, 5, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 48, 5, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 72, 5, 0, 0, 84, 64, 0, 0, 211, 83, 0, 0, 43, 148, 16, 0, 96, 5, 0, 0, 84, 64, 0, 0, 211, 83, 0, 0, 60, 148, 16, 0, 104, 5, 0, 0, 84, 64, 0, 0, 211, 83, 0, 0, 35, 148, 16, 0, 112, 5, 0, 0, 84, 64, 0, 0, 211, 83, 0, 0, 2, 148, 16, 0, 136, 5, 0, 0, 84, 64, 0, 0, 24, 84, 0, 0, 13, 188, 17, 0, 144, 5, 0, 0, 84, 64, 0, 0, 24, 84, 0, 0, 22, 188, 17, 0, 184, 5, 0, 0, 84, 64, 0, 0, 71, 84, 0, 0, 9, 192, 17, 0, 208, 5, 0, 0, 84, 64, 0, 0, 254, 74, 0, 0, 7, 200, 17, 0, 224, 5, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 240, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 5, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 16, 6, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 24, 6, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 48, 6, 0, 0, 84, 64, 0, 0, 155, 81, 0, 0, 4, 208, 17, 0, 72, 6, 0, 0, 84, 64, 0, 0, 54, 80, 0, 0, 6, 164, 16, 0, 93, 136, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 136, 110, 0, 0, 0, 80, 18, 0, 16, 0, 0, 0, 84, 64, 0, 0, 136, 110, 0, 0, 6, 80, 18, 0, 24, 0, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 48, 0, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 56, 0, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 136, 0, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 144, 0, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 152, 0, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 160, 0, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 168, 0, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 240, 0, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 248, 0, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 0, 1, 0, 0, 84, 64, 0, 0, 207, 110, 0, 0, 6, 132, 18, 0, 8, 1, 0, 0, 84, 64, 0, 0, 243, 110, 0, 0, 6, 144, 18, 0, 24, 1, 0, 0, 84, 64, 0, 0, 243, 110, 0, 0, 6, 144, 18, 0, 40, 1, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 56, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 1, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 88, 1, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 96, 1, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 128, 1, 0, 0, 84, 64, 0, 0, 16, 111, 0, 0, 7, 164, 18, 0, 152, 1, 0, 0, 84, 64, 0, 0, 16, 111, 0, 0, 6, 164, 18, 0, 160, 1, 0, 0, 84, 64, 0, 0, 40, 111, 0, 0, 10, 4, 3, 0, 240, 1, 0, 0, 84, 64, 0, 0, 79, 111, 0, 0, 6, 8, 3, 0, 248, 1, 0, 0, 84, 64, 0, 0, 92, 111, 0, 0, 3, 12, 3, 0, 8, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 2, 0, 0, 84, 64, 0, 0, 92, 111, 0, 0, 3, 12, 3, 0, 56, 2, 0, 0, 84, 64, 0, 0, 150, 111, 0, 0, 21, 188, 18, 0, 72, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 2, 0, 0, 84, 64, 0, 0, 184, 111, 0, 0, 2, 200, 18, 0, 112, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 2, 0, 0, 84, 64, 0, 0, 184, 111, 0, 0, 2, 200, 18, 0, 144, 2, 0, 0, 84, 64, 0, 0, 184, 111, 0, 0, 2, 200, 18, 0, 152, 2, 0, 0, 84, 64, 0, 0, 212, 111, 0, 0, 17, 204, 18, 0, 160, 2, 0, 0, 84, 64, 0, 0, 212, 111, 0, 0, 28, 204, 18, 0, 168, 2, 0, 0, 84, 64, 0, 0, 212, 111, 0, 0, 32, 204, 18, 0, 176, 2, 0, 0, 84, 64, 0, 0, 212, 111, 0, 0, 37, 204, 18, 0, 184, 2, 0, 0, 84, 64, 0, 0, 5, 112, 0, 0, 7, 208, 18, 0, 200, 2, 0, 0, 84, 64, 0, 0, 5, 112, 0, 0, 7, 208, 18, 0, 216, 2, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 232, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 2, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 8, 3, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 16, 3, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 48, 3, 0, 0, 84, 64, 0, 0, 184, 111, 0, 0, 2, 200, 18, 0, 56, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 3, 0, 0, 84, 64, 0, 0, 136, 110, 0, 0, 6, 80, 18, 0, 80, 3, 0, 0, 84, 64, 0, 0, 184, 111, 0, 0, 2, 200, 18, 0, 96, 3, 0, 0, 84, 64, 0, 0, 35, 112, 0, 0, 7, 232, 18, 0, 120, 3, 0, 0, 84, 64, 0, 0, 35, 112, 0, 0, 31, 232, 18, 0, 128, 3, 0, 0, 84, 64, 0, 0, 35, 112, 0, 0, 34, 232, 18, 0, 152, 3, 0, 0, 84, 64, 0, 0, 35, 112, 0, 0, 6, 232, 18, 0, 160, 3, 0, 0, 84, 64, 0, 0, 83, 112, 0, 0, 31, 248, 18, 0, 168, 3, 0, 0, 84, 64, 0, 0, 126, 84, 0, 0, 12, 48, 18, 0, 232, 3, 0, 0, 84, 64, 0, 0, 177, 84, 0, 0, 6, 52, 18, 0, 240, 3, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 0, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 4, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 56, 4, 0, 0, 84, 64, 0, 0, 254, 84, 0, 0, 9, 68, 18, 0, 64, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 104, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 136, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 152, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 192, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 208, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 224, 4, 0, 0, 84, 64, 0, 0, 122, 112, 0, 0, 2, 252, 18, 0, 240, 4, 0, 0, 84, 64, 0, 0, 149, 112, 0, 0, 17, 0, 19, 0, 248, 4, 0, 0, 84, 64, 0, 0, 149, 112, 0, 0, 35, 0, 19, 0, 16, 5, 0, 0, 84, 64, 0, 0, 149, 112, 0, 0, 28, 0, 19, 0, 24, 5, 0, 0, 84, 64, 0, 0, 192, 112, 0, 0, 20, 4, 19, 0, 32, 5, 0, 0, 84, 64, 0, 0, 149, 112, 0, 0, 33, 0, 19, 0, 40, 5, 0, 0, 84, 64, 0, 0, 126, 84, 0, 0, 12, 48, 18, 0, 88, 5, 0, 0, 84, 64, 0, 0, 177, 84, 0, 0, 6, 52, 18, 0, 96, 5, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 112, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 5, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 152, 5, 0, 0, 84, 64, 0, 0, 215, 112, 0, 0, 35, 8, 19, 0, 176, 5, 0, 0, 84, 64, 0, 0, 254, 84, 0, 0, 9, 68, 18, 0, 184, 5, 0, 0, 84, 64, 0, 0, 215, 112, 0, 0, 35, 8, 19, 0, 192, 5, 0, 0, 84, 64, 0, 0, 252, 112, 0, 0, 7, 12, 19, 0, 208, 5, 0, 0, 84, 64, 0, 0, 252, 112, 0, 0, 37, 12, 19, 0, 232, 5, 0, 0, 84, 64, 0, 0, 252, 112, 0, 0, 61, 12, 19, 0, 240, 5, 0, 0, 84, 64, 0, 0, 59, 113, 0, 0, 7, 16, 19, 0, 8, 6, 0, 0, 84, 64, 0, 0, 215, 112, 0, 0, 7, 8, 19, 0, 24, 6, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 40, 6, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 6, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 72, 6, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 80, 6, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 119, 136, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 89, 113, 0, 0, 6, 124, 19, 0, 8, 0, 0, 0, 84, 64, 0, 0, 163, 113, 0, 0, 12, 132, 19, 0, 24, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 32, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 48, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 88, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 96, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 136, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 184, 0, 0, 0, 84, 64, 0, 0, 204, 113, 0, 0, 29, 160, 19, 0, 192, 0, 0, 0, 84, 64, 0, 0, 204, 113, 0, 0, 24, 160, 19, 0, 216, 0, 0, 0, 84, 64, 0, 0, 254, 113, 0, 0, 2, 168, 19, 0, 248, 0, 0, 0, 84, 64, 0, 0, 39, 114, 0, 0, 47, 172, 19, 0, 0, 1, 0, 0, 84, 64, 0, 0, 39, 114, 0, 0, 28, 172, 19, 0, 8, 1, 0, 0, 84, 64, 0, 0, 39, 114, 0, 0, 2, 172, 19, 0, 32, 1, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 180, 19, 0, 56, 1, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 180, 19, 0, 72, 1, 0, 0, 84, 64, 0, 0, 105, 114, 0, 0, 25, 192, 19, 0, 80, 1, 0, 0, 84, 64, 0, 0, 134, 114, 0, 0, 10, 200, 19, 0, 88, 1, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 96, 1, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 112, 1, 0, 0, 84, 64, 0, 0, 105, 114, 0, 0, 25, 192, 19, 0, 120, 1, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 144, 1, 0, 0, 84, 64, 0, 0, 171, 114, 0, 0, 6, 204, 19, 0, 152, 1, 0, 0, 84, 64, 0, 0, 219, 114, 0, 0, 49, 220, 19, 0, 160, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 29, 80, 19, 0, 176, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 18, 80, 19, 0, 184, 1, 0, 0, 84, 64, 0, 0, 87, 115, 0, 0, 30, 216, 19, 0, 192, 1, 0, 0, 84, 64, 0, 0, 130, 115, 0, 0, 26, 224, 19, 0, 200, 1, 0, 0, 84, 64, 0, 0, 87, 115, 0, 0, 17, 216, 19, 0, 216, 1, 0, 0, 84, 64, 0, 0, 162, 115, 0, 0, 35, 108, 19, 0, 224, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 47, 80, 19, 0, 232, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 36, 80, 19, 0, 240, 1, 0, 0, 84, 64, 0, 0, 219, 114, 0, 0, 24, 220, 19, 0, 248, 1, 0, 0, 84, 64, 0, 0, 89, 113, 0, 0, 6, 124, 19, 0, 145, 136, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 208, 115, 0, 0, 6, 40, 20, 0, 8, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 16, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 32, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 64, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 72, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 112, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 144, 0, 0, 0, 84, 64, 0, 0, 10, 116, 0, 0, 18, 76, 20, 0, 152, 0, 0, 0, 84, 64, 0, 0, 35, 116, 0, 0, 6, 80, 20, 0, 168, 0, 0, 0, 84, 64, 0, 0, 62, 116, 0, 0, 3, 84, 20, 0, 208, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 0, 0, 0, 84, 64, 0, 0, 208, 115, 0, 0, 6, 40, 20, 0, 232, 0, 0, 0, 84, 64, 0, 0, 97, 116, 0, 0, 12, 120, 20, 0, 32, 1, 0, 0, 84, 64, 0, 0, 97, 116, 0, 0, 36, 120, 20, 0, 40, 1, 0, 0, 84, 64, 0, 0, 137, 116, 0, 0, 13, 124, 20, 0, 64, 1, 0, 0, 84, 64, 0, 0, 137, 116, 0, 0, 6, 124, 20, 0, 80, 1, 0, 0, 84, 64, 0, 0, 183, 116, 0, 0, 13, 128, 20, 0, 88, 1, 0, 0, 84, 64, 0, 0, 183, 116, 0, 0, 73, 128, 20, 0, 96, 1, 0, 0, 84, 64, 0, 0, 1, 117, 0, 0, 10, 144, 20, 0, 160, 1, 0, 0, 84, 64, 0, 0, 60, 117, 0, 0, 7, 148, 20, 0, 168, 1, 0, 0, 84, 64, 0, 0, 75, 117, 0, 0, 4, 152, 20, 0, 192, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 1, 0, 0, 84, 64, 0, 0, 75, 117, 0, 0, 4, 152, 20, 0, 232, 1, 0, 0, 84, 64, 0, 0, 137, 117, 0, 0, 14, 172, 20, 0, 240, 1, 0, 0, 84, 64, 0, 0, 137, 117, 0, 0, 9, 172, 20, 0, 248, 1, 0, 0, 84, 64, 0, 0, 155, 117, 0, 0, 30, 176, 20, 0, 0, 2, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 188, 20, 0, 24, 2, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 188, 20, 0, 56, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 2, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 96, 2, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 104, 2, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 120, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 2, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 152, 2, 0, 0, 84, 64, 0, 0, 195, 117, 0, 0, 59, 252, 19, 0, 160, 2, 0, 0, 84, 64, 0, 0, 2, 118, 0, 0, 6, 208, 3, 0, 176, 2, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 2, 0, 0, 84, 64, 0, 0, 21, 118, 0, 0, 10, 216, 3, 0, 216, 2, 0, 0, 84, 64, 0, 0, 75, 118, 0, 0, 6, 220, 3, 0, 232, 2, 0, 0, 84, 64, 0, 0, 88, 118, 0, 0, 3, 224, 3, 0, 40, 3, 0, 0, 84, 64, 0, 0, 64, 105, 0, 0, 2, 16, 20, 0, 56, 3, 0, 0, 84, 64, 0, 0, 134, 118, 0, 0, 25, 20, 20, 0, 64, 3, 0, 0, 84, 64, 0, 0, 134, 118, 0, 0, 46, 20, 20, 0, 72, 3, 0, 0, 84, 64, 0, 0, 73, 83, 0, 0, 17, 252, 3, 0, 80, 3, 0, 0, 84, 64, 0, 0, 134, 118, 0, 0, 6, 20, 20, 0, 88, 3, 0, 0, 84, 64, 0, 0, 191, 118, 0, 0, 31, 24, 20, 0, 96, 3, 0, 0, 84, 64, 0, 0, 191, 118, 0, 0, 22, 24, 20, 0, 104, 3, 0, 0, 84, 64, 0, 0, 186, 105, 0, 0, 2, 28, 20, 0, 120, 3, 0, 0, 84, 64, 0, 0, 232, 118, 0, 0, 23, 220, 20, 0, 128, 3, 0, 0, 84, 64, 0, 0, 232, 118, 0, 0, 21, 220, 20, 0, 170, 136, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 18, 119, 0, 0, 6, 56, 21, 0, 8, 0, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 76, 21, 0, 32, 0, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 76, 21, 0, 40, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 48, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 64, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 104, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 112, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 152, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 184, 0, 0, 0, 84, 64, 0, 0, 92, 119, 0, 0, 37, 100, 21, 0, 208, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 0, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 240, 0, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 248, 0, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 8, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 1, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 40, 1, 0, 0, 84, 64, 0, 0, 195, 117, 0, 0, 59, 248, 20, 0, 48, 1, 0, 0, 84, 64, 0, 0, 2, 118, 0, 0, 6, 208, 3, 0, 64, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 1, 0, 0, 84, 64, 0, 0, 21, 118, 0, 0, 10, 216, 3, 0, 96, 1, 0, 0, 84, 64, 0, 0, 75, 118, 0, 0, 6, 220, 3, 0, 112, 1, 0, 0, 84, 64, 0, 0, 88, 118, 0, 0, 3, 224, 3, 0, 152, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 1, 0, 0, 84, 64, 0, 0, 138, 119, 0, 0, 8, 16, 21, 0, 184, 1, 0, 0, 84, 64, 0, 0, 165, 119, 0, 0, 23, 20, 21, 0, 192, 1, 0, 0, 84, 64, 0, 0, 165, 119, 0, 0, 14, 20, 21, 0, 200, 1, 0, 0, 84, 64, 0, 0, 200, 119, 0, 0, 21, 28, 21, 0, 224, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 47, 80, 19, 0, 232, 1, 0, 0, 84, 64, 0, 0, 230, 119, 0, 0, 39, 32, 21, 0, 240, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 18, 80, 19, 0, 248, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 29, 80, 19, 0, 0, 2, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 36, 80, 19, 0, 8, 2, 0, 0, 84, 64, 0, 0, 230, 119, 0, 0, 21, 32, 21, 0, 16, 2, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 15, 36, 4, 0, 24, 2, 0, 0, 84, 64, 0, 0, 46, 120, 0, 0, 55, 40, 21, 0, 32, 2, 0, 0, 84, 64, 0, 0, 20, 92, 0, 0, 21, 36, 4, 0, 40, 2, 0, 0, 84, 64, 0, 0, 46, 120, 0, 0, 19, 40, 21, 0, 64, 2, 0, 0, 84, 64, 0, 0, 109, 120, 0, 0, 27, 44, 21, 0, 72, 2, 0, 0, 84, 64, 0, 0, 109, 120, 0, 0, 39, 44, 21, 0, 96, 2, 0, 0, 84, 64, 0, 0, 109, 120, 0, 0, 37, 44, 21, 0, 104, 2, 0, 0, 84, 64, 0, 0, 109, 120, 0, 0, 18, 44, 21, 0, 112, 2, 0, 0, 84, 64, 0, 0, 18, 119, 0, 0, 6, 56, 21, 0, 196, 136, 0, 0, 34, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 177, 120, 0, 0, 6, 124, 21, 0, 8, 0, 0, 0, 84, 64, 0, 0, 163, 113, 0, 0, 12, 132, 21, 0, 24, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 32, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 48, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 88, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 96, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 136, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 160, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 0, 0, 0, 84, 64, 0, 0, 252, 120, 0, 0, 2, 160, 21, 0, 216, 0, 0, 0, 84, 64, 0, 0, 34, 121, 0, 0, 39, 164, 21, 0, 224, 0, 0, 0, 84, 64, 0, 0, 34, 121, 0, 0, 24, 164, 21, 0, 232, 0, 0, 0, 84, 64, 0, 0, 34, 121, 0, 0, 2, 164, 21, 0, 0, 1, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 172, 21, 0, 24, 1, 0, 0, 84, 64, 0, 0, 131, 82, 0, 0, 6, 172, 21, 0, 32, 1, 0, 0, 84, 64, 0, 0, 92, 119, 0, 0, 37, 184, 21, 0, 64, 1, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 88, 1, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 96, 1, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 112, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 1, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 144, 1, 0, 0, 84, 64, 0, 0, 93, 121, 0, 0, 43, 200, 21, 0, 152, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 29, 80, 19, 0, 168, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 18, 80, 19, 0, 176, 1, 0, 0, 84, 64, 0, 0, 160, 121, 0, 0, 26, 196, 21, 0, 184, 1, 0, 0, 84, 64, 0, 0, 202, 121, 0, 0, 25, 204, 21, 0, 192, 1, 0, 0, 84, 64, 0, 0, 160, 121, 0, 0, 17, 196, 21, 0, 208, 1, 0, 0, 84, 64, 0, 0, 162, 115, 0, 0, 35, 108, 19, 0, 216, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 47, 80, 19, 0, 224, 1, 0, 0, 84, 64, 0, 0, 34, 115, 0, 0, 36, 80, 19, 0, 232, 1, 0, 0, 84, 64, 0, 0, 93, 121, 0, 0, 22, 200, 21, 0, 240, 1, 0, 0, 84, 64, 0, 0, 177, 120, 0, 0, 6, 124, 21, 0, 223, 136, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 233, 121, 0, 0, 6, 216, 21, 0, 16, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 24, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 40, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 72, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 80, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 120, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 168, 0, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 244, 21, 0, 192, 0, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 244, 21, 0, 248, 0, 0, 0, 84, 64, 0, 0, 50, 122, 0, 0, 3, 248, 21, 0, 128, 1, 0, 0, 84, 64, 0, 0, 111, 122, 0, 0, 16, 4, 22, 0, 136, 1, 0, 0, 84, 64, 0, 0, 233, 121, 0, 0, 6, 216, 21, 0, 251, 136, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 136, 122, 0, 0, 6, 188, 22, 0, 16, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 15, 180, 2, 0, 24, 0, 0, 0, 84, 64, 0, 0, 233, 68, 0, 0, 6, 180, 2, 0, 40, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 84, 64, 0, 0, 252, 68, 0, 0, 9, 188, 2, 0, 80, 0, 0, 0, 84, 64, 0, 0, 43, 69, 0, 0, 6, 220, 2, 0, 88, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 128, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 0, 0, 0, 84, 64, 0, 0, 56, 69, 0, 0, 3, 224, 2, 0, 176, 0, 0, 0, 84, 64, 0, 0, 198, 122, 0, 0, 2, 220, 22, 0, 216, 0, 0, 0, 84, 64, 0, 0, 251, 122, 0, 0, 6, 224, 22, 0, 240, 0, 0, 0, 84, 64, 0, 0, 251, 122, 0, 0, 6, 224, 22, 0, 248, 0, 0, 0, 84, 64, 0, 0, 13, 123, 0, 0, 4, 232, 22, 0, 8, 1, 0, 0, 84, 64, 0, 0, 82, 123, 0, 0, 19, 228, 22, 0, 24, 1, 0, 0, 84, 64, 0, 0, 136, 122, 0, 0, 6, 188, 22, 0, 24, 137, 0, 0, 38, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 102, 123, 0, 0, 5, 64, 23, 0, 8, 0, 0, 0, 84, 64, 0, 0, 161, 123, 0, 0, 12, 76, 23, 0, 24, 0, 0, 0, 84, 64, 0, 0, 192, 123, 0, 0, 18, 80, 23, 0, 176, 0, 0, 0, 84, 64, 0, 0, 192, 123, 0, 0, 26, 80, 23, 0, 208, 0, 0, 0, 84, 64, 0, 0, 219, 123, 0, 0, 11, 120, 23, 0, 216, 0, 0, 0, 84, 64, 0, 0, 219, 123, 0, 0, 6, 120, 23, 0, 232, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 84, 64, 0, 0, 234, 123, 0, 0, 8, 148, 23, 0, 40, 1, 0, 0, 84, 64, 0, 0, 51, 124, 0, 0, 6, 152, 23, 0, 56, 1, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 72, 1, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 104, 1, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 112, 1, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 144, 1, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 172, 23, 0, 168, 1, 0, 0, 84, 64, 0, 0, 219, 94, 0, 0, 6, 172, 23, 0, 200, 1, 0, 0, 84, 64, 0, 0, 63, 124, 0, 0, 3, 176, 23, 0, 0, 2, 0, 0, 84, 64, 0, 0, 138, 124, 0, 0, 14, 200, 23, 0, 48, 2, 0, 0, 84, 64, 0, 0, 190, 124, 0, 0, 6, 204, 23, 0, 56, 2, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 64, 2, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 72, 2, 0, 0, 84, 64, 0, 0, 207, 124, 0, 0, 40, 220, 23, 0, 88, 2, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 112, 2, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 128, 2, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 184, 2, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 200, 2, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 208, 2, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 216, 2, 0, 0, 84, 64, 0, 0, 0, 125, 0, 0, 40, 244, 23, 0, 232, 2, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 0, 3, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 16, 3, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 72, 3, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 88, 3, 0, 0, 84, 64, 0, 0, 53, 125, 0, 0, 44, 12, 24, 0, 96, 3, 0, 0, 84, 64, 0, 0, 53, 125, 0, 0, 2, 12, 24, 0, 152, 3, 0, 0, 84, 64, 0, 0, 213, 109, 0, 0, 3, 12, 23, 0, 224, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 84, 64, 0, 0, 102, 123, 0, 0, 5, 64, 23, 0, 51, 137, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 113, 125, 0, 0, 6, 32, 24, 0, 8, 0, 0, 0, 84, 64, 0, 0, 127, 80, 0, 0, 17, 44, 24, 0, 16, 0, 0, 0, 84, 64, 0, 0, 127, 80, 0, 0, 8, 44, 24, 0, 32, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 84, 64, 0, 0, 173, 125, 0, 0, 8, 80, 24, 0, 64, 0, 0, 0, 84, 64, 0, 0, 51, 124, 0, 0, 6, 84, 24, 0, 80, 0, 0, 0, 84, 64, 0, 0, 14, 70, 0, 0, 6, 156, 6, 0, 96, 0, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 0, 0, 0, 84, 64, 0, 0, 32, 70, 0, 0, 15, 164, 6, 0, 128, 0, 0, 0, 84, 64, 0, 0, 83, 70, 0, 0, 6, 168, 6, 0, 136, 0, 0, 0, 84, 64, 0, 0, 95, 70, 0, 0, 12, 172, 6, 0, 160, 0, 0, 0, 84, 64, 0, 0, 113, 125, 0, 0, 6, 32, 24, 0, 78, 137, 0, 0, 226, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 8, 0, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 16, 0, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 56, 0, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 72, 0, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 128, 0, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 144, 0, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 152, 0, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 160, 0, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 200, 0, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 216, 0, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 16, 1, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 32, 1, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 40, 1, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 48, 1, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 88, 1, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 104, 1, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 160, 1, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 176, 1, 0, 0, 84, 64, 0, 0, 219, 125, 0, 0, 7, 156, 27, 0, 200, 1, 0, 0, 84, 64, 0, 0, 219, 125, 0, 0, 6, 156, 27, 0, 224, 1, 0, 0, 241, 125, 0, 0, 135, 126, 0, 0, 6, 140, 0, 0, 232, 1, 0, 0, 241, 125, 0, 0, 213, 126, 0, 0, 3, 144, 0, 0, 240, 1, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 72, 2, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 212, 24, 0, 120, 2, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 212, 24, 0, 160, 2, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 212, 24, 0, 168, 2, 0, 0, 84, 64, 0, 0, 37, 127, 0, 0, 11, 224, 24, 0, 248, 2, 0, 0, 84, 64, 0, 0, 96, 127, 0, 0, 7, 228, 24, 0, 0, 3, 0, 0, 84, 64, 0, 0, 112, 127, 0, 0, 4, 232, 24, 0, 88, 3, 0, 0, 84, 64, 0, 0, 151, 127, 0, 0, 7, 252, 24, 0, 96, 3, 0, 0, 84, 64, 0, 0, 151, 127, 0, 0, 30, 252, 24, 0, 112, 3, 0, 0, 84, 64, 0, 0, 151, 127, 0, 0, 7, 252, 24, 0, 136, 3, 0, 0, 84, 64, 0, 0, 188, 127, 0, 0, 4, 0, 25, 0, 160, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 3, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 212, 24, 0, 200, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 3, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 212, 24, 0, 216, 3, 0, 0, 84, 64, 0, 0, 226, 127, 0, 0, 2, 12, 25, 0, 224, 3, 0, 0, 84, 64, 0, 0, 250, 127, 0, 0, 7, 176, 27, 0, 248, 3, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 56, 4, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 80, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 4, 0, 0, 84, 64, 0, 0, 5, 128, 0, 0, 10, 136, 24, 0, 120, 4, 0, 0, 84, 64, 0, 0, 57, 128, 0, 0, 6, 140, 24, 0, 128, 4, 0, 0, 84, 64, 0, 0, 72, 128, 0, 0, 3, 148, 24, 0, 152, 4, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 4, 0, 0, 84, 64, 0, 0, 72, 128, 0, 0, 3, 148, 24, 0, 184, 4, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 192, 4, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 200, 4, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 232, 4, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 240, 4, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 48, 5, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 64, 5, 0, 0, 84, 64, 0, 0, 111, 128, 0, 0, 2, 180, 24, 0, 72, 5, 0, 0, 84, 64, 0, 0, 133, 128, 0, 0, 19, 184, 24, 0, 80, 5, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 188, 24, 0, 88, 5, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 192, 24, 0, 104, 5, 0, 0, 84, 64, 0, 0, 185, 128, 0, 0, 3, 196, 24, 0, 120, 5, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 192, 24, 0, 128, 5, 0, 0, 84, 64, 0, 0, 185, 128, 0, 0, 3, 196, 24, 0, 144, 5, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 5, 0, 0, 84, 64, 0, 0, 213, 109, 0, 0, 3, 12, 23, 0, 8, 6, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 24, 6, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 56, 6, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 64, 6, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 88, 6, 0, 0, 84, 64, 0, 0, 5, 129, 0, 0, 35, 48, 26, 0, 96, 6, 0, 0, 84, 64, 0, 0, 5, 129, 0, 0, 8, 48, 26, 0, 112, 6, 0, 0, 84, 64, 0, 0, 54, 129, 0, 0, 6, 52, 26, 0, 120, 6, 0, 0, 84, 64, 0, 0, 111, 128, 0, 0, 2, 64, 26, 0, 128, 6, 0, 0, 84, 64, 0, 0, 64, 129, 0, 0, 21, 68, 26, 0, 136, 6, 0, 0, 84, 64, 0, 0, 93, 129, 0, 0, 17, 76, 26, 0, 144, 6, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 6, 0, 0, 84, 64, 0, 0, 93, 129, 0, 0, 17, 76, 26, 0, 160, 6, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 80, 26, 0, 176, 6, 0, 0, 84, 64, 0, 0, 125, 129, 0, 0, 3, 84, 26, 0, 192, 6, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 80, 26, 0, 200, 6, 0, 0, 84, 64, 0, 0, 125, 129, 0, 0, 3, 84, 26, 0, 224, 6, 0, 0, 84, 64, 0, 0, 167, 129, 0, 0, 2, 96, 26, 0, 232, 6, 0, 0, 84, 64, 0, 0, 226, 127, 0, 0, 2, 100, 26, 0, 248, 6, 0, 0, 84, 64, 0, 0, 250, 127, 0, 0, 7, 196, 27, 0, 16, 7, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 7, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 80, 7, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 88, 7, 0, 0, 84, 64, 0, 0, 35, 116, 0, 0, 6, 60, 25, 0, 96, 7, 0, 0, 84, 64, 0, 0, 231, 129, 0, 0, 3, 64, 25, 0, 128, 7, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 7, 0, 0, 84, 64, 0, 0, 231, 129, 0, 0, 3, 64, 25, 0, 184, 7, 0, 0, 84, 64, 0, 0, 126, 84, 0, 0, 12, 48, 18, 0, 248, 7, 0, 0, 84, 64, 0, 0, 177, 84, 0, 0, 6, 52, 18, 0, 0, 8, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 16, 8, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 8, 0, 0, 84, 64, 0, 0, 194, 84, 0, 0, 3, 56, 18, 0, 72, 8, 0, 0, 84, 64, 0, 0, 254, 84, 0, 0, 9, 68, 18, 0, 80, 8, 0, 0, 84, 64, 0, 0, 41, 130, 0, 0, 10, 80, 25, 0, 88, 8, 0, 0, 84, 64, 0, 0, 73, 130, 0, 0, 8, 88, 25, 0, 104, 8, 0, 0, 84, 64, 0, 0, 117, 130, 0, 0, 6, 92, 25, 0, 112, 8, 0, 0, 84, 64, 0, 0, 133, 130, 0, 0, 3, 96, 25, 0, 168, 8, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 8, 0, 0, 84, 64, 0, 0, 133, 130, 0, 0, 3, 96, 25, 0, 232, 8, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 8, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 16, 9, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 24, 9, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 40, 9, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 9, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 72, 9, 0, 0, 84, 64, 0, 0, 195, 130, 0, 0, 11, 128, 25, 0, 80, 9, 0, 0, 84, 64, 0, 0, 163, 109, 0, 0, 12, 4, 23, 0, 88, 9, 0, 0, 84, 64, 0, 0, 196, 109, 0, 0, 6, 8, 23, 0, 104, 9, 0, 0, 84, 64, 0, 0, 215, 130, 0, 0, 0, 136, 25, 0, 112, 9, 0, 0, 84, 64, 0, 0, 2, 110, 0, 0, 12, 28, 23, 0, 144, 9, 0, 0, 84, 64, 0, 0, 43, 110, 0, 0, 6, 32, 23, 0, 152, 9, 0, 0, 84, 64, 0, 0, 59, 110, 0, 0, 3, 36, 23, 0, 216, 9, 0, 0, 84, 64, 0, 0, 104, 110, 0, 0, 3, 40, 23, 0, 232, 9, 0, 0, 84, 64, 0, 0, 111, 128, 0, 0, 2, 152, 25, 0, 240, 9, 0, 0, 84, 64, 0, 0, 3, 131, 0, 0, 19, 156, 25, 0, 248, 9, 0, 0, 84, 64, 0, 0, 30, 131, 0, 0, 16, 164, 25, 0, 0, 10, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 10, 0, 0, 84, 64, 0, 0, 30, 131, 0, 0, 16, 164, 25, 0, 32, 10, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 168, 25, 0, 48, 10, 0, 0, 84, 64, 0, 0, 61, 131, 0, 0, 3, 172, 25, 0, 64, 10, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 168, 25, 0, 72, 10, 0, 0, 84, 64, 0, 0, 61, 131, 0, 0, 3, 172, 25, 0, 104, 10, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 160, 10, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 224, 10, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 10, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 0, 11, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 11, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 16, 11, 0, 0, 84, 64, 0, 0, 226, 127, 0, 0, 2, 248, 25, 0, 32, 11, 0, 0, 84, 64, 0, 0, 54, 129, 0, 0, 6, 252, 25, 0, 56, 11, 0, 0, 84, 64, 0, 0, 104, 131, 0, 0, 35, 8, 26, 0, 72, 11, 0, 0, 84, 64, 0, 0, 104, 131, 0, 0, 8, 8, 26, 0, 80, 11, 0, 0, 84, 64, 0, 0, 54, 129, 0, 0, 6, 12, 26, 0, 96, 11, 0, 0, 84, 64, 0, 0, 5, 128, 0, 0, 10, 24, 26, 0, 136, 11, 0, 0, 84, 64, 0, 0, 57, 128, 0, 0, 6, 28, 26, 0, 144, 11, 0, 0, 84, 64, 0, 0, 72, 128, 0, 0, 3, 36, 26, 0, 168, 11, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 176, 11, 0, 0, 84, 64, 0, 0, 72, 128, 0, 0, 3, 36, 26, 0, 200, 11, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 208, 11, 0, 0, 84, 64, 0, 0, 8, 127, 0, 0, 2, 188, 25, 0, 216, 11, 0, 0, 84, 64, 0, 0, 162, 131, 0, 0, 11, 200, 25, 0, 48, 12, 0, 0, 84, 64, 0, 0, 219, 131, 0, 0, 7, 204, 25, 0, 56, 12, 0, 0, 84, 64, 0, 0, 112, 127, 0, 0, 4, 208, 25, 0, 160, 12, 0, 0, 84, 64, 0, 0, 235, 131, 0, 0, 7, 228, 25, 0, 168, 12, 0, 0, 84, 64, 0, 0, 235, 131, 0, 0, 30, 228, 25, 0, 184, 12, 0, 0, 84, 64, 0, 0, 235, 131, 0, 0, 7, 228, 25, 0, 208, 12, 0, 0, 84, 64, 0, 0, 18, 132, 0, 0, 4, 232, 25, 0, 232, 12, 0, 0, 84, 64, 0, 0, 57, 132, 0, 0, 4, 236, 25, 0, 16, 13, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 13, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 112, 13, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 144, 13, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 152, 13, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 176, 13, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 224, 13, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 232, 13, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 0, 14, 0, 0, 84, 64, 0, 0, 187, 65, 0, 0, 6, 60, 7, 0, 8, 14, 0, 0, 84, 64, 0, 0, 206, 65, 0, 0, 12, 72, 7, 0, 72, 14, 0, 0, 84, 64, 0, 0, 253, 65, 0, 0, 6, 76, 7, 0, 80, 14, 0, 0, 84, 64, 0, 0, 12, 66, 0, 0, 9, 88, 7, 0, 88, 14, 0, 0, 84, 64, 0, 0, 131, 132, 0, 0, 7, 216, 27, 0, 104, 14, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 14, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 136, 14, 0, 0, 84, 64, 0, 0, 40, 111, 0, 0, 10, 4, 3, 0, 200, 14, 0, 0, 84, 64, 0, 0, 79, 111, 0, 0, 6, 8, 3, 0, 208, 14, 0, 0, 84, 64, 0, 0, 92, 111, 0, 0, 3, 12, 3, 0, 224, 14, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 14, 0, 0, 84, 64, 0, 0, 92, 111, 0, 0, 3, 12, 3, 0, 16, 15, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 15, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 48, 15, 0, 0, 84, 64, 0, 0, 156, 132, 0, 0, 20, 164, 26, 0, 56, 15, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 88, 15, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 15, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 136, 15, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 208, 15, 0, 0, 84, 64, 0, 0, 182, 132, 0, 0, 19, 52, 27, 0, 216, 15, 0, 0, 84, 64, 0, 0, 160, 128, 0, 0, 3, 64, 27, 0, 232, 15, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 15, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 8, 16, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 24, 16, 0, 0, 84, 64, 0, 0, 205, 132, 0, 0, 22, 72, 27, 0, 40, 16, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 64, 16, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 104, 16, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 128, 16, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 16, 0, 0, 84, 64, 0, 0, 57, 66, 0, 0, 9, 116, 2, 0, 168, 16, 0, 0, 84, 64, 0, 0, 106, 66, 0, 0, 6, 148, 2, 0, 176, 16, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 192, 16, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 16, 0, 0, 84, 64, 0, 0, 118, 66, 0, 0, 3, 152, 2, 0, 224, 16, 0, 0, 84, 64, 0, 0, 231, 132, 0, 0, 3, 184, 26, 0, 232, 16, 0, 0, 84, 64, 0, 0, 254, 132, 0, 0, 19, 188, 26, 0, 240, 16, 0, 0, 84, 64, 0, 0, 30, 133, 0, 0, 7, 192, 26, 0, 248, 16, 0, 0, 84, 64, 0, 0, 48, 133, 0, 0, 4, 196, 26, 0, 8, 17, 0, 0, 84, 64, 0, 0, 74, 133, 0, 0, 4, 200, 26, 0, 24, 17, 0, 0, 84, 64, 0, 0, 48, 133, 0, 0, 4, 196, 26, 0, 32, 17, 0, 0, 84, 64, 0, 0, 74, 133, 0, 0, 4, 200, 26, 0, 56, 17, 0, 0, 84, 64, 0, 0, 129, 133, 0, 0, 7, 216, 26, 0, 80, 17, 0, 0, 84, 64, 0, 0, 129, 133, 0, 0, 7, 216, 26, 0, 88, 17, 0, 0, 84, 64, 0, 0, 197, 133, 0, 0, 20, 220, 26, 0, 96, 17, 0, 0, 84, 64, 0, 0, 225, 133, 0, 0, 8, 224, 26, 0, 104, 17, 0, 0, 84, 64, 0, 0, 244, 133, 0, 0, 5, 228, 26, 0, 120, 17, 0, 0, 84, 64, 0, 0, 15, 134, 0, 0, 5, 232, 26, 0, 136, 17, 0, 0, 84, 64, 0, 0, 244, 133, 0, 0, 5, 228, 26, 0, 144, 17, 0, 0, 84, 64, 0, 0, 15, 134, 0, 0, 5, 232, 26, 0, 168, 17, 0, 0, 84, 64, 0, 0, 66, 134, 0, 0, 9, 8, 27, 0, 192, 17, 0, 0, 84, 64, 0, 0, 66, 134, 0, 0, 8, 8, 27, 0, 208, 17, 0, 0, 84, 64, 0, 0, 100, 134, 0, 0, 17, 16, 27, 0, 24, 18, 0, 0, 84, 64, 0, 0, 152, 134, 0, 0, 9, 20, 27, 0, 32, 18, 0, 0, 84, 64, 0, 0, 174, 134, 0, 0, 6, 24, 27, 0, 48, 18, 0, 0, 84, 64, 0, 0, 202, 134, 0, 0, 6, 28, 27, 0, 64, 18, 0, 0, 84, 64, 0, 0, 174, 134, 0, 0, 6, 24, 27, 0, 72, 18, 0, 0, 84, 64, 0, 0, 202, 134, 0, 0, 6, 28, 27, 0, 120, 18, 0, 0, 84, 64, 0, 0, 251, 134, 0, 0, 16, 40, 27, 0, 128, 18, 0, 0, 84, 64, 0, 0, 15, 135, 0, 0, 6, 44, 27, 0, 160, 18, 0, 0, 84, 64, 0, 0, 237, 126, 0, 0, 2, 168, 27, 0, 200, 18, 0, 0, 84, 64, 0, 0, 96, 132, 0, 0, 2, 212, 27, 0, 232, 18, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 19, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 168, 26, 0, 32, 19, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 19, 0, 0, 84, 64, 0, 0, 24, 135, 0, 0, 5, 92, 27, 0, 72, 19, 0, 0, 84, 64, 0, 0, 235, 128, 0, 0, 2, 188, 27, 0, 96, 19, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 19, 0, 0, 84, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 102, 137, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 84, 64, 0, 0, 65, 135, 0, 0, 6, 4, 28, 0, 8, 0, 0, 0, 84, 64, 0, 0, 123, 135, 0, 0, 2, 12, 28, 0, 192, 0, 0, 0, 84, 64, 0, 0, 123, 135, 0, 0, 2, 12, 28, 0, 208, 0, 0, 0, 84, 64, 0, 0, 123, 135, 0, 0, 2, 12, 28, 0, 232, 0, 0, 0, 84, 64, 0, 0, 65, 135, 0, 0, 6, 4, 28, 0, 16, 0, 0, 0, 34, 136, 0, 0, 9, 0, 0, 0, 120, 2, 0, 0, 101, 0, 0, 0, 172, 135, 0, 0, 0, 0, 0, 0, 72, 3, 0, 0, 101, 0, 0, 0, 159, 135, 0, 0, 0, 0, 0, 0, 144, 8, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 184, 8, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 208, 8, 0, 0, 101, 0, 0, 0, 159, 135, 0, 0, 0, 0, 0, 0, 128, 54, 0, 0, 101, 0, 0, 0, 179, 135, 0, 0, 0, 0, 0, 0, 112, 56, 0, 0, 101, 0, 0, 0, 179, 135, 0, 0, 0, 0, 0, 0, 56, 79, 0, 0, 101, 0, 0, 0, 186, 135, 0, 0, 0, 0, 0, 0, 88, 79, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 40, 136, 0, 0, 6, 0, 0, 0, 168, 4, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 232, 4, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 112, 5, 0, 0, 101, 0, 0, 0, 150, 135, 0, 0, 0, 0, 0, 0, 168, 5, 0, 0, 101, 0, 0, 0, 155, 135, 0, 0, 0, 0, 0, 0, 104, 6, 0, 0, 101, 0, 0, 0, 155, 135, 0, 0, 0, 0, 0, 0, 248, 7, 0, 0, 101, 0, 0, 0, 159, 135, 0, 0, 0, 0, 0, 0, 68, 136, 0, 0, 6, 0, 0, 0, 16, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 104, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 88, 4, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 112, 4, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 120, 4, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 119, 136, 0, 0, 4, 0, 0, 0, 24, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 96, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 184, 0, 0, 0, 101, 0, 0, 0, 155, 135, 0, 0, 0, 0, 0, 0, 88, 1, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 145, 136, 0, 0, 5, 0, 0, 0, 8, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 72, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 232, 1, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 64, 3, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 88, 3, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 170, 136, 0, 0, 6, 0, 0, 0, 40, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 112, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 24, 2, 0, 0, 101, 0, 0, 0, 179, 135, 0, 0, 0, 0, 0, 0, 40, 2, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 56, 2, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 64, 2, 0, 0, 101, 0, 0, 0, 164, 135, 0, 0, 0, 0, 0, 0, 196, 136, 0, 0, 2, 0, 0, 0, 24, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 96, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 223, 136, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 224, 0, 0, 0, 101, 0, 0, 0, 186, 135, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 251, 136, 0, 0, 2, 0, 0, 0, 16, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 88, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 24, 137, 0, 0, 5, 0, 0, 0, 208, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 176, 1, 0, 0, 101, 0, 0, 0, 186, 135, 0, 0, 0, 0, 0, 0, 200, 1, 0, 0, 101, 0, 0, 0, 179, 135, 0, 0, 0, 0, 0, 0, 208, 1, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 88, 3, 0, 0, 101, 0, 0, 0, 159, 135, 0, 0, 0, 0, 0, 0, 51, 137, 0, 0, 1, 0, 0, 0, 8, 0, 0, 0, 101, 0, 0, 0, 145, 135, 0, 0, 0, 0, 0, 0, 78, 137, 0, 0, 1, 0, 0, 0, 208, 1, 0, 0, 249, 1, 0, 0, 192, 135, 0, 0, 10, 0, 0, 0, 102, 137, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 3, 2, 0, 0, 194, 135, 0, 0, 0, 0, 0, 0, 96, 0, 0, 0, 3, 2, 0, 0, 155, 135, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 3, 2, 0, 0, 198, 135, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 3, 2, 0, 0, 202, 135, 0, 0, 2, 0, 0, 0, 192, 0, 0, 0, 3, 2, 0, 0, 202, 135, 0, 0, 0, 0, 0, 0, 208, 0, 0, 0, 3, 2, 0, 0, 206, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 145, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 29, 0, 0, 0, 0, 0, 0, 32, 58, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 87, 0, 0, 0, 0, 0, 0, 168, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 23, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 168, 0, 0, 0, 0, 0, 0, 176, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 51, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 187, 0, 0, 0, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 193, 0, 0, 0, 0, 0, 0, 112, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 102, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 200, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 202, 0, 0, 0, 0, 0, 0, 144, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 153, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 205, 0, 0, 0, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 179, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 208, 0, 0, 0, 0, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 206, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 210, 0, 0, 0, 0, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 234, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 211, 0, 0, 0, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 212, 0, 0, 0, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 216, 0, 0, 0, 0, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 61, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 217, 0, 0, 0, 0, 0, 0, 152, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 85, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 237, 0, 0, 0, 0, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 107, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 238, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 238, 0, 0, 0, 0, 0, 0, 37, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 123, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 25, 1, 0, 0, 0, 0, 0, 95, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 129, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 33, 1, 0, 0, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 146, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 35, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 161, 1, 0, 0, 8, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 35, 1, 0, 0, 0, 0, 0, 152, 134, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 166, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 35, 1, 0, 0, 0, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 36, 1, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 27, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 36, 1, 0, 0, 0, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 230, 27, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 42, 1, 0, 0, 0, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 6, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 47, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 5, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 35, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 49, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 65, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 51, 1, 0, 0, 0, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 7, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 95, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 52, 1, 0, 0, 0, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 8, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 124, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 53, 1, 0, 0, 0, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 9, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 154, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 53, 1, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 185, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 54, 1, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 11, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 217, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 54, 1, 0, 0, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 12, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 250, 28, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 54, 1, 0, 0, 0, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 13, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 25, 29, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 248, 55, 1, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 14, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 56, 29, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 56, 1, 0, 0, 0, 0, 0, 176, 7, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 15, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 84, 29, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 63, 1, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 16, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 110, 29, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 64, 1, 0, 0, 0, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 20, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 131, 29, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 232, 64, 1, 0, 0, 0, 0, 0, 240, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 29, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 60, 2, 0, 0, 0, 0, 0, 188, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
        }
